<?xml version="1.0" encoding="UTF-8" ?>
<!--
********************************************************************** 
*   
*   Licensed Material - Property of IBM                               
*   5655-002                                                          
*                                                                     
*   (C) Copyright IBM Corp. 2003   All Rights Reserved                
*                                                                     
*   US Government Users Restricted Rights - Use, duplication or       
*   disclosure restricted by GSA ASP Schedule Contract with           
*   IBM Corp.                                                         
*  
***********************************************************************
*                                                                            
* IBM Document Connect for ASF                                                 
*                                                                              
* Module Name : docconfigglobals.xsl                                                  
*                                                                              
* Description : This style sheet is imported by any config style sheet input 
*               and contains the command definitions 
*
* Author:       UZeh
*
* Change Activity:                                                             
*                                                                              
* Code  Release    Date       Person  Reason                                   
*     
* @000 V01R00B00   02/17/2003 UZeh    First Create                           
* @001 Deactive    02/17/2003 UZeh    New fields for Preview PDF Call  
* @002             02/21/2003 UZeh    Functions added 
*                                     - fnIsGreaterEqualThan()
*                                     - fnIsLessEqualThan()   
*                                     - isValueGreaterEqualThan()
*                                     - isValueLessEqualThan()
* @003 V01R00B00   02/25/2003 UZeh    CICSMQ SUpport
* @004 V01R00B00   02/27/2003 UZeh    Color ConfirmNewPasswords if they do not match to new passwords 
* @005 V01R00B00   03/04/2003 UZeh    Sort functions alphabetically
* @006 V01R00B00   03/04/2003 UZeh    Function getGenericElementName() added 
* @007 V01R00B00   03/05/2003 UZeh    Fields ztxtlabyes, ztxtlabno added , Message zDOC0544I added 
* @008 V01R00B00   03/06/2003 UZeh    Function checkConnectionPasswords() changed  
*                                     New Function processConnectionPasswords() 
*                                     Function checkAddPasswords() changed  
*                                     New Function processAddPasswords() 
* @009 V01R00B00   03/28/2003 UZeh    PTR3258 New Variable
*                                     ztxtlabasfservletreplacesessiononresignon
* @010 V01R00B00   04/04/2003 UZeh    PTR3281 New Variable ztxtlabnetworkusesessionuserid
* @011 V01R00B00   02/17/2003 UZeh    PTR3512 Do not check (IMS)NAME (for alphanumeric)
* @012 V01R00B00   07/24/2003 Uzeh    Use znlsresfilename     
* @013 V01R00B00   07/28/2003 UZeh    PTR3645 New variables ztxtlabasfservletpreview
*                                     ztxtlabasfservletpreviewtype
*                                     ztxtlabasfservletpreviewtransformclass
*                                     ztxtlabasfservletpreviewinfoprintservercmd  
* @014 V01R00B00   07/31/2003 UZeh    Factor out javascript functions to docconfigcommon.js
* @015 V01R01B06   12/02/2003 UZeh    APAR PQ81570 / PTR3904 Support of Transform fields 
*                                     Change of Transform Fields 
*                                     New function fnIsEmptyOrValidFilename 
*                                     New function fnIsEmptyOrValidDirectoryname 
*                                     New function trim
*                                     New message zDOC0553E
* @016 V01R01B06   12/08/2003 UZeh    Remove Field Preview Directory 
* @017 V01R01B06   12/08/2003 UZeh    APAR PQ81758 / PTR3916
*                                     New Variable ztxtlabasfservletclientipaddrcheckenabled
* @018 V01R01B06   12/09/2003 UZeh    APAR PQ81758 / PTR3916
*                                     New Variable ztxtlabasfservletpreviewtransformurl
* @019 V01R01B06   12/19/2003 UZeh    APAR PQ81758 / PTR3916 New Variables
*                                     ztxtlabsecurity
*                                     ztxtlabsecurityclass
*                                     ztxtlabsecuritypath
*                                     ztxtlabsecurityencryptionenabled
*                                     ztxtlabsecurityclientipaddresscheckenabled 
* @020 V01R01B06   02/11/2004 UZeh    PTR3997 New Variable ztxtlabcustomerlastchangebuildnumber
*                  02/11/2004 UZeh    PTR3997 Variable ztxtlabdocumentconversionpath changed                                   
*                                     to ztxtlabdocumentconversionhtmlpath   
* @021 V01R01B06   02/23/2004 UZeh    APAR PQ84516 PTR3997
*                                     New variable ztxtlabasfservletpreviewtransformpathpdsnotation
* @022 V01R01B06   02/23/2004 UZeh    APAR PQ84516 PTR3997
*                                     New function fnButtonBack
* @022 V01R01B06   03/10/2004 UZeh    APAR PQ84516 Use trimString in fnButtonOkConfiguration() and
*                                     to get rid of starting and trailing blanks
*                  03/11/2004 UZeh    APAR PQ84516 Parameter names from servlet start with 'a'   
*                                     APAR PQ84516 New function fnErrorAlert()   
* @023 V01R01B06   04/05/2004 UZeh    PTR 4082 
*                                     NLS Strings and Message variables removed, as they are now 
*                                     external parameters 
* @019 V01R01B06   06/22/2004 UZeh    PQ90455 PTR4188 fnIsValidUrl() changed   
* @020 V01R01B06   07/06/2004 UZeh    PQ90964 PTR4213 check Url          
* @021 V01R01B06   12/15/2004 UZeh    PQ98390 PTR4482
*                                     - Add NLS string and message parameters
*                                     - Add Parameters for HostQueueManager and HostReplyObject   
*                                     - Add zcopyright Parameter  
*                                     - New rule xheadertable 
* @022 V01R01B06   02/01/2005 UZeh    PQ99886 PTR4555 
*                                     - Check if nickname is NOT a reserved name
*                                     - Add function fnIsNicknameNotReservedName() 
*                                     - New variable zDOC0557E 
*                  03/03/2005 UZeh    PQ99886 PTR4555
*                                     - Add function fnIsBlank()    
* @023 V01R01B06   04/20/2005 MMar    Replaced copyright classname "version" with "licensetext"
* @024 V01R01B06   05/20/2005 UZeh    PK06030 PTR4798 New Variable ztxtlablastservletinittimestamp
*                                     Rule xcustomer added
* @025 V01R01B06   06/01/2005 UZeh    PK06587        PTR4839 
*                                     - Add function fnIsRacfUserid()
*                                     - Add parameters zDOC0558E, zDOC0559E, zDOC0560E
* @026 V01R02B01  12/20/2005 UZeh     PK16697 PTR5299 Add ztxtlabhnptxtencrypted, ztxtlabcreatenewkeytxt  
* @027 1.2.1      03/09/2006 UZeh     DPTR5485 Change and simplify js code  
*                                     Add fnIsAlphaNumericDotPlaceholderWord()  
* @028 1.2.1      03/24/2006 UZeh     DPTR5521 Rename  fnIsAlphaNumericDotPlaceholderWord()  to
*                                     fnIsAlphaNumericDotUnderscorePlaceholderWord()  
* @029 1.2.2      04/04/2006 UZeh     DPTR5518 Add parameters 
*                                     - ztxtlabdictsmaxnumberofcorrectsuggestions
*                                     - ztxtlabdictsignoretokentypelist
*                                     - ztxtlabdictsaddendadictionary  
* @030 1.2.2      04/10/2006 MMar     DPK22286 Encoding changed to UTF-8 
* @031 1.2.2      04/18/2006 UZeh     DPTR5531 ztxtlabnetworkimsmqxcodeprefix, ztxtlabnetworkimsxcodeprefix  added
* @032 V01R02B02  04/20/2006 UZeh     DPTR5560
*                                     New variable ztxtlabtracefileretentionperiod
* @033 V01R02B04  05/09/2006 UZeh     DPTR5518 New variable  ztxtlablexanalyzerlanguagecode
* @034  1.2.2     05/31/2006 UZeh     DPTR5666 New xbuttontable rule, factor out fxLabel
* @035  1.2.2     06/21/2006 UZeh     DPTR5700 Reset error coloring for transform name,command.
*                                     Simply javascript code by fnIsOfValidType(),fnIsValidTypeAndNotEmpty()
* @036  1.2.2     07/10/2006 UZeh     DPTR5731 Support of sections New rule xhideshowanchortable
* @043  1.2.3     10/13/2006 UZeh     DPTR5943 Display OS architecture, name, version                                                                    
*
*                        
-->
                                                                            

<xsl:stylesheet xmlns:xsl = "http://www.w3.org/1999/XSL/Transform" version = "1.0">

<!--  Start @021a -->


<!--                        -->
<!-- NLS Messages Arguments -->
<!--                        -->           
<xsl:param name="zcopyright"/>

<xsl:param name="zDOC0505E"/>
<xsl:param name="zDOC0508E"/>
<xsl:param name="zDOC0509E"/>
<xsl:param name="zDOC0511E"/>
<xsl:param name="zDOC0512E"/>
<xsl:param name="zDOC0513E"/>
<xsl:param name="zDOC0514E"/>
<xsl:param name="zDOC0515E"/>
<xsl:param name="zDOC0517I"/>
<xsl:param name="zDOC0524E"/>
<xsl:param name="zDOC0527E"/>
<xsl:param name="zDOC0530E"/>
<xsl:param name="zDOC0531E"/>
<xsl:param name="zDOC0536E"/>
<xsl:param name="zDOC0537E"/>
<xsl:param name="zDOC0538E"/>
<xsl:param name="zDOC0540E"/>
<xsl:param name="zDOC0541E"/>
<xsl:param name="zDOC0543I"/>
<xsl:param name="zDOC0544I"/>
<xsl:param name="zDOC0552E"/>
<xsl:param name="zDOC0553E"/>
<xsl:param name="zDOC0557E"/>      <!-- @022a -->
<xsl:param name="zDOC0558E"/>      <!-- @025a -->
<xsl:param name="zDOC0559E"/>      <!-- @025a --> 
<xsl:param name="zDOC0560E"/>      <!-- @025a -->
<xsl:param name="zmessfutuse38"/> 
<xsl:param name="zmessfutuse39"/>
<xsl:param name="zmessfutuse40"/>

<!--                        -->
<!-- NLS Strings Arguments  -->
<!--                        -->     

<xsl:param name="ztxtlabtitle"/>
<xsl:param name="ztxtlablanguage"/>
<xsl:param name="ztxtlablanguagepath"/>
<xsl:param name="ztxtlablanguageselection"/>
<xsl:param name="ztxtlabnetwork"/>
<xsl:param name="ztxtlabnetworkconfigfilename"/>
<xsl:param name="ztxtlabdocumentconversion"/>
<xsl:param name="ztxtlabdocumentconversionhtmlpath"/>
<xsl:param name="ztxtlabdocumentconversionconfigfilename"/>
<xsl:param name="ztxtlablogging"/>
<xsl:param name="ztxtlabloggingenabled"/>
<xsl:param name="ztxtlabloggenericfilename"/>
<xsl:param name="ztxtlablogfileextension"/>
<xsl:param name="ztxtlablogfilenumberofgenerations"/>
<xsl:param name="ztxtlablogfilemaxsize"/>
<xsl:param name="ztxtlablogfilerecordlength"/>
<xsl:param name="ztxtlabtracing"/>
<xsl:param name="ztxtlabtracingenabled"/>
<xsl:param name="ztxtlabtracingsessiontrace"/>
<xsl:param name="ztxtlabtracegenericfilename"/>
<xsl:param name="ztxtlabtracefileextension"/>
<xsl:param name="ztxtlabtracefileretentionperiod"/> <!-- @032a -->
<xsl:param name="ztxtlabtracefilerecordlength"/>
<xsl:param name="ztxtlabtracetraceableclassnames"/>
<xsl:param name="ztxtlabtracetraceabletracetypes"/>
<xsl:param name="ztxtlabasfservlet"/>
<xsl:param name="ztxtlabasfservletdefaultlanguage"/>
<xsl:param name="ztxtlabasfservletsessioncleanupperiod"/>
<xsl:param name="ztxtlabasfservletsessionmaximumage"/>
<xsl:param name="ztxtlabasfservletprintpreviewtype"/>
<xsl:param name="ztxtlabsecurity"/>
<xsl:param name="ztxtlabsecurityclass"/>
<xsl:param name="ztxtlabsecuritypath"/>
<xsl:param name="ztxtlabsecurityencryptionenabled"/>
<xsl:param name="ztxtlabcreatenewkeytxt"/> 
<xsl:param name="ztxtlabsecurityclientipaddresscheckenabled"/>
<xsl:param name="ztxtlabasfservletpreview"/>
<xsl:param name="ztxtlabasfservletpreviewhtmlpath"/>
<xsl:param name="ztxtlabasfservletpreviewpdfcall"/>
<xsl:param name="ztxtlabasfservletpreviewtype"/>
<xsl:param name="ztxtlabasfservletpreviewtransformlist"/>
<xsl:param name="ztxtlabasfservletpreviewtransformselection"/>
<xsl:param name="ztxtlabasfservletpreviewtransformvalues"/>
<xsl:param name="ztxtlabasfservletpreviewtransformextension"/>
<xsl:param name="ztxtlabasfservletpreviewtransformpathpdsnotation"/>
<xsl:param name="ztxtlabasfservletpreviewtransformpath"/>
<xsl:param name="ztxtlabasfservletpreviewtransformcommand"/>
<xsl:param name="ztxtlabasfservletpreviewtransformurl"/>
<xsl:param name="ztxtlabasfservletpreviewtransformclass"/>
<xsl:param name="ztxtlabasfservletpreviewinfoprintservercmd"/>
<xsl:param name="ztxtlabasfservletpreviewpdfcallenabled"/>
<xsl:param name="ztxtlabasfservletreplacesessiononresignon"/>
<xsl:param name="ztxtlabasfservletperformancecheckenabled"/>
<xsl:param name="ztxtlabasfservletclientipaddresscheckenabled"/>
<xsl:param name="ztxtlabcustomertitle"/>
<xsl:param name="ztxtlabcustomername"/>
<xsl:param name="ztxtlabcustomercomment"/>
<xsl:param name="ztxtlabcustomerlastchangebuildnumber"/>
<xsl:param name="ztxtlabcustomerlastchanged"/>
<xsl:param name="ztxtlabcustomerlastchangedby"/>
<xsl:param name="ztxtlablastservletinittimestamp"/> <!-- @024a -->
<xsl:param name="ztxtlabdictionaries"/>
<xsl:param name="ztxtlabspellcheckenabled"/>
<xsl:param name="ztxtlabdictionarypath"/>
<xsl:param name="ztxtlabdictsaddendadictionary"/>   <!-- @029a -->
<xsl:param name="ztxtlablexanalyzerlanguagecode"/>  <!-- @033a -->  
<xsl:param name="ztxtlabdictsmaxnumberofcorrectsuggestions"/> <!-- @029a -->
<xsl:param name="ztxtlabdictsignoretokentypelist"/> <!-- @029a -->
<xsl:param name="ztxtlabyes"/>
<xsl:param name="ztxtlabno"/>
<xsl:param name="ztxtlabnetworktitle"/>
<xsl:param name="ztxtlabnetworkhostnickname"/>
<xsl:param name="ztxtlabnetworkremoveconnection"/>
<xsl:param name="ztxtlabnetworkhostconnectiondata"/>
<xsl:param name="ztxtlabnetworkusesessionuserid"/>
<xsl:param name="ztxtlabnetworkhostuserid"/>
<xsl:param name="ztxtlabnetworkhostpassword"/>
<xsl:param name="ztxtlabnetworkchangepassword"/>
<xsl:param name="ztxtlabnetworkhostpasswordold"/>
<xsl:param name="ztxtlabnetworkhostpasswordnew"/>
<xsl:param name="ztxtlabnetworkhostpasswordconfirmnew"/>
<xsl:param name="ztxtlabgeneralnetworkconfiguration"/>
<xsl:param name="ztxtlabnetworkconnectiontype"/>   
<xsl:param name="ztxtlabnetworkserveroutqueue"/>   
<xsl:param name="ztxtlabnetworkthreshold"/>   
<xsl:param name="ztxtlabnetworktimeout"/>   
<xsl:param name="ztxtlabnetworkhnptxtencrypted"/>  <!-- @026a -->
<xsl:param name="ztxtlabimsconnectionconfiguration"/>
<xsl:param name="ztxtlabnetworkimsimsname"/>
<xsl:param name="ztxtlabnetworkimsportnumber"/>
<xsl:param name="ztxtlabnetworkimsdatastorename"/>
<xsl:param name="ztxtlabnetworkimsxcodeprefix"/>   <!-- @031a -->
<xsl:param name="ztxtlabnetworkimsxcode"/>
<xsl:param name="ztxtlabnetworkimsconversational"/>
<xsl:param name="ztxtlabimsmqconnectionconfiguration"/>
<xsl:param name="ztxtlabnetworkimsmqhostqueuemanager"/>  <!-- @022a -->
<xsl:param name="ztxtlabnetworkimsmqhostreplyqueue"/>    <!-- @022a -->
<xsl:param name="ztxtlabnetworkimsmqqueuemanager"/>
<xsl:param name="ztxtlabnetworkimsmqserverinqueue"/>
<xsl:param name="ztxtlabnetworkimsmqserveroutqueue"/>
<xsl:param name="ztxtlabnetworkimsmqxcodeprefix"/>   <!-- @031a -->
<xsl:param name="ztxtlabnetworkimsmqxcode"/>
<xsl:param name="ztxtlabnetworkimsmqwaitint"/>
<xsl:param name="ztxtlabnetworkimsmqconversational"/>
<xsl:param name="ztxtlabcicsconnectionconfiguration"/>
<xsl:param name="ztxtlabnetworkcicsurl"/>
<xsl:param name="ztxtlabnetworkcicsserver"/>
<xsl:param name="ztxtlabnetworkcicsprogram"/>    
<xsl:param name="ztxtlabcicsmqconnectionconfiguration"/>
<xsl:param name="ztxtlabnetworkcicsmqhostqueuemanager"/>  <!-- @022a -->
<xsl:param name="ztxtlabnetworkcicsmqhostreplyqueue"/>    <!-- @022a -->
<xsl:param name="ztxtlabnetworkcicsmqqueuemanager"/>
<xsl:param name="ztxtlabnetworkcicsmqserverinqueue"/>
<xsl:param name="ztxtlabnetworkcicsmqserveroutqueue"/>
<xsl:param name="ztxtlabnetworkcicsmqwaitint"/>
<xsl:param name="ztxtlabnetworkcicsmqprogram"/>    
<xsl:param name="ztxtlabnetworkadditionalconnectionssubtitle"/>    
<xsl:param name="ztxtbutadd"/>    
<xsl:param name="ztxtbutcancel"/>    
<xsl:param name="ztxtbutreset"/>    
<xsl:param name="ztxtbutok"/>    
<xsl:param name="ztxtbuthelp"/>    
<xsl:param name="ztxtbutaddconnection"/>    
<xsl:param name="ztxtlabnetworkaddditionalconnectionstitle"/>
<xsl:param name="ztxtlabimsaddconnection"/>    
<xsl:param name="ztxtlabcicsaddconnection"/>    
<xsl:param name="ztxtlabimsmqaddconnection"/>    
<xsl:param name="ztxtlabcicsmqaddconnection"/> 

<!--  End @021a   -->


<!-- ************************************************************** -->
<!--                                                                -->  
<!--           Global Variables                                     --> 
<!--                                                                -->
<!-- ************************************************************** -->


<xsl:strip-space elements="*"/>



<!--                                                                 -->
<!--  yes and no constants                                           -->
<!--                                                                 -->

<xsl:variable name="yes">Y</xsl:variable>
<xsl:variable name="no">N</xsl:variable>

<!-- lab constant                                                    -->

<xsl:variable name="lab">LAB</xsl:variable>

<!-- End of constants -->

<!-- @024a Start -->

<!-- ************************************************************** -->
<!--                                                                -->
<!--                                                                -->  
<!-- This is the template rule called                               --> 
<!--     xbuttontable                                               --> 
<!-- which displays the button table for the configservlets         -->
<!--                                                                -->
<!-- ************************************************************** -->


<xsl:template name = "xbuttontable" >
     
   <xsl:param name = "acaller"/>
        
   <xsl:variable name="xonkeypress">
        <xsl:choose>
            <xsl:when test="$acaller='docconfig.xsl'">return( fnButtonOkConfiguration())</xsl:when>
            <xsl:when test="$acaller='docnetworkconfig.xsl'">return( fnButtonOkNetworkConfiguration())</xsl:when>
            <xsl:when test="$acaller='docnetworkconfigprocess.xsl'">return( fnButtonOkAdditionalConnections())</xsl:when>  
            <xsl:otherwise></xsl:otherwise>    
        </xsl:choose>   
   </xsl:variable>

   <xsl:variable name="xonclick">
        <xsl:choose>
            <xsl:when test="$acaller='docconfig.xsl'">return( fnButtonOkConfiguration())</xsl:when>
            <xsl:when test="$acaller='docnetworkconfig.xsl'">return( fnButtonOkNetworkConfiguration())</xsl:when>
            <xsl:when test="$acaller='docnetworkconfigprocess.xsl'">return( fnButtonOkAdditionalConnections())</xsl:when>    
            <xsl:otherwise></xsl:otherwise>     
      </xsl:choose>   
   </xsl:variable>


   <p></p>
   <table border='0'>
   <colgroup>
        <col width="25%"></col>
        <col width="25%"></col>
        <col width="25%"></col>
        <col width="25%"></col> 
   </colgroup>
   <tr>
   <td align='left'>  
      <!-- Ok Button --> 
 
      <xsl:call-template name = "fxButton"> 
      
        <xsl:with-param name = "xbtfid">bt-0</xsl:with-param> 
        <xsl:with-param name = "xbtfty">submit</xsl:with-param>  
        <xsl:with-param name = "xbtfnm">action</xsl:with-param>      
        <xsl:with-param name = "xbtfsz">30</xsl:with-param>    
        <xsl:with-param name = "xbtfva"><xsl:value-of select= "$ztxtbutok"/></xsl:with-param> 
        <xsl:with-param name = "xbtfnOnKeyPress"><xsl:value-of select= "$xonkeypress"/></xsl:with-param>
        <xsl:with-param name = "xbtfnOnClick"><xsl:value-of select= "$xonclick"/></xsl:with-param>
     </xsl:call-template> 
   
   </td>
   <td align='left'> 
      <!-- Reset Button --> 
 
      <xsl:call-template name = "fxButton"> 
      
        <xsl:with-param name = "xbtfid">bt-1</xsl:with-param> 
        <xsl:with-param name = "xbtfty">reset</xsl:with-param>  
        <xsl:with-param name = "xbtfnm">cancel</xsl:with-param>      
        <xsl:with-param name = "xbtfsz">30</xsl:with-param>    
        <xsl:with-param name = "xbtfva"><xsl:value-of select= "$ztxtbutreset"/></xsl:with-param> 
        <xsl:with-param name = "xbtfnOnKeyPress"></xsl:with-param>
        <xsl:with-param name = "xbtfnOnClick"></xsl:with-param>
   
     </xsl:call-template> 

   </td>    

   <td align='left'> 
      <!-- Help Button --> 
 
      <xsl:call-template name = "fxButton"> 
      
        <xsl:with-param name = "xbtfid">bt-2</xsl:with-param> 
        <xsl:with-param name = "xbtfty">button</xsl:with-param>  
        <xsl:with-param name = "xbtfnm">help</xsl:with-param>      
        <xsl:with-param name = "xbtfsz">30</xsl:with-param>    
        <xsl:with-param name = "xbtfva"><xsl:value-of select= "$ztxtbuthelp"/></xsl:with-param> 
        <xsl:with-param name = "xbtfnOnKeyPress">return( fnCfgHelp())</xsl:with-param>
        <xsl:with-param name = "xbtfnOnClick">return( fnCfgHelp())</xsl:with-param>
   
     </xsl:call-template> 
  
  
   </td>
   </tr>
   </table>


</xsl:template>


<!-- ************************************************************** -->
<!--                                                                -->
<!--                                                                -->  
<!-- This is the template rule called                               --> 
<!--     xhideshowanchortable                                       --> 
<!-- which displays the hide show table                             -->
<!--                                                                -->
<!-- ************************************************************** -->


<xsl:template name = "xhideshowanchortable" >
     
   <xsl:param name = "atable"/>
   <xsl:param name = "atitle"/>

   <table border='0' width='800'>
   <colgroup>
        <col width="5%"></col>
        <col width="40%"></col>
        <col width="55%"></col>
   </colgroup>
   <tr> 
   <td colspan="1">
     <xsl:choose>
       <xsl:when test="$atable='tabnls'">
          <a href="javascript:fnHideLayer('tabnls', false);" title="Expand"  ><img src=".\images\docexpd.gif"/></a>&#160; 
          <a href="javascript:fnHideLayer('tabnls', true);"  title="Collapse"><img src=".\images\docclps.gif"/></a>
       </xsl:when>
       <xsl:when test="$atable='tabnetw'">
          <a href="javascript:fnHideLayer('tabnetw', false);" title="Expand"  ><img src=".\images\docexpd.gif"/></a>&#160; 
          <a href="javascript:fnHideLayer('tabnetw', true);"  title="Collapse"><img src=".\images\docclps.gif"/></a>
       </xsl:when>
       <xsl:when test="$atable='tabdocconv'">
          <a href="javascript:fnHideLayer('tabdocconv', false);" title="Expand"  ><img src=".\images\docexpd.gif"/></a>&#160; 
          <a href="javascript:fnHideLayer('tabdocconv', true);"  title="Collapse"><img src=".\images\docclps.gif"/></a>
       </xsl:when>  
       <xsl:when test="$atable='tablog'">
          <a href="javascript:fnHideLayer('tablog', false);" title="Expand"  ><img src=".\images\docexpd.gif"/></a>&#160; 
          <a href="javascript:fnHideLayer('tablog', true);"  title="Collapse"><img src=".\images\docclps.gif"/></a>
       </xsl:when>  
       <xsl:when test="$atable='tabtrc'">
          <a href="javascript:fnHideLayer('tabtrc', false);" title="Expand"  ><img src=".\images\docexpd.gif"/></a>&#160; 
          <a href="javascript:fnHideLayer('tabtrc', true);"  title="Collapse"><img src=".\images\docclps.gif"/></a>
       </xsl:when> 
       <xsl:when test="$atable='tabsec'">
          <a href="javascript:fnHideLayer('tabsec', false);" title="Expand"  ><img src=".\images\docexpd.gif"/></a>&#160; 
          <a href="javascript:fnHideLayer('tabsec', true);"  title="Collapse"><img src=".\images\docclps.gif"/></a>
       </xsl:when> 
       <xsl:when test="$atable='tabasfserv'">
          <a href="javascript:fnHideLayer('tabasfserv', false);" title="Expand"  ><img src=".\images\docexpd.gif"/></a>&#160; 
          <a href="javascript:fnHideLayer('tabasfserv', true);"  title="Collapse"><img src=".\images\docclps.gif"/></a>
       </xsl:when> 
       <xsl:when test="$atable='tabdict'">
          <a href="javascript:fnHideLayer('tabdict', false);" title="Expand"  ><img src=".\images\docexpd.gif"/></a>&#160; 
          <a href="javascript:fnHideLayer('tabdict', true);"  title="Collapse"><img src=".\images\docclps.gif"/></a>
       </xsl:when>    
       <xsl:when test="$atable='tabcust'">
          <a href="javascript:fnHideLayer('tabcust', false);" title="Expand"  ><img src=".\images\docexpd.gif"/></a>&#160; 
          <a href="javascript:fnHideLayer('tabcust', true);"  title="Collapse"><img src=".\images\docclps.gif"/></a>
       </xsl:when>
       <xsl:when test="$atable='tabbutt'">
          <a href="javascript:fnHideLayer('tabbutt', false);" title="Expand"  ><img src=".\images\docexpd.gif"/></a>&#160; 
          <a href="javascript:fnHideLayer('tabbutt', true);"  title="Collapse"><img src=".\images\docclps.gif"/></a>
       </xsl:when>  
       <xsl:when test="$atable='tabadco'">
          <a href="javascript:fnHideLayer('tabadco', false);" title="Expand"  ><img src=".\images\docexpd.gif"/></a>&#160; 
          <a href="javascript:fnHideLayer('tabadco', true);"  title="Collapse"><img src=".\images\docclps.gif"/></a>
       </xsl:when>  
       <xsl:when test="$atable='tabgnco'">
          <a href="javascript:fnHideLayer('tabgnco', false);" title="Expand"  ><img src=".\images\docexpd.gif"/></a>&#160; 
          <a href="javascript:fnHideLayer('tabgnco', true);"  title="Collapse"><img src=".\images\docclps.gif"/></a>
       </xsl:when> 
       <xsl:when test="$atable='tabimsco'">
          <a href="javascript:fnHideLayer('tabimsco', false);" title="Expand"  ><img src=".\images\docexpd.gif"/></a>&#160; 
          <a href="javascript:fnHideLayer('tabimsco', true);"  title="Collapse"><img src=".\images\docclps.gif"/></a>
       </xsl:when> 
       <xsl:when test="$atable='tabimsmqco'">
          <a href="javascript:fnHideLayer('tabimsmqco', false);" title="Expand"  ><img src=".\images\docexpd.gif"/></a>&#160; 
          <a href="javascript:fnHideLayer('tabimsmqco', true);"  title="Collapse"><img src=".\images\docclps.gif"/></a>
       </xsl:when> 
       <xsl:when test="$atable='tabcicsco'">
          <a href="javascript:fnHideLayer('tabcicsco', false);" title="Expand"  ><img src=".\images\docexpd.gif"/></a>&#160; 
          <a href="javascript:fnHideLayer('tabcicsco', true);"  title="Collapse"><img src=".\images\docclps.gif"/></a>
       </xsl:when> 
       <xsl:when test="$atable='tabcicsmqco'">
          <a href="javascript:fnHideLayer('tabcicsmqco', false);" title="Expand"  ><img src=".\images\docexpd.gif"/></a>&#160; 
          <a href="javascript:fnHideLayer('tabcicsmqco', true);"  title="Collapse"><img src=".\images\docclps.gif"/></a>
       </xsl:when> 
       <xsl:otherwise>
       </xsl:otherwise> 
     </xsl:choose>   
     </td>
     <td colspan='2'>     
     <xsl:value-of select= "$atitle"/>
     </td>   
  
   </tr>
   </table>
</xsl:template>

<!-- ************************************************************** -->
<!--                                                                -->
<!--                                                                -->  
<!-- This is the template rule called                               --> 
<!--     xcustomer                                                  --> 
<!-- which displays customer specific data                          -->
<!-- docnetworkconfig                                               -->
<!--                                                                -->
<!-- ************************************************************** -->


<xsl:template name = "xcustomer" >
     
   <xsl:param name = "acaller"/>

   <xsl:variable name="vcol1">
     <xsl:choose>
       <xsl:when test="$acaller='docconfig.xsl'">1</xsl:when>                         
       <xsl:otherwise>2</xsl:otherwise>
     </xsl:choose> 
   </xsl:variable>
   
   <xsl:variable name="vcol2">
     <xsl:choose>
       <xsl:when test="$acaller='docconfig.xsl'">2</xsl:when>                         
       <xsl:otherwise>1</xsl:otherwise>
     </xsl:choose> 
   </xsl:variable>


    <xsl:call-template name="xhideshowanchortable">
          <xsl:with-param name="atable">tabcust</xsl:with-param>
          <xsl:with-param name="atitle"><xsl:value-of select= "$ztxtlabcustomertitle"/></xsl:with-param>
    </xsl:call-template>

   
   <div id="tabcust" style="display:none">

   <table border='1'>
   <tr>
   <th colspan='3'>
     
   </th>  
   </tr>


   <!-- Field Customer Name    -->

   <tr>
    
    <xsl:element name="td">
        <xsl:attribute name="colspan"><xsl:value-of select="$vcol1"/></xsl:attribute>  
        <xsl:call-template name="fxLabel">
           <xsl:with-param name="xlblid">LABcustomername</xsl:with-param>
           <xsl:with-param name="xlblfo"/>
           <xsl:with-param name="xlblva"><xsl:value-of select="$ztxtlabcustomername"/></xsl:with-param>
        </xsl:call-template>        
   </xsl:element>
 
   
   <xsl:element name="td">
        
      <xsl:attribute name="colspan"><xsl:value-of select="$vcol2"/></xsl:attribute> 
      <xsl:attribute name="align">left</xsl:attribute> 
      <xsl:element name = "input" > 
      <xsl:attribute name = "type" >text</xsl:attribute> 
      <xsl:attribute name = "name" >customername</xsl:attribute>      
      <xsl:attribute name = "id"   >customername</xsl:attribute>   
      <xsl:attribute name = "size" >20</xsl:attribute>
  <!--    <xsl:attribute name = "onBlur">return(fnIsAlphaNumeric())</xsl:attribute> -->    
      <xsl:attribute name = "value"> 
         <xsl:value-of select = "normalize-space(./CustomerName)" /> 
      </xsl:attribute>           
   </xsl:element> 

   </xsl:element> 
   </tr>  


   <!-- Field Comment   -->

   <tr>
   <xsl:element name="td">
       <xsl:attribute name="colspan"><xsl:value-of select="$vcol1"/></xsl:attribute>  
    
       <xsl:call-template name="fxLabel">
           <xsl:with-param name="xlblid">LABcomment</xsl:with-param>
           <xsl:with-param name="xlblfo"/>
           <xsl:with-param name="xlblva"><xsl:value-of select="$ztxtlabcustomercomment"/></xsl:with-param>
       </xsl:call-template>       
   </xsl:element>

   <xsl:element name="td">
        
      <xsl:attribute name="colspan"><xsl:value-of select="$vcol2"/></xsl:attribute> 
      <xsl:attribute name="align">left</xsl:attribute> 
      <xsl:element name = "textarea" > 
         <xsl:attribute name = "name" >comment</xsl:attribute> 
         <xsl:attribute name = "id"   >comment</xsl:attribute> 
         <xsl:attribute name = "cols" >80</xsl:attribute>
         <xsl:attribute name = "rows" >8</xsl:attribute>
     <!--    <xsl:attribute name = "onBlur">return(fnIsValidText())</xsl:attribute>   -->
         
         <xsl:value-of select = "normalize-space(./Comment)" /> 
                          
      </xsl:element>
   </xsl:element>
   </tr>

    <!-- Field LastChanged   -->

   <tr>
   <xsl:element name="td">
       <xsl:attribute name="colspan"><xsl:value-of select="$vcol1"/></xsl:attribute>  
    
       <xsl:call-template name="fxLabel">
           <xsl:with-param name="xlblid">LABcustomerlastchanged</xsl:with-param>
           <xsl:with-param name="xlblfo"/>
           <xsl:with-param name="xlblva"><xsl:value-of select="$ztxtlabcustomerlastchanged"/></xsl:with-param>
       </xsl:call-template>       
   </xsl:element>
  

   <xsl:element name="td">
        
      <xsl:attribute name="colspan"><xsl:value-of select="$vcol2"/></xsl:attribute> 
      <xsl:attribute name="align">left</xsl:attribute> 
    
   <xsl:element name = "input" > 
      <xsl:attribute name = "type" >text</xsl:attribute> 
      <xsl:attribute name = "name" >customerlastchanged</xsl:attribute>      
      <xsl:attribute name = "id"   >customerlastchanged</xsl:attribute>   
      <xsl:attribute name = "size" >24</xsl:attribute> 
      <xsl:attribute name = "readonly" >readonly</xsl:attribute>  
      <xsl:attribute name = "value"> 
         <xsl:value-of select = "normalize-space(./LastChanged)" /> 
      </xsl:attribute>           
   </xsl:element> 
   </xsl:element> 
   </tr>   
      <!-- @012 Start --> 
   
   <!-- Field LastChangeBuildNumber  -->

   <tr>
      <xsl:element name="td">
        <xsl:attribute name="colspan"><xsl:value-of select="$vcol1"/></xsl:attribute>  
 
        <xsl:call-template name="fxLabel">
           <xsl:with-param name="xlblid">LABcustomerlastchangebuildnumber</xsl:with-param>
           <xsl:with-param name="xlblfo"/>
           <xsl:with-param name="xlblva"><xsl:value-of select="$ztxtlabcustomerlastchangebuildnumber"/></xsl:with-param>
        </xsl:call-template>
     
   </xsl:element>
  

    <xsl:element name="td">
        
      <xsl:attribute name="colspan"><xsl:value-of select="$vcol2"/></xsl:attribute> 
      <xsl:attribute name="align">left</xsl:attribute> 
    
   <xsl:element name = "input" > 
      <xsl:attribute name = "type" >text</xsl:attribute> 
      <xsl:attribute name = "name" >customerlastchangebuildnumber</xsl:attribute>      
      <xsl:attribute name = "id"   >customerlastchangebuildnumber</xsl:attribute>   
      <xsl:attribute name = "size" >40</xsl:attribute> 
      <xsl:attribute name = "readonly" >readonly</xsl:attribute>  
      <xsl:attribute name = "value"> 
         <xsl:value-of select = "normalize-space(./LastChangeBuildNumber)" /> 
      </xsl:attribute>           
   </xsl:element> 
   </xsl:element> 
   </tr> 

  

   <!-- Field Last Servlet init time stamp  @024 Start -->

   <tr>
    <xsl:element name="td">
        <xsl:attribute name="colspan"><xsl:value-of select="$vcol1"/></xsl:attribute>  
     
        <xsl:call-template name="fxLabel">
           <xsl:with-param name="xlblid">LABlastservletinittimestamp</xsl:with-param>
           <xsl:with-param name="xlblfo"/>
           <xsl:with-param name="xlblva"><xsl:value-of select="$ztxtlablastservletinittimestamp"/></xsl:with-param>
        </xsl:call-template>
              
   </xsl:element>
  

      <xsl:element name="td">
        
      <xsl:attribute name="colspan"><xsl:value-of select="$vcol2"/></xsl:attribute> 
      <xsl:attribute name="align">left</xsl:attribute> 
    
     <xsl:value-of select="$alastservletinittimestamp"/>     
   </xsl:element> 
   </tr> 

   <!-- @024 End -->
   <!-- @017 End -->

   

    </table>   
</div>
    
</xsl:template> 





<!-- @024a End   -->
<!-- @021a Start -->

<!-- ************************************************************** -->
<!--                                                                -->
<!--                                                                -->  
<!-- This is the template rule called                               --> 
<!--     xheadertable                                               --> 
<!-- which displays the header table of the form                    -->
<!--                                                                -->
<!--                                                                -->
<!-- ************************************************************** -->


<xsl:template name = "xheadertable">  
   
  <xsl:param name="yheadertitle"/>
  <xsl:param name="ydc4asfversion"/>
  <xsl:param name="ycopyright"/>
  <xsl:param name="yosarchitecture"/>
  <xsl:param name="yosname"/>
  <xsl:param name="yosversion"/>
  <table class="header">
   <tr>
   <td>
      <img src='./images/docgsmal.gif' border='0' class='logo' alt='docgsmal.gif'></img> 
   </td>
   <td>
     <div class="productname"><xsl:value-of select= "$yheadertitle"/><br/></div>
     <div class="version">V  <xsl:value-of select= "$ydc4asfversion"/><br/></div>
     <div class="licensetext"><xsl:value-of select= "$ycopyright"/><br/></div>
     <div class="licensetext"><xsl:value-of select= "$yosarchitecture"/>-<xsl:value-of select="$yosname"/>&#160;<xsl:value-of select= "$yosversion"/><br/></div>
   </td> 
    
   
   </tr>

   <!-- Vertical language code radio buttons -->
   <!--
   <tr>
   <td></td>
   <td>
     <input type="radio" name="rblangcode" id="langcodeda" accesskey="1" onClick="return fnRBLangcodeClick()"/><label id= "LABlangcodeda" for="langcodeda">da</label>
     <input type="radio" name="rblangcode" id="langcodede" accesskey="2" onClick="return fnRBLangcodeClick()"/><label id= "LABlangcodede" for="langcodede">de</label>
     <input type="radio" name="rblangcode" id="langcodeen" accesskey="3" onClick="return fnRBLangcodeClick()"/><label id= "LABlangcodeen" for="langcodeen">en</label>
     <input type="radio" name="rblangcode" id="langcodees" accesskey="4" onClick="return fnRBLangcodeClick()"/><label id= "LABlangcodees" for="langcodees">es</label>
     <input type="radio" name="rblangcode" id="langcodefr" accesskey="5" onClick="return fnRBLangcodeClick()"/><label id= "LABlangcodefr" for="langcodefr">fr</label>
     <input type="radio" name="rblangcode" id="langcodenl" accesskey="6" onClick="return fnRBLangcodeClick()"/><label id= "LABlangcodenl" for="langcodenl">nl</label>
 
   </td> 
   </tr>   
   -->

   </table>   
</xsl:template> 

<!-- @021a End --> 

<!-- ************************************************************** -->
<!--                                                                -->
<!--                                                                -->  
<!-- This is the template rule called                               --> 
<!--     javascriptfunctions                                        --> 
<!-- which provide javascript functions                             -->
<!--                                                                -->
<!--                                                                -->
<!-- ************************************************************** -->

<xsl:template name = "javascriptfunctions" >     
   
   <xsl:text>   

    function fnErrorAlert(aInputElement, aErrorNumber, aParameter)
    {
        var vRawMessage = null;  
           
        switch(aErrorNumber)
        {  
  
           case 'DOC0505E': 
              vRawMessage = &quot;</xsl:text><xsl:value-of select="$zDOC0505E"/><xsl:text>&quot;;
              break; 
           case 'DOC0508E': 
              vRawMessage = &quot;</xsl:text><xsl:value-of select="$zDOC0508E"/><xsl:text>&quot;;
              break;   
           case 'DOC0509E': 
              vRawMessage = &quot;</xsl:text><xsl:value-of select="$zDOC0509E"/><xsl:text>&quot;;
              break;    
           case 'DOC0511E': 
              vRawMessage = &quot;</xsl:text><xsl:value-of select="$zDOC0511E"/><xsl:text>&quot;;
              break;  
           case 'DOC0512E': 
              vRawMessage = &quot;</xsl:text><xsl:value-of select="$zDOC0512E"/><xsl:text>&quot;;
              break;  
           case 'DOC0513E': 
              vRawMessage = &quot;</xsl:text><xsl:value-of select="$zDOC0513E"/><xsl:text>&quot;;
              break;
           case 'DOC0514E': 
              vRawMessage = &quot;</xsl:text><xsl:value-of select="$zDOC0514E"/><xsl:text>&quot;;
              break;
           case 'DOC0515E': 
              vRawMessage = &quot;</xsl:text><xsl:value-of select="$zDOC0515E"/><xsl:text>&quot;;
              break;
           case 'DOC0530E': 
              vRawMessage = &quot;</xsl:text><xsl:value-of select="$zDOC0530E"/><xsl:text>&quot;;
              break;
           case 'DOC0531E': 
              vRawMessage = &quot;</xsl:text><xsl:value-of select="$zDOC0531E"/><xsl:text>&quot;;
              break;
           case 'DOC0527E': 
              vRawMessage = &quot;</xsl:text><xsl:value-of select="$zDOC0527E"/><xsl:text>&quot;;
              break;
           case 'DOC0541E': 
              vRawMessage = &quot;</xsl:text><xsl:value-of select="$zDOC0541E"/><xsl:text>&quot;;
              break;  
           case 'DOC0557E': 
              vRawMessage = &quot;</xsl:text><xsl:value-of select="$zDOC0557E"/><xsl:text>&quot;;
              break; 
           case 'DOC0558E': 
              vRawMessage = &quot;</xsl:text><xsl:value-of select="$zDOC0558E"/><xsl:text>&quot;;
              break; 
           case 'DOC0560E': 
              vRawMessage = &quot;</xsl:text><xsl:value-of select="$zDOC0560E"/><xsl:text>&quot;;
              break;  
           default:
              vRawMessage = &quot;Unsupported ErrorNumber &quot; + aErrorNumber + &quot; for display of error in field {0}.&quot;
              break; 
        }
        
        alert(aErrorNumber + &quot; &quot; + fnFormatMessage(vRawMessage, aInputElement) + aParameter);


    } // End of fnErrorAlert


     

    function fnIsOfValidType(aType,  aErrorMsgNumber, aEmptyIsAllowed)
    {
       var    vInputElement    = window.event.srcElement;  
       var    vInput           = vInputElement.value;          
       var    vIsValid         = true;
       var    vIsEmpty         = true; 
       var    vTrimmedInput    ; 
       vInputElement.style.background = 'white'; // @035a 
       vTrimmedInput = trimString(vInput);
       

       if ( vTrimmedInput.length == 0 )
       {
          vIsEmpty = true;   
       }
       else
       {
          vIsEmpty = false;   
          switch (aType)
          {  
            case 0:                
               vIsValid = false;
            case 1: 
               // Test whether it is a valid dir name
               vIsValid = isValueDirectoryname(vInput); 
               break;
            case 2: 
               // Test whether it is a valid filename 
               vIsValid = isValueFilename(vInput);
               break;
            case 3: 
               // Test whether it is a classname  
               vIsValid = isValueAlphaNumericDotWord(vInput);
               break;
            default:     
          }
          if ( vIsValid == false )
          {
             vInputElement.style.background = 'salmon';
             fnErrorAlert( vInputElement,  aErrorMsgNumber, '');
          } 
   
       
       }
       // If input is empty and empty is not allowed display errormsg 
       if ( vIsEmpty == true )
       {
           if ( aEmptyIsAllowed == false )
           {
              vIsValid = false;   
              vInputElement.style.background = 'salmon';
              fnErrorAlert( vInputElement,  'DOC0509E', '');
           } 
       } 

       return vIsValid;
    } // End of fnIsOfValidType()

    function fnIsEmptyOrIsValidDirectoryname()
    {
       return fnIsOfValidType(1,'DOC0531E',true);

    }  // fnIsEmptyOrIsValidDirectoryname() 
   

    function fnIsEmptyOrIsValidFilename()
    {
       return fnIsOfValidType(2,'DOC0527E',true);

    } // End of fnIsEmptyOrIsValidFilename()

     
    function fnIsBlank()
    {
       var    vInputElement    = window.event.srcElement;  
       var    vInput           = vInputElement.value;
       var    vTrimmedInput;    
      
       var    vInputIsNotBlank = true;   
            

       vInputElement.style.background = 'white';
       vTrimmedInput = trimString(vInput); 
       
       if ( vTrimmedInput.length > 0 )  
       {
          vInputIsNotBlank = false;  
                 
          // vInputElement.style.background = 'salmon'; 
          // fnErrorAlert( vInputElement,  'DOC0508E', '');
       }  

       return vInputIsNotBlank;
    } // End of fnIsBlank()

 

    function fnIsPreviewTransformClass()
    {
       var    vInputElement    = window.event.srcElement;  
       var    vInput           = vInputElement.value;    
     
       var    vInputIsPreviewTransformClass = true;   
       var    vInputIsAlphaNumericDotword   = true;         
       var    vTrimmedInput; 

       vInputElement.style.background = 'white';
       
       vTrimmedInput = trimString(vInput);
      
       if ( vTrimmedInput.length != 0 )
       {
          vInputIsAlphaNumericDotword = isValueAlphaNumericDotWord(vInput);  
      
          if ( vInputIsAlphaNumericDotword == false )
          {
             vInputIsPreviewTransformClass  = false;  
             vInputElement.style.background = 'salmon';
             fnErrorAlert( vInputElement,  'DOC0509E', '');          
          }
       }  

       return vInputIsPreviewTransformClass;
    }

    function checkAddPasswords(aConnectionType, aAddConnections)
    {
       var vAddPasswordsOk = true ;
       var vIndexI      = 0;
       var vIndexJ      = 0; 
  
       var vNewPasswordElement;
       var vConfirmNewPasswordElement;  
      
       var vClearNewPassword;    
       var vClearConfirmNewPassword; 
        
       var vRawMessage;

       for ( vIndexI = 0; vIndexI &lt; aAddConnections; vIndexI++)
       {
          vIndexJ = vIndexJ + 1; 
                    
        
          vNewPasswordElement = document.getElementById(aConnectionType + 'newpassword' + vIndexJ); 
          vNewPasswordElement.style.background = 'white';      
          vClearNewPassword   = vNewPasswordElement.value;
 
    
             
          vConfirmNewPasswordElement = document.getElementById(aConnectionType + 'confirmnewpassword' + vIndexJ);          
          vConfirmNewPasswordElement.style.background = 'white'; 
          vClearConfirmNewPassword   = vConfirmNewPasswordElement.value;
                      
          if ( vClearNewPassword == '' )
          {
             vAddPasswordsOk = false;     
             vNewPasswordElement.style.background = 'salmon'; 
             vRawMessage = &quot;</xsl:text><xsl:value-of select="$zDOC0538E"/><xsl:text>&quot;;  
             alert('DOC0538E ' + vRawMessage);              
                   
          }   

          if ( vClearConfirmNewPassword == '' )
          {
             vAddPasswordsOk = false;     
             vConfirmNewPasswordElement.style.background = 'salmon'; 
             vRawMessage = &quot;</xsl:text><xsl:value-of select="$zDOC0538E"/><xsl:text>&quot;;  
             alert('DOC0538E ' + vRawMessage);              
                   
          }   
             
          if ( vClearNewPassword != vClearConfirmNewPassword )
          {
             vAddPasswordsOk = false;     
             vConfirmNewPasswordElement.style.background = 'salmon'; 
             vRawMessage = &quot;</xsl:text><xsl:value-of select="$zDOC0538E"/><xsl:text>&quot;;  
             alert('DOC0538E ' + vRawMessage);              
                   
          }    
             
            
       }        

       return (vAddPasswordsOk); 

    } // End of checkAddPasswords()


    
   

    function checkConnectionPasswords( aConnectionType, aNumbersOfConnections   )
    {
       var  vIndexI = 0;
       var  vIndexJ = 0;  
       var  vNewPasswordsOk = true;

       var  vChangePasswordElement; // @008             
                 
       var  vClearNewPassword;
       var  vClearConfirmNewPassword;
  
       var  vNewPasswordElement        ;
       var  vConfirmNewPasswordElement ;
    
       var  vUnknown = '????????'; 
       var  vRawMessage;

       vNumbersOfConnections = parseInt(aNumbersOfConnections); 
   
       for ( vIndexI = 0; vIndexI &lt; vNumbersOfConnections; vIndexI++)
       {
          vIndexJ = vIndexI + 1; 
         
          vChangePasswordElement = document.getElementById(aConnectionType + 'changepassword' + vIndexJ); // @008
          
          // alert (' vChangePasswordElement.checked = ' + vChangePasswordElement.checked ); //@008  

          

          if ( vChangePasswordElement.checked == true ) 
          {            

             vNewPasswordElement = document.getElementById(aConnectionType + 'newpassword' + vIndexJ);      
             vClearNewPassword =  vNewPasswordElement.value;
 
             
             
             vConfirmNewPasswordElement = document.getElementById(aConnectionType + 'confirmnewpassword' + vIndexJ);          
             vConfirmNewPasswordElement.style.background = 'white';  /* @004 */ 
             vClearConfirmNewPassword   = vConfirmNewPasswordElement.value;
                      
             if ( vClearNewPassword == '' ) 
             {
               vNewPasswordsOk = false;     
               vNewPasswordElement.style.background = 'salmon'; /* @004 */ 
               vRawMessage = &quot;</xsl:text><xsl:value-of select="$zDOC0538E"/><xsl:text>&quot;;  
               alert('DOC0538E ' + vRawMessage);   
             }

             if ( vClearConfirmNewPassword == '' )  
             {
               vNewPasswordsOk = false;     
               vConfirmNewPasswordElement.style.background = 'salmon'; /* @004 */ 
               vRawMessage = &quot;</xsl:text><xsl:value-of select="$zDOC0538E"/><xsl:text>&quot;;  
               alert('DOC0538E ' + vRawMessage);   
             }

             if ( vClearNewPassword != vClearConfirmNewPassword )
             {
               vNewPasswordsOk = false;     
               vConfirmNewPasswordElement.style.background = 'salmon'; /* @004 */ 
               vRawMessage = &quot;</xsl:text><xsl:value-of select="$zDOC0538E"/><xsl:text>&quot;;  
               alert('DOC0538E ' + vRawMessage);              
             }                
          } // if
           
            
            
       }  // for      

       return( vNewPasswordsOk); 

    } // End of checkConnectionPasswords()


    
    function fnButtonBack()
    {
	window.history.back(-1);

    } // End of fnButtonBack()
   

    function fnButtonOkAdditionalConnections()
    {
       var  vConfirm = true; 
       

       var vProcessOk      = false;  
       var vAddPasswordsOk = false; 

       var vNewPasswordElement;
       var vConfirmNewPasswordElement;  
       var vScrambleNewPassword;
       var vClearNewPassword; 
       var vScrambleConfirmNewPassword;
       var vClearConfirmNewPassword; 


       var vUnknown = '????????';

       var vIndexI = 0; 
       var vIndexJ = 0;   

       var vIMSAddConnections     = parseInt(window.document.docnetworkconfigaddconnections.imsaddconnections.value);
       var vIMSMQAddConnections   = parseInt(window.document.docnetworkconfigaddconnections.imsmqaddconnections.value);
       var vCICSAddConnections    = parseInt(window.document.docnetworkconfigaddconnections.cicsaddconnections.value);    
       var vCICSMQAddConnections  = parseInt(window.document.docnetworkconfigaddconnections.cicsmqaddconnections.value);

       var aConnectionType; 

       var vIMSAddPasswordsOk     = false;
       var vIMSMQAddPasswordsOk   = false;
       var vCICSAddPasswordsOk    = false;
       var vCICSMQAddPasswordsOk  = false;

       vIMSAddPasswordsOk    = checkAddPasswords('ims',    vIMSAddConnections);         
       vIMSMQAddPasswordsOk  = checkAddPasswords('imsmq',  vIMSMQAddConnections);        
       vCICSAddPasswordsOk   = checkAddPasswords('cics',   vCICSAddConnections);          
       vCICSMQAddPasswordsOk = checkAddPasswords('cicsmq', vCICSMQAddConnections); 
          

       if ( ( vIMSAddPasswordsOk     == true ) &amp;&amp;  
            ( vIMSMQAddPasswordsOk   == true ) &amp;&amp;
            ( vCICSAddPasswordsOk    == true ) &amp;&amp;
            ( vCICSMQAddPasswordsOk  == true ) ) 
    
       {       
          /* @008 Start */ 
          
          processAddPasswords('ims',    vIMSAddConnections);         
          processAddPasswords('imsmq',  vIMSMQAddConnections);        
          processAddPasswords('cics',   vCICSAddConnections);          
          processAddPasswords('cicsmq', vCICSMQAddConnections); 

          /* @008 End   */

          vConfirm = window.confirm(&quot;DOC0517I  &quot; + &quot;</xsl:text><xsl:value-of select="$zDOC0517I"/><xsl:text>&quot;);  

          if ( vConfirm == true )
          {
             vProcessOk = true; 
          }         
          else
          {
             vProcessOk = false;   
          }
       }
       else 
       {
           vProcessOk = false;
       }  
              
       
      
       return vProcessOk;

    } // End of fnButtonOkAdditionalConnections()

 
    function fnButtonOkConfiguration()
    {
       var  vConfirm    = false; 
       var  vInputError = false;       
       var  vIndex   = 0;
       var  vIndexJ  = 0;       
       var  vNumberOfElementsInForm = window.document.forms[0].length;
       var  vInputOk = new Array(vNumberOfElementsInForm);
       var  vElement;       
       var  vElementType;  
       var  vElementValue;
       var  vElementName;   
       

       // @015 Start  

       var  vGenericElementName;
       var  vCountTransformSelected = 0;
       var  vNumberOfTransforms     = 0;   

       /* Get Number of Transforms */    
 
       vNumberOfTransforms = parseInt(window.document.docconfig.asfservletpreviewnumberoftransforms.value);       
       for ( vIndex = 0;  vIndex &lt; vNumberOfTransforms ; vIndex++)
       {

          vIndexJ = vIndex + 1;
          vElement = document.getElementsByName('asfservletpreviewtransformenabled' + vIndexJ);
          if ( vElement[0].checked == true )
          {
            vCountTransformSelected++;
          }
       }      

       // @015 END

       for ( vIndex = 0;  vIndex &lt; vNumberOfElementsInForm ; vIndex++)
       {
          vInputOk[vIndex] = true;     
     
          vElement      = window.document.forms[0].elements[vIndex];
         
          vElementType  = vElement.type;    
          vElementName  = vElement.name; 
          
                 


          if ( vElementType == 'text' )
          {         
              vElement.style.background = 'white';      
              vElementValue = (document.getElementsByName(vElementName))[0].value ;

              // @022 Start   

              if ( vElementValue.length != 0 )
              {
                  vElementValue = trimString(vElementValue);
              } 

              // @022 End
                 
              vGenericElementName =  getGenericElementName(vElementName);
 
              // Test content of vElementValue according to rules depending on vGenericElemeneName              

              vInputOk[vIndex] = fnTestTextField(  vGenericElementName, vElementValue );

              // alert('(1) ' + vInputOk[vIndex]);



              // Color background of field in error

              if ( vInputOk[vIndex] == false )
              {
                 vElement.style.background = 'salmon';
              }
 
          } // End of if

          

          
       }   // end of for

       
         
       for ( vIndex = 0;  vIndex &lt; vNumberOfElementsInForm ; vIndex++)
       {
          // alert(' vIndex = ' +  vIndex +  ' vInputOk[vIndex] = ' + vInputOk[vIndex]);
          if ( vInputOk[vIndex] == false )
          {
              vInputError = true;  
            
                                 
          }               
       }   
 
       // @015 START 
      
      
       if ( vCountTransformSelected != 1 )
       { 
           // alert(&quot;DOC0553E  &quot; + &quot;</xsl:text><xsl:value-of select="$zDOC0553E"/><xsl:text>&quot;);              
           vInputError = true; 
       } 
       

       // @015 END 

       if ( vInputError == true ) 
       {    
           //  alert(&quot;(2) vInputError=&quot; + vInputError);
           alert(&quot;DOC0540E  &quot; + &quot;</xsl:text><xsl:value-of select="$zDOC0540E"/><xsl:text>&quot;);   
           return false;
       }
       else
       {
          vConfirm = window.confirm(&quot;DOC0543I  &quot; + &quot;</xsl:text><xsl:value-of select="$zDOC0543I"/><xsl:text>&quot;);  
      
          return vConfirm;
       }

    }  // End of fnButtonOkConfiguration() 
  
     
    function fnButtonOkNetworkConfiguration()
    {
       var  vProcessOk   = false;

       var  vAllOk       = true; 

      
       var  vConfirm     = true; 
       var  vRemovesOk   = true;       
       var  vPasswordsOk = true;             

       var  vIMSPasswordsOk     = true;             
       var  vIMSMQPasswordsOk   = true;      
       var  vCICSPasswordsOk    = true;
       var  vCICSMQPasswordsOk  = true;    

       var  vNumberOfElementsInForm = window.document.forms[0].length;
       var  vInputOk = new Array(vNumberOfElementsInForm);
       var  vElement;       
       var  vElementType;  
       var  vElementValue;
       var  vElementName;  
       var  vGenericElementName;


       var  vIMSConnectionsOld      = 0;
       var  vIMSMQConnectionsOld    = 0;
       var  vCICSConnectionsOld     = 0;
       var  vCICSMQConnectionsOld   = 0; 

       var  vTotalConnectionsOld    = 0; 

       var  vIndex  = 0; 
       var  vIndexI = 0;
       var  vIndexJ = 0;        
      
       var  vNumberOfIMSRemoves    = 0;
       var  vNumberOfIMSMQRemoves  = 0;     
       var  vNumberOfCICSRemoves   = 0;
       var  vNumberOfCICSMQRemoves = 0;

       var  vNumberOfTotalRemoves  = 0; 

       /* Get Number of old connections */    
 
       vIMSConnectionsOld      = parseInt(window.document.docnetworkconfig.imsnumberofconnections.value);
       vIMSMQConnectionsOld    = parseInt(window.document.docnetworkconfig.imsmqnumberofconnections.value);
       vCICSConnectionsOld     = parseInt(window.document.docnetworkconfig.cicsnumberofconnections.value);
       vCICSMQConnectionsOld     = parseInt(window.document.docnetworkconfig.cicsmqnumberofconnections.value);
      
       vTotalConnectionsOld    = vIMSConnectionsOld + vIMSMQConnectionsOld + vCICSConnectionsOld + vCICSMQConnectionsOld;  
     

       /* Check that not everything is removed */

       vNumberOfIMSRemoves    = parseInt(countNumberOfRemoves(vIMSConnectionsOld,    &quot;imsremoveconnection&quot;));                  
       vNumberOfIMSMQRemoves  = parseInt(countNumberOfRemoves(vIMSMQConnectionsOld,  &quot;imsmqremoveconnection&quot;));  
       vNumberOfCICSRemoves   = parseInt(countNumberOfRemoves(vCICSConnectionsOld,   &quot;cicsremoveconnection&quot;));    
       vNumberOfCICSMQRemoves = parseInt(countNumberOfRemoves(vCICSMQConnectionsOld, &quot;cicsmqremoveconnection&quot;));  
       
       vNumberOfTotalRemoves = vNumberOfIMSRemoves + vNumberOfIMSMQRemoves + vNumberOfCICSRemoves + vNumberOfCICSMQRemoves;
    

       if ( vTotalConnectionsOld &gt; 0 )
       {  
          if ( vNumberOfTotalRemoves &gt;= vTotalConnectionsOld ) 
          {
             alert('DOC0524E  ' + &quot;</xsl:text><xsl:value-of select="$zDOC0524E"/><xsl:text>&quot;);
             vRemovesOk = false;
             vAllOk     = false;

          }   
       }  
     

       /* Check validiy of passwords */
      
       vIMSPasswordsOk     = checkConnectionPasswords('ims',vIMSConnectionsOld);             
       vIMSMQPasswordsOk   = checkConnectionPasswords('imsmq',vIMSMQConnectionsOld);      
       vCICSPasswordsOk    = checkConnectionPasswords('cics',vCICSConnectionsOld);    
       vCICSMQPasswordsOk  = checkConnectionPasswords('cicsmq',vCICSMQConnectionsOld);  
      
       if ( ( vIMSPasswordsOk     == false ) || 
            ( vIMSMQPasswordsOk   == false ) ||
            ( vCICSPasswordsOk    == false ) ||
            ( vCICSMQPasswordsOk  == false ) )
       {
          vPasswordsOk = false;
          vAllOk       = false; 
       }
     
       else 
       {
            /* @008  Start */        
          processConnectionPasswords('ims',vIMSConnectionsOld);             
          processConnectionPasswords('imsmq',vIMSMQConnectionsOld);      
          processConnectionPasswords('cics',vCICSConnectionsOld);    
          processConnectionPasswords('cicsmq',vCICSMQConnectionsOld);
             /* @008  End */
       } 
       

       /* Recheck input fields */
      
       for ( vIndex = 0;  vIndex &lt; vNumberOfElementsInForm ; vIndex++)
       {
          vInputOk[vIndex] = true;     
       }   

       for ( vIndex = 0; vIndex &lt; vNumberOfElementsInForm ; vIndex++ )
       {      

          vElement      = window.document.forms[0].elements[vIndex];
         
          vElementType  = vElement.type;    
          vElementName  = vElement.name;

        
          
          if ( vElementType == 'text' )
          { 

        
              vGenericElementName =  getGenericElementName(vElementName);
           
              vElement.style.background = 'white';      
              vElementValue = (document.getElementsByName(vElementName))[0].value;


           

              if ( vElementValue.length != 0 )
              {
                  vElementValue = trimString(vElementValue);
              } 

              
               // Test content of vElementValue according to rules depending on vGenericElementName              

              vInputOk[vIndex] = fnTestTextField(  vGenericElementName, vElementValue );


              if ( vInputOk[vIndex] == false )
              {                        
                 vElement.style.background = 'salmon';
              } 

          } // End of if
  
       } // End of for 


       for ( vIndex = 0;  vIndex &lt; vNumberOfElementsInForm ; vIndex++)
       {
          if ( vInputOk[vIndex] == false )
          {
              vAllOk = false;                         
          }               
       }   
      

       /* Check whether all is ok */ 

       if ( vAllOk == false )
       {
          alert('DOC0540E  ' + &quot;</xsl:text><xsl:value-of select="$zDOC0540E"/><xsl:text>&quot;);           
          vProcessOk = false ;
       }
       else 
       {
          vConfirm   = window.confirm(&quot;DOC0517I  &quot; +&quot;</xsl:text><xsl:value-of select="$zDOC0517I"/><xsl:text>&quot;);  
          vProcessOk = vConfirm;   
       }              

       return vProcessOk;
    
    } // End of fnButtonOkNetworkConfiguration()


    function fnCfgHelp()
    {
       var  vHelp = true; 
       var  vWin;
       var  vProtocol = window.location.protocol;  
       var  vHost     = window.location.host;
       var  vPathname     = window.location.pathname;
       var  vStartOfPath  = vPathname.split('/')[1];        
       var  vStartHelpUrl = vProtocol + '//' + vHost + '/' + vStartOfPath + '/helpconfig/';   

            
       var  vCfgHelpUrl = vStartHelpUrl + '</xsl:text><xsl:value-of select="$alangelement"/><xsl:text>' + '/configuring_the_asf_server_and_network_connections.htm';

       

       vWin = window.open(vCfgHelpUrl,&quot;&quot;,&quot;width=600,height=400,scrollbars=yes,resizable=yes&quot;);  
       return(vHelp);         

    } // End of fnCfgHelp()  
     

    function fnIsPassword()
    {

       var    vInputElement    = window.event.srcElement;  
       var    vInput           = vInputElement.value;    

       var    vInputIsPassword = true;   
      
       vInputElement.style.background = 'white';  

       if ( vInput != '' ) 
       {
          vInputIsPassword = isValueAlphaNumericWord(vInput);  
          if ( vInputIsPassword == false )
          {
             vInputElement.style.background = 'salmon'; 
      
             fnErrorAlert( vInputElement,  'DOC0509E', '');         
          }
       }
       
       return vInputIsPassword;

    } // End of fnIsPassword()  



   
    

    function fnIsInteger()
    {    
       var    vInputElement    = window.event.srcElement;  
       var    vInput           = vInputElement.value;      
         
       var    vInputIsInteger = true;   
      
       vInputElement.style.background = 'white';  

       if ( vInput == &quot;0&quot;) 
       {
          vInputIsInteger = true;                     
       } 
       else 
       {
         
          vInputIsInteger = isValidInput('Integer',vInput);
          
          if ( vInputIsInteger == false )
          {
            
             vInputElement.style.background = 'salmon';
             
             fnErrorAlert( vInputElement,  'DOC0511E', '');
             
          } 
          
       } 
  
       return vInputIsInteger;
 
    } // End of fnIsInteger()

    
   


    function fnOnclickCheckbox(aSource)
    {
       var   vProcessCheckbox = false;
 
       // alert('fnOnlickCheckbox started aSource=' + aSource); 

       vProcessCheckbox = fnProcessCheckbox(aSource);

       // alert('fnOnlickCheckbox finished  vProcessCheckbox=' +  vProcessCheckbox ); 

       if (( vProcessCheckbox == false ) &amp;&amp; (aSource == 'asfservletpreviewtransformenabled' ))
       { 
           alert(&quot;DOC0553E  &quot; + &quot;</xsl:text><xsl:value-of select="$zDOC0553E"/><xsl:text>&quot;);              
            
       } 
       return vProcessCheckbox;
     } // End of fnOnclickCheckbox()


    function fnCompareWithReferenceValue(aCompareOperator, aReferenceValue, aErrorMsgNumber)
    {
       var    vDebug           = false; 
       var    vInputElement    = window.event.srcElement;  
       var    vInput           = vInputElement.value;      
       
       var    vInputIsGreaterThan = true;
       var    vInputIsOk = true;

       vInputElement.style.background = 'white';

       switch (aCompareOperator)
       {
           case 'GT' :
             vInputIsOk = isValueGreaterThan(vInput, aReferenceValue);
           break;
           case 'GE' :
             vInputIsOk = isValueGreaterEqualThan(vInput, aReferenceValue); 
           break;
           case 'LT' :
             vInputIsOk = isValueLessThan(vInput, aReferenceValue);
           break;
           case 'LE' :
             vInputIsOk = isValueLessEqualThan(vInput, aReferenceValue);
           break;
           default:
              vInputIsOk = true;                    
       }
       if ( vDebug == true )
       {
           alert('aCompareOperator,aReferenceValue,aErrorMsgNumber,vInputIsOk=' + aCompareOperator + ','  + aReferenceValue +  ',' + aErrorMsgNumber + ',' + vInputIsOk);
       }

       if ( vInputIsOk == false )
       {  
         
          vInputElement.style.background = 'salmon';
          fnErrorAlert( vInputElement,  aErrorMsgNumber, aReferenceValue);  
       }

    } // End of fnCompareWithReferenceValue()

    function fnIsGreaterEqualThan(aMinimumValue)
    {
       return fnCompareWithReferenceValue('GE', aMinimumValue, 'DOC0514E');       
    } // End of fnIsGreaterEqualThan()


    function fnIsGreaterThan(aMinimumValue)
    {
       return fnCompareWithReferenceValue('GT', aMinimumValue, 'DOC0514E');
    } // End of fnIsGreaterThan()


    function fnIsLessEqualThan(aMaximumValue)
    {
       return fnCompareWithReferenceValue('LE', aMaximumValue, 'DOC0513E');
    } // End of fnIsLessEqualThan()

    function fnIsLessThan(aMaximumValue)
    {
       return fnCompareWithReferenceValue('LT', aMaximumValue, 'DOC0513E');
    } // End of fnIsLessThan()
       
    function fnIsNicknameNotReservedName()
    {      
       return fnIsValidTypeAndNotEmpty(8, 'DOC0557E', '');
    } // End of fnIsNicknameNotReservedName()

    function fnIsNumeric()
    {
       return fnIsValidTypeAndNotEmpty(7, 'DOC0505E', '');
    } // End of fnIsNumeric()


  

    function fnIsRacfUserid()
    {     
       return fnIsValidTypeAndNotEmpty(6, 'DOC0560E', ''); 
    } // End of fnIsRacfUserid()  

    function fnIsValidDirectoryname()
    {
       return fnIsValidTypeAndNotEmpty(1, 'DOC0531E', '');
    } // End of fnIsValidDirectoryname()


    function fnIsValidFilename()
    {
       return fnIsValidTypeAndNotEmpty(2, 'DOC0527E', '');
    } // End of fnIsValidFilename()



    function fnIsAlphaNumeric()
    {     
       return fnIsValidTypeAndNotEmpty(13, 'DOC0509E', '');
    } // End of fnIsAlphaNumeric()  
   
   
    function fnIsAlphaNumericDotWord()
    {     
        return fnIsValidTypeAndNotEmpty(9, 'DOC0512E', '');
    } // End of fnOsAlphaNumericDotword()

    function fnIsAlphaNumericDotUnderscorePlaceholderWord()
    {     
       return fnIsValidTypeAndNotEmpty(10, 'DOC0558E', '');
    } // End of fnIsAlphaNumericDotUnderscorePlaceholderword()

    function fnIsAlphaNumericSpecial(aSpecialString)
    {      
       return fnIsValidTypeAndNotEmpty(11, 'DOC0530E', aSpecialString);
    } // End of fnIsAlphaNumericSpecial() 


    function fnIsAlphaNumericWord()
    {    
       return fnIsValidTypeAndNotEmpty(12, 'DOC0509E', '');  
    } // End of fnIsAlphaNumericWord()

    function fnIsValidText()
    {    
       return fnIsValidTypeAndNotEmpty(5, 'DOC0541E', '');
    } // End of fnIsValidText()


    function fnIsValidTypeAndNotEmpty(aMode, aErrorMsgNumber, aExternalParameter)
    { 
       var    vDebug = false; // Test to false
  
       var    vIsValidTypeAndNotEmpty = true;   
       var    vInputElement    = window.event.srcElement;  
       var    vInput           = vInputElement.value;     
        
       vInputElement.style.background = 'white';      


       switch (aMode) 
       { 
          case 1:
            vIsValidTypeAndNotEmpty = isValueDirectoryname(vInput);
            break;
          case 2:
            vIsValidTypeAndNotEmpty = isValueFilename(vInput);
            break; 
          case 5:
            vIsValidTypeAndNotEmpty  = isValueText(vInput);  
            break;
          case 6:
            vIsValidTypeAndNotEmpty  = isValidInput('RacfUserid',vInput);
            break;
          case 7:
            vIsValidTypeAndNotEmpty = isValidInput('Numeric',vInput);     
            break;
          case 8:
            vIsValidTypeAndNotEmpty = isNicknameNotReservedName(vInput);  
            break;
          case 9:
            vIsValidTypeAndNotEmpty =  isValueAlphaNumericDotWord(vInput);  
            break;
          case 10:
            vIsValidTypeAndNotEmpty   = isValueAlphaNumericDotUnderscorePlaceholderWord(vInput);     
            break;
          case 11:            
            vIsValidTypeAndNotEmpty = isValueAlphaNumericSpecial(vInput, aExternalParameter);  
            break;
          case 12:
            vIsValidTypeAndNotEmpty  = isValueAlphaNumericWord(vInput);  
            break; 
          case 13:
            vIsValidTypeAndNotEmpty = isValidInput('AlphaNumeric',vInput);  
            break;   
          default:
       }     
       if ( vDebug == true )
       {
           alert('aMode,aErrorMsgNumber,vIsValidTypeAndNotEmpty=' + aMode + ',' + aErrorMsgNumber + ',' + vIsValidTypeAndNotEmpty);
       } 
        
       if ( vIsValidTypeAndNotEmpty == false )
       {
          vInputElement.style.background = 'salmon';
          fnErrorAlert( vInputElement,  aErrorMsgNumber, ''); 
       }
  
       return vIsValidTypeAndNotEmpty;  

    } // End of fnIsValidTypeAndNotEmpty() 


    function fnIsValidUrl()
    {
       var    vInputElement    = window.event.srcElement;  
       var    vInput           = vInputElement.value;     
       var    vInputLength     = vInput.length; 
       var    vIsValidUrl = true;   
       var    vRawMessage ;
          
 
       vInputElement.style.background = 'white';  

       if ( vInput == &quot;local:&quot; )
       {
          vIsValidUrl = true; 
       }   
       else 
       {
          if ( isValidInput('Url', vInput) == false)
          {   
            vIsValidUrl = false;
          }    
       }            
      
       if ( vIsValidUrl == false )
       {
          vInputElement.style.background = 'salmon';           
          vRawMessage = &quot;</xsl:text><xsl:value-of select="$zDOC0515E"/><xsl:text>&quot;;  
          alert('DOC0515E ' + fnFormatMessage(vRawMessage, vInputElement));
       } 
 
       return vIsValidUrl;

    } // End of fnIsValidUrl()
  


    function hasMinimumLength(aMinimumInputLength)
    {
       var    vInputElement    = window.event.srcElement;  
       var    vInput           = vInputElement.value;
       var    vInputLength     = vInput.length; 
       var    vInputHasValidLength = true;
      

       vInputElement.style.background = 'white'; 
      
       if ( vInputLength &lt; aMinimumInputLength )
       {
          vInputHasValidLength = false;
       }   

       if ( vInputHasValidLength == false )
       {
          vInputElement.style.background = 'salmon';  
          fnErrorAlert( vInputElement,  'DOC0508E', aMaximumValue);
       }  

       return vInputHasValidLength;

    }  // End of hasMinimumLength()

   </xsl:text>        
</xsl:template> 



  
</xsl:stylesheet>
