<?xml version="1.0" encoding="UTF-8"?>
<!--*******************************************************************************
*
* Licensed Material - Property of IBM
*
* 5655-002
*
* (C) Copyright IBM Corp. 2003
*                                                                           
*   US Government Users Restricted Rights - Use, duplication or
*   disclosure restricted by GSA ASP Schedule Contract with
*   IBM Corp.
*                                                                         
*                                                                           
* MODULE NAME= docd2hcallables.xslt                                                 
*                                                                           
* DESCRIPTIVE NAME= Callable templates used by the DCF to XHTML conversion 
*                                                                           
* Description: This style sheet was originally part of the huge docd2h stylesheet.
*              As a result of a major rework involving modularization of that stylesheet
*              the callable templates were separated out
*                                                                           
* Author: Dieter Gottschall
*                                                                           
* Change Activity:                                                          
*                                                                           
* Code		Release 	Date			Person		Reason                                    
* @00=		1.0.0		2003-05-20		GOT		Creation as part of a major rework
* @01=		1.0.0		2003-06-30		GOT		PTR2902 don't make DCF Controls and comments bold
* @02=		1.0.0		2003-07-23		GOT		PTR2468/1 bomment block under list displayed as object. 
* @03=		1.0.0		2003-08-04		GOT		PTR3688 Make editfonf variable  
* @04=		1.0.0		2003-09-23		GOT		PTR3622 Usergroup/combo box processing     
* @05=		1.1.6		2003-11-20		GOT		PQ81078/PTR3719 Ziffer-1 (Class=combo).
* @06=		1.1.6		2004-05-27		GOT		PQ88965 actiontag
* @07=		1.1.6		2004-06-02		GOT		PQ89610 GEZ/FormOff problems
* @08=		1.1.6		2004-06-07		GOT		PTR3050 Don't force dots for DCF variables and process .ct differently
* @09=		1.1.6		2004-11-30		GOT		PQ97671, PTR4473 table roundtrip
* @10=		1.1.6		2004-12-15		GOT		PTR4503 (PQ98310) Roundtrip of empty tables	
* @11		1.2.2		2006-04-10		MMar	DPK22286 Encoding changed to UTF-8 
* @12		122/3	2006-12-11		GOT		DPK35158 (PTR5925) doubled TD contents
*
*****************************************************************************************-->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<!-- @11 -->
	<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="no" standalone="yes" omit-xml-declaration="no"/>
	<xsl:template name="dcfcontrol">
		<xsl:if test="$p-trace = 'Yes'">
			<xsl:message>in dcfcontrol</xsl:message>
			<xsl:message>
				<xsl:value-of select="."/>
			</xsl:message>
		</xsl:if>
		<!-- Have a space in a variable -->
		<xsl:variable name="space" select="' '"/>
		<!-- We create the DIV -->
		<DIV class="dcfc" disabled="disabled">
			<!-- Get the contents into a variable -->
			<xsl:variable name="ivalue">
				<xsl:text>.</xsl:text>
				<xsl:value-of select="name()"/>
				<xsl:value-of select="$space"/>
				<xsl:value-of select="."/>
			</xsl:variable>
			<!-- Create the INPUT in the length of the value -->
			<!--
			<xsl:element name="INPUT">
				<xsl:attribute name="value"><xsl:value-of select="$ivalue"/></xsl:attribute>
				<xsl:attribute name="disabled">disabled</xsl:attribute>
				<xsl:attribute name="class">dcfi</xsl:attribute>
				<xsl:attribute name="size"><xsl:value-of select="string-length($ivalue)"/></xsl:attribute>
			</xsl:element>
			-->
			<xsl:value-of select="$ivalue"/>
		</DIV>
		<!--******************************************************************************* -->
		<!--*                                                                             * -->
		<!--* The gmltag called copies the contents and recurses                          * -->
		<!--*                                                                             * -->
		<!--******************************************************************************* -->
	</xsl:template>
	<xsl:template name="gmltag">
		<xsl:copy>
			<xsl:for-each select="@*">
				<xsl:copy-of select="."/>
			</xsl:for-each>
			<xsl:apply-templates/>
		</xsl:copy>
	</xsl:template>
	<!--******************************************************************************* -->
	<!--*                                                                             * -->
	<!--* The makeTextDIVS called template creates the DIVs required for a textblock  * -->
	<!--* (1) An outer DIV carrying the editable attribute (passed as a parameter)    * -->
	<!--*     and the edittext class                                                  * -->
	<!--* (2) An innerdiv with class innerdiv which is required to only create DIVs   * -->
	<!--*     (newlines) on enter                                                     * -->
	<!--*                                                                             * -->
	<!--******************************************************************************* -->
	<xsl:template name="makeTextDIVs">
		<xsl:param name="extra-text"/>
		<xsl:param name="join"/>
		<xsl:element name="DIV">
			<xsl:if test="$p-e-global = 'N'">
				<xsl:if test="not (ancestor::node()/@list)">
					<xsl:attribute name="contenteditable"><xsl:value-of select="$p-speditable"/></xsl:attribute>
				</xsl:if>
				<xsl:if test="@adjust = 'no'">
					<xsl:attribute name="class">nowrapparag</xsl:attribute>
				</xsl:if>
			</xsl:if>
			<xsl:choose>
				<xsl:when test="$p-e-innerdivs = 'Yes'">
					<xsl:element name="DIV">
						<xsl:attribute name="class">innerdiv</xsl:attribute>
						<xsl:choose>
							<xsl:when test="@adjust = 'no'">
								<xsl:element name="P">
									<xsl:attribute name="class"><xsl:text>nowrapparag</xsl:text></xsl:attribute>
									<xsl:apply-templates/>
								</xsl:element>
							</xsl:when>
							<xsl:otherwise>
								<xsl:apply-templates/>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:element>
				</xsl:when>
				<xsl:otherwise>
					<xsl:element name="P">
						<xsl:if test="@adjust = 'no'">
							<xsl:attribute name="class">nowrapparag</xsl:attribute>
						</xsl:if>
						<xsl:if test="$join = 'Y'">
							<xsl:attribute name="join">Y</xsl:attribute>
							<xsl:value-of select="$extra-text"/>
						</xsl:if>
						<xsl:apply-templates/>
					</xsl:element>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:element>
	</xsl:template>
	<!--******************************************************************************* -->
	<!--*                                                                             * -->
	<!--* createBR is a recursive template used to create a given number of BRs       * -->
	<!--*                                                                             * -->
	<!--******************************************************************************* -->
	<xsl:template name="createBR">
		<xsl:param name="brcount"/>
		<xsl:if test="$brcount > 0">
			<xsl:element name="BR"/>
			<xsl:call-template name="createBR">
				<xsl:with-param name="brcount">
					<xsl:number value="$brcount - 1"/>
				</xsl:with-param>
			</xsl:call-template>
		</xsl:if>
	</xsl:template>
	<!--******************************************************************************* -->
	<!--*                                                                             * -->
	<!--* createBR is a recursive template used to create a given number of BRs       * -->
	<!--*                                                                             * -->
	<!--******************************************************************************* -->
	<xsl:template name="returnGatts">
		<xsl:variable name="space" select="' '"/>
		<xsl:for-each select="@*">
			<xsl:variable name="attname">
				<xsl:value-of select="name(.)"/>
			</xsl:variable>
			<xsl:if test="starts-with($attname, 'gatt')">
				<xsl:if test="$attname != 'gattno'">
					<xsl:value-of select="$space"/>
					<xsl:value-of select="."/>
				</xsl:if>
			</xsl:if>
		</xsl:for-each>
	</xsl:template>
	<!--******************************************************************************* -->
	<!--* This recursive sub-template creates disabled input fields for DCF           * -->
	<!--* symbols. It deals with text starting with an ampersand                      * -->
	<!--******************************************************************************* -->
	<xsl:template name="protect-vars">
		<xsl:param name="text-line"/>
		<xsl:if test="$p-trace = 'Yes'">
			<xsl:message>Entering protect-vars with</xsl:message>
			<xsl:message>
				<xsl:value-of select="$text-line"/>
			</xsl:message>
		</xsl:if>
		<!--*************************************************************************** -->
		<!--* In case the line doesn't contain ampersands we simply return that line  * -->
		<!--*************************************************************************** -->
		<xsl:choose>
			<xsl:when test="not(contains($text-line, '&amp;'))">
				<xsl:if test="$p-trace = 'Yes'">
					<xsl:message>**No &amp; found, returning original</xsl:message>
				</xsl:if>
				<xsl:value-of select="$text-line"/>
			</xsl:when>
			<xsl:otherwise>
				<!--*************************************************************************** -->
				<!--* Prepare processing by setting all the variables we need:                * -->
				<!--* 1) before-amp is the text string preceding the ampersad.                * -->
				<!--* 2) after-amp is the text string following the ampersad.                 * -->
				<!--* 3) before-length and after-length are the respective string lenghts     * -->
				<!--*************************************************************************** -->
				<xsl:variable name="before-amp">
					<xsl:value-of select="substring-before($text-line, '&amp;')"/>
				</xsl:variable>
				<xsl:variable name="after-amp">
					<xsl:value-of select="substring-after($text-line, '&amp;')"/>
				</xsl:variable>
				<xsl:variable name="before-length">
					<xsl:value-of select="string-length($before-amp)"/>
				</xsl:variable>
				<xsl:variable name="line-length">
					<xsl:value-of select="string-length($text-line)"/>
				</xsl:variable>
				<xsl:if test="$p-trace = 'Yes'">
					<xsl:message>Before amp:
						<xsl:value-of select="$before-amp"/>
					</xsl:message>
					<xsl:message>After amp:
						<xsl:value-of select="$after-amp"/>
					</xsl:message>
					<xsl:message>Before length:
						<xsl:value-of select="$before-length"/>
					</xsl:message>
					<xsl:message>Line length:
						<xsl:value-of select="$line-length"/>
					</xsl:message>
				</xsl:if>
				<!--*************************************************************************** -->
				<!-- return the stuff before the amp. Because of a problem in the             * -->
				<!-- stylesheet processor which returns the full string if the amp is at      * -->
				<!-- first position we also check for equal                                   * -->
				<!--*************************************************************************** -->
				<xsl:if test="($before-length &gt; 0) and ($before-length != $line-length)">
					<xsl:value-of select="$before-amp"/>
				</xsl:if>
				<!--*************************************************************************** -->
				<!-- Now determine the symbol. We have to deal with three cases               * -->
				<!-- 1) The "well-formed" case: the symbol is ended by a dot.                 * -->
				<!-- 2) The "blank" case: the symbol is ended by a blank                      * -->
				<!-- 3) The "line" case: the symbol is ended by the end of the text-block     * -->
				<!--*************************************************************************** -->
				<xsl:variable name="dcf-symbol-dot">
					<xsl:value-of select="substring-before(concat($after-amp, '.'), '.')"/>
				</xsl:variable>
				<xsl:variable name="dcf-symbol-blank">
					<xsl:value-of select="substring-before(concat($after-amp, ' '), ' ')"/>
				</xsl:variable>
				<xsl:variable name="sdot-len">
					<xsl:value-of select="string-length($dcf-symbol-dot)"/>
				</xsl:variable>
				<xsl:variable name="sblank-len">
					<xsl:value-of select="string-length($dcf-symbol-blank)"/>
				</xsl:variable>
				<xsl:if test="$p-trace = 'Yes'">
					<xsl:message>
						<xsl:text>dcf-symbol-dot=</xsl:text>
						<xsl:value-of select="$dcf-symbol-dot"/>
						<xsl:text>dcf-symbol-blank=</xsl:text>
						<xsl:value-of select="$dcf-symbol-blank"/>
						<xsl:text>sdot-len=</xsl:text>
						<xsl:value-of select="$sdot-len"/>
						<xsl:text>sblank-len=</xsl:text>
						<xsl:value-of select="$sblank-len"/>
					</xsl:message>
				</xsl:if>
				<xsl:choose>
					<xsl:when test="string($after-amp) = ''">
						<xsl:text>&amp;</xsl:text>
					</xsl:when>
					<!--*********************************************************************** -->
					<!--  The "stands alone" case                                             * -->
					<!--*********************************************************************** -->
					<xsl:when test="starts-with($after-amp, ' ')">
						<xsl:message>****&amp; stands alone****</xsl:message>
						<xsl:text>&amp;</xsl:text>
						<xsl:if test="$after-amp != ''">
							<xsl:call-template name="protect-vars">
								<xsl:with-param name="text-line">
									<xsl:value-of select="$after-amp"/>
								</xsl:with-param>
							</xsl:call-template>
						</xsl:if>
					</xsl:when>
					<!--*********************************************************************** -->
					<!--  The "line" case: the symbol is ended by the end of the text-block   * -->
					<!--*********************************************************************** -->
					<xsl:when test="($line-length = $sdot-len) and ($line-length = sblank-length)">
						<xsl:call-template name="createInput-and-recurse">
							<xsl:with-param name="dcf-sym">
								<xsl:value-of select="concat($dcf-symbol-dot, '.')"/>
							</xsl:with-param>
							<xsl:with-param name="rest"/>
						</xsl:call-template>
					</xsl:when>
					<!--*********************************************************************** -->
					<!-- The "well-formed" case: the symbol is ended by a dot.                * -->
					<!--*********************************************************************** -->
					<xsl:when test="$sdot-len &lt; $sblank-len">
						<xsl:call-template name="createInput-and-recurse">
							<xsl:with-param name="dcf-sym">
								<xsl:value-of select="concat($dcf-symbol-dot, '.')"/>
							</xsl:with-param>
							<xsl:with-param name="rest">
								<xsl:value-of select="substring-after($text-line, concat($dcf-symbol-dot, '.'))"/>
							</xsl:with-param>
						</xsl:call-template>
					</xsl:when>
					<!--*********************************************************************** -->
					<!-- The "blank" case: the symbol is ended by a blank                     * -->
					<!--*********************************************************************** -->
					<xsl:when test="$sblank-len &lt; $sdot-len">
						<xsl:call-template name="createInput-and-recurse">
							<xsl:with-param name="dcf-sym">
								<xsl:value-of select="concat($dcf-symbol-blank, '.')"/>
							</xsl:with-param>
							<xsl:with-param name="rest">
								<xsl:value-of select="substring-after($text-line, $dcf-symbol-blank)"/>
							</xsl:with-param>
						</xsl:call-template>
					</xsl:when>
					<!--*********************************************************************** -->
					<!-- The "one in a line" case: the symbol is ended by a blank             * -->
					<!--*********************************************************************** -->
					<xsl:when test="$sblank-len = $sdot-len">
						<xsl:call-template name="createInput-and-recurse">
							<xsl:with-param name="dcf-sym">
								<xsl:value-of select="concat($dcf-symbol-blank, '.')"/>
							</xsl:with-param>
							<xsl:with-param name="rest">
								<xsl:value-of select="substring-after($text-line, $dcf-symbol-blank)"/>
							</xsl:with-param>
						</xsl:call-template>
					</xsl:when>
					<xsl:otherwise>
						<xsl:message>**Logic error, this is impossible**</xsl:message>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<!--******************************************************************************* -->
	<!--* This recursive sub-template creates disabled SPANS fields for DCF           * -->
	<!--* symbols. It deals with text starting with an ampersand                      * -->
	<!--******************************************************************************* -->
	<xsl:template name="gray-vars">
		<xsl:param name="text-line"/>
		<xsl:if test="$p-trace = 'Yes'">
			<xsl:message>Entering gray-vars with <xsl:value-of select="$text-line"/>
			</xsl:message>
		</xsl:if>
		<!--*************************************************************************** -->
		<!--* In case the line doesn't contain ampersands we simply return that line  * -->
		<!--*************************************************************************** -->
		<xsl:choose>
			<xsl:when test="not(contains($text-line, '&amp;'))">
				<xsl:if test="$p-trace = 'Yes'">
					<xsl:message>**No &amp; found, returning original</xsl:message>
				</xsl:if>
				<xsl:value-of select="$text-line"/>
			</xsl:when>
			<xsl:otherwise>
				<!--*************************************************************************** -->
				<!--* Prepare processing by setting all the variables we need:                * -->
				<!--* 1) before-amp is the text string preceding the ampersad.                * -->
				<!--* 2) after-amp is the text string following the ampersad.                 * -->
				<!--* 3) before-length and after-length are the respective string lenghts     * -->
				<!--*************************************************************************** -->
				<xsl:variable name="before-amp">
					<xsl:value-of select="substring-before($text-line, '&amp;')"/>
				</xsl:variable>
				<xsl:variable name="after-amp">
					<xsl:value-of select="substring-after($text-line, '&amp;')"/>
				</xsl:variable>
				<xsl:variable name="before-length">
					<xsl:value-of select="string-length($before-amp)"/>
				</xsl:variable>
				<xsl:variable name="line-length">
					<xsl:value-of select="string-length($text-line)"/>
				</xsl:variable>
				<xsl:if test="$p-trace = 'Yes'">
					<xsl:message>Before amp: <xsl:value-of select="$before-amp"/>
					</xsl:message>
					<xsl:message>After amp: <xsl:value-of select="$after-amp"/>
					</xsl:message>
					<xsl:message>Before length: <xsl:value-of select="$before-length"/>
					</xsl:message>
					<xsl:message>Line length: 	<xsl:value-of select="$line-length"/>
					</xsl:message>
				</xsl:if>
				<!--*************************************************************************** -->
				<!-- return the stuff before the amp. Because of a problem in the             * -->
				<!-- stylesheet processor which returns the full string if the amp is at      * -->
				<!-- first position we also check for equal                                   * -->
				<!--*************************************************************************** -->
				<xsl:if test="($before-length &gt; 0) and ($before-length != $line-length)">
					<xsl:value-of select="$before-amp"/>
				</xsl:if>
				<!--*************************************************************************** -->
				<!-- Now determine the symbol. We have to deal with three cases               * -->
				<!-- 1) The "well-formed" case: the symbol is ended by a dot.                 * -->
				<!-- 2) The "blank" case: the symbol is ended by a blank                      * -->
				<!-- 3) The "line" case: the symbol is ended by the end of the text-block     * -->
				<!--*************************************************************************** -->
				<xsl:variable name="dcf-symbol-dot">
					<xsl:value-of select="substring-before(concat($after-amp, '.'), '.')"/>
				</xsl:variable>
				<xsl:variable name="dcf-symbol-blank">
					<xsl:value-of select="substring-before(concat($after-amp, ' '), ' ')"/>
				</xsl:variable>
				<xsl:variable name="sdot-len">
					<xsl:value-of select="string-length($dcf-symbol-dot)"/>
				</xsl:variable>
				<xsl:variable name="sblank-len">
					<xsl:value-of select="string-length($dcf-symbol-blank)"/>
				</xsl:variable>
				<xsl:if test="$p-trace = 'Yes'">
					<xsl:message>
						<xsl:text>dcf-symbol-dot=</xsl:text>
						<xsl:value-of select="$dcf-symbol-dot"/>
						<xsl:text>dcf-symbol-blank=</xsl:text>
						<xsl:value-of select="$dcf-symbol-blank"/>
						<xsl:text>sdot-len=</xsl:text>
						<xsl:value-of select="$sdot-len"/>
						<xsl:text>sblank-len=</xsl:text>
						<xsl:value-of select="$sblank-len"/>
					</xsl:message>
				</xsl:if>
				<xsl:choose>
					<xsl:when test="string($after-amp) = ''">
						<xsl:text>&amp;</xsl:text>
					</xsl:when>
					<!--*********************************************************************** -->
					<!--  The "stands alone" case                                             * -->
					<!--*********************************************************************** -->
					<xsl:when test="starts-with($after-amp, ' ')">
						<xsl:message>****&amp; stands alone****</xsl:message>
						<xsl:text>&amp;</xsl:text>
						<xsl:if test="$after-amp != ''">
							<xsl:call-template name="protect-vars">
								<xsl:with-param name="text-line">
									<xsl:value-of select="$after-amp"/>
								</xsl:with-param>
							</xsl:call-template>
						</xsl:if>
					</xsl:when>
					<!--*********************************************************************** -->
					<!--  The "line" case: the symbol is ended by the end of the text-block   * -->
					<!--*********************************************************************** -->
					<xsl:when test="($line-length = $sdot-len) and ($line-length = sblank-length)">
						<xsl:call-template name="createspan-and-recurse">
							<xsl:with-param name="dcf-sym">
								<xsl:value-of select="$dcf-symbol-dot"/>
							</xsl:with-param>
							<xsl:with-param name="rest"/>
						</xsl:call-template>
					</xsl:when>
					<!--*********************************************************************** -->
					<!-- The "well-formed" case: the symbol is ended by a dot.                * -->
					<!--*********************************************************************** -->
					<xsl:when test="$sdot-len &lt; $sblank-len">
						<xsl:call-template name="createspan-and-recurse">
							<xsl:with-param name="dcf-sym">
								<xsl:value-of select="concat($dcf-symbol-dot, '.')"/>
							</xsl:with-param>
							<xsl:with-param name="rest">
								<xsl:value-of select="substring-after($text-line, concat($dcf-symbol-dot, '.'))"/>
							</xsl:with-param>
						</xsl:call-template>
					</xsl:when>
					<!--*********************************************************************** -->
					<!-- The "blank" case: the symbol is ended by a blank                     * -->
					<!--*********************************************************************** -->
					<xsl:when test="$sblank-len &lt; $sdot-len">
						<xsl:call-template name="createspan-and-recurse">
							<xsl:with-param name="dcf-sym">
								<xsl:value-of select="$dcf-symbol-blank"/>
							</xsl:with-param>
							<xsl:with-param name="rest">
								<xsl:value-of select="substring-after($text-line, $dcf-symbol-blank)"/>
							</xsl:with-param>
						</xsl:call-template>
					</xsl:when>
					<!--*********************************************************************** -->
					<!-- The "one in a line" case: the symbol is ended by a blank             * -->
					<!--*********************************************************************** -->
					<xsl:when test="$sblank-len = $sdot-len">
						<xsl:call-template name="createspan-and-recurse">
							<xsl:with-param name="dcf-sym">
								<xsl:value-of select="$dcf-symbol-blank"/>
							</xsl:with-param>
							<xsl:with-param name="rest">
								<xsl:value-of select="substring-after($text-line, $dcf-symbol-blank)"/>
							</xsl:with-param>
						</xsl:call-template>
					</xsl:when>
					<xsl:otherwise>
						<xsl:message>**Logic error, this is impossible**</xsl:message>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="createInput-and-recurse">
		<xsl:param name="dcf-sym">
		</xsl:param>
		<xsl:param name="rest">
		</xsl:param>
		<xsl:variable name="act-val">
			<xsl:text>&amp;</xsl:text>
			<xsl:value-of select="$dcf-sym"/>
		</xsl:variable>
		<xsl:element name="INPUT">
			<xsl:attribute name="class">dcfi</xsl:attribute>
			<xsl:attribute name="value"><xsl:value-of select="$act-val"/></xsl:attribute>
			<xsl:attribute name="disabled">disabled</xsl:attribute>
			<xsl:attribute name="size"><xsl:value-of select="string-length($act-val)"/></xsl:attribute>
		</xsl:element>
		<!--
		<xsl:element name="SPAN">
			<xsl:attribute name="class">dcfi</xsl:attribute>
			<xsl:attribute name="disabled">disabled</xsl:attribute>
			<xsl:attribute name="contenteditable">false</xsl:attribute>
			<xsl:value-of select="$act-val"/>
		</xsl:element>
		-->
		<xsl:if test="$rest != ''">
			<xsl:call-template name="protect-vars">
				<xsl:with-param name="text-line">
					<xsl:value-of select="$rest"/>
				</xsl:with-param>
			</xsl:call-template>
		</xsl:if>
	</xsl:template>
	<xsl:template name="createspan-and-recurse">
		<xsl:param name="dcf-sym">
		</xsl:param>
		<xsl:param name="rest">
		</xsl:param>
		<xsl:variable name="act-val">
			<xsl:text>&amp;</xsl:text>
			<xsl:value-of select="$dcf-sym"/>
		</xsl:variable>
		<xsl:element name="SPAN">
			<xsl:attribute name="disabled">disabled</xsl:attribute>
			<xsl:value-of select="$act-val"/>
		</xsl:element>
		<xsl:if test="$rest != ''">
			<xsl:call-template name="gray-vars">
				<xsl:with-param name="text-line">
					<xsl:value-of select="$rest"/>
				</xsl:with-param>
			</xsl:call-template>
		</xsl:if>
	</xsl:template>
	<!--******************************************************************************* -->
	<!--*                                                                             * -->
	<!--* doStyles creates the css definitions for the classes we use here, and       * -->
	<!--* it calls the "userstyles" template, allowing customers to add their own     * -->
	<!--* style definitions                                                           * -->
	<!--*                                                                             * -->
	<!--******************************************************************************* -->
	<xsl:template name="doStyles">
		<xsl:param name="editfont"/>
		<xsl:param name="controlfont"/>
		<xsl:param name="colorcode"/>
		<xsl:param name="controlsize"/>
		<xsl:param name="editsize"/>
		<xsl:variable name="v-edif">font-family:<xsl:value-of select="$editfont"/>;font-size:<xsl:value-of select="$editsize"/>
		</xsl:variable>
		<xsl:element name="STYLE">
			<!-- BODY and paragraph -->
			<xsl:text>BODY {</xsl:text>
			<xsl:value-of select="$v-edif"/>
			<xsl:text>;font-weight:normal</xsl:text>
			<xsl:if test="$colorcode = 'Y'">
				<xsl:text>;background-color:aqua;color:red</xsl:text>
			</xsl:if>
			<xsl:text>}</xsl:text>
			<xsl:text>TABLE {</xsl:text>
			<xsl:value-of select="$v-edif"/>
			<xsl:text>;font-weight:normal</xsl:text>
			<xsl:if test="$colorcode = 'Y'">
				<xsl:text>;background-color:aqua;color:red</xsl:text>
			</xsl:if>
			<xsl:text>}</xsl:text>
			<xsl:text> P {margin-top:0;margin-bottom:0}</xsl:text>
			<xsl:text> BLOCKQUOTE {margin-top:0;margin-bottom:0}</xsl:text>
			<xsl:text> PRE {white-space:nowrap}</xsl:text>
			<!-- The global one -->
			<xsl:text>.global{</xsl:text>
			<xsl:value-of select="$v-edif"/>
			<xsl:text>;font-weight:normal</xsl:text>
			<xsl:if test="$colorcode = 'Y'">
				<xsl:text>;background-color:white</xsl:text>
			</xsl:if>
			<xsl:text>}</xsl:text>
			<!-- Editable Text -->
			<xsl:text>.edittext{</xsl:text>
			<xsl:value-of select="$v-edif"/>
			<xsl:text>;font-weight:normal</xsl:text>
			<xsl:if test="$colorcode = 'Y'">
				<xsl:text>;background-color:aqua;color:red</xsl:text>
			</xsl:if>
			<xsl:text>}</xsl:text>
			<!-- Automatic ULs -->
			<xsl:text>.autoul{</xsl:text>
			<xsl:value-of select="$editfont"/>
			<xsl:text>;margin-top:0;margin-bottom:0</xsl:text>
			<xsl:text>}</xsl:text>
			<!-- dcf controls -->
			<xsl:text>.dcfc{font-family:</xsl:text>
			<xsl:value-of select="$controlfont"/>
			<xsl:text>;font-size:</xsl:text>
			<xsl:value-of select="$controlsize"/>
			<xsl:text>;border:none;color:gray</xsl:text>
			<xsl:text>;font-weight:normal</xsl:text>
			<xsl:text>;cursor:not-allowed</xsl:text>
			<xsl:if test="$colorcode = 'Y'">
				<xsl:text>;background-color:lime;color:black</xsl:text>
			</xsl:if>
			<xsl:text>}</xsl:text>
			<!-- DCF Input Fields -->
			<xsl:text>.dcfi{font-family:</xsl:text>
			<xsl:value-of select="$controlfont"/>
			<xsl:text>;font-size:</xsl:text>
			<xsl:value-of select="$controlsize"/>
			<xsl:text>;border:none</xsl:text>
			<xsl:text>;font-weight:normal</xsl:text>
			<xsl:text>;cursor:not-allowed</xsl:text>
			<xsl:if test="$colorcode = 'Y'">
				<xsl:text>;background-color:#4cacac</xsl:text>
				<xsl:text>;color:yellow</xsl:text>
			</xsl:if>
			<xsl:text>}</xsl:text>
			<!-- DCF Text Areas -->
			<xsl:text>.dcft{font-family:</xsl:text>
			<xsl:value-of select="$controlfont"/>
			<xsl:text>;font-size:</xsl:text>
			<xsl:value-of select="$controlsize"/>
			<xsl:text>;border:none;overflow: hidden;color:gray</xsl:text>
			<xsl:text>;font-weight:normal</xsl:text>
			<xsl:text>;cursor:not-allowed</xsl:text>
			<xsl:if test="$colorcode = 'Y'">
				<xsl:text>;background-color:maroon</xsl:text>
				<xsl:text>;color:yellow</xsl:text>
			</xsl:if>
			<xsl:text>}</xsl:text>
			<!-- DCF Block -->
			<xsl:text>.dcfblock{font-family:</xsl:text>
			<xsl:value-of select="$controlfont"/>
			<xsl:text>;font-size:</xsl:text>
			<xsl:value-of select="$controlsize"/>
			<xsl:text>;border:none;color:gray</xsl:text>
			<xsl:text>;font-weight:normal</xsl:text>
			<xsl:text>;cursor:not-allowed</xsl:text>
			<xsl:if test="$colorcode = 'Y'">
				<xsl:text>;background-color:silver</xsl:text>
			</xsl:if>
			<xsl:text>}</xsl:text>
			<!-- GML Block -->
			<xsl:text>.gmlblock{font-family:</xsl:text>
			<xsl:value-of select="$editfont"/>
			<xsl:text>;font-weight:normal</xsl:text>
			<xsl:if test="$colorcode = 'Y'">
				<xsl:text>;background-color:navy;color:white</xsl:text>
			</xsl:if>
			<xsl:text>}</xsl:text>
			<!-- Preformatted Text -->
			<xsl:text>.pretext{font-family:</xsl:text>
			<xsl:value-of select="$controlfont"/>
			<xsl:text>;font-size:</xsl:text>
			<xsl:value-of select="$controlsize"/>
			<xsl:text>;border:none</xsl:text>
			<xsl:text>;font-weight:normal</xsl:text>
			<xsl:if test="$colorcode = 'Y'">
				<xsl:text>;background-color:yellow</xsl:text>
			</xsl:if>
			<xsl:text>}</xsl:text>
			<!-- Editable comments -->
			<xsl:text>.edicomm{font-family:</xsl:text>
			<xsl:value-of select="$controlfont"/>
			<xsl:text>;font-size:</xsl:text>
			<xsl:value-of select="$controlsize"/>
			<xsl:text>;border:none</xsl:text>
			<xsl:text>;font-weight:normal</xsl:text>
			<xsl:text>;white-space:nowrap</xsl:text>
			<xsl:if test="$colorcode = 'Y'">
				<xsl:text>;background-color:green</xsl:text>
				<xsl:text>;color:white</xsl:text>
			</xsl:if>
			<xsl:text>}</xsl:text>
			<!-- undefined GML -->
			<xsl:text>.undefgml{font-family:</xsl:text>
			<xsl:value-of select="$controlfont"/>
			<xsl:text>;font-size:10pt;border:none</xsl:text>
			<xsl:text>;font-weight:normal</xsl:text>
			<xsl:if test="$colorcode = 'Y'">
				<xsl:text>;background-color:orange</xsl:text>
				<xsl:text>;color:blue</xsl:text>
			</xsl:if>
			<xsl:text>}</xsl:text>
			<!-- PRE type paragraph -->
			<xsl:text>.preparag{white-space:pre</xsl:text>
			<xsl:text>}</xsl:text>
			<!-- nowrap type paragraph -->
			<xsl:text>.nowrapparag{white-space:nowrap</xsl:text>
			<xsl:text>}</xsl:text>
			<xsl:text>.FormOff{white-space:nowrap}</xsl:text>
			<!-- Added style for .combo -->
			<xsl:text>.combo{font-family:verdana</xsl:text>
			<xsl:text>;font-size:8pt;border:none</xsl:text>
			<xsl:text>;font-weight:medium</xsl:text>
			<xsl:text>;cursor:not-allowed</xsl:text>
			<xsl:text>;background-color:#aaaaaa</xsl:text>
			<xsl:text>;color:#1111FF</xsl:text>
			<xsl:text>}</xsl:text>
			<!-- userstyles -->
			<xsl:call-template name="userstyles">
				<xsl:with-param name="controlfont">
					<xsl:value-of select="$controlfont"/>
				</xsl:with-param>
				<xsl:with-param name="editfont">
					<xsl:value-of select="$editfont"/>
				</xsl:with-param>
				<xsl:with-param name="colorcode">
					<xsl:value-of select="$colorcode"/>
				</xsl:with-param>
			</xsl:call-template>
		</xsl:element>
	</xsl:template>
	<xsl:template name="do-span">
		<xsl:param name="p-style"/>
		<xsl:element name="SPAN">
			<xsl:attribute name="id">usertag</xsl:attribute>
			<xsl:attribute name="paired">no</xsl:attribute>
			<xsl:attribute name="class"><xsl:value-of select="$p-style"/></xsl:attribute>
			<xsl:apply-templates/>
		</xsl:element>
	</xsl:template>
	<xsl:template name="do-editable-span">
		<xsl:param name="p-style"/>
		<xsl:element name="DIV">
			<xsl:attribute name="contenteditable">true</xsl:attribute>
			<xsl:call-template name="do-span">
				<xsl:with-param name="p-style">
					<xsl:value-of select="$p-style"/>
				</xsl:with-param>
			</xsl:call-template>
		</xsl:element>
	</xsl:template>
	<xsl:template name="do-Listelement">
		<xsl:element name="LI">
			<xsl:attribute name="type">gml</xsl:attribute>
			<xsl:variable name="li-contents">
				<xsl:value-of select="string(.)"/>
			</xsl:variable>
			<xsl:choose>
				<xsl:when test="$li-contents = ''">&#160;</xsl:when>
				<xsl:otherwise>
					<xsl:apply-templates/>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:element>
	</xsl:template>
	<!-- 
	Do any list: this may be OL, UL, SL, or any custom tag that in essence is a list. The processing works as
	follows:
	(1) Determine the name of the element to create. Because HTML only knows ULs, OLs and DLs other
	GML lists (for instance SL or custom lists need to be mapped. p-list-fallback contains the name of
	the fallback list element, by default this is UL.
	(2) Check whether the list is on top level or not part of an outer list. If this is the case generate
	the editable DIV, otherwise don't.
	(3) Check whether the list was "auto closed" and add the ac attribute with the original tag name.
	-->
	<xsl:template name="do-any-list">
		<xsl:variable name="v-fallback">
			<xsl:value-of select="$p-g-listfallback"/>
		</xsl:variable>
		<xsl:variable name="p-node-name" select="name(parent::node())"/>
		<xsl:variable name="v-name" select="name(.)"/>
		<xsl:variable name="v-element-name">
			<xsl:choose>
				<xsl:when test="$v-name = 'OL' or $v-name = 'UL' or $v-name = 'DL'">
					<xsl:value-of select="$v-name"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="$v-fallback"/>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:variable>
		<xsl:choose>
			<xsl:when test="$p-node-name = 'DCFDocument' or not(ancestor::node()/@list)">
				<xsl:element name="DIV">
					<xsl:attribute name="contenteditable"><xsl:value-of select="$p-speditable"/></xsl:attribute>
					<xsl:element name="{$v-element-name}">
						<xsl:choose>
							<xsl:when test="$v-name = 'SL'">
								<xsl:attribute name="sl">Y</xsl:attribute>
							</xsl:when>
							<xsl:when test="$v-element-name != $v-name">
								<xsl:attribute name="oname"><xsl:value-of select="$v-name"/></xsl:attribute>
							</xsl:when>
							<xsl:otherwise/>
						</xsl:choose>
						<xsl:for-each select="@*">
							<xsl:copy/>
						</xsl:for-each>
						<xsl:if test="child::node()[last()]/@tag = $v-name">
							<xsl:attribute name="ac">Y</xsl:attribute>
						</xsl:if>
						<xsl:apply-templates/>
					</xsl:element>
				</xsl:element>
			</xsl:when>
			<xsl:otherwise>
				<xsl:element name="{$v-element-name}">
					<xsl:choose>
						<xsl:when test="$v-name = 'SL'">
							<xsl:attribute name="sl">Y</xsl:attribute>
						</xsl:when>
						<xsl:when test="$v-element-name != $v-name">
							<xsl:attribute name="oname"><xsl:value-of select="$v-name"/></xsl:attribute>
						</xsl:when>
						<xsl:otherwise/>
					</xsl:choose>
					<xsl:for-each select="@*">
						<xsl:copy/>
					</xsl:for-each>
					<xsl:if test="child::node()[last()]/@tag = $v-name">
						<xsl:attribute name="ac">Y</xsl:attribute>
					</xsl:if>
					<xsl:apply-templates/>
				</xsl:element>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="make-nla-line">
		<xsl:element name="SPAN">
			<xsl:attribute name="nla">Y</xsl:attribute>
			<xsl:choose>
				<xsl:when test="not (ancestor::node()/@list ='Y')">
					<xsl:attribute name="contenteditable">true</xsl:attribute>
				</xsl:when>
				<xsl:otherwise>
					<xsl:attribute name="contenteditable">inherit</xsl:attribute>
				</xsl:otherwise>
			</xsl:choose>
			<xsl:if test="ancestor::node()/@list ='Y'">
				<xsl:element name="BR"/>
			</xsl:if>
			<xsl:text> </xsl:text>
		</xsl:element>
	</xsl:template>
	<xsl:template name="generate-comment-block">
		<xsl:param name="pn0"/>
		<xsl:param name="pn1"/>
		<xsl:call-template name="generate-comment">
			<xsl:with-param name="ps-contents">
				<xsl:choose>
					<xsl:when test="$pn1 = 0">
						<xsl:value-of select="."/>
					</xsl:when>
					<xsl:otherwise>
						<xsl:value-of select="following-sibling::node()[position() = $pn1]"/>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:with-param>
		</xsl:call-template>
		<xsl:variable name="vn-next" select="$pn1 + 1">
		</xsl:variable>
		<xsl:if test="name(following-sibling::node()[position() = $vn-next]) = 'CM'">
			<xsl:call-template name="generate-comment-block">
				<xsl:with-param name="pn0" select="pn0"/>
				<xsl:with-param name="pn1" select="$vn-next"/>
			</xsl:call-template>
		</xsl:if>
	</xsl:template>
	<xsl:template name="generate-comment">
		<xsl:param name="ps-contents"/>
		<xsl:variable name="ivalue" select="concat('.*', $ps-contents)">
		</xsl:variable>
		<xsl:choose>
			<xsl:when test="$p-e-comments = 'Y'">
				<xsl:if test="string(ancestor::textblock) = '' and string(ancestor::LI) = '' and not(ancestor::node()/@list)">
					<xsl:attribute name="contenteditable"><xsl:value-of select="$p-speditable"/></xsl:attribute>
				</xsl:if>
				<xsl:choose>
					<xsl:when test="$p-e-innerdivs = 'Yes'">
						<xsl:element name="DIV">
							<xsl:attribute name="class">innerdiv</xsl:attribute>
							<xsl:value-of select="$ivalue"/>
						</xsl:element>
					</xsl:when>
					<xsl:otherwise>
						<xsl:element name="P">
							<xsl:attribute name="class"><xsl:text>edicomm</xsl:text></xsl:attribute>
							<xsl:value-of select="$ivalue"/>
						</xsl:element>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:when>
			<xsl:otherwise>
				<xsl:choose>
					<xsl:when test="$p-e-innerdivs = 'Yes'">
						<xsl:element name="DIV">
							<xsl:attribute name="class">innerdiv</xsl:attribute>
							<xsl:value-of select="$ivalue"/>
						</xsl:element>
					</xsl:when>
					<xsl:otherwise>
						<xsl:element name="P">
							<xsl:attribute name="class"><xsl:text>edicomm</xsl:text></xsl:attribute>
							<xsl:value-of select="$ivalue"/>
						</xsl:element>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="do-td-with-attributes">
		<xsl:variable name="vs-align">
			<xsl:call-template name="get-rdef-value">
				<xsl:with-param name="p-string2parse" select="key('all-rdefs', parent::node()/@refid)/@align"/>
				<xsl:with-param name="p-index" select="position()"/>
			</xsl:call-template>
		</xsl:variable>
		<xsl:variable name="vs-width">
			<xsl:call-template name="get-rdef-value">
				<xsl:with-param name="p-string2parse" select="key('all-rdefs', parent::node()/@refid)/@cwidths"/>
				<xsl:with-param name="p-index" select="position()"/>
			</xsl:call-template>
		</xsl:variable>
		<xsl:variable name="v-total">
			<xsl:call-template name="count-stars">
				<xsl:with-param name="p-starstring" select="string(key('all-rdefs', parent::node()/@refid)/@cwidths)"/>
				<xsl:with-param name="p-result" select="0"/>
			</xsl:call-template>
		</xsl:variable>
		<xsl:variable name="vs-percent">
			<xsl:call-template name="do-star2percent">
				<xsl:with-param name="p-total" select="$v-total"/>
				<xsl:with-param name="p-stars" select="$vs-width"/>
			</xsl:call-template>
		</xsl:variable>
		<xsl:element name="TD">
			<xsl:attribute name="align"><xsl:value-of select="$vs-align"/></xsl:attribute>
			<xsl:attribute name="width"><xsl:value-of select="$vs-percent"/></xsl:attribute>
			<xsl:attribute name="contenteditable">true</xsl:attribute>
			<xsl:choose>
				<xsl:when test="string(.) = ''">&#160;</xsl:when>
				<xsl:otherwise>
					<xsl:apply-templates/>
				</xsl:otherwise>
			</xsl:choose>
			<!--			<xsl:apply-templates/>		@12D -->
		</xsl:element>
	</xsl:template>
	<xsl:template name="get-rdef-value">
		<xsl:param name="p-string2parse"/>
		<xsl:param name="p-index"/>
		<xsl:choose>
			<xsl:when test="$p-index = 1">
				<xsl:value-of select="substring-before($p-string2parse, ' ')"/>
			</xsl:when>
			<xsl:otherwise>
				<xsl:call-template name="get-rdef-value">
					<xsl:with-param name="p-string2parse" select="substring-after($p-string2parse, ' ')"/>
					<xsl:with-param name="p-index" select="$p-index - 1"/>
				</xsl:call-template>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="do-star2percent">
		<xsl:param name="p-total"/>
		<xsl:param name="p-stars"/>
		<xsl:variable name="v-onestar" select="100 div $p-total"/>
		<xsl:variable name="vn-numstars" select="substring-before($p-stars, '*')"/>
		<xsl:choose>
			<xsl:when test="$vn-numstars = ''">
				<xsl:value-of select="concat($v-onestar, '%')"/>
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="concat($vn-numstars * $v-onestar, '%')"/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="count-stars">
		<xsl:param name="p-starstring"/>
		<xsl:param name="p-result"/>
		<xsl:variable name="v-rest" select="substring-after($p-starstring, ' ')"/>
		<xsl:choose>
			<xsl:when test="$p-starstring = ''">
				<xsl:value-of select="$p-result"/>
			</xsl:when>
			<xsl:otherwise>
				<xsl:variable name="v-number" select="substring-before($p-starstring, '*')"/>
				<xsl:choose>
					<xsl:when test="$v-number = ''">
						<xsl:call-template name="count-stars">
							<xsl:with-param name="p-starstring" select="$v-rest"/>
							<xsl:with-param name="p-result" select="$p-result + 1"/>
						</xsl:call-template>
					</xsl:when>
					<xsl:otherwise>
						<xsl:call-template name="count-stars">
							<xsl:with-param name="p-starstring" select="$v-rest"/>
							<xsl:with-param name="p-result" select="$p-result + $v-number"/>
						</xsl:call-template>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="do-german">
		<xsl:param name="p-in-string"/>
		<xsl:variable name="v-first-char" select="substring($p-in-string, 1, 1)"/>
		<xsl:variable name="v-rest" select="substring($p-in-string, 2)"/>
		<xsl:variable name="v-lower" select="translate($v-rest, $g-upper-alpha, $g-lower-alpha)"/>
		<xsl:variable name="v-result" select="concat($v-first-char, $v-lower)"/>
		<xsl:value-of select="$v-result"/>
	</xsl:template>
</xsl:stylesheet>
