<?xml version="1.0" encoding="UTF-8"?>
<!-- 
*
**********************************************************************    
*  
*   Licensed Material - Property of IBM                               
*   5655-002                                                          
*                                                                     
*   (C) Copyright IBM Corp. 2003   All Rights Reserved                
*                                                                     
*   US Government Users Restricted Rights - Use, duplication or       
*   disclosure restricted by GSA ASP Schedule Contract with           
*   IBM Corp.    
*
**********************************************************************
* Change Activity:                                                          
*                                                                           
* Code	Release		 Date				Person		Reason                                    
* @01=	1.1.6		 12/14/2004	    GOT			APAR PQ98310 MSGDOC1045 and MSGDOC1119
* @02= 1.1.6		 03/04/2005	    GOT			PK01940/PTR4617 real buttons don't work with implicit-only buttons
* @03=	1.1.6		 04/15/2005		JNG			    PK04282, PTR4699 Synchronize Framesets
* @04=	1.1.6		 05/18/2005		MMar		    Main header changed (Main Menu for the Aministrator)
* @05=	1.1.6		 05/18/2005		MMar		    Height of empty row fixed
* @06  1.1.7   	 10/25/2005     MMar           PTR4985, Display of short names changed
* @07  1.1.7   	 11/08/2005     MMar           PTR5219, Short names aligned to a vertical line
* @08 V01R01B07  11/15/2005     MMar           PTR5234, Menu Bar lost - top menu is hiding when increasing font
* @09  1.2.0     12/06/2005     MMar           PTR5275  Changes in shortname
* @10 V01R02B01  01/13/2005 UZeh  PK16963 PTR5306 Assignment of  gTopObj.applet.gSignonMode
* @11	1.2.1			 02/10/2006	GOT		PTR5417 (DPK17220) Msg FSN205I and DOC1045 after hectic clicking             
*                02/13/2006 UZeh  PTR5417 (DPK17220) g_enableButtonTimeout 
* @12 1.2.2      2006-04-10 MMar  DPK22286 Encoding changed to UTF-8 
* @13 1.2.2      2006-07-04 MMar  DPTR5653 Implement frameless design
* @14 1.2.2      2006-10-18 UZeh  DPTR5960 Extra Menu 
*
-->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	<xsl:import href="docIframes.xsl"/>
	<!-- @13 Frameless design -->
	<xsl:import href="docglobalvariables.xsl"/>
	<!-- @12 -->
	<xsl:output encoding="UTF-8" indent="yes" omit-xml-declaration="yes" cdata-section-elements="value desc" method="html"/>
	<xsl:template match="/">
		<!-- Start the HTML describtion here-->
		<html>
			<xsl:call-template name="dohead">
				<xsl:with-param name="objtype">
					<xsl:text>menu</xsl:text>
				</xsl:with-param>
			</xsl:call-template>
			<!-- @13 Frameless design -->
			<!-- This will call special template to set global variables -->
			<xsl:call-template name="set-global-variables" />
			<!-- @03C -->
			<body id="body" onunload="fnFinish();" onload="topWait( 'fnInit()' ); fnEvalProcessTime();setTimeout('fnButtonEnabled(true,false)', g_enableButtonTimeout )" scroll="no">
				<xsl:attribute name="Lang"><xsl:value-of select="//OLi/@lang"/></xsl:attribute>
				<xsl:attribute name="class"><xsl:text>doc_scheme_window</xsl:text><!-- check if we have to show the menu panel --><xsl:choose><xsl:when test="//Menu/UPrp/PMen/. = 'Y'"><!-- check if we also have to show the OMInfo panel --><xsl:choose><xsl:when test="//Menu/OMIn"><xsl:text> OMInfoAndMenu</xsl:text></xsl:when><xsl:otherwise><xsl:text> Menu</xsl:text></xsl:otherwise></xsl:choose></xsl:when><xsl:otherwise><!-- menu panel must'nt be shown but check if we have to show the OMInfo panel --><xsl:if test="//Menu/OMIn"><xsl:text> OMInfo</xsl:text></xsl:if></xsl:otherwise></xsl:choose></xsl:attribute>
				<!-- the first panel with the customer details-->
				<xsl:call-template name="dostatus"/>
				<!--the second panel with the navigation panel and its menu items-->
				<xsl:call-template name="donavpane">
					<xsl:with-param name="objtype">
						<xsl:text>menu</xsl:text>
					</xsl:with-param>
				</xsl:call-template>
				<!-- the third panel with the vertical splitbar -->
				<DIV CLASS="doc_scheme_split_bar" id="tb9"/>
				<!--end of describtion for the navigation panel..this is surrounded by several divs and tables in order to set the focus correctly-->
				<DIV class="doc_scheme_work_space" id="tb0" onfocus="fnMainChangeColbg()">
					<DIV class="doc_scheme_tree" id="treeframe">
						<!--start describtion of the main tree menu panel.-->
						<xsl:apply-templates/>
					</DIV>
				</DIV>
				<!--end of describtion for the main tree menu panel..-->
				<!-- the fourth panel with the button bar -->
				<!-- start of description for the button bar panel -->
				<xsl:call-template name="dobuttons"/>
				<!-- the fifth panel with the menu buttons and short cuts and the pulldown menue iframes-->
				<xsl:if test="//Menu/UPrp/PMen/. = 'Y'">
					<xsl:call-template name="domenubar"/>
				</xsl:if>
				<xsl:call-template name="dopulldownmenu">
					<xsl:with-param name="objtype">
						<xsl:text>menu</xsl:text>
					</xsl:with-param>
				</xsl:call-template>
			</body>
			<!-- end of html page -->
			<!-- the sixth panel with the invisible contextmenu iframe -->
			<xsl:call-template name="docontextmenu">
				<xsl:with-param name="objtype">
					<xsl:text>menu</xsl:text>
				</xsl:with-param>
			</xsl:call-template>
		</html>
	</xsl:template>
	<xsl:template match="UPrp">
		<script>
         g_ShowCommandLine = true;
         <xsl:if test="//Menu/UPrp/CmdLn/. = 'N'">
            g_ShowCommandLine = false;
         </xsl:if>
		</script>
	</xsl:template>
	<xsl:template match="OLi">
                <!-- @010a Start -->
		<script>
                  g_signonmode='<xsl:value-of select="@sigm"/>';  
                  gTopObj.applet.gSignonMode = g_signonmode; 
                 </script>
                <!-- @010a end -->  
		<xsl:apply-templates/>
	</xsl:template>
	<xsl:template match="Menu">
		<xsl:choose>
			<!--Initialise the table for the only menu item which is set to acrive-->
			<xsl:when test="@acti = 'Y'">
				<table id="tb-root" border="0" class="outer" cellpadding="0" cellspacing="0" > 
					<tbody>
						<!-- @04 BEGIN -->
						<!--
						<tr id="tf0tr" class="doc_scheme_spacer">
							<td colspan="2" nowrap="false" id="tf0td" class="doc_scheme_spacer">
								<img src="./images/doctransp22.gif" id="tf0is" class="doc_scheme_spacer"/>
							</td>
						</tr>
						-->
						<tr class="doc_scheme_entry" id="tr-root">
							<td nowrap="false" id="mt-0">
								<img src="./images/docmenuo.gif" id="mi-0" />&#160;<label id="la-root">
									<B id="en-0">
										<xsl:attribute name="LastValidEntry"><xsl:value-of select="./Ref/LVE"/></xsl:attribute>
										<xsl:value-of select="./Ref/Titl"/>
									</B>
								</label>
							</td>
							<!-- @09 Changes in shortname -->
							<td class="Kurzname">
								<label class="Kurzname_bold">
									<xsl:attribute name="id">ks-0</xsl:attribute>
									<xsl:attribute name="version"><xsl:value-of select="./Ref/@vers"/></xsl:attribute>
									<xsl:attribute name="name"><xsl:value-of select="./Ref/@name"/></xsl:attribute>
									<!-- @06 BEGIN -->
									<xsl:attribute name="dynamicValue">Y</xsl:attribute>
									<xsl:attribute name="hiddenValue"><xsl:text> (</xsl:text><xsl:value-of select="./Ref/@name"/><xsl:text>) </xsl:text></xsl:attribute>
									<!-- @06 END -->
									<!--<b id="ks-0" class="doc_scheme_short_name"> (<xsl:value-of select="./Ref/@name"/>) </b>-->
								</label>
							</td>
						</tr>
						<!-- @04 END -->
						<xsl:apply-templates/>
					</tbody>
				</table>
			</xsl:when>
		</xsl:choose>
	</xsl:template>
	<xsl:template match="Ref">
		<xsl:apply-templates/>
	</xsl:template>
	<xsl:template match="Titl"/>
	<xsl:template match="LVE"/>
	<xsl:template match="OMIn"/>
	<xsl:template match="EnLi">
		<!-- next step of initialisation of the table for the menu item which is set to acitve. The global variable g_menutotal is set too.-->
		<script>   
                g_menutotal=<xsl:value-of select="@cnt"/>;
                </script>

		<!-- @07 Commented this piece of code: BEGIN -->
		<!--
		<tr id="tr-0" class="">
			<td id="td-0" class="">
				<table border="1" cellpadding="0" cellspacing="0" class="">
					<tbody class="">
						<xsl:attribute name="id">tb-0</xsl:attribute>
						-->
						<xsl:apply-templates/>
					<!--
					</tbody>
				</table>
			</td>
		</tr>
		-->
		<!-- @07 Commented this piece of code: END -->

	</xsl:template>
	<xsl:template match="MeRe">
		<xsl:call-template name="determinePosition">
			<xsl:with-param name="ancestor">MeRe</xsl:with-param>
		</xsl:call-template>
	</xsl:template>
	<xsl:template match="LTDR">
		<xsl:call-template name="determinePosition">
			<xsl:with-param name="ancestor">
				<xsl:text>LTDR</xsl:text>
			</xsl:with-param>
		</xsl:call-template>
	</xsl:template>
	<xsl:template match="CoRe">
		<xsl:call-template name="determinePosition">
			<xsl:with-param name="ancestor">
				<xsl:text>CoRe</xsl:text>
			</xsl:with-param>
		</xsl:call-template>
	</xsl:template>
	<xsl:template match="InRe">
		<xsl:call-template name="determinePosition">
			<xsl:with-param name="ancestor">
				<xsl:text>InRe</xsl:text>
			</xsl:with-param>
		</xsl:call-template>
	</xsl:template>
	<xsl:template match="ATDR">
		<xsl:call-template name="determinePosition">
			<xsl:with-param name="ancestor">
				<xsl:text>ATDR</xsl:text>
			</xsl:with-param>
		</xsl:call-template>
	</xsl:template>
	<xsl:template match="UnRe">
		<xsl:call-template name="determinePosition">
			<xsl:with-param name="ancestor">
				<xsl:text>UnRe</xsl:text>
			</xsl:with-param>
		</xsl:call-template>
	</xsl:template>
	<xsl:template match="SPRe">
		<xsl:call-template name="determinePosition">
			<xsl:with-param name="ancestor">
				<xsl:text>SPRe</xsl:text>
			</xsl:with-param>
		</xsl:call-template>
	</xsl:template>
	<xsl:template match="EntD">
		<xsl:param name="position"/>
		<xsl:param name="ancestor"/>
		<xsl:param name="LastValidEntry">
			<xsl:value-of select="../../../LVE/."/>
		</xsl:param>
		<!-- fill the table rows with the menu entry title and the folder icon-->
		<tr id="tr-0" class="doc_scheme_entry">
			<td nowrap="false" class="doc_scheme_entry">
				<xsl:attribute name="id">mt-<xsl:value-of select="substring(../@id,4)"/></xsl:attribute>
				<!--we are at the end of our list of menu items. Take the teminating folder icon docvl. gif -->
				<xsl:if test="$position='end'">
					<xsl:choose>
						<xsl:when test="substring(../@id,4)-0 > $LastValidEntry -0">
							<!--No image at all as it deals only with comments-->
							<xsl:choose>
								<!--a blank line should be smaller than a line with text-->
								<xsl:when test=".=''">
									<img src="./images/doctransp22.gif" class="treesegmentsmall  doc_scheme_spacer">
										<xsl:attribute name="id">it-<xsl:value-of select="substring(../@id,4)"/></xsl:attribute>
									</img>
								</xsl:when>
								<xsl:otherwise>
									<img src="./images/doctransp22.gif" class="treesegment  doc_scheme_spacer">
										<xsl:attribute name="id">it-<xsl:value-of select="substring(../@id,4)"/></xsl:attribute>
									</img>
								</xsl:otherwise>
							</xsl:choose>
						</xsl:when>
						<xsl:otherwise>
							<img src="./images/docvertrend.gif" class="doc_scheme_path">
								<xsl:attribute name="id">it-<xsl:value-of select="substring(../@id,4)"/></xsl:attribute>
							</img>
						</xsl:otherwise>
					</xsl:choose>
					<xsl:choose>
						<!--The menu item is a real menu-->
						<xsl:when test="$ancestor='MeRe'">
							<xsl:call-template name="buildMenu"/>
						</xsl:when>
						<!--The menu item is an info record-->
						<xsl:when test="$ancestor='InRe'">
							<xsl:call-template name="buildInfo"/>
						</xsl:when>
						<!--The menu item is an sp record ......Not allowed but may happen-->
						<xsl:when test="$ancestor='SPRe'">
							<xsl:call-template name="buildSP"/>
						</xsl:when>
						<xsl:when test="$ancestor='ATDR'">
							<!--The menu item is an ATD-->
							<xsl:call-template name="buildatd"/>
						</xsl:when>
						<xsl:when test="$ancestor='LTDR'">
							<!--The menu item is a LTD-->
							<xsl:call-template name="buildltd"/>
						</xsl:when>
						<xsl:when test="$ancestor='CoRe'">
							<!--The menu item is a comment-->
							<xsl:call-template name="buildcomment"/>
						</xsl:when>
						<xsl:when test="$ancestor='UnRe'">
							<!--The menu item is an unknown reference-->
							<xsl:call-template name="buildunknown"/>
						</xsl:when>
					</xsl:choose>
				</xsl:if>
				<xsl:if test="$position='inside'">
					<xsl:choose>
						<xsl:when test="substring(../@id,4)-0 = $LastValidEntry -0">
							<img src="./images/docvertrend.gif" class="doc_scheme_path">
								<xsl:attribute name="id">it-<xsl:value-of select="substring(../@id,4)"/></xsl:attribute>
							</img>
						</xsl:when>
						<xsl:when test="substring(../@id,4)-0 > $LastValidEntry -0">
							<!--No image at all as it deals only with comments-->
							<xsl:choose>
								<!--a blank line should be smaller than a line with text-->
								<xsl:when test=".=''">
									<img src="./images/doctransp22.gif" class="treesegmentsmall  doc_scheme_spacer">
										<xsl:attribute name="id">it-<xsl:value-of select="substring(../@id,4)"/></xsl:attribute>
									</img>
								</xsl:when>
								<xsl:otherwise>
									<img src="./images/doctransp22.gif" class="treesegment  doc_scheme_spacer">
										<xsl:attribute name="id">it-<xsl:value-of select="substring(../@id,4)"/></xsl:attribute>
									</img>
								</xsl:otherwise>
							</xsl:choose>
						</xsl:when>
						<xsl:when test="$ancestor='CoRe'">
							<!-- this is a blank line-->
							<xsl:choose>
								<!--a blank line should be smaller than a line with text-->
								<xsl:when test=".=''">
									<!-- @05 BEGIN -->
									<xsl:attribute name="class">doc_scheme_empty</xsl:attribute>
									<!-- @05 END -->
									<img src="./images/docvert20.gif" class="doc_scheme_path">
										<xsl:attribute name="id">it-<xsl:value-of select="substring(../@id,4)"/></xsl:attribute>
									</img>
								</xsl:when>
								<xsl:otherwise>
									<img src="./images/docvert.gif" class="doc_scheme_path">
										<xsl:attribute name="id">it-<xsl:value-of select="substring(../@id,4)"/></xsl:attribute>
									</img>
								</xsl:otherwise>
							</xsl:choose>
						</xsl:when>
						<xsl:otherwise>
							<img src="./images/docvertr.gif" class="doc_scheme_path">
								<xsl:attribute name="id">it-<xsl:value-of select="substring(../@id,4)"/></xsl:attribute>
							</img>
						</xsl:otherwise>
					</xsl:choose>
					<xsl:choose>
						<!--The menu item is a real menu-->
						<xsl:when test="$ancestor='MeRe'">
							<xsl:call-template name="buildMenu"/>
						</xsl:when>
						<xsl:when test="$ancestor='InRe'">
							<!--The menu item is an info record-->
							<xsl:call-template name="buildInfo"/>
						</xsl:when>
						<xsl:when test="$ancestor='ATDR'">
							<!--The menu item is an ATD-->
							<xsl:call-template name="buildatd"/>
						</xsl:when>
						<xsl:when test="$ancestor='LTDR'">
							<!--The menu item is a LRR-->
							<xsl:call-template name="buildltd"/>
						</xsl:when>
						<xsl:when test="$ancestor='CoRe'">
							<!--The menu item is a comment-->
							<xsl:call-template name="buildcomment"/>
						</xsl:when>
						<!--The menu item is an sp record ......Not allowed but may happen-->
						<xsl:when test="$ancestor='SPRe'">
							<xsl:call-template name="buildSP"/>
						</xsl:when>
						<xsl:when test="$ancestor='UnRe'">
							<!--The menu item is a unknown reference-->
							<xsl:call-template name="buildunknown"/>
						</xsl:when>
					</xsl:choose>
				</xsl:if>
			</td>
			<!-- @07 Added one table cell for shortnames: BEGIN -->
			<!-- @09 Changes in shortname -->
			<td align="right">
				<xsl:choose>
					<xsl:when test=".=''">
						<xsl:attribute name="class">doc_scheme_empty</xsl:attribute>
					</xsl:when>
					<xsl:otherwise>
						<xsl:attribute name="class">Kurzname</xsl:attribute>
					</xsl:otherwise>
				</xsl:choose>
				<xsl:if test="../@name!=''">
					<label class="Kurzname">
						<!-- @06 BEGIN -->
						<xsl:attribute name="dynamicValue">Y</xsl:attribute>
						<xsl:attribute name="hiddenValue"><xsl:text> (</xsl:text><xsl:value-of select="../@name"/><xsl:text>) </xsl:text></xsl:attribute>
						<!-- @06 END -->
						<xsl:attribute name="id">ks-<xsl:value-of select="substring(../@id,4)"/></xsl:attribute>
						<xsl:attribute name="inactive">yes</xsl:attribute> 
						<!--                  	(<xsl:value-of select="../@name"/>)-->
					</label>
				</xsl:if>
			</td>
			<!-- @07 Added one table cell for shortnames: END -->
		</tr>
	</xsl:template>
	<!--
		called templates		
		-->
	<!-- dostatus, builds the status stuff
		-->
	<xsl:template name="dostatus">
		<!-- the first panel with the customer details-->
		<xsl:for-each select="./OLi/Menu/OMIn">
			<DIV id="custtitle" class="doc_scheme_custom_title">
				<xsl:for-each select="Line">
					<xsl:value-of select="."/>
					<br/>
				</xsl:for-each>
			</DIV>
		</xsl:for-each>
	</xsl:template>
	<!-- domenubar, builds the menubar. It depends on the object type
		-->
	<xsl:template name="domenubar">
		<xsl:param name="objtype"/>
		<DIV class="doc_scheme_menu_bar" id="tb4">
			<table ID="tbclsMenuBar" class="tbclsMenuBar ">
				<tbody class="">
					<!-- @08 Commented unnecessary code and positioning is done by css -->
					<!--
					<tr class=" doc_scheme_spacer">
						<td class="ntbclsMenubar1  doc_scheme_spacer">
							<img src="./images/doctransparent.gif" class=" doc_scheme_spacer"/>
						</td>
						<td class="ntbclsMenubar1  doc_scheme_spacer">
							<img src="./images/doctransparent.gif" class=" doc_scheme_spacer"/>
						</td>
                                                
						<td class="ntbclsMenubar1  doc_scheme_spacer">
							<img src="./images/doctransparent.gif" class=" doc_scheme_spacer"/>
						</td>
					</tr>
					-->
					<tr class="">
						<td width="20%" class="ntbclsMenubar21 doc_scheme_spacer"/> <!-- @014 -->
						<td id="Menubar25" class="tbclsMenubar22 ">
							<DIV ACCESSKEY="h" CLASS="tbclsMenuBarItem  doc_scheme_button doc_scheme_name" ID="tdMenuBarItemHilfe">
							</DIV>
						</td>
                                        <!-- @014 Start -->
                                         
                                        <td width="20%" class="ntbclsMenubar21  doc_scheme_spacer "/>
					<td id="Menubar26" class="tbclsMenubar22">
						<DIV ACCESSKEY="x" CLASS="tbclsMenuBarItem" ID="tdMenuBarItemExtra"/>
					</td>
                                       
                                        <!-- @014 End --> 
					<td class="ntbclsMenubar23  doc_scheme_spacer"/>
					</tr>
					<!-- @08 Commented unnecessary code and positioning is done by css -->
					<!--
					<tr class=" doc_scheme_spacer">
						<td class="ntbclsMenubar3  doc_scheme_spacer">
							<img src="./images/doctransparent.gif" class="tbclsMenubar3  doc_scheme_spacer"/>
						</td>
						<td id="tbclsMenuId" class="tbclsMenubar3  doc_scheme_spacer">
							<img id="tbclsMenuId" src="./images/doctransp22.gif" class="tbclsMenubar3  doc_scheme_spacer"/>
						</td>
						<td class="ntbclsMenubar3  doc_scheme_spacer">
							<img src="./images/doctransparent.gif" class="tbclsMenubar3  doc_scheme_spacer"/>
						</td>
					</tr>
					-->

				</tbody>
			</table>
		</DIV>
	</xsl:template>
	<xsl:template name="dobuttons">
		<!-- start of description for the button bar panel -->
		<DIV class="doc_scheme_button_bar" onfocus="fnfocusbgofim()" onblur="fnblurbgofim()" id="tb1" accesskey="v">
			<script>
			<xsl:if test="./OLi[@sigm='implicit']">
               g_signonmode="implicit";
			</xsl:if>
				<xsl:if test="./OLi[@sigm!='implicit']">
               g_signonmode="explicit";
			</xsl:if>
			</script>
			<table>
				<tr>
					<td/>
					<xsl:for-each select="./OLi/Menu/UPrp/ButtonList/Button [(//OLi/@sigm = 'implicit' and @explicit = 'N') or @explicit = 'Y']">
						<xsl:call-template name="createButton">
							<xsl:with-param name="signonmode">
								<xsl:value-of select="//OLi/@sigm"/>
							</xsl:with-param>
							<xsl:with-param name="buttontype">
								<xsl:value-of select="@explicit"/>
							</xsl:with-param>
							<xsl:with-param name="buttonaction">
								<xsl:value-of select="@action"/>
							</xsl:with-param>
							<xsl:with-param name="position">
								<xsl:value-of select="position()"/>
							</xsl:with-param>
						</xsl:call-template>
					</xsl:for-each>
				</tr>
			</table>
		</DIV>
		<!-- end of description for the button bar panel -->
	</xsl:template>
	<xsl:template name="determinePosition">
		<xsl:param name="ancestor"/>
		<xsl:if test="position()=last()">
			<xsl:apply-templates>
				<xsl:with-param name="position">end</xsl:with-param>
				<xsl:with-param name="ancestor" select="$ancestor"/>
			</xsl:apply-templates>
		</xsl:if>
		<xsl:if test="position()!=last()">
			<xsl:apply-templates>
				<xsl:with-param name="position">inside</xsl:with-param>
				<xsl:with-param name="ancestor" select="$ancestor"/>
			</xsl:apply-templates>
		</xsl:if>
	</xsl:template>
	<xsl:template name="buildMenu">
		<img src="./images/docmenu.gif" class="doc_scheme_icon">
			<xsl:attribute name="id">mi-<xsl:value-of select="substring(../@id,4)"/></xsl:attribute>
			<xsl:attribute name="name">M</xsl:attribute>
		</img>&#160;
		
		<!-- @07 Commented this piece of code: BEGIN -->
		<!--
		<label class="Kurzname">
			<xsl:attribute name="dynamicValue">Y</xsl:attribute>
			<xsl:attribute name="hiddenValue"><xsl:text> (</xsl:text><xsl:value-of select="../@name"/><xsl:text>) </xsl:text></xsl:attribute>
			<xsl:attribute name="id">ks-<xsl:value-of select="substring(../@id,4)"/></xsl:attribute>
		</label>
		-->
		<!-- @07 Commented this piece of code: END -->
		
		<label class="doc_scheme_leaf">
			<xsl:attribute name="id">en-<xsl:value-of select="substring(../@id,4)"/></xsl:attribute>
			<xsl:attribute name="name">M</xsl:attribute>
			<xsl:value-of select="."/>
		</label>

	</xsl:template>
	<xsl:template name="buildInfo">
		<img src="./images/docinfo.gif" class="doc_scheme_icon">
			<xsl:attribute name="id">ii-<xsl:value-of select="substring(../@id,4)"/></xsl:attribute>
			<xsl:attribute name="name">I</xsl:attribute>
		</img>&#160;
		<label class="doc_scheme_leaf">
			<xsl:attribute name="id">en-<xsl:value-of select="substring(../@id,4)"/></xsl:attribute>
			<xsl:attribute name="name">I</xsl:attribute>
			<xsl:value-of select="."/>
		</label>
	</xsl:template>
	
	<xsl:template name="buildSP">
		<img src="./images/docsp.gif" class="doc_scheme_icon">
			<xsl:attribute name="id">si-<xsl:value-of select="substring(../@id,4)"/></xsl:attribute>
			<xsl:attribute name="name">S</xsl:attribute>
		</img>&#160;
		

		<label class="doc_scheme_leaf">
			<xsl:attribute name="id">en-<xsl:value-of select="substring(../@id,4)"/></xsl:attribute>
			<xsl:attribute name="name">S</xsl:attribute>
			<xsl:value-of select="."/>
		</label>

	</xsl:template>
	<xsl:template name="buildatd">
		<img src="./images/docatd.gif" class="doc_scheme_icon">
			<xsl:attribute name="id">ai-<xsl:value-of select="substring(../@id,4)"/></xsl:attribute>
			<xsl:attribute name="name">A</xsl:attribute>
		</img>&#160;
		

		<label class="doc_scheme_leaf">
			<xsl:attribute name="id">en-<xsl:value-of select="substring(../@id,4)"/></xsl:attribute>
			<xsl:attribute name="name">A</xsl:attribute>
			<xsl:value-of select="."/>
		</label>

	</xsl:template>
	<xsl:template name="buildltd">
		<img src="./images/docltd.gif" class="doc_scheme_icon">
			<xsl:attribute name="id">li-<xsl:value-of select="substring(../@id,4)"/></xsl:attribute>
			<xsl:attribute name="name">L</xsl:attribute>
		</img>&#160;
		

		<label class="doc_scheme_leaf">
			<xsl:attribute name="id">en-<xsl:value-of select="substring(../@id,4)"/></xsl:attribute>
			<xsl:attribute name="name">L</xsl:attribute>
			<xsl:value-of select="."/>
		</label>

	</xsl:template>
	<xsl:template name="buildunknown">
		<img src="./images/docunknown.gif" class="doc_scheme_icon">
			<xsl:attribute name="id">ur-<xsl:value-of select="substring(../@id,4)"/></xsl:attribute>
		</img>&#160;
		

		<label class="unknown  doc_scheme_leaf">
			<xsl:attribute name="id">ur-<xsl:value-of select="substring(../@id,4)"/></xsl:attribute>
			<xsl:value-of select="."/>
		</label>

	</xsl:template>
	<xsl:template name="buildcomment">
		<xsl:choose>
			<!--a blank line should be smaller than a line with text-->
			<xsl:when test=".!=''">
				<img src="./images/doctransp22.gif" class="doc_scheme_spacer">
					<xsl:attribute name="id">it-<xsl:value-of select="substring(../@id,4)"/></xsl:attribute>
				</img>&#160;
				

				<label class="comment  doc_scheme_comment">
					<xsl:attribute name="id">co-<xsl:value-of select="substring(../@id,4)"/></xsl:attribute>
					<xsl:value-of select="."/>
				</label>

			</xsl:when>
		</xsl:choose>
	</xsl:template>
</xsl:stylesheet>
