/*---------------------------------------------------------------------------*/
/*                                                                           */
/*                                                                           */
/* 5655-002                                                                  */
/*                                                                           */
/*---------------------------------------------------------------------------*/
/*                                                                           */
/* IBM Document Connect for ASF                                              */
/*                                                                           */
/* File:    doccustomer.js                                                   */
/*                                                                           */
/* Description: This Javascript files contains EXIT functions that are       */
/*              called by the product code to control the flow               */
/*              function.                                                    */
/*                                                                           */
/* Author:                                                                   */
/*                                                                           */
/* Change Activity:                                                          */
/*                                                                           */
/* Code  Release   Date       Person  Reason                                 */
/* @000  V00R00B01 07/30/2002 HSchoen Iunction fnSetLanguageExit added       */
/* @002  V00R00B03 10/17/2002 Got     PTR1916  fnEditorExit changed to       */
/*                                    return the original data               */
/* @03=  1.0.0     09/26/2003 GOT     Extended Table Dialog                  */
/* @04=  1.0.0     10/10/2003 GOT     PTR3782 Escape Table Name              */
/* @05   V01R01B06 06/21/2004 UZeh    APAR 90695 PTR4189 NLS-ification       */
/*                                    Changes in fnXTBuildDialogue()         */ 
/*                                    New func fnXSLTParameterTransform()    */
/* @06=  1.1.6     11/29/2004 GOT     PQ97671, PTR4071 one column too many   */
/* @007  V01R01B06 01/12/2005 UZeh    PQ99305 PTR4285                        */
/*                                    Move fnXT* and fnXSLT* functions       */
/* @008  V01R01B07 09/08/2005 MMar    New function added                     */
/*                                    fnGetUserPrintPreviewParams() to allow */
/*                                    user settings in windows size          */
/* @009  V01R01B07 10/24/2005 MMar    New functions added for customizing    */
/*                                    funtion keys for Exit1 and Exit2 button*/
/* @010  V01R01B07 11/09/2005 UZeh    DPTR5218 Add fnShowCustHelpExit()      */
/* @011  1.2.1     01/19/2006 UZeh    DPTR5355                               */
/*                                    Add fnGetCustHelpToShowInHelpMenu()    */  
/*                                    Add fnGetItemIdDisplayStyle()          */  
/* @012  1.2.1     02/09/2006 MMar    PTR5524, DPK22286                      */
/*                                    New func. fnGetWindowHeightCorrection()*/
/* @013  1.2.2     06/19/2006 UZeh    DPTR5690/3 New function                */
/*                                    fnObjectColoringExit()                 */
/* @014  1.2.2     07/14/2006 UZeh    DPTR5743 New function                  */
/*                                    fnCustomerRedirectKeyCode()            */
/* @015 1.2.2      11/22/2006 MMar    DPTR6020 Misspelling in user alignment */
/**************************-END OF SPECIFICATIONS-****************************/
/* ------------------------------------------------------------------------- */
/* This function is used called to allow a customer to color objects         */
/* at his/her choice.                                                        */
/* It returns the unmodified content. Customers may modify the contents.     */
/* ------------------------------------------------------------------------- */

function fnObjectColoringExit(aObjectType,
                              aObjectParameters,
                              aDefaultRGBColor)
{
   var vRGBColor = "#ffffff"; // Paint it black by default

   if ( aDefaultRGBColor != null && fnIsValidRGBColor(aDefaultRGBColor))
   { 
     vRGBColor = aDefaultRGBColor;
   } 
   switch (aObjectType)
   {
       case "SP"  :
       /*\// Start  of  Coloring of SPs         */
       /*\//                                    */
       /*\// Insert your customization here ... */


       /*\// End    of  Coloring of SPs         */

       break; 

       case "LTD" :
       /*\// Start  of  Coloring of LTDs         */
       /*\//                                     */
       /*\// Insert your customization here ...  */


       /*\// End    of  Coloring of LTDs         */

       break;

       case "Atd" :
       /*\// Start  of  Coloring of Atds         */
       /*\//                                     */
       /*\// Insert your customization here ...  */


       /*\// End    of  Coloring of Atds         */

       case "Par" :
       /*\// Start  of  Coloring of Pars         */
       /*\//                                     */
       /*\// Insert your customization here ...  */


       /*\// End    of  Coloring of Pars         */
       break;
       

       default:

   }
   
   return  vRGBColor;

} // End of fnObjectColoringExit()



/* ------------------------------------------------------------------------- */
/* This function is used called when the editor is to be closed.             */
/*                                                                           */
/* It returns the unmodified content. Customers may modify the contents here.*/
/* ------------------------------------------------------------------------- */
function fnEditorExit(aEditorContent)
{

	return(aEditorContent);				   // Return original contents
} // end of fnEditorExit

/* ------------------------------------------------------------------------- */
/* This function allows to overwrite                                         */
/* the language settings done in the function setLanguage() in docnls.js     */ 
/*                                                                           */
/*                                                                           */
/* It returns the language code (as function setLanguage()                   */
/* ------------------------------------------------------------------------- */

function fnSetLanguageExit(aUsedlanguage)
{
	aUsedlanguage = aUsedlanguage.toLowerCase();

	
	switch (aUsedlanguage)
	{
		case 'da':
			
			/*\// Start  of  Danish customization    */
			/*\//                                    */
			/*\// Insert your customization here ... */



			/*\// End    of  Danish customization    */

			break;
			
		case 'de':

			/*\// Start  of  German customization    */
			/*\//                                    */
			/*\// Insert your customization here ... */



			/*\// End    of  German customization    */

			break;

		case 'en': 

			/*\// Start  of  English customization   */
			/*\//                                    */
			/*\// Insert your customization here ... */

                   
			/*\// End    of  English customization   */  

			break;

		case 'es':

			/*\// Start  of  Spanish customization    */
			/*\//                                     */
			/*\// Insert your customization here ...  */



			/*\// End    of  Spanish customization    */     

			break;

		case 'fr':

			/*\// Start  of  French customization     */
			/*\//                                     */
			/*\// Insert your customization here ...  */



			/*\// End    of  French customization     */ 

			break; 
			
		case 'nl':

			/*\// Start  of  Dutch customization      */
			/*\//                                     */
			/*\// Insert your customization here ...  */



			/*\// End    of  Dutch customization      */ 
			
			
			break;         

		default:
			if (aUsedlanguage != 'en')
			{
				aUsedlanguage = "en";
			}

			break;
	} // End of switch

	return aUsedlanguage;

} // End of fnSetLanguageExit  

// End @05a

// @008 START
/*
In this function, user can define parameters for info window, 
quick preview window and print preview window
*/
function fnGetUserPrintPreviewParams( aWindowType ) {

   var lPreviewParamsObj = new Object()

   // Parameters for "Info" window
   if( aWindowType == "Info" ) {
   
     // Set this to true, if you want these settings to have effect,
     // otherwise set to false and default settings will take effect instead
     lPreviewParamsObj.userInfoSettings = false;
     //
     
     if( lPreviewParamsObj.userInfoSettings ) {
       lPreviewParamsObj.topCorner  = 0;
       lPreviewParamsObj.leftCorner = 0;
       lPreviewParamsObj.height     = 0.96*window.screen.availHeight;
       lPreviewParamsObj.width      = 0.8*window.screen.availWidth;
     }
   }

   // Parameters for "Quick Preview" window
   if( aWindowType == "Quick" ) {

     // Set this to true, if you want these settings to have effect,
     // otherwise set to false and default settings will take effect instead
     lPreviewParamsObj.userQuickPreviewSettings = false;
     //

     if( lPreviewParamsObj.userQuickPreviewSettings ) {
       lPreviewParamsObj.topCorner  = 0;
       lPreviewParamsObj.leftCorner = 0;
       lPreviewParamsObj.height     = 0.96*window.screen.availHeight;
       lPreviewParamsObj.width      = 0.8*window.screen.availWidth;
     }
   }

   // Parameters for "Print Preview" windows
   if( aWindowType == "Print" ) {

     // Set this to true, if you want these settings to have effect,
     // otherwise set to false and default settings will take effect instead
     lPreviewParamsObj.userPrintPreviewSettings = false;
     //

     if( lPreviewParamsObj.userPrintPreviewSettings ) {
       lPreviewParamsObj.topCorner  = 0;
       lPreviewParamsObj.leftCorner = 0;
       lPreviewParamsObj.height     = 0.96*window.screen.availHeight;
       lPreviewParamsObj.width      = 0.8*window.screen.availWidth;
     }
   }

   return lPreviewParamsObj;
}
// @008 END

// @009 BEGIN
function fnGetUserExit1Fkey()
{
  // User can modify function key for Exit1 button ( Ausbruch in german )
  // But the format of this user specification must be strictly like bellow,
  // otherwise this setting has no effect !
  var vExit1FKey = "F-18";
  
  // alert( 111 + parseInt(vExit1FKey.substring(2)) );
  return 111 + parseInt(vExit1FKey.substring(2));
}

function fnGetUserExit2Fkey()
{
  // User can modify function key for Exit2 button ( Ring in german )
  // But the format of this user specification must be strictly like bellow,
  // otherwise this setting has no effect !
  var vExit2FKey = "F-23";
  
  // alert( 111 + parseInt(vExit2FKey.substring(2)) );
  return 111 + parseInt(vExit2FKey.substring(2));
}
// @009 END


/* ------------------------------------------------------------------------- */
/* This function is used to decide whether customer help is displayed in     */
/* help menus                                                                */
/* By default the passed-in parameter                                        */
/* ------------------------------------------------------------------------- */

function fnGetCustHelpToShowInHelpMenu(aCustHelpToShowInHelpMenu)
{

  var vCustHelpToShowInHelpMenu = aCustHelpToShowInHelpMenu;

  /* Activate the following statement by removing the starting slashes  */
  /* if you want to ACTIVATE customer help in the help menu             */
 

  // vCustHelpToShowInHelpMenu = "Y";

  /* Activate the following statement by removing the starting slashes  */
  /* if you want to DE-ACTIVATE customer help in the help menu          */
 
  // vCustHelpToShowInHelpMenu = "N";

  
  return vCustHelpToShowInHelpMenu;  

} // end of fnGetCustHelpToShowInHelpMenu() 


/* ------------------------------------------------------------------------- */
/* This function is used to implement customer help                          */
/*                                                                           */
/*  Customers may modify the contents here.                                  */
/* ------------------------------------------------------------------------- */

function fnShowCustHelpExit() 
{
   
   var helpmap = null; 
   
   
   helpmap = new Array("start",                         "/index.html",


                     /* ---> Customization Start : Add items here ... */  

                       "menu",                          "/helpcustmenu.html",
                       "lrr",                           "/helpcustlrr.html",
                       "param",                         "/helpcustparam.html",
                       "term",                          "/helpcustterm.html",
   
                     /* ---> Customization End : Add items here ... */    
                   
                       "index",                         "/index.html",
                       "default",                       "/index.html");

  return helpmap;  

} // end of fnShowCustHelpExit() 

/* ------------------------------------------------------------------------- */
/* This function reads user defined style of item ids display                */
/* Possible options are "Aligned" and "NotAligned"                           */
/* ------------------------------------------------------------------------- */
function fnGetItemIdDisplayStyle()
{

  // This is display style of item ids, user can change
  // Aligned - item ids are vertically aligned
  // NotAligned - item ids are displayed right after paragraph names
  // @015, changed Alligned to Aligned and NotAlligned to NotAligned
  var userDisplayStyle = "Aligned";

  if( userDisplayStyle != "Aligned" && userDisplayStyle != "NotAligned")
    userDisplayStyle = "Aligned";
  
  return userDisplayStyle;
}

/*
This function sets customizable correction of height of dialog windows.
Problem is with Internet Explorer SP2, in which status bar is displayd and
buttons in Dialogue-Windows are truncated due to display of http-info at 
the bottom
So, if user has IE with SP2, this correction value can be set, otherwise, 
it can be set to 0.
*/
function fnGetWindowHeightCorrection()
{

  // This is customizable value.
  var vWindowHeightCorrection = 25;
  
  return vWindowHeightCorrection;

} // End of fnGetWindowHeightCorrection()



/* ------------------------------------------------------------------------- */
/* This function redirects a redefined key code or 'nulls' it                */
/* ------------------------------------------------------------------------- */
function fnCustomerRedirectKeyCode(aOrigin, aKeyEvent, aUsedlanguage , aWhatAmI)
{
   var vStatus   =  null;
   var vKeycode  =  aKeyEvent.keyCode;  // Keycode
    
   var vCtrlKey  =  aKeyEvent.ctrlKey;  // true or false if ctrl  key pressed or not  
   var vAltKey   =  aKeyEvent.altKey;   // true or false if alt   key pressed or not
   var vShiftKey  = aKeyEvent.shiftKey; // true or false if shift key pressed or not
  
  

   var ZERO       = 0;                  //  to 'null' keycode 

   switch (aUsedlanguage )
   {
       case "de":    
	 /*\// Start  of  German customization             */
	 /*\//                                             */
	 /*\// Insert your keycode customization here      */
         /*\// to overwrite vKeycode                   ... */ 



 	 /*\// End    of  German          customization    */     

       break;
       case "da": 
	 /*\// Start  of  Danish customization             */
	 /*\//                                             */
	 /*\// Insert your keycode customization here      */
         /*\// to overwrite vKeycode                   ... */ 



 	 /*\// End    of  Danish          customization    */

       break;
       case "en":
	 /*\// Start  of  English customization            */
	 /*\//                                             */
	 /*\// Insert your keycode customization here      */
         /*\// to overwrite vKeycode                   ... */ 

      
         
 	 /*\// End    of  English         customization    */
       break;
       case "es":
	 /*\// Start  of  Spanish customization            */
	 /*\//                                             */
	 /*\// Insert your keycode customization here      */
         /*\// to overwrite vKeycode                   ... */ 



 	 /*\// End    of  Spanish         customization    */
       break;
       case "fr":
         /*\// Start  of  French  customization            */
	 /*\//                                             */
	 /*\// Insert your keycode customization here      */
         /*\// to overwrite vKeycode                   ... */



 	 /*\// End    of  French          customization    */
       break;   
       case "nl":
         /*\// Start  of  Dutch   customization            */
	 /*\//                                             */
	 /*\// Insert your keycode customization here      */
         /*\// to overwrite vKeycode                   ... */



 	 /*\// End    of  Dutch           customization    */
       break;
       default: 
                               
   }


   return vKeycode;

} // End of  fnCustomerRedirectKeyCode()
