<?xml version="1.0" encoding="UTF-8"?>
<!--*******************************************************************************
*
* Licensed Material - Property of IBM
*
* 5655-002
*
* (C) Copyright IBM Corp. 2003
*                                                                           
*   US Government Users Restricted Rights - Use, duplication or
*   disclosure restricted by GSA ASP Schedule Contract with
*   IBM Corp.
*                                                                         
*                                                                           
* MODULE NAME= doccustom1.xsl                                              
*                                                                           
* DESCRIPTIVE NAME= Processing of custom tags.                               
*                                                                           
* Description: This stylesheet can be used to process custom tags. It is included into
*              docd2h.xsl via <xsl:include href="doccustom1.xsl" />   
*                                                                           
*              The version here is a sample version, containing callable templates
*              that are actually called.                                  
*                                                                           
*              If the usage of a namespace is configured in DocXSLConversion.xml, this
*              namespace needs to be defined.                               
*                                                                           
*                                                                           
* Change Activity:                                                          
*                                                                           
* Code		Release 	Date		Person		Reason                                    
* @00=		1.0.0		2003-05-20	GOT		Initial creation
* @01=		1.0.0		2003-06-17	GOT		PTR3319: replace id=remove with remove=Y
* @02		1.0.0		2003-06-18	GOT		:wahltext
* @03		1.0.0		2003-07-01	GOT		PTR3108 User tag Linie
* @04		1.0.0		2003-08-06	GOT		PTR3668 deletable Tags.
* @05=		1.0.0		2003-09-02	GOT		PTR3718 TAB inconsistencies
* @06=		1.0.0		2003-09-02	GOT		PTR3668 (newlineafter), PTR3666 ABSATZ as a DIV
*
*****************************************************************************************-->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:allianz="http://www.allianz.de">
	<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="no" standalone="yes" omit-xml-declaration="no"/>
	<!--******************************************************************************* -->
	<!--* If you need parameters, define them here. Parameters can be specified in    * -->
	<!--* DocXSLConversion.xml, using the d2hparms section                            * -->
	<!--******************************************************************************* -->
	<xsl:param name="p-sample" select="'Y'"/>
	<!--******************************************************************************* -->
	<!--* Global variables						                                      * -->
	<!--******************************************************************************* -->
	<xsl:variable name="g-sample" select="'global'"/>
	<xsl:variable name="g-nsprefix" select="'allianz:'"/>
	<!--******************************************************************************* -->
	<!--* Recurse over the tree. The processing works as follows:                     * -->
	<!--* (1) DCF controls with type="dcf" are converted to their original source.    * -->
	<!--*     Recursion stops.                                                        * -->
	<!--* (2) All the rest including GML tags with type="gml" are copied.             * -->
	<!--* (3) Special templates are provided for GML tags that need to be changed     * -->
	<!--*     and for DCF Control that need to be changed                             * -->
	<!--******************************************************************************* -->
	<xsl:template match="*" mode="custom-mode">
		<xsl:variable name="custom-tag-name" select="name(.)"/>
		<xsl:call-template name="azgml">
			<xsl:with-param name="gmltyp">
				<xsl:value-of select="$custom-tag-name"/>
			</xsl:with-param>
		</xsl:call-template>
	</xsl:template>
	<!--******************************************************************************* -->
	<!--*                                                                             * -->
	<!--* this callable template is used to add custom style information              * -->
	<!--*                                                                             * -->
	<!--******************************************************************************* -->
	<xsl:template name="userstyles">
		<xsl:param name="controlfont"/>
		<xsl:param name="editfont"/>
		<xsl:param name="colorcode"/>
		<!-- azstyle -->
		<xsl:text>.azstyle{font-family:verdana</xsl:text>
		<xsl:text>;font-size:8pt;border:none</xsl:text>
		<xsl:text>;font-weight:medium</xsl:text>
		<xsl:text>;cursor:not-allowed</xsl:text>
		<xsl:text>;background-color:#aaaaaa</xsl:text>
		<xsl:text>;color:#1111FF</xsl:text>
		<xsl:text>}</xsl:text>
		<xsl:text>.azwahl{font-family:verdana</xsl:text>
		<xsl:text>;font-size:8pt;border:none</xsl:text>
		<xsl:text>;font-weight:medium</xsl:text>
		<xsl:text>;background-color:#aaaaaa</xsl:text>
		<xsl:text>;color:#1111FF</xsl:text>
		<xsl:text>}</xsl:text>
		<xsl:text>.Seite{font-family:verdana</xsl:text>
		<xsl:text>;font-size:8pt;border:none</xsl:text>
		<xsl:text>;font-weight:medium</xsl:text>
		<xsl:text>;cursor:not-allowed</xsl:text>
		<xsl:text>;background-color:#aaaaaa</xsl:text>
		<xsl:text>;color:#1111FF</xsl:text>
		<xsl:text>}</xsl:text>
		<xsl:text>.Absatz{font-family:verdana</xsl:text>
		<xsl:text>;font-size:8pt;border:none</xsl:text>
		<xsl:text>;font-weight:medium</xsl:text>
		<xsl:text>;cursor:not-allowed</xsl:text>
		<xsl:text>;background-color:#aaaaaa</xsl:text>
		<xsl:text>;color:#1111FF</xsl:text>
		<xsl:text>}</xsl:text>
		<xsl:text>.Linie{font-family:verdana</xsl:text>
		<xsl:text>;font-size:8pt;border:none</xsl:text>
		<xsl:text>;font-weight:medium</xsl:text>
		<xsl:text>;cursor:not-allowed</xsl:text>
		<xsl:text>;background-color:#aaaaaa</xsl:text>
		<xsl:text>;color:#1111FF</xsl:text>
		<xsl:text>}</xsl:text>
		<xsl:text>.azedit{font-family:verdana</xsl:text>
		<xsl:text>;font-size:10pt;border:none</xsl:text>
		<xsl:text>;font-weight:medium</xsl:text>
		<xsl:text>;cursor:text</xsl:text>
		<xsl:text>;color:black</xsl:text>
		<xsl:text>}</xsl:text>
		<!-- Fett -->
		<xsl:text>.Fett{font-family:</xsl:text>
		<xsl:value-of select="$editfont"/>
		<xsl:text>;font-size:10pt</xsl:text>
		<xsl:text>;font-weight:bold</xsl:text>
		<xsl:text>}</xsl:text>
		<!-- Normal -->
		<xsl:text>.Normal{font-family:</xsl:text>
		<xsl:value-of select="$editfont"/>
		<xsl:text>;font-size:10pt</xsl:text>
		<xsl:text>;font-weight:normal</xsl:text>
		<xsl:text>}</xsl:text>
		<!-- Klein -->
		<xsl:text>.Klein{font-family:</xsl:text>
		<xsl:value-of select="$editfont"/>
		<xsl:text>;font-size:8pt</xsl:text>
		<xsl:text>}</xsl:text>
		<!-- Mager -->
		<xsl:text>.Mager{font-family:</xsl:text>
		<xsl:value-of select="$editfont"/>
		<xsl:text>;font-weight:lighter</xsl:text>
		<xsl:text>}</xsl:text>
		<!-- Gross -->
		<xsl:text>.Gross{font-family:</xsl:text>
		<xsl:value-of select="$editfont"/>
		<xsl:text>;font-size:12pt</xsl:text>
		<xsl:text>}</xsl:text>
		<xsl:text>.Wech{display:none}</xsl:text>
		<xsl:text>.Zeile{color:white}</xsl:text>
	</xsl:template>
	<!--******************************************************************************* -->
	<!--* : Wahltext Stuff                                                       * -->
	<!--******************************************************************************* -->
	<xsl:template match="allianz:ALTGRUP | allianz:SELGRUP">
		<xsl:element name="FORM">
			<xsl:attribute name="oname"><xsl:value-of select="substring-after(name(), 'allianz:')"/></xsl:attribute>
			<xsl:for-each select="@*">
				<xsl:copy/>
			</xsl:for-each>
			<xsl:element name="TABLE">
				<xsl:attribute name="border">1</xsl:attribute>
				<xsl:attribute name="width">100%</xsl:attribute>
				<xsl:element name="THEAD">
					<xsl:attribute name="class">azstyle</xsl:attribute>
					<xsl:value-of select="@text"/>
				</xsl:element>
				<xsl:apply-templates/>
			</xsl:element>
		</xsl:element>
	</xsl:template>
	<xsl:template match="allianz:ALTERN | allianz:SELEKT">
		<xsl:element name="TR">
			<xsl:attribute name="oname"><xsl:value-of select="substring-after(name(), 'allianz:')"/></xsl:attribute>
			<xsl:for-each select="@*">
				<xsl:copy/>
			</xsl:for-each>
			<xsl:element name="TD">
				<xsl:attribute name="contenteditable">true</xsl:attribute>
				<xsl:element name="INPUT">
					<xsl:attribute name="enabled">enabled</xsl:attribute>
					<xsl:choose>
						<xsl:when test="name(.) = 'allianz:ALTERN'">
							<xsl:attribute name="type">radio</xsl:attribute>
							<xsl:attribute name="name">testr</xsl:attribute>
						</xsl:when>
						<xsl:when test="name(.) = 'allianz:SELEKT'">
							<xsl:attribute name="type">checkbox</xsl:attribute>
							<xsl:attribute name="name">testc</xsl:attribute>
						</xsl:when>
						<xsl:otherwise/>
					</xsl:choose>
					<xsl:if test="@aktiv = 'ja'">
						<xsl:attribute name="checked">checked</xsl:attribute>
					</xsl:if>
				</xsl:element>
			</xsl:element>
			<xsl:element name="TD">
				<xsl:attribute name="width">10%</xsl:attribute>
				<xsl:attribute name="remove">Y</xsl:attribute>
				<xsl:attribute name="class">azstyle</xsl:attribute>
				<xsl:value-of select="@text"/>
			</xsl:element>
			<xsl:element name="TD">
				<xsl:choose>
					<xsl:when test="@edit = 'ja'">
						<xsl:element name="DIV">
							<xsl:attribute name="contenteditable">true</xsl:attribute>
							<xsl:apply-templates mode="mode-wahltext"/>
						</xsl:element>
					</xsl:when>
					<xsl:otherwise>
						<xsl:apply-templates mode="mode-wahltext"/>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:element>
		</xsl:element>
	</xsl:template>
	<xsl:template match="text()" mode="mode-wahltext">
		<xsl:value-of select="."/>
	</xsl:template>
	<xsl:template match="le" mode="mode-wahltext">
		<xsl:value-of select="' '"/>
	</xsl:template>
	<!--******************************************************************************* -->
	<!--* :LINIE                                                                      * -->
	<!--******************************************************************************* -->
	<xsl:template match="allianz:LINIE" mode="custom-mode">
		<xsl:element name="HR">
			<xsl:attribute name="id">usertag</xsl:attribute>
			<xsl:attribute name="class">Linie</xsl:attribute>
			<xsl:if test="@contents">
				<xsl:copy-of select="@contents"/>
				<xsl:attribute name="id">usertag</xsl:attribute>
			</xsl:if>
		</xsl:element>
	</xsl:template>
	<!--******************************************************************************* -->
	<!--* :NORMAL                                                                     * -->
	<!--******************************************************************************* -->
	<xsl:template match="allianz:NORMAL" mode="custom-mode">
		<xsl:variable name="tag-contents">
			<xsl:value-of select="string(.)"/>
		</xsl:variable>
		<xsl:variable name="p-node-name" select="name(parent::node())">
		</xsl:variable>
		<xsl:choose>
			<xsl:when test="$tag-contents = ''">
				<xsl:element name="NORMAL"/>
				<xsl:apply-templates/>
			</xsl:when>
			<xsl:otherwise>
				<xsl:choose>
					<xsl:when test="$p-node-name = 'DCFDocument never true'">
						<xsl:call-template name="do-editable-span">
							<xsl:with-param name="p-style">Normal</xsl:with-param>
						</xsl:call-template>
					</xsl:when>
					<xsl:otherwise>
						<xsl:call-template name="do-span">
							<xsl:with-param name="p-style">Normal</xsl:with-param>
						</xsl:call-template>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<!--******************************************************************************* -->
	<!--* :MAGER                                                                      * -->
	<!--******************************************************************************* -->
	<xsl:template match="allianz:MAGER" mode="custom-mode">
		<xsl:variable name="tag-contents">
			<xsl:value-of select="string(.)"/>
		</xsl:variable>
		<xsl:variable name="p-node-name" select="name(parent::node())">
		</xsl:variable>
		<xsl:choose>
			<xsl:when test="$tag-contents = ''">
				<xsl:element name="MAGER"/>
				<xsl:apply-templates/>
			</xsl:when>
			<xsl:otherwise>
				<xsl:choose>
					<xsl:when test="$p-node-name = 'DCFDocument never true'">
						<xsl:call-template name="do-editable-span">
							<xsl:with-param name="p-style">Mager</xsl:with-param>
						</xsl:call-template>
					</xsl:when>
					<xsl:otherwise>
						<xsl:call-template name="do-span">
							<xsl:with-param name="p-style">Mager</xsl:with-param>
						</xsl:call-template>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<!--******************************************************************************* -->
	<!--* :FETT                                                                       * -->
	<!--******************************************************************************* -->
	<xsl:template match="allianz:FETT" mode="custom-mode">
		<xsl:variable name="tag-contents">
			<xsl:value-of select="string(.)"/>
		</xsl:variable>
		<xsl:variable name="p-node-name" select="name(parent::node())">
		</xsl:variable>
		<xsl:choose>
			<xsl:when test="$tag-contents = ''">
				<xsl:element name="FETT"/>
				<xsl:apply-templates/>
			</xsl:when>
			<xsl:otherwise>
				<xsl:choose>
					<xsl:when test="$p-node-name = 'DCFDocument never true'">
						<xsl:call-template name="do-editable-span">
							<xsl:with-param name="p-style">Fett</xsl:with-param>
						</xsl:call-template>
					</xsl:when>
					<xsl:otherwise>
						<xsl:call-template name="do-span">
							<xsl:with-param name="p-style">Fett</xsl:with-param>
						</xsl:call-template>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<!--******************************************************************************* -->
	<!--* :GROSS                                                                      * -->
	<!--******************************************************************************* -->
	<xsl:template match="allianz:GROSS" mode="custom-mode">
		<xsl:variable name="tag-contents">
			<xsl:value-of select="string(.)"/>
		</xsl:variable>
		<xsl:variable name="p-node-name" select="name(parent::node())">
		</xsl:variable>
		<xsl:choose>
			<xsl:when test="$tag-contents = ''">
				<xsl:element name="GROSS"/>
				<xsl:apply-templates/>
			</xsl:when>
			<xsl:otherwise>
				<xsl:choose>
					<xsl:when test="$p-node-name = 'DCFDocument never true'">
						<xsl:call-template name="do-editable-span">
							<xsl:with-param name="p-style">Gross</xsl:with-param>
						</xsl:call-template>
					</xsl:when>
					<xsl:otherwise>
						<xsl:call-template name="do-span">
							<xsl:with-param name="p-style">Gross</xsl:with-param>
						</xsl:call-template>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<!--******************************************************************************* -->
	<!--* :KLEIN                                                                      * -->
	<!--******************************************************************************* -->
	<xsl:template match="allianz:KLEIN" mode="custom-mode">
		<xsl:variable name="tag-contents">
			<xsl:value-of select="string(.)"/>
		</xsl:variable>
		<xsl:variable name="p-node-name" select="name(parent::node())">
		</xsl:variable>
		<xsl:choose>
			<xsl:when test="$tag-contents = ''">
				<xsl:element name="KLEIN"/>
				<xsl:apply-templates/>
			</xsl:when>
			<xsl:otherwise>
				<xsl:choose>
					<xsl:when test="$p-node-name = 'DCFDocument never true'">
						<xsl:call-template name="do-editable-span">
							<xsl:with-param name="p-style">Klein</xsl:with-param>
						</xsl:call-template>
					</xsl:when>
					<xsl:otherwise>
						<xsl:call-template name="do-span">
							<xsl:with-param name="p-style">Klein</xsl:with-param>
						</xsl:call-template>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<!--******************************************************************************* -->
	<!--* :KURSIV                                                                      * -->
	<!--******************************************************************************* -->
	<xsl:template match="allianz:KURSIV" mode="custom-mode">
		<xsl:variable name="tag-contents">
			<xsl:value-of select="string(.)"/>
		</xsl:variable>
		<xsl:variable name="p-node-name" select="name(parent::node())">
		</xsl:variable>
		<xsl:choose>
			<xsl:when test="$tag-contents = ''">
				<xsl:element name="KURSIV"/>
				<xsl:apply-templates/>
			</xsl:when>
			<xsl:otherwise>
				<xsl:choose>
					<xsl:when test="$p-node-name = 'DCFDocument never true'">
						<xsl:call-template name="do-editable-span">
							<xsl:with-param name="p-style">Kursiv</xsl:with-param>
						</xsl:call-template>
					</xsl:when>
					<xsl:otherwise>
						<xsl:call-template name="do-span">
							<xsl:with-param name="p-style">Kursiv</xsl:with-param>
						</xsl:call-template>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<!--******************************************************************************* -->
	<!--* :ABSATZ                                                                     * -->
	<!--******************************************************************************* -->
	<xsl:template match="allianz:ABSATZ" mode="custom-mode">
		<xsl:element name="DIV">
			<!--
			<xsl:if test="not (ancestor::node()/@list)">
				<xsl:attribute name="contenteditable">true</xsl:attribute>
			</xsl:if>
			-->
			<xsl:attribute name="origin">Absatz</xsl:attribute>
			<xsl:if test="@contents">
				<xsl:copy-of select="@contents"/>
				<xsl:attribute name="name">Absatz</xsl:attribute>
				<xsl:attribute name="id">usertag</xsl:attribute>
			</xsl:if>
			<xsl:call-template name="generate-description-div">
				<xsl:with-param name="hinweis-text">Absatz</xsl:with-param>
			</xsl:call-template>
		</xsl:element>
		<xsl:if test="$p-speditable = 'true' and name(following-sibling::node()[position() = 1]) !='textblock' and @nla = 'Y'">
			<xsl:call-template name="make-nla-line"/>
		</xsl:if>
	</xsl:template>
	<!--******************************************************************************* -->
	<!--* :ZEILE                                                                     * -->
	<!--******************************************************************************* -->
	<xsl:template match="allianz:ZEILE" mode="custom-mode">
		<xsl:element name="DIV">
			<xsl:if test="not (ancestor::node()/@list)">
				<xsl:attribute name="contenteditable">true</xsl:attribute>
			</xsl:if>
			<xsl:attribute name="origin">Zeile</xsl:attribute>
			<xsl:if test="@contents">
				<xsl:copy-of select="@contents"/>
				<xsl:attribute name="name">Zeile</xsl:attribute>
				<xsl:attribute name="id">usertag</xsl:attribute>
			</xsl:if>
			<xsl:call-template name="generate-description-div">
				<xsl:with-param name="hinweis-text">Zeile</xsl:with-param>
			</xsl:call-template>
			<xsl:if test="$p-speditable = 'true' and name(following-sibling::node()[position() = 1]) !='textblock' and @nla = 'Y'">
				<xsl:call-template name="make-nla-line"/>
			</xsl:if>
		</xsl:element>
	</xsl:template>
	<!--******************************************************************************* -->
	<!--* :LISTE						                                                       * -->
	<!--******************************************************************************* -->
	<xsl:template match="allianz:LISTE" mode="custom-mode">
		<xsl:call-template name="do-any-list"/>
	</xsl:template>
	<!--*****nachfolgender Block eingefügt durch V.Schmidt AZ-AG 07.02.2003************************** -->
	<xsl:template match="allianz:WAHLTEXT" mode="custom-mode">
		<xsl:variable name="h-text">Wahltext
			<xsl:value-of select="$leer"/>
		</xsl:variable>
		<xsl:variable name="aktivkenn">
			<xsl:choose>
				<xsl:when test="@aktiv='n'">n</xsl:when>
				<xsl:when test="@AKTIV='N'">n</xsl:when>
				<xsl:otherwise>j</xsl:otherwise>
			</xsl:choose>
		</xsl:variable>
		<xsl:element name="DIV">
			<xsl:attribute name="class">azwahl</xsl:attribute>
			<xsl:attribute name="remove">Y</xsl:attribute>
			<xsl:attribute name="oname">WAHLTEXT</xsl:attribute>
			<xsl:copy-of select="@*"/>
			<xsl:if test="name(following-sibling::node()[position() = 1]) = 'textblock'">
				<xsl:if test="following-sibling::textblock[position() = 1]/@sameline = 'Y'">
					<xsl:attribute name="rest"><xsl:value-of select="following-sibling::textblock[position() = 1]"/></xsl:attribute>
				</xsl:if>
			</xsl:if>
			<xsl:value-of select="$h-text"/>
			<xsl:element name="INPUT">
				<xsl:attribute name="name">WAHLTEXT</xsl:attribute>
				<xsl:attribute name="remove">Y</xsl:attribute>
				<xsl:attribute name="type">radio</xsl:attribute>
				<xsl:attribute name="value">aktiv</xsl:attribute>
				<xsl:if test="$aktivkenn = 'j'">
					<xsl:attribute name="checked">checked</xsl:attribute>
					<xsl:value-of select="$leer"/>
aktiv</xsl:if>
			</xsl:element>
		</xsl:element>
		<xsl:apply-templates/>
		<xsl:element name="DIV">
			<xsl:attribute name="class">azstyle</xsl:attribute>
			<xsl:attribute name="oname">EWAHLTEXT</xsl:attribute>
Ende Wahltext</xsl:element>
		<xsl:if test="$p-speditable = 'true' and name(following-sibling::node()[position() = 1]) !='textblock' and @nla = 'Y'">
			<xsl:call-template name="make-nla-line"/>
		</xsl:if>
	</xsl:template>
	<!--*****vorhergehender  Block eingefügt durch V.Schmidt AZ-AG 07.02.2003************************** -->
	<!--******************************************************************************* -->
	<!--* :TAB                                                                        * -->
	<!--******************************************************************************* -->
	<!--
	<xsl:template match="allianz:TAB" mode="custom-mode">
		<xsl:call-template name="azgml">
			<xsl:with-param name="gmltyp">TAB</xsl:with-param>
			<xsl:with-param name="gmltext">Tabulatordefinition</xsl:with-param>
		</xsl:call-template>
		<xsl:element name="DIV">
			<xsl:attribute name="class"><xsl:value-of select="name(.)"/></xsl:attribute>
			<xsl:attribute name="id">gmltag</xsl:attribute>
			<xsl:attribute name="paired">no</xsl:attribute>
			<xsl:copy-of select="@*"/>
			<xsl:if test="following-sibling::textblock[position() = 1]/@sameline = 'Y'">
				<xsl:attribute name="rest"><xsl:value-of select="following-sibling::textblock[position() = 1]"/></xsl:attribute>
			</xsl:if>
			<xsl:apply-templates/>
		</xsl:element>
	</xsl:template>
	-->
	<!--******************************************************************************* -->
	<!--* :STRICH                                                                        * -->
	<!--******************************************************************************* -->
	<!--
	<xsl:template match="allianz:STRICH" mode="custom-mode">
		<xsl:call-template name="azgml">
			<xsl:with-param name="gmltyp">STRICH</xsl:with-param>
			<xsl:with-param name="gmltext">Strich</xsl:with-param>
		</xsl:call-template>
		<xsl:element name="DIV">
			<xsl:attribute name="class"><xsl:value-of select="name(.)"/></xsl:attribute>
			<xsl:attribute name="id">gmltag</xsl:attribute>
			<xsl:attribute name="paired">no</xsl:attribute>
			<xsl:copy-of select="@*"/>
			<xsl:if test="following-sibling::textblock[position() = 1]/@sameline = 'Y'">
				<xsl:attribute name="rest"><xsl:value-of select="following-sibling::textblock[position() = 1]"/></xsl:attribute>
			</xsl:if>
			<xsl:apply-templates/>
		</xsl:element>
	</xsl:template>
	-->
	<!--******************************************************************************* -->
	<!--* :FC                                                                         * -->
	<!--******************************************************************************* -->
	<!-- FC   -->
	<xsl:template match="allianz:FC" mode="custom-mode">
		<!--*************************************************************************** -->
		<!--* Create the prologue text which is removed by doch2d                     * -->
		<!--*************************************************************************** -->
		<xsl:call-template name="azfc">
			<xsl:with-param name="gmltyp">FC</xsl:with-param>
			<xsl:with-param name="gmltext">
				<xsl:value-of select="@nr"/>
			</xsl:with-param>
		</xsl:call-template>
		<xsl:call-template name="generate-inner"/>
		<xsl:if test="$p-speditable = 'true' and name(following-sibling::node()[position() = 1]) !='textblock' and @nla = 'Y'">
			<xsl:call-template name="make-nla-line"/>
		</xsl:if>
	</xsl:template>
	<xsl:template match="allianz:HC" mode="custom-mode">
		<xsl:call-template name="azlc">
			<xsl:with-param name="gmltyp">HC</xsl:with-param>
			<xsl:with-param name="gmltext">
				<xsl:value-of select="@nr"/>
			</xsl:with-param>
		</xsl:call-template>
		<xsl:call-template name="generate-inner">
			<xsl:with-param name="paired">no</xsl:with-param>
		</xsl:call-template>
		<xsl:if test="$p-speditable = 'true' and name(following-sibling::node()[position() = 1]) !='textblock' and @nla = 'Y'">
			<xsl:call-template name="make-nla-line"/>
		</xsl:if>
	</xsl:template>
	<xsl:template match="allianz:SC" mode="custom-mode">
		<xsl:call-template name="azlc">
			<xsl:with-param name="gmltyp">SC</xsl:with-param>
			<xsl:with-param name="gmltext">
				<xsl:value-of select="@nr"/>
			</xsl:with-param>
		</xsl:call-template>
		<xsl:call-template name="generate-inner">
			<xsl:with-param name="paired">no</xsl:with-param>
		</xsl:call-template>
		<xsl:if test="$p-speditable = 'true' and name(following-sibling::node()[position() = 1]) !='textblock' and @nla = 'Y'">
			<xsl:call-template name="make-nla-line"/>
		</xsl:if>
	</xsl:template>
	<!--******************************************************************************* -->
	<!--* :LC                                                                         * -->
	<!--******************************************************************************* -->
	<!-- LC   -->
	<xsl:template match="allianz:LC" mode="custom-mode">
		<!--*************************************************************************** -->
		<!--* Create the prologue text which is removed by doch2d                     * -->
		<!--*************************************************************************** -->
		<xsl:call-template name="azlc">
			<xsl:with-param name="gmltyp">FC</xsl:with-param>
			<xsl:with-param name="gmltext">
				<xsl:value-of select="@nr"/>
			</xsl:with-param>
		</xsl:call-template>
		<xsl:call-template name="generate-inner">
			<xsl:with-param name="paired">no</xsl:with-param>
		</xsl:call-template>
		<xsl:if test="$p-speditable = 'true' and name(following-sibling::node()[position() = 1]) !='textblock' and @nla = 'Y'">
			<xsl:call-template name="make-nla-line"/>
		</xsl:if>
	</xsl:template>
	<xsl:template match="allianz:IV" mode="custom-mode">
		<xsl:variable name="h-text">neues Kapitel</xsl:variable>
		<xsl:call-template name="generate-description-div2">
			<xsl:with-param name="hinweis-text">
				<xsl:value-of select="$h-text"/>
			</xsl:with-param>
			<xsl:with-param name="type">ru</xsl:with-param>
			<xsl:with-param name="show">no</xsl:with-param>
			<xsl:with-param name="oname">
				<xsl:value-of select="substring-after(name(.), $g-nsprefix)"/>
			</xsl:with-param>
		</xsl:call-template>
		<xsl:if test="$p-speditable = 'true' and name(following-sibling::node()[position() = 1]) !='textblock' and @nla = 'Y'">
			<xsl:call-template name="make-nla-line"/>
		</xsl:if>
	</xsl:template>
	<!--
	<xsl:template match="allianz:HINWEIS" mode="custom-mode">
		<xsl:variable name="full-text">
			<xsl:for-each select="@*">
				<xsl:copy/>
			</xsl:for-each>
		</xsl:variable>
		<xsl:variable name="h-text">Hinweis: </xsl:variable>
		<xsl:call-template name="generate-description-div2">
			<xsl:with-param name="hinweis-text">
				<xsl:value-of select="$h-text"/>
			</xsl:with-param>
			<xsl:with-param name="hinweis-erw">
				<xsl:value-of select="string($full-text)"/>
			</xsl:with-param>
			<xsl:with-param name="type">ru</xsl:with-param>
			<xsl:with-param name="show">no</xsl:with-param>
			<xsl:with-param name="oname">
				<xsl:value-of select="Hinweis"/>
			</xsl:with-param>
		</xsl:call-template>
	</xsl:template>
	-->
	<!--******************************************************************************* -->
	<!--******************************************************************************* -->
	<!--******************************************************************************* -->
	<!--* :callable templates                                                         * -->
	<!--******************************************************************************* -->
	<!--******************************************************************************* -->
	<!--******************************************************************************* -->
	<xsl:template name="aztabspalt">
		<xsl:value-of select="'Spalten sind'"/>
		<xsl:value-of select="$leer"/>
		<xsl:value-of select="@gatt0"/>
		<xsl:if test="@gattno &gt; 1">
			<xsl:value-of select="$leer"/>
		</xsl:if>
		<xsl:value-of select="@gatt1"/>
		<xsl:if test="@gattno &gt; 2">
			<xsl:value-of select="$leer"/>
		</xsl:if>
		<xsl:value-of select="@gatt2"/>
		<xsl:if test="@gattno &gt; 3">
			<xsl:value-of select="$leer"/>
		</xsl:if>
		<xsl:value-of select="@gatt3"/>
		<xsl:if test="following-sibling::node()[position() = 1]/@sameline = 'Y'">
			<xsl:value-of select="'.'"/>
			<xsl:value-of select="following-sibling::textblock[position() = 1]"/>
		</xsl:if>
	</xsl:template>
	<xsl:template name="aztabspalt-child">
		<xsl:value-of select="'Spalten sind'"/>
		<xsl:value-of select="$leer"/>
		<xsl:value-of select="@gatt0"/>
		<xsl:if test="@gattno &gt; 1">
			<xsl:value-of select="$leer"/>
		</xsl:if>
		<xsl:value-of select="@gatt1"/>
		<xsl:if test="@gattno &gt; 2">
			<xsl:value-of select="$leer"/>
		</xsl:if>
		<xsl:value-of select="@gatt2"/>
		<xsl:if test="@gattno &gt; 3">
			<xsl:value-of select="$leer"/>
		</xsl:if>
		<xsl:value-of select="@gatt3"/>
		<xsl:if test="child::textblock[position() = 1]/@sameline = 'Y'">
			<xsl:value-of select="'.'"/>
			<xsl:value-of select="child::textblock[position() = 1]"/>
		</xsl:if>
	</xsl:template>
	<xsl:template name="azfc">
		<xsl:param name="gmltext">Frage</xsl:param>
		<xsl:element name="DIV">
			<xsl:attribute name="class">azstyle</xsl:attribute>
			<xsl:attribute name="remove">Y</xsl:attribute>
			<xsl:if test="$gmltext = '3' ">Antwort</xsl:if>
			<xsl:if test="$gmltext = '2' ">Frage</xsl:if>
			<xsl:if test="$gmltext = '1' ">Nr.</xsl:if>
		</xsl:element>
	</xsl:template>
	<xsl:template name="azlc">
		<xsl:param name="gmltext">Frage</xsl:param>
		<xsl:element name="DIV">
			<xsl:attribute name="class">azstyle</xsl:attribute>
			<xsl:attribute name="remove">Y</xsl:attribute>
			Spalte
			<xsl:value-of select="$gmltext"/>
		</xsl:element>
	</xsl:template>
	<!--******************************************************************************* -->
	<!--*                                                                             * -->
	<!--* Das "Allianz Haupttemplate". Es wird aufgerufen mit dem Allianz-Tag Namen   * -->
	<!--* (im Parameter gmltyp).                                                      * -->
	<!--*                                                                             * -->
	<!--* Mittels eines grossen <xsl:choose> .. </xsl:choose> Blocks wird pro tag     * -->
	<!--* der Output geneneriert.                                                     * -->
	<!--*                                                                             * -->
	<!--* Die meisten Allianz Tags sind hier vertreten. Tags, die sich nicht so       * -->
	<!--* behandeln lassen, haben eigene "match-Templates"                            * -->
	<!--*                                                                             * -->
	<!--******************************************************************************* -->
	<xsl:template name="azgml">
		<xsl:param name="gmltyp"/>
		<xsl:param name="gmltext"/>
		<xsl:variable name="origin-name" select="substring-after($gmltyp, $g-nsprefix)"/>
		<xsl:choose>
			<xsl:when test="$gmltyp = 'allianz:IU'">
				<xsl:variable name="h-text">bedingte Verarbeitung - abhängig von:
					<xsl:value-of select="$leer"/>
				</xsl:variable>
				<xsl:call-template name="generate-description-div2">
					<xsl:with-param name="hinweis-text">
						<xsl:value-of select="$h-text"/>
					</xsl:with-param>
					<xsl:with-param name="hinweis-erw">
						<xsl:value-of select="@parm"/>
						<xsl:value-of select="@Parm"/>
						<xsl:value-of select="@PARM"/>
						<xsl:value-of select="$leer"/>
						<xsl:value-of select="@wert"/>
						<xsl:value-of select="@Wert"/>
						<xsl:value-of select="@WERT"/>
					</xsl:with-param>
					<xsl:with-param name="type">ru</xsl:with-param>
					<xsl:with-param name="show">no</xsl:with-param>
					<xsl:with-param name="oname">
						<xsl:value-of select="$origin-name"/>
					</xsl:with-param>
				</xsl:call-template>
			</xsl:when>
			<xsl:when test="$gmltyp = 'allianz:EIU'">
				<xsl:variable name="h-text">Ende bedingte Verarbeitung</xsl:variable>
				<xsl:call-template name="generate-description-div2">
					<xsl:with-param name="hinweis-text">
						<xsl:value-of select="$h-text"/>
					</xsl:with-param>
					<xsl:with-param name="type">ru</xsl:with-param>
					<xsl:with-param name="show">no</xsl:with-param>
					<xsl:with-param name="oname">
						<xsl:value-of select="$origin-name"/>
					</xsl:with-param>
				</xsl:call-template>
			</xsl:when>
			<xsl:when test="$gmltyp = 'allianz:HTAB'">
				<xsl:variable name="h-text">Tabelle</xsl:variable>
				<xsl:variable name="h-erw">
					<xsl:call-template name="aztabspalt"/>
				</xsl:variable>
				<xsl:call-template name="generate-description-div2">
					<xsl:with-param name="hinweis-text">
						<xsl:value-of select="$h-text"/>
					</xsl:with-param>
					<xsl:with-param name="type">ru</xsl:with-param>
					<xsl:with-param name="show">no</xsl:with-param>
					<xsl:with-param name="oname">
						<xsl:value-of select="$origin-name"/>
					</xsl:with-param>
					<xsl:with-param name="hinweis-erw">
						<xsl:value-of select="$h-erw"/>
					</xsl:with-param>
				</xsl:call-template>
			</xsl:when>
			<xsl:when test="$gmltyp = 'allianz:ELTAB'">
				<xsl:variable name="h-text">Ende Tabelle</xsl:variable>
				<xsl:call-template name="generate-description-div2">
					<xsl:with-param name="hinweis-text">
						<xsl:value-of select="$h-text"/>
					</xsl:with-param>
					<xsl:with-param name="type">ru</xsl:with-param>
					<xsl:with-param name="show">no</xsl:with-param>
					<xsl:with-param name="oname">
						<xsl:value-of select="$origin-name"/>
					</xsl:with-param>
				</xsl:call-template>
			</xsl:when>
			<xsl:when test="$gmltyp = 'allianz:HTAB'">
				<xsl:variable name="h-text">Tabelle</xsl:variable>
				<xsl:variable name="h-erw">
					<xsl:call-template name="aztabspalt"/>
				</xsl:variable>
				<xsl:call-template name="generate-description-div2">
					<xsl:with-param name="hinweis-text">
						<xsl:value-of select="$h-text"/>
					</xsl:with-param>
					<xsl:with-param name="type">ru</xsl:with-param>
					<xsl:with-param name="show">no</xsl:with-param>
					<xsl:with-param name="oname">
						<xsl:value-of select="$origin-name"/>
					</xsl:with-param>
					<xsl:with-param name="hinweis-erw">
						<xsl:value-of select="$h-erw"/>
					</xsl:with-param>
				</xsl:call-template>
			</xsl:when>
			<xsl:when test="$gmltyp = 'allianz:EHTAB'">
				<xsl:variable name="h-text">Ende Tabelle</xsl:variable>
				<xsl:call-template name="generate-description-div2">
					<xsl:with-param name="hinweis-text">
						<xsl:value-of select="$h-text"/>
					</xsl:with-param>
					<xsl:with-param name="type">ru</xsl:with-param>
					<xsl:with-param name="show">no</xsl:with-param>
					<xsl:with-param name="oname">
						<xsl:value-of select="$origin-name"/>
					</xsl:with-param>
				</xsl:call-template>
			</xsl:when>
			<xsl:when test="$gmltyp = 'allianz:FTAB'">
				<xsl:variable name="h-text">Fragentabelle</xsl:variable>
				<xsl:call-template name="generate-description-div2">
					<xsl:with-param name="hinweis-text">
						<xsl:value-of select="$h-text"/>
					</xsl:with-param>
					<xsl:with-param name="type">ru</xsl:with-param>
					<xsl:with-param name="show">no</xsl:with-param>
					<xsl:with-param name="oname">
						<xsl:value-of select="$origin-name"/>
					</xsl:with-param>
				</xsl:call-template>
			</xsl:when>
			<xsl:when test="$gmltyp = 'allianz:EFTAB'">
				<xsl:variable name="h-text">Ende Fragentabelle</xsl:variable>
				<xsl:call-template name="generate-description-div2">
					<xsl:with-param name="hinweis-text">
						<xsl:value-of select="$h-text"/>
					</xsl:with-param>
					<xsl:with-param name="type">ru</xsl:with-param>
					<xsl:with-param name="show">no</xsl:with-param>
					<xsl:with-param name="oname">
						<xsl:value-of select="$origin-name"/>
					</xsl:with-param>
				</xsl:call-template>
			</xsl:when>
			<xsl:when test="$gmltyp = 'allianz:DTAB'">
				<xsl:variable name="h-text">Tabelle</xsl:variable>
				<xsl:variable name="h-erw">
					<xsl:call-template name="aztabspalt"/>
				</xsl:variable>
				<xsl:call-template name="generate-description-div2">
					<xsl:with-param name="hinweis-text">
						<xsl:value-of select="$h-text"/>
					</xsl:with-param>
					<xsl:with-param name="type">ru</xsl:with-param>
					<xsl:with-param name="show">no</xsl:with-param>
					<xsl:with-param name="oname">
						<xsl:value-of select="$origin-name"/>
					</xsl:with-param>
					<xsl:with-param name="hinweis-erw">
						<xsl:value-of select="$h-erw"/>
					</xsl:with-param>
				</xsl:call-template>
			</xsl:when>
			<xsl:when test="$gmltyp = 'allianz:EDTAB'">
				<xsl:variable name="h-text">Ende Tabelle</xsl:variable>
				<xsl:call-template name="generate-description-div2">
					<xsl:with-param name="hinweis-text">
						<xsl:value-of select="$h-text"/>
					</xsl:with-param>
					<xsl:with-param name="type">ru</xsl:with-param>
					<xsl:with-param name="show">no</xsl:with-param>
					<xsl:with-param name="oname">
						<xsl:value-of select="$origin-name"/>
					</xsl:with-param>
				</xsl:call-template>
			</xsl:when>
			<xsl:when test="$gmltyp = 'allianz:SVTAB'">
				<xsl:variable name="h-text">Tabelle</xsl:variable>
				<xsl:variable name="h-erw">
					<xsl:call-template name="aztabspalt"/>
				</xsl:variable>
				<xsl:call-template name="generate-description-div2">
					<xsl:with-param name="hinweis-text">
						<xsl:value-of select="$h-text"/>
					</xsl:with-param>
					<xsl:with-param name="type">ru</xsl:with-param>
					<xsl:with-param name="show">no</xsl:with-param>
					<xsl:with-param name="oname">
						<xsl:value-of select="$origin-name"/>
					</xsl:with-param>
					<xsl:with-param name="hinweis-erw">
						<xsl:value-of select="$h-erw"/>
					</xsl:with-param>
				</xsl:call-template>
			</xsl:when>
			<xsl:when test="$gmltyp = 'allianz:ESVTAB'">
				<xsl:variable name="h-text">Ende Tabelle</xsl:variable>
				<xsl:call-template name="generate-description-div2">
					<xsl:with-param name="hinweis-text">
						<xsl:value-of select="$h-text"/>
					</xsl:with-param>
					<xsl:with-param name="type">ru</xsl:with-param>
					<xsl:with-param name="show">no</xsl:with-param>
					<xsl:with-param name="oname">
						<xsl:value-of select="$origin-name"/>
					</xsl:with-param>
				</xsl:call-template>
			</xsl:when>
			<xsl:when test="$gmltyp = 'allianz:BILD'">
				<xsl:variable name="h-text">nur für Bildschirmanzeige</xsl:variable>
				<xsl:call-template name="generate-description-div2">
					<xsl:with-param name="hinweis-text">
						<xsl:value-of select="$h-text"/>
					</xsl:with-param>
					<xsl:with-param name="type">ru</xsl:with-param>
					<xsl:with-param name="show">no</xsl:with-param>
					<xsl:with-param name="oname">
						<xsl:value-of select="$origin-name"/>
					</xsl:with-param>
				</xsl:call-template>
			</xsl:when>
			<xsl:when test="$gmltyp = 'allianz:EBILD'">
				<xsl:variable name="h-text">Ende nur für Bildschirmanzeige</xsl:variable>
				<xsl:call-template name="generate-description-div2">
					<xsl:with-param name="hinweis-text">
						<xsl:value-of select="$h-text"/>
					</xsl:with-param>
					<xsl:with-param name="type">ru</xsl:with-param>
					<xsl:with-param name="show">no</xsl:with-param>
					<xsl:with-param name="oname">
						<xsl:value-of select="$origin-name"/>
					</xsl:with-param>
				</xsl:call-template>
			</xsl:when>
			<xsl:when test="$gmltyp = 'allianz:DRUCK'">
				<xsl:variable name="h-text">nur für Druckausgabe</xsl:variable>
				<xsl:call-template name="generate-description-div2">
					<xsl:with-param name="hinweis-text">
						<xsl:value-of select="$h-text"/>
					</xsl:with-param>
					<xsl:with-param name="type">ru</xsl:with-param>
					<xsl:with-param name="show">no</xsl:with-param>
					<xsl:with-param name="oname">
						<xsl:value-of select="$origin-name"/>
					</xsl:with-param>
				</xsl:call-template>
			</xsl:when>
			<xsl:when test="$gmltyp = 'allianz:EDRUCK'">
				<xsl:variable name="h-text">Ende nur für Druckausgabe</xsl:variable>
				<xsl:call-template name="generate-description-div2">
					<xsl:with-param name="hinweis-text">
						<xsl:value-of select="$h-text"/>
					</xsl:with-param>
					<xsl:with-param name="type">ru</xsl:with-param>
					<xsl:with-param name="show">no</xsl:with-param>
					<xsl:with-param name="oname">
						<xsl:value-of select="$origin-name"/>
					</xsl:with-param>
				</xsl:call-template>
			</xsl:when>
			<xsl:when test="$gmltyp = 'allianz:WEB'">
				<xsl:variable name="h-text">nur für Internet</xsl:variable>
				<xsl:call-template name="generate-description-div2">
					<xsl:with-param name="hinweis-text">
						<xsl:value-of select="$h-text"/>
					</xsl:with-param>
					<xsl:with-param name="type">ru</xsl:with-param>
					<xsl:with-param name="show">no</xsl:with-param>
					<xsl:with-param name="oname">
						<xsl:value-of select="$origin-name"/>
					</xsl:with-param>
				</xsl:call-template>
			</xsl:when>
			<xsl:when test="$gmltyp = 'allianz:EWEB'">
				<xsl:variable name="h-text">Ende nur für Internet</xsl:variable>
				<xsl:call-template name="generate-description-div2">
					<xsl:with-param name="hinweis-text">
						<xsl:value-of select="$h-text"/>
					</xsl:with-param>
					<xsl:with-param name="type">ru</xsl:with-param>
					<xsl:with-param name="show">no</xsl:with-param>
					<xsl:with-param name="oname">
						<xsl:value-of select="$origin-name"/>
					</xsl:with-param>
				</xsl:call-template>
			</xsl:when>
			<xsl:when test="$gmltyp = 'allianz:WEBBRIEF'">
				<xsl:variable name="h-text">Internet Brief (?)</xsl:variable>
				<xsl:call-template name="generate-description-div2">
					<xsl:with-param name="hinweis-text">
						<xsl:value-of select="$h-text"/>
					</xsl:with-param>
					<xsl:with-param name="type">ru</xsl:with-param>
					<xsl:with-param name="show">no</xsl:with-param>
					<xsl:with-param name="oname">
						<xsl:value-of select="$origin-name"/>
					</xsl:with-param>
				</xsl:call-template>
			</xsl:when>
			<xsl:when test="$gmltyp = 'allianz:EWEBBRIEF'">
				<xsl:variable name="h-text">Ende Internet Brief (?)</xsl:variable>
				<xsl:call-template name="generate-description-div2">
					<xsl:with-param name="hinweis-text">
						<xsl:value-of select="$h-text"/>
					</xsl:with-param>
					<xsl:with-param name="type">ru</xsl:with-param>
					<xsl:with-param name="show">no</xsl:with-param>
					<xsl:with-param name="oname">
						<xsl:value-of select="$origin-name"/>
					</xsl:with-param>
				</xsl:call-template>
			</xsl:when>
			<xsl:when test="$gmltyp = 'allianz:NOWEB'">
				<xsl:variable name="h-text">nicht für Internet</xsl:variable>
				<xsl:call-template name="generate-description-div2">
					<xsl:with-param name="hinweis-text">
						<xsl:value-of select="$h-text"/>
					</xsl:with-param>
					<xsl:with-param name="type">ru</xsl:with-param>
					<xsl:with-param name="show">no</xsl:with-param>
					<xsl:with-param name="oname">
						<xsl:value-of select="$origin-name"/>
					</xsl:with-param>
				</xsl:call-template>
			</xsl:when>
			<xsl:when test="$gmltyp = 'allianz:ENOWEB'">
				<xsl:variable name="h-text">Ende nicht für Internet</xsl:variable>
				<xsl:call-template name="generate-description-div2">
					<xsl:with-param name="hinweis-text">
						<xsl:value-of select="$h-text"/>
					</xsl:with-param>
					<xsl:with-param name="type">ru</xsl:with-param>
					<xsl:with-param name="show">no</xsl:with-param>
					<xsl:with-param name="oname">
						<xsl:value-of select="$origin-name"/>
					</xsl:with-param>
				</xsl:call-template>
			</xsl:when>
			<xsl:when test="$gmltyp = 'allianz:HAMT'">
				<xsl:variable name="h-text">Menge und Einzelbeitrag</xsl:variable>
				<xsl:call-template name="generate-description-div2">
					<xsl:with-param name="hinweis-text">
						<xsl:value-of select="$h-text"/>
					</xsl:with-param>
					<xsl:with-param name="type">ru</xsl:with-param>
					<xsl:with-param name="show">no</xsl:with-param>
					<xsl:with-param name="oname">
						<xsl:value-of select="$origin-name"/>
					</xsl:with-param>
				</xsl:call-template>
			</xsl:when>
			<xsl:when test="$gmltyp = 'allianz:HAMB'">
				<xsl:variable name="h-text">Mindestbeitrag</xsl:variable>
				<xsl:call-template name="generate-description-div2">
					<xsl:with-param name="hinweis-text">
						<xsl:value-of select="$h-text"/>
					</xsl:with-param>
					<xsl:with-param name="type">ru</xsl:with-param>
					<xsl:with-param name="show">no</xsl:with-param>
					<xsl:with-param name="oname">
						<xsl:value-of select="$origin-name"/>
					</xsl:with-param>
				</xsl:call-template>
			</xsl:when>
			<xsl:when test="$gmltyp = 'allianz:HAGB'">
				<xsl:variable name="h-text">Gesamtbeitrag</xsl:variable>
				<xsl:call-template name="generate-description-div2">
					<xsl:with-param name="hinweis-text">
						<xsl:value-of select="$h-text"/>
					</xsl:with-param>
					<xsl:with-param name="type">ru</xsl:with-param>
					<xsl:with-param name="show">no</xsl:with-param>
					<xsl:with-param name="oname">
						<xsl:value-of select="$origin-name"/>
					</xsl:with-param>
				</xsl:call-template>
			</xsl:when>
			<xsl:when test="$gmltyp = 'allianz:HAENDE'">
				<xsl:variable name="h-text">Ende</xsl:variable>
				<xsl:call-template name="generate-description-div2">
					<xsl:with-param name="hinweis-text">
						<xsl:value-of select="$h-text"/>
					</xsl:with-param>
					<xsl:with-param name="type">ru</xsl:with-param>
					<xsl:with-param name="show">no</xsl:with-param>
					<xsl:with-param name="oname">
						<xsl:value-of select="$origin-name"/>
					</xsl:with-param>
				</xsl:call-template>
			</xsl:when>
			<xsl:when test="$gmltyp = 'allianz:SCHLEIFE'">
				<xsl:variable name="h-text">Schleife</xsl:variable>
				<xsl:call-template name="generate-description-div2">
					<xsl:with-param name="hinweis-text">
						<xsl:value-of select="$h-text"/>
					</xsl:with-param>
					<xsl:with-param name="type">ru</xsl:with-param>
					<xsl:with-param name="show">no</xsl:with-param>
					<xsl:with-param name="oname">
						<xsl:value-of select="$origin-name"/>
					</xsl:with-param>
				</xsl:call-template>
			</xsl:when>
			<xsl:when test="$gmltyp = 'allianz:ZUW'">
				<xsl:variable name="h-text">interne Wertzuweisung</xsl:variable>
				<xsl:call-template name="generate-description-div2">
					<xsl:with-param name="hinweis-text">
						<xsl:value-of select="$h-text"/>
					</xsl:with-param>
					<xsl:with-param name="type">ru</xsl:with-param>
					<xsl:with-param name="show">no</xsl:with-param>
					<xsl:with-param name="oname">
						<xsl:value-of select="$origin-name"/>
					</xsl:with-param>
				</xsl:call-template>
			</xsl:when>
			<xsl:when test="$gmltyp = 'allianz:SEITE'">
				<xsl:variable name="h-text">Seitenvorschub</xsl:variable>
				<xsl:call-template name="generate-description-div2">
					<xsl:with-param name="hinweis-text">
						<xsl:value-of select="$h-text"/>
					</xsl:with-param>
					<xsl:with-param name="type">ru</xsl:with-param>
					<xsl:with-param name="show">no</xsl:with-param>
					<xsl:with-param name="oname">
						<xsl:value-of select="$origin-name"/>
					</xsl:with-param>
				</xsl:call-template>
			</xsl:when>
			<xsl:when test="$gmltyp = 'allianz:TEXT'">
				<xsl:variable name="h-text">Eingabefeld</xsl:variable>
				<xsl:call-template name="generate-description-div2">
					<xsl:with-param name="hinweis-text">
						<xsl:value-of select="$h-text"/>
					</xsl:with-param>
					<xsl:with-param name="type">ru</xsl:with-param>
					<xsl:with-param name="show">no</xsl:with-param>
					<xsl:with-param name="oname">
						<xsl:value-of select="$origin-name"/>
					</xsl:with-param>
				</xsl:call-template>
			</xsl:when>
			<xsl:when test="$gmltyp = 'allianz:JANEIN'">
				<xsl:variable name="h-text">Ja/Nein-Feld</xsl:variable>
				<xsl:call-template name="generate-description-div2">
					<xsl:with-param name="hinweis-text">
						<xsl:value-of select="$h-text"/>
					</xsl:with-param>
					<xsl:with-param name="type">ru</xsl:with-param>
					<xsl:with-param name="show">no</xsl:with-param>
					<xsl:with-param name="oname">
						<xsl:value-of select="$origin-name"/>
					</xsl:with-param>
				</xsl:call-template>
			</xsl:when>
			<xsl:when test="$gmltyp = 'allianz:DATUM'">
				<xsl:variable name="h-text">Datumseingabefeld</xsl:variable>
				<xsl:call-template name="generate-description-div2">
					<xsl:with-param name="hinweis-text">
						<xsl:value-of select="$h-text"/>
					</xsl:with-param>
					<xsl:with-param name="type">ru</xsl:with-param>
					<xsl:with-param name="show">no</xsl:with-param>
					<xsl:with-param name="oname">
						<xsl:value-of select="$origin-name"/>
					</xsl:with-param>
				</xsl:call-template>
			</xsl:when>
			<xsl:when test="$gmltyp = 'allianz:FR'">
				<xsl:variable name="h-text">Fragenblock</xsl:variable>
				<xsl:call-template name="generate-description-div2">
					<xsl:with-param name="hinweis-text">
						<xsl:value-of select="$h-text"/>
					</xsl:with-param>
					<xsl:with-param name="type">ru</xsl:with-param>
					<xsl:with-param name="show">no</xsl:with-param>
					<xsl:with-param name="oname">
						<xsl:value-of select="$origin-name"/>
					</xsl:with-param>
				</xsl:call-template>
			</xsl:when>
			<xsl:when test="$gmltyp = 'allianz:ZIFFER'">
				<xsl:variable name="h-text">lfd. Ziffer</xsl:variable>
				<xsl:call-template name="generate-description-div2">
					<xsl:with-param name="hinweis-text">
						<xsl:value-of select="$h-text"/>
					</xsl:with-param>
					<xsl:with-param name="type">ru</xsl:with-param>
					<xsl:with-param name="show">no</xsl:with-param>
					<xsl:with-param name="oname">
						<xsl:value-of select="$origin-name"/>
					</xsl:with-param>
				</xsl:call-template>
			</xsl:when>
			<xsl:when test="$gmltyp = 'allianz:TAB'">
				<xsl:variable name="h-text">Tabulatordefinition</xsl:variable>
				<xsl:variable name="h-erw">
					<xsl:call-template name="aztabspalt"/>
				</xsl:variable>
				<xsl:call-template name="generate-description-div2">
					<xsl:with-param name="hinweis-text">
						<xsl:value-of select="$h-text"/>
					</xsl:with-param>
					<xsl:with-param name="type">ru</xsl:with-param>
					<xsl:with-param name="show">no</xsl:with-param>
					<xsl:with-param name="oname">
						<xsl:value-of select="$origin-name"/>
					</xsl:with-param>
					<xsl:with-param name="hinweis-erw">
						<xsl:value-of select="$h-erw"/>
					</xsl:with-param>
				</xsl:call-template>
			</xsl:when>
			<xsl:when test="$gmltyp = 'allianz:STRICH'">
				<xsl:variable name="h-text">Strich</xsl:variable>
				<xsl:variable name="h-erw">
					<xsl:call-template name="aztabspalt"/>
				</xsl:variable>
				<xsl:call-template name="generate-description-div2">
					<xsl:with-param name="hinweis-text">
						<xsl:value-of select="$h-text"/>
					</xsl:with-param>
					<xsl:with-param name="type">ru</xsl:with-param>
					<xsl:with-param name="show">no</xsl:with-param>
					<xsl:with-param name="oname">
						<xsl:value-of select="$origin-name"/>
					</xsl:with-param>
					<xsl:with-param name="hinweis-erw">
						<xsl:value-of select="$h-erw"/>
					</xsl:with-param>
				</xsl:call-template>
			</xsl:when>
			<!--eingefügt 5.2.2003 Schmidt Az-AG-->
			<xsl:when test="$gmltyp = 'allianz:L'">
				<xsl:variable name="h-text">Textvorgabe inaktiv, mit D aktivieren</xsl:variable>
				<xsl:call-template name="generate-description-div2">
					<xsl:with-param name="hinweis-text">
						<xsl:value-of select="$h-text"/>
					</xsl:with-param>
					<xsl:with-param name="type">ru</xsl:with-param>
					<xsl:with-param name="show">yes</xsl:with-param>
					<xsl:with-param name="oname">
						<xsl:value-of select="$origin-name"/>
					</xsl:with-param>
				</xsl:call-template>
			</xsl:when>
			<xsl:when test="$gmltyp = 'allianz:D'">
				<xsl:variable name="h-text">Textvorgabe aktiv, mit L deaktivieren</xsl:variable>
				<xsl:call-template name="generate-description-div2">
					<xsl:with-param name="hinweis-text">
						<xsl:value-of select="$h-text"/>
					</xsl:with-param>
					<xsl:with-param name="type">ru</xsl:with-param>
					<xsl:with-param name="show">yes</xsl:with-param>
					<xsl:with-param name="oname">
						<xsl:value-of select="$origin-name"/>
					</xsl:with-param>
				</xsl:call-template>
			</xsl:when>
			<xsl:when test="$gmltyp = 'allianz:RADIO'">
				<xsl:variable name="h-text">Ankreuzfeld</xsl:variable>
				<xsl:call-template name="generate-description-div2">
					<xsl:with-param name="hinweis-text">
						<xsl:value-of select="$h-text"/>
					</xsl:with-param>
					<xsl:with-param name="type">ru</xsl:with-param>
					<xsl:with-param name="show">no</xsl:with-param>
					<xsl:with-param name="oname">
						<xsl:value-of select="$origin-name"/>
					</xsl:with-param>
				</xsl:call-template>
			</xsl:when>
			<xsl:when test="$gmltyp = 'allianz:NUMSYST'">
				<xsl:variable name="h-text">Listennumerierung definieren</xsl:variable>
				<xsl:call-template name="generate-description-div2">
					<xsl:with-param name="hinweis-text">
						<xsl:value-of select="$h-text"/>
					</xsl:with-param>
					<xsl:with-param name="type">ru</xsl:with-param>
					<xsl:with-param name="show">no</xsl:with-param>
					<xsl:with-param name="oname">
						<xsl:value-of select="$origin-name"/>
					</xsl:with-param>
				</xsl:call-template>
			</xsl:when>
			<xsl:when test="$gmltyp = 'allianz:KOPIE'">
				<xsl:variable name="h-text">Zusatz - nur auf Kopie für</xsl:variable>
				<xsl:call-template name="generate-description-div2">
					<xsl:with-param name="hinweis-text">
						<xsl:value-of select="$h-text"/>
					</xsl:with-param>
					<xsl:with-param name="hinweis-erw">
						<xsl:value-of select="$leer"/>
						<xsl:value-of select="@empf"/>
						<xsl:value-of select="@EMPF"/>
						<xsl:value-of select="@Empf"/>
					</xsl:with-param>
					<xsl:with-param name="type">ru</xsl:with-param>
					<xsl:with-param name="show">no</xsl:with-param>
					<xsl:with-param name="oname">
						<xsl:value-of select="$origin-name"/>
					</xsl:with-param>
				</xsl:call-template>
			</xsl:when>
			<xsl:when test="$gmltyp = 'allianz:EKOPIE'">
				<xsl:variable name="h-text">Ende Zusatz auf Kopie</xsl:variable>
				<xsl:call-template name="generate-description-div2">
					<xsl:with-param name="hinweis-text">
						<xsl:value-of select="$h-text"/>
					</xsl:with-param>
					<xsl:with-param name="type">ru</xsl:with-param>
					<xsl:with-param name="show">no</xsl:with-param>
					<xsl:with-param name="oname">
						<xsl:value-of select="$origin-name"/>
					</xsl:with-param>
				</xsl:call-template>
			</xsl:when>
			<xsl:when test="$gmltyp = 'allianz:MT'">
				<xsl:variable name="h-text">Menge und Einzelbeitrag</xsl:variable>
				<xsl:call-template name="generate-description-div2">
					<xsl:with-param name="hinweis-text">
						<xsl:value-of select="$h-text"/>
					</xsl:with-param>
					<xsl:with-param name="type">ru</xsl:with-param>
					<xsl:with-param name="show">no</xsl:with-param>
					<xsl:with-param name="oname">
						<xsl:value-of select="$origin-name"/>
					</xsl:with-param>
				</xsl:call-template>
			</xsl:when>
			<xsl:when test="$gmltyp = 'allianz:MB'">
				<xsl:variable name="h-text">Mindestbeitrag</xsl:variable>
				<xsl:call-template name="generate-description-div2">
					<xsl:with-param name="hinweis-text">
						<xsl:value-of select="$h-text"/>
					</xsl:with-param>
					<xsl:with-param name="type">ru</xsl:with-param>
					<xsl:with-param name="show">no</xsl:with-param>
					<xsl:with-param name="oname">
						<xsl:value-of select="$origin-name"/>
					</xsl:with-param>
				</xsl:call-template>
			</xsl:when>
			<xsl:when test="$gmltyp = 'allianz:GB'">
				<xsl:variable name="h-text">Gesamtbeitrag</xsl:variable>
				<xsl:call-template name="generate-description-div2">
					<xsl:with-param name="hinweis-text">
						<xsl:value-of select="$h-text"/>
					</xsl:with-param>
					<xsl:with-param name="type">ru</xsl:with-param>
					<xsl:with-param name="show">no</xsl:with-param>
					<xsl:with-param name="oname">
						<xsl:value-of select="$origin-name"/>
					</xsl:with-param>
				</xsl:call-template>
			</xsl:when>
			<xsl:when test="$gmltyp = 'allianz:ENDE'">
				<xsl:variable name="h-text">Ende</xsl:variable>
				<xsl:call-template name="generate-description-div2">
					<xsl:with-param name="hinweis-text">
						<xsl:value-of select="$h-text"/>
					</xsl:with-param>
					<xsl:with-param name="type">ru</xsl:with-param>
					<xsl:with-param name="show">no</xsl:with-param>
					<xsl:with-param name="oname">
						<xsl:value-of select="$origin-name"/>
					</xsl:with-param>
				</xsl:call-template>
			</xsl:when>
			<xsl:when test="$gmltyp = 'allianz:MITTE'">
				<xsl:variable name="h-text">ab hier zentriert drucken</xsl:variable>
				<xsl:call-template name="generate-description-div2">
					<xsl:with-param name="hinweis-text">
						<xsl:value-of select="$h-text"/>
					</xsl:with-param>
					<xsl:with-param name="type">ru</xsl:with-param>
					<xsl:with-param name="show">no</xsl:with-param>
					<xsl:with-param name="oname">
						<xsl:value-of select="$origin-name"/>
					</xsl:with-param>
				</xsl:call-template>
			</xsl:when>
			<xsl:when test="$gmltyp = 'allianz:EMITTE'">
				<xsl:variable name="h-text">bis hier zentriert drucken</xsl:variable>
				<xsl:call-template name="generate-description-div2">
					<xsl:with-param name="hinweis-text">
						<xsl:value-of select="$h-text"/>
					</xsl:with-param>
					<xsl:with-param name="type">ru</xsl:with-param>
					<xsl:with-param name="show">no</xsl:with-param>
					<xsl:with-param name="oname">
						<xsl:value-of select="$origin-name"/>
					</xsl:with-param>
				</xsl:call-template>
			</xsl:when>
			<xsl:when test="$gmltyp = 'allianz:HINWEIS'">
				<xsl:variable name="h-text">Hinweis:</xsl:variable>
				<xsl:call-template name="generate-description-div2">
					<xsl:with-param name="hinweis-text">
						<xsl:value-of select="$h-text"/>
					</xsl:with-param>
					<xsl:with-param name="hinweis-erw">
						<xsl:value-of select="@text"/>
					</xsl:with-param>
					<xsl:with-param name="type">ru</xsl:with-param>
					<xsl:with-param name="show">no</xsl:with-param>
					<xsl:with-param name="oname">
						<xsl:value-of select="$origin-name"/>
					</xsl:with-param>
				</xsl:call-template>
			</xsl:when>
			<xsl:otherwise>
				<xsl:call-template name="generate-description-div">
					<xsl:with-param name="hinweis-text">**Nicht in der Liste</xsl:with-param>
				</xsl:call-template>
				<xsl:value-of select="$gmltyp"/>
			</xsl:otherwise>
		</xsl:choose>
		<xsl:if test="$p-speditable = 'true' and name(following-sibling::node()[position() = 1]) !='textblock' and @nla = 'Y'">
			<xsl:call-template name="make-nla-line"/>
		</xsl:if>
	</xsl:template>
	<xsl:template name="azpreserve1">
		<!--*************************************************************************** -->
		<!--* Now create the actual DIV, the following rules apply:                   * -->
		<!--* (1) The class is the original custom tag name                           * -->
		<!--* (2) The id    is gmltag                                                 * -->
		<!--* (3) All parameters are copied.                                          * -->
		<!--* (4) Following text with sameline="Y" is moved into the attribute rest   * -->
		<!--* (5) An innerdiv is created with the contents                            * -->
		<!--*************************************************************************** -->
		<xsl:element name="DIV">
			<xsl:attribute name="class"><xsl:value-of select="substring-after(name(.), $g-nsprefix)"/></xsl:attribute>
			<xsl:attribute name="id">gmltag</xsl:attribute>
			<xsl:copy-of select="@*"/>
			<xsl:if test="./textblock/@sameline = 'Y'">
				<xsl:attribute name="rest"><xsl:value-of select="./textblock"/></xsl:attribute>
				<!--******************************************************************* -->
				<!--* :Create the contents                                            * -->
				<!--******************************************************************* -->
				<xsl:element name="DIV">
					<xsl:attribute name="class">edittext</xsl:attribute>
					<xsl:attribute name="remove">Y</xsl:attribute>
					<xsl:value-of select="./textblock"/>
				</xsl:element>
			</xsl:if>
		</xsl:element>
	</xsl:template>
	<xsl:template name="generate-inner">
		<xsl:param name="paired"/>
		<xsl:element name="DIV">
			<xsl:attribute name="class"><xsl:value-of select="substring-after(name(.), $g-nsprefix)"/></xsl:attribute>
			<xsl:attribute name="id">gmltag</xsl:attribute>
			<xsl:attribute name="paired"><xsl:value-of select="$paired"/></xsl:attribute>
			<xsl:copy-of select="@*"/>
			<xsl:if test="child::textblock[position()=1]/@sameline = 'Y'">
				<xsl:attribute name="rest"><xsl:value-of select="child::textblock[position()=1]"/></xsl:attribute>
			</xsl:if>
			<xsl:apply-templates/>
		</xsl:element>
	</xsl:template>
	<xsl:template name="generate-div-with-rest-paired">
		<xsl:element name="DIV">
			<xsl:attribute name="class"><xsl:value-of select="substring-after(name(.), $g-nsprefix)"/></xsl:attribute>
			<xsl:attribute name="paired">no</xsl:attribute>
			<xsl:attribute name="id">gmltag</xsl:attribute>
			<xsl:copy-of select="@*"/>
			<xsl:if test="child::textblock[position()=1]/@sameline = 'Y'">
				<xsl:attribute name="rest"><xsl:value-of select="./textblock"/></xsl:attribute>
				<xsl:element name="DIV">
					<xsl:attribute name="class">edittext</xsl:attribute>
					<xsl:attribute name="remove">Y</xsl:attribute>
					<xsl:value-of select="substring-after(name(.), $g-nsprefix)"/>
					<xsl:call-template name="returnGatts"/>
					<xsl:text>.</xsl:text>
					<xsl:value-of select="./textblock"/>
				</xsl:element>
			</xsl:if>
		</xsl:element>
	</xsl:template>
	<xsl:template name="generate-div-with-rest-unpaired">
		<xsl:param name="paired">no</xsl:param>
		<xsl:param name="show">no</xsl:param>
		<xsl:element name="DIV">
			<xsl:attribute name="class"><xsl:value-of select="substring-after(name(.), $g-nsprefix)"/></xsl:attribute>
			<xsl:attribute name="paired"><xsl:value-of select="$paired"/></xsl:attribute>
			<xsl:attribute name="id">gmltag</xsl:attribute>
			<xsl:copy-of select="@*"/>
			<xsl:if test="name(following-sibling::node()[position() = 1]) = 'textblock'">
				<xsl:if test="following-sibling::textblock[position() = 1]/@sameline = 'Y'">
					<xsl:attribute name="rest"><xsl:value-of select="following-sibling::textblock[position() = 1]"/></xsl:attribute>
					<xsl:if test="$show = 'yes'">
						<xsl:element name="DIV">
							<xsl:attribute name="class">edittext</xsl:attribute>
							<xsl:attribute name="remove">Y</xsl:attribute>
							<xsl:value-of select="substring-after(name(.), $g-nsprefix)"/>
							<xsl:call-template name="returnGatts"/>
							<xsl:text>.</xsl:text>
							<xsl:value-of select="following-sibling::textblock[position() = 1]"/>
						</xsl:element>
					</xsl:if>
				</xsl:if>
			</xsl:if>
		</xsl:element>
	</xsl:template>
	<xsl:template name="generate-description-div">
		<xsl:param name="hinweis-text"/>
		<xsl:element name="DIV">
			<xsl:attribute name="class">azstyle</xsl:attribute>
			<xsl:attribute name="remove">Y</xsl:attribute>
			<xsl:value-of select="$hinweis-text"/>
		</xsl:element>
	</xsl:template>
	<xsl:template name="generate-description-span">
		<xsl:param name="hinweis-text"/>
		<xsl:element name="SPAN">
			<xsl:attribute name="class">azstyle</xsl:attribute>
			<xsl:attribute name="remove">Y</xsl:attribute>
			<xsl:value-of select="$hinweis-text"/>
		</xsl:element>
	</xsl:template>
	<xsl:variable name="leer" select="' '"/>
	<xsl:variable name="radiolnr" select="' 1'"/>
	<xsl:template name="generate-description-div2">
		<xsl:param name="hinweis-text"/>
		<xsl:param name="type"/>
		<xsl:param name="show"/>
		<xsl:param name="oname"/>
		<xsl:param name="hinweis-erw"/>
		<xsl:element name="DIV">
			<xsl:attribute name="class">azstyle</xsl:attribute>
			<xsl:attribute name="remove">Y</xsl:attribute>
			<xsl:if test="@contents">
				<xsl:copy-of select="@contents"/>
				<xsl:attribute name="id">usertag</xsl:attribute>
				<xsl:attribute name="name"><xsl:value-of select="$oname"/></xsl:attribute>
			</xsl:if>
			<xsl:attribute name="oname"><xsl:value-of select="$oname"/></xsl:attribute>
			<xsl:choose>
				<xsl:when test="$type = 'ru'">
					<xsl:copy-of select="@*"/>
					<xsl:if test="name(following-sibling::node()[position() = 1]) = 'textblock'">
						<xsl:if test="following-sibling::textblock[position() = 1]/@sameline = 'Y'">
							<xsl:attribute name="rest"><xsl:value-of select="following-sibling::textblock[position() = 1]"/></xsl:attribute>
							<xsl:if test="$show = 'yes'">
								<xsl:element name="DIV">
									<xsl:attribute name="class">edittext</xsl:attribute>
									<xsl:attribute name="remove">Y</xsl:attribute>
									<xsl:value-of select="substring-after(name(.), $g-nsprefix)"/>
									<xsl:call-template name="returnGatts"/>
									<xsl:text>.</xsl:text>
									<xsl:value-of select="following-sibling::textblock[position() = 1]"/>
								</xsl:element>
							</xsl:if>
						</xsl:if>
					</xsl:if>
				</xsl:when>
				<xsl:otherwise/>
			</xsl:choose>
			<xsl:value-of select="$hinweis-text"/>
			<xsl:value-of select="$leer"/>
			<xsl:value-of select="$hinweis-erw"/>
		</xsl:element>
	</xsl:template>
	<xsl:template name="generate-description-div3">
		<xsl:param name="hinweis-text"/>
		<xsl:param name="type"/>
		<xsl:param name="show"/>
		<xsl:param name="oname"/>
		<xsl:param name="hinweis-erw"/>
		<xsl:element name="DIV">
			<xsl:attribute name="class">azstyle</xsl:attribute>
			<xsl:attribute name="remove">Y</xsl:attribute>
			<xsl:attribute name="oname"><xsl:value-of select="$oname"/></xsl:attribute>
			<xsl:if test="@contents">
				<xsl:copy-of select="@contents"/>
				<xsl:attribute name="name"><xsl:value-of select="$oname"/></xsl:attribute>
				<xsl:attribute name="id">usertag</xsl:attribute>
			</xsl:if>
			<xsl:choose>
				<xsl:when test="$type = 'ru'">
					<xsl:copy-of select="@*"/>
					<xsl:if test="name(child::node()[position() = 1]) = 'textblock'">
						<xsl:if test="child::textblock[position() = 1]/@sameline = 'Y'">
							<xsl:attribute name="rest"><xsl:value-of select="child::textblock[position() = 1]"/></xsl:attribute>
							<xsl:if test="$show = 'yes'">
								<xsl:element name="DIV">
									<xsl:attribute name="class">edittext</xsl:attribute>
									<xsl:attribute name="remove">Y</xsl:attribute>
									<xsl:value-of select="substring-after(name(.), $g-nsprefix)"/>
									<xsl:call-template name="returnGatts"/>
									<xsl:text>.</xsl:text>
									<xsl:value-of select="child::textblock[position() = 1]"/>
								</xsl:element>
							</xsl:if>
						</xsl:if>
					</xsl:if>
				</xsl:when>
				<xsl:otherwise/>
			</xsl:choose>
			<xsl:value-of select="$hinweis-text"/>
			<xsl:value-of select="$leer"/>
			<xsl:value-of select="$hinweis-erw"/>
		</xsl:element>
	</xsl:template>
	<!-- Custom List -->
	<xsl:template name="cust-list">
		<xsl:variable name="space" select="' '"/>
		<L/>
		<xsl:text>:</xsl:text>
		<xsl:value-of select="substring-after(@oname, $g-nsprefix)"/>
		<xsl:if test="@gattno">
			<xsl:call-template name="do-gatts">
				<xsl:with-param name="gatt-number">
					<xsl:value-of select="@gattno"/>
				</xsl:with-param>
			</xsl:call-template>
		</xsl:if>
		<xsl:for-each select="@*">
			<xsl:variable name="attr-name">
				<xsl:value-of select="name(.)"/>
			</xsl:variable>
			<xsl:variable name="attr-value">
				<xsl:value-of select="."/>
			</xsl:variable>
			<xsl:message>
				<xsl:value-of select="."/>
			</xsl:message>
			<xsl:choose>
				<xsl:when test="$attr-name = 'oname'"/>
				<xsl:when test="$attr-name = 'type'"/>
				<xsl:when test="$attr-name = 'custom'"/>
				<xsl:when test="$attr-name = 'list'"/>
				<xsl:when test="$attr-name = 'p'"/>
				<xsl:when test="$attr-name = 'ac'"/>
				<xsl:when test="$attr-name = 'class'"/>
				<xsl:when test="starts-with($attr-name, 'gatt')"/>
				<xsl:otherwise>
					<xsl:choose>
						<xsl:when test="$attr-name = $attr-value">
							<xsl:value-of select="$space"/>
							<xsl:value-of select="$attr-name">	</xsl:value-of>
						</xsl:when>
						<xsl:otherwise>
							<xsl:value-of select="$space"/>
							<xsl:value-of select="name(.)"/>
							<xsl:text>='</xsl:text>
							<xsl:value-of select="."/>
							<xsl:text>'</xsl:text>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:otherwise>
			</xsl:choose>
			<!--
				<xsl:value-of select="."/>
				-->
		</xsl:for-each>
		<L/>
		<xsl:apply-templates/>
		<xsl:if test="not (@ac)">
			<L/>
			<xsl:text>:e</xsl:text>
			<xsl:value-of select="substring-after(@oname, $g-nsprefix)"/>
			<xsl:text>.</xsl:text>
			<L/>
		</xsl:if>
	</xsl:template>
</xsl:stylesheet>
