<?xml version="1.0" encoding="UTF-8"?>
<!--*******************************************************************************
*
* Licensed Material - Property of IBM
*
* 5655-002
*
* (C) Copyright IBM Corp. 2003
*                                                                           
*   US Government Users Restricted Rights - Use, duplication or
*   disclosure restricted by GSA ASP Schedule Contract with
*   IBM Corp.
*                                                                         
*                                                                           
* MODULE NAME= docresume1.xsl                                          
*                                                                           
* DESCRIPTIVE NAME= Sample run/resume transaction stylesheet
*                                                                           
* Description: This stylesheet processes the XML returned from a request using
* 					forceresume. The contents is displayed in a table. Two buttons are
*					created: Close Window and Load URL
*                                                                           
*                                                                           
* Change Activity:                                                          
*                                                                           
* Code		Release	Date				Person		Reason                                    
* @00=		117/121	2003-10-25	GOT			Initial creation
* @01=		117/121	2006-01-26	UZeh            DPK18580 PTR5321 fnRClose() javascript:top.window.close() 
*
*****************************************************************************************-->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="html" version="1.0" encoding="UTF-8" indent="yes"/>
	<xsl:template match="XStatus">
		<html>
			<head>
				<title>docresume1 Stylesheet result</title>
				<script>
var g_ReturnURL = &quot;<xsl:value-of select="//ReturnURL"/>&quot;;
function fnTermApplet()
{
		parent.applet.window.location = "/html/docblank.html";
}
function fnRClose()
{

    javascript:top.window.close();
}

function fnRLoad()
{
    alert("About to Load: " + g_ReturnURL);
    window.location = g_ReturnURL;
}

				</script>
				<link rel="stylesheet" type="text/css" href="./css/docproduct.css"/>
			</head>
			<body class="docpost" onload="fnTermApplet()">
				<table border="1">
					<tr width="25%,1%,75%">
						<td>
							<xsl:text>Result for Session </xsl:text>
						</td>
						<td>
							<xsl:value-of select="@session"/>
						</td>
					</tr>
					<tr>
						<td>Userid</td>
						<td>
							<xsl:apply-templates select="UserID"/>
						</td>
					</tr>
					<tr>
						<td>Active Item</td>
						<td>
							<xsl:apply-templates select="ActiveName"/>
						</td>
					</tr>
					<tr>
						<td>Message</td>
						<td>
							<xsl:apply-templates select="HostMessage"/>
						</td>
					</tr>
					<tr>
						<td>Return URL</td>
						<td>
							<xsl:apply-templates select="ReturnURL"/>
						</td>
					</tr>
				</table>
			</body>
			<span class="button-blue">
				<input type="button" onclick="fnRClose()" value="Close Window"/>
				<input type="button" onclick="fnRLoad()" value="Load URL"/>
			</span>
		</html>
	</xsl:template>
	<xsl:template match="HostMessage">
		<b>
			<xsl:apply-templates/>
		</b>
	</xsl:template>
	<xsl:template match="UserID">
		<xsl:apply-templates/>
	</xsl:template>
	<xsl:template match="ReturnURL">
		<xsl:apply-templates/>
	</xsl:template>
	<xsl:template match="ActiveName">
		<xsl:apply-templates/>
	</xsl:template>
</xsl:stylesheet>
