<?xml version="1.0" encoding="UTF-8"?>

<!--
*
**********************************************************************    
*  
*   Licensed Material - Property of IBM                               
*   5655-002                                                          
*                                                                     
*   (C) Copyright IBM Corp. 2003   All Rights Reserved                
*                                                                     
*   US Government Users Restricted Rights - Use, duplication or       
*   disclosure restricted by GSA ASP Schedule Contract with           
*   IBM Corp.    
*
**********************************************************************
*
* Change Activity:                                                             
*                                                                              
* Code   Release  Date        Person  Reason                                   
* @001  V01R01B06	04/20/2005	MMar	  Replaced linked css stylesheet docasfsearchresult.css with new stylesheet
* @002  1.2.2     2006-04-10  MMar    DPK22286 Encoding changed to UTF-8 
* 
*            
*
-->

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version = "1.0">

	<xsl:template match="/">
		<html>
			<head>
			  <!-- @002 -->
        <META http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
				<link rel="stylesheet" type="text/css" href="./css/docproduct.css"/>
				<title><xsl:value-of select="ServletStatus/ServerParameter/ProductName"/> - <xsl:value-of select="ServletStatus/Title"/></title>
			</head>
			<body class="statuspage">
				<div id="statuscontainer">
					<xsl:apply-templates/>
				</div>
			</body>
		</html>
	</xsl:template>

	<xsl:template match="Title"/>
	<xsl:template match="SessionID"/>
	<xsl:template match="Language"/>
	<xsl:template match="CloseButtonLabel"/>
	<xsl:template match="RefreshButtonLabel"/>
   
	<xsl:template match="ServletStatus">
		<table>
			<tr>
				<td>
					<img src="./images/docgsmal.gif"/>
				</td>
				<td>
					<div class="status"><xsl:value-of select="Title"/><br/></div>				
					<div class="productname"><xsl:value-of select="ServerParameters/ProductName"/><br/></div>
					<div class="version">V <xsl:value-of select="ServerParameters/ProductVersion"/><br/></div>
					<div class="licensetext"><xsl:value-of select="ServerParameters/LicenseText"/></div>
				</td>			
			</tr>		
		</table>
		<br/>
		<input type="button" class="statusbuttons">
			<xsl:attribute name="value"><xsl:value-of select="CloseButtonLabel"/></xsl:attribute>
			<xsl:attribute name="onclick">
				window.close();
			</xsl:attribute>
		</input>
		<input type="button" class="statusbuttons">
			<xsl:attribute name="value"><xsl:value-of select="RefreshButtonLabel"/></xsl:attribute>
			<xsl:attribute name="onclick">
				location = window.location.protocol + "//" + window.location.host + window.location.pathname +
						   "?cm=status&amp;sessionid=<xsl:value-of select="SessionID"/>&amp;language=<xsl:value-of select="Language"/>&amp;timestamp=" + Date.parse((new Date).toGMTString());
			</xsl:attribute>
		</input>
		<br/><br/>
		<xsl:apply-templates/>
	</xsl:template>
	
	<xsl:template match="ServerParameters">
		<div class="headline"><xsl:value-of select="Label"/></div>
		<table>
			<tr>
				<td class="parameter"><xsl:value-of select="OperatingSystem/Label"/></td>
				<td class="value"><xsl:value-of select="OperatingSystem/Data"/></td>
			</tr>
			<tr>
				<td class="parameter"><xsl:value-of select="WebServer/Label"/></td>
				<td class="value"><xsl:value-of select="WebServer/Data"/></td>
			</tr>
			<tr>
				<td class="parameter"><xsl:value-of select="JavaVirtualMachine/Label"/></td>
				<td class="value"><xsl:value-of select="JavaVirtualMachine/Data"/></td>
			</tr>
			<tr>
				<td class="parameter"><xsl:value-of select="JavaServletAPI/Label"/></td>
				<td class="value"><xsl:value-of select="JavaServletAPI/Data"/></td>
			</tr>
			<tr>
				<td class="parameter"><xsl:value-of select="RemoteHost/Label"/></td>
				<td class="value"><xsl:value-of select="RemoteHost/Data"/></td>
			</tr>
			<tr>
				<td class="parameter"><xsl:value-of select="RemoteUser/Label"/></td>
				<td class="value"><xsl:value-of select="RemoteUser/Data"/></td>
			</tr>
		</table>
	</xsl:template>
	
	<xsl:template match="ServletParameters">
		<div class="headline"><xsl:value-of select="Label"/></div>
		<table>
			<xsl:for-each select="Parameter">
				<tr>
					<td class="parameter"><xsl:value-of select="Name"/></td>
					<td class="value"><xsl:value-of select="Value"/></td>
				</tr>
			</xsl:for-each>
		</table>
	</xsl:template>
	
	<xsl:template match="SessionData">
		<div class="headline"><xsl:value-of select="Label"/></div>
		<table>
			<tr>
				<td class="sessiontitle"><xsl:value-of select="LabelSessionID"/></td>
				<td class="datatitle"><xsl:value-of select="LabelUserID"/></td>
				<td class="datatitle"><xsl:value-of select="LabelHostNickName"/></td>
				<td class="datatitle"><xsl:value-of select="LabelLastAccess"/></td>
				<td class="datatitle"><xsl:value-of select="LabelErrorStatus"/></td>
				<td class="datatitle"><xsl:value-of select="LabelObjectCount"/></td>
				<td class="lastdatatitle"><xsl:value-of select="LabelActiveObject"/></td>
			</tr>
			<xsl:for-each select="Session">
				<tr>
					<td class="session">
						<table>
							<tr>
								<td class="sessionbutton">
               <xsl:if test="//ServletStatus/SessionID/. != ./ID/.">
									<input type="button" class="sessionbutton">
										<xsl:attribute name="value"><xsl:value-of select="../LabelDelete"/></xsl:attribute>
										<xsl:attribute name="onclick">
											location = window.location.protocol + "//" + window.location.host + window.location.pathname +
													   "?cm=deletesession&amp;sessionid=<xsl:value-of select="ID"/>&amp;language=<xsl:value-of select="../../Language"/>&amp;deletor=<xsl:value-of select="//ServletStatus/SessionID"/>&amp;timestamp=" + Date.parse((new Date).toGMTString());
										</xsl:attribute>
									</input>
</xsl:if>										
								</td>
								<td class="sessionid">
									<xsl:value-of select="ID"/>
								</td>
							</tr>
						</table>
					</td>
					<td class="data"><xsl:value-of select="UserID"/></td>
					<td class="data"><xsl:value-of select="HostNickName"/></td>
					<td class="data"><xsl:value-of select="LastAccess"/></td>
					<td class="data"><xsl:value-of select="ErrorStatus"/></td>
					<td class="data"><xsl:value-of select="ObjectCount"/></td>
					<td class="lastdata"><xsl:value-of select="ActiveObject"/></td>
				</tr>
			</xsl:for-each>
		</table>
	</xsl:template>
	
	<xsl:template match="SessionParameters">
		<div class="headline"><xsl:value-of select="Label"/></div>
		<table>
			<tr>
				<td class="parameter"><xsl:value-of select="RemoteHost/Label"/></td>
				<td class="value"><xsl:value-of select="RemoteHost/Data"/></td>
			</tr>
			<tr>
				<td class="parameter"><xsl:value-of select="RemoteUser/Label"/></td>
				<td class="value"><xsl:value-of select="RemoteUser/Data"/></td>
			</tr>
		</table>
	</xsl:template>

</xsl:stylesheet>
