<?xml version="1.0" encoding="UTF-8" ?>
<!-- 
*
**********************************************************************    
*  
*   Licensed Material - Property of IBM                               
*   5655-002                                                          
*                                                                     
*   (C) Copyright IBM Corp. 2003   All Rights Reserved                
*                                                                     
*   US Government Users Restricted Rights - Use, duplication or       
*   disclosure restricted by GSA ASP Schedule Contract with           
*   IBM Corp.    
*
**********************************************************************                                                     
*                                                                           
* IBM Document Connect for ASF                                                 
*                                                                              
* Module Name : docxslconversconfig.xsl                                                  
*                                                                              
* Description : This style sheet is used as the style sheet input 
*               to a XSLT Transformation executed in 
*               DocASFConversionConfigServlet which transforms the 
*               DocXSLConversion.xml into a HTML form                     
*               which allows to display, enter and update the server 
*               configuration data
*
* Author:       UZeh
*
* Change Activity:                                                             
*                                                                              
* Code  Release    Date       Person  Reason                                   
*                                                                              
* @001  V01R01B06  06/10/2005 UZeh    Recreate  
* @002  1.2.2      2006-04-10 MMar    DPK22286 Encoding changed to UTF-8 
*
-->

                     

<xsl:stylesheet xmlns:xsl = "http://www.w3.org/1999/XSL/Transform" version = "1.0">  

<!-- Arguments         provided from DocASFServerConfigServlet       -->

<!-- Content Arguments                                               -->
<!--                                                                 -->
<!-- anlspathelement     NLS Path                                    -->
<!-- adc4asfversion      DC for ASF Version                          -->
<!-- aosarchitecture     Operating System Architecture               -->
<!-- alangelement        2 digit language identifier                 -->
<!-- alastservletinittimestamp timestamp of last servlet init        -->    

<xsl:param name="anlspathelement"/> 
<xsl:param name="adc4asfversion"/> 
<xsl:param name="aosarchitecture"/> 
<xsl:param name="alangelement"/>  
<xsl:param name="alastservletinittimestamp"/>  
                     
                

   

<!-- ************************************************************** -->
<!--     Include Globals Stylesheet                                 --> 
<!-- ************************************************************** -->


<xsl:include href="docconfigglobals.xsl"/>

<!-- Output method is html -->

<xsl:output method='html' doctype-public='-//W3C//DTD HTML 4.0//EN'/>


<!-- ************************************************************** -->
<!--                                                                -->
<!--                                                                -->  
<!--        Here the Node Rules follow                              --> 
<!--                                                                -->
<!--                                                                -->
<!-- ************************************************************** -->

<!-- Root Node                                                      --> 
 


<xsl:template match = "/">   
                           
     <xsl:element name = "html" >                        
        <xsl:attribute name = "lang">                     
          <xsl:value-of select= "$alangelement"/>        
        </xsl:attribute>                                  
        <xsl:apply-templates/>                            
     </xsl:element>                                     
                                                        
</xsl:template>                                         
 

<!--                                                                 -->  
<!--  DocXSLConversion Node                                          -->
<!--                                                                 -->

<xsl:template match = "DocXSLConversion"> 
   
  
   <head>   

   <!-- @002 -->
   <META http-equiv="Content-Type" content="text/html; charset=UTF-8"/>

   <xsl:element name="meta">
        <xsl:attribute name="name">Copyright</xsl:attribute>
        <xsl:attribute name="content">(C) Copyright IBM Corporation 2003</xsl:attribute>
   </xsl:element>   
     
         <!-- Link to cascading style sheet docconfig.css -->

   <link rel="stylesheet" type="text/css" href="./css/docconfig.css"/> 
         
   <!-- @001
 
   <title>
       <xsl:value-of select= "$ztxtlabtitle"/> 
   </title>

    -->

   <title>ASF Document Conversion Configuration</title> 


   <script language='JavaScript'>
     <xsl:call-template name = "javascriptfunctions">
     </xsl:call-template> 
   </script>
   
   </head>

   <body bgcolor='#efefef'>
   <form name='docconfig' method='post'>   
   <h2>
   <img src='./images/docgsmal.gif' border='0' width='100' height='88' alt='docgsmal.gif'></img> 
   DC4ASF Conversion Configuration
   </h2>      
   <table border='1' width='600'>
   <colgroup>
      <col width="30%"></col>
      <col width="30%"></col>
      <col width="40%"></col>   
       
   </colgroup>

   <!--                                                       -->
   <!-- Apply templates                                       -->
   <!--                                                       -->         
  

   <xsl:apply-templates select="XSL" />    
   </table>
   <table>   
   <xsl:call-template name="xcustomer"/>
         
   </table>
    
   <!--                                                       -->
   <!-- Display buttons of the form in table                  -->
   <!--                                                       -->   

   <p></p>
   <table border='0' width='600'>
   <colgroup>
        <col width="25%"></col>
        <col width="25%"></col>
        <col width="25%"></col>
        <col width="25%"></col> 
   </colgroup>
   <tr>
   <td align='left'>  
   <xsl:element name = "input" > 
      <xsl:attribute name = "type" >submit</xsl:attribute> 
      <xsl:attribute name = "name" >action</xsl:attribute> 
            <xsl:attribute name = "size" >30</xsl:attribute>  
      <xsl:attribute name = "onclick" >return( fnButtonOkConfiguration())</xsl:attribute> 
      <xsl:attribute name = "onkeypress" >return( fnButtonOkConfiguration())</xsl:attribute> 
      <xsl:attribute name = "value"> 
          <xsl:value-of select= "$ztxtbutok"/>  
      </xsl:attribute> 
   </xsl:element>
   </td>
   <td align='left'>   
   <xsl:element name = "input" > 
      <xsl:attribute name = "type" >reset</xsl:attribute> 
      <xsl:attribute name = "name" >cancel</xsl:attribute>  
      <xsl:attribute name = "size" >30</xsl:attribute>      
      <xsl:attribute name = "value"> 
         <xsl:value-of select= "$ztxtbutreset"/> 
      </xsl:attribute> 
   </xsl:element>
   </td>

  

   <td align='left'>   
   <xsl:element name = "input" > 
      <xsl:attribute name = "type" >button</xsl:attribute> 
      <xsl:attribute name = "name" >help</xsl:attribute> 
      <xsl:attribute name = "size" >30</xsl:attribute>    
      <xsl:attribute name = "onclick" >return( fnCfgHelp())</xsl:attribute>   
      <xsl:attribute name = "onkeypress" >return( fnCfgHelp())</xsl:attribute>   
      <xsl:attribute name = "value"> 
         <xsl:value-of select= "$ztxtbuthelp"/> 
      </xsl:attribute> 
   </xsl:element>
   </td>


   

   </tr>
   </table>



   </form>
   </body>
   
</xsl:template>   

<!--                                                                 -->  
<!--  XSL Node                                                       -->
<!--                                                                 -->


<xsl:template match = "XSL">

      <tr>
      <td colspan='2' align='center' valign='middle'><h4>HTML to DCF  Conversion Information</h4></td>    
      </tr>
         
      
      <xsl:apply-templates select="Html2Dcf" />

      
      <tr> 

      <td colspan='2' align='center'  valign='middle'><h4>DCF  to HTML Conversion Information</h4></td> 

      </tr>
      <tr>  
   
      <xsl:apply-templates select="Dcf2Html" /> 

      </tr>   
  
</xsl:template>



<!--                                                                 -->  
<!--  Html2Dcf Node                                                  -->
<!--                                                                 -->


<xsl:template match = "Html2Dcf">

   
    
   <xsl:call-template name="xinputrow">
      <xsl:with-param name="alabel">HTML to DCF Style sheet</xsl:with-param>
      <xsl:with-param name="afinam">html2dcfstylesheet</xsl:with-param> 
      <xsl:with-param name="afival"><xsl:value-of select="//Html2Dcf/StyleSheet"/></xsl:with-param> 
      <xsl:with-param name="aitype">tx</xsl:with-param> 
   </xsl:call-template>

    <tr>

    <td colspan='2'><strong>HTML Tag</strong></td> 
    </tr>
    <tr>     


    <xsl:apply-templates select="./HTMLTag"/>  
    
      
    </tr>            
  
</xsl:template>


<!--                                                                 -->  
<!--  HTMLTag                                                        -->
<!--                                                                 -->


<xsl:template match = "HTMLTag">

              
     <td align='left'> 
     <table align='left' border='1' width='200'>
     <colgroup>
        <col width="33%"></col>
        <col width="33%"></col>
        <col width="33%"></col>
        
     </colgroup> 
    
     <th>Tag name</th>
     <th>Endtag</th>
     <th>p</th>
     
     

     <xsl:for-each select=".//descendant::*">
       <tr>
 

       <td>
         <xsl:value-of select="name()"/>
       </td>

       <xsl:call-template name="xentryprocessing">
             <xsl:with-param name="xentry">
                 <xsl:value-of select="@endtag"/>
             </xsl:with-param>  
       </xsl:call-template> 

       <xsl:call-template name="xentryprocessing">
             <xsl:with-param name="xentry">
                 <xsl:value-of select="@p"/>
             </xsl:with-param>  
       </xsl:call-template>  

      
       


       </tr>

    </xsl:for-each>
     
    </table>    
    </td>
</xsl:template>


<!--                                                                 -->  
<!--  Dcf2Html Node                                                  -->
<!--                                                                 -->

<xsl:template match = "Dcf2Html">

    
    
     
    <td colspan='2' align='center'><h4>Customer Configuration Section</h4></td>
     
    <tr>     
 
    <xsl:apply-templates select="CONFIGSECTION" />

    </tr>

    
   <xsl:call-template name="xinputrow">
       <xsl:with-param name="alabel">DCF to HTML Style sheet</xsl:with-param>
      <xsl:with-param name="afinam">dcf2htmlstylesheet</xsl:with-param> 
      <xsl:with-param name="afival"><xsl:value-of select="//Dcf2Html/StyleSheet"/></xsl:with-param> 
      <xsl:with-param name="aitype">tx</xsl:with-param> 
   </xsl:call-template>



    <tr> 
    <td colspan='2' align='center'><h4>GML  Tags</h4></td>
    </tr> 
    <tr>     
 
    <xsl:apply-templates select="GMLTag" />

    </tr>

    <tr>
 
    <td colspan='2' align='center'><h4>DCF  Controls</h4></td>

    </tr>

    <tr>

    <xsl:apply-templates select="DCFControl" />

    </tr>   
      
</xsl:template>

<!--                                                                 -->  
<!--  CONFIGSECTION Node                                             -->
<!--                                                                 -->

<xsl:template match = "CONFIGSECTION">

<td colspan='2'>

<table border='1' width='700'>
<colgroup>
     <col width="60%"></col>
     <col width="40%"></col>
</colgroup> 

<tr>
<td>General </td> 
<td>

<xsl:call-template name="xgeneralconfigsectiondefinition" />

</td>
</tr>





</table>

</td>

</xsl:template>

<!--                                                                 -->  
<!--  GMLTag Node                                                    -->
<!--                                                                 -->


<xsl:template match = "GMLTag">

     <td colspan='2'>      

     <table border='1' width='600'>
     <colgroup>
        <col width="10%"></col>
        <col width="10%"></col>
        <col width="10%"></col>
        <col width="10%"></col>
        <col width="10%"></col>
        <col width="10%"></col>
        <col width="10%"></col>
        <col width="10%"></col>
        <col width="10%"></col>
        <col width="10%"></col>
     </colgroup> 
    
     <th>Tag name</th>
     <th>Terminator</th>
     <th>Paragraph</th>
     <th>End</th>
     <th>Endtag</th>
     <th>Ends</th>
     <th>Customizable</th>    
     <th>At New Line</th>
     <th>Internal</th>
      
     

     <xsl:for-each select=".//descendant::*">
       <tr>
 

       <td>
         <xsl:value-of select="name()"/>
     
       </td>

       <xsl:call-template name="xentryprocessing">
             <xsl:with-param name="xentry">
                 <xsl:value-of select="@term"/>
             </xsl:with-param>  
       </xsl:call-template> 

       <xsl:call-template name="xentryprocessing">
             <xsl:with-param name="xentry">
                 <xsl:value-of select="@p"/>
             </xsl:with-param>  
       </xsl:call-template>  

      

       <xsl:call-template name="xentryprocessing">
             <xsl:with-param name="xentry">
                 <xsl:value-of select="@end"/>
             </xsl:with-param>  
       </xsl:call-template> 

       <xsl:call-template name="xentryprocessing">
             <xsl:with-param name="xentry">
                 <xsl:value-of select="@endtag"/>
             </xsl:with-param>  
       </xsl:call-template> 

       <xsl:call-template name="xentryprocessing">
             <xsl:with-param name="xentry">
                 <xsl:value-of select="@ends"/>
             </xsl:with-param>  
       </xsl:call-template> 

       <xsl:call-template name="xentryprocessing">
             <xsl:with-param name="xentry">
                 <xsl:value-of select="@custom"/>
             </xsl:with-param>  
       </xsl:call-template>        
                           
       <xsl:call-template name="xentryprocessing">
             <xsl:with-param name="xentry">
                 <xsl:value-of select="@atnewline"/>
             </xsl:with-param>  
       </xsl:call-template> 
                     
       <xsl:call-template name="xentryprocessing">
             <xsl:with-param name="xentry">
                 <xsl:value-of select="@internal"/>
             </xsl:with-param>  
       </xsl:call-template>
       


       </tr>

    </xsl:for-each>
     
    </table>

    </td>
  
</xsl:template>

<!--                                                                 -->  
<!--  DCFControl Node                                                -->
<!--                                                                 -->

<xsl:template match = "DCFControl">

     <td colspan='2'>

     <table border='1' width='600'>
     <colgroup>
        <col width="8%"></col>
        <col width="8%"></col>
        <col width="8%"></col>
        <col width="8%"></col>
        <col width="8%"></col>
        <col width="8%"></col>
        <col width="8%"></col>
        <col width="8%"></col>
        <col width="8%"></col>
        <col width="8%"></col>

        <col width="20%"></col>
     </colgroup> 
     <th>Tag name</th>
     <th>Supported</th>
     <th>Attribute</th>
     <th>Paragraph</th>
     <th>Logic</th>
     <th>Paired</th>
     <th>Default</th>

     <th>Line ender</th>
   
     <th>Customizable</th>
     <th>Description</th>    
  

     <xsl:for-each select=".//descendant::*">
       <tr>

       <td>   
           <xsl:value-of select="name()"/>       
       </td>   
       <xsl:call-template name="xentryprocessing">
             <xsl:with-param name="xentry">
                 <xsl:value-of select="@supported"/>
             </xsl:with-param>  
       </xsl:call-template> 
   
       <xsl:call-template name="xentryprocessing">
             <xsl:with-param name="xentry">
                 <xsl:value-of select="@attr"/>
             </xsl:with-param>  
       </xsl:call-template> 

       <xsl:call-template name="xentryprocessing">
             <xsl:with-param name="xentry">
                 <xsl:value-of select="@paragraf"/>
             </xsl:with-param>  
       </xsl:call-template> 

       <xsl:call-template name="xentryprocessing">
             <xsl:with-param name="xentry">
                 <xsl:value-of select="@logic"/>
             </xsl:with-param>  
       </xsl:call-template> 

       <xsl:call-template name="xentryprocessing">
             <xsl:with-param name="xentry">
                 <xsl:value-of select="@paired"/>
             </xsl:with-param>  
       </xsl:call-template>  

       <xsl:call-template name="xentryprocessing">
             <xsl:with-param name="xentry">
                 <xsl:value-of select="@default"/>
             </xsl:with-param>  
       </xsl:call-template> 

       <xsl:call-template name="xentryprocessing">
             <xsl:with-param name="xentry">
                 <xsl:value-of select="@lineender"/>
             </xsl:with-param>  
       </xsl:call-template> 

    
       <xsl:call-template name="xentryprocessing">
             <xsl:with-param name="xentry">
                 <xsl:value-of select="@custom"/>
             </xsl:with-param>  
       </xsl:call-template> 

       <xsl:call-template name="xentryprocessing">
             <xsl:with-param name="xentry">
                 <xsl:value-of select="@desc"/>
             </xsl:with-param>  
       </xsl:call-template> 



       </tr>
     </xsl:for-each>

     </table>
     </td> 
</xsl:template>


<!-- ************************************************************** -->
<!--                                                                -->
<!--                                                                -->  
<!-- This is the template rule called                               --> 
<!--     xentryprocessing                                           --> 
<!-- which displays the table entry                                 -->
<!--                                                                -->
<!--                                                                -->
<!-- ************************************************************** -->


<xsl:template name = "xentryprocessing"> 

   <xsl:param name="xentry"/>
   <td>
      
     <xsl:if test="string-length($xentry) = 0">%</xsl:if>   
  
     
     <xsl:if test="string-length($xentry) >= 0">        
          <xsl:value-of select="$xentry"/>
     </xsl:if>     
         
       
   </td>

</xsl:template>

<!--                                                                 -->  
<!--  GMLTag Node                                                    -->
<!--                                                                 -->


<xsl:template match = "HTMLTag">

     <td colspan='2'>      

     <table border='1' width='600'>
     <colgroup>
        <col width="10%"></col>
        <col width="10%"></col>
        <col width="10%"></col>
      </colgroup> 
    
     <th>Tag name</th>
     <th>Paragraph</th>
     <th>Endtag</th>
          
     

     <xsl:for-each select=".//descendant::*">
       <tr>
 

       <td>
         <xsl:value-of select="name()"/>
     
       </td>

       
       <xsl:call-template name="xentryprocessing">
             <xsl:with-param name="xentry">
                 <xsl:value-of select="@p"/>
             </xsl:with-param>  
       </xsl:call-template>  

      
         <xsl:call-template name="xentryprocessing">
             <xsl:with-param name="xentry">
                 <xsl:value-of select="@endtag"/>
             </xsl:with-param>  
       </xsl:call-template> 

              


       </tr>

    </xsl:for-each>
     
    </table>

    </td>
  
</xsl:template>

<!--                                                                 -->  
<!--  DCFControl Node                                                -->
<!--                                                                 -->

<xsl:template match = "DCFControl">

     <td colspan='2'>

     <table border='1' width='600'>
     <colgroup>
        <col width="8%"></col>
        <col width="8%"></col>
        <col width="8%"></col>
        <col width="8%"></col>
        <col width="8%"></col>
        <col width="8%"></col>
        <col width="8%"></col>
        <col width="8%"></col>
        <col width="8%"></col>
        <col width="8%"></col>

        <col width="20%"></col>
     </colgroup> 
     <th>Tag name</th>
     <th>Supported</th>
     <th>Attribute</th>
     <th>Paragraph</th>
     <th>Logic</th>
     <th>Paired</th>
     <th>Default</th>

     <th>Line ender</th>
     <!-- <th>Affects Concat</th>   -->
     <th>Customizable</th>
     <th>Description</th>    
  

     <xsl:for-each select=".//descendant::*">
       <tr>

       <td>   
           <xsl:value-of select="name()"/>       
       </td>   
       <xsl:call-template name="xentryprocessing">
             <xsl:with-param name="xentry">
                 <xsl:value-of select="@supported"/>
             </xsl:with-param>  
       </xsl:call-template> 
   
       <xsl:call-template name="xentryprocessing">
             <xsl:with-param name="xentry">
                 <xsl:value-of select="@attr"/>
             </xsl:with-param>  
       </xsl:call-template> 

       <xsl:call-template name="xentryprocessing">
             <xsl:with-param name="xentry">
                 <xsl:value-of select="@paragraf"/>
             </xsl:with-param>  
       </xsl:call-template> 

       <xsl:call-template name="xentryprocessing">
             <xsl:with-param name="xentry">
                 <xsl:value-of select="@logic"/>
             </xsl:with-param>  
       </xsl:call-template> 

       <xsl:call-template name="xentryprocessing">
             <xsl:with-param name="xentry">
                 <xsl:value-of select="@paired"/>
             </xsl:with-param>  
       </xsl:call-template>  

       <xsl:call-template name="xentryprocessing">
             <xsl:with-param name="xentry">
                 <xsl:value-of select="@default"/>
             </xsl:with-param>  
       </xsl:call-template> 

       <xsl:call-template name="xentryprocessing">
             <xsl:with-param name="xentry">
                 <xsl:value-of select="@lineender"/>
             </xsl:with-param>  
       </xsl:call-template> 

     <!--
       <xsl:call-template name="xentryprocessing">
             <xsl:with-param name="xentry">
                 <xsl:value-of select="@affectsconcatination"/>
             </xsl:with-param>  
       </xsl:call-template> 
     -->

       <xsl:call-template name="xentryprocessing">
             <xsl:with-param name="xentry">
                 <xsl:value-of select="@custom"/>
             </xsl:with-param>  
       </xsl:call-template> 

       <xsl:call-template name="xentryprocessing">
             <xsl:with-param name="xentry">
                 <xsl:value-of select="@desc"/>
             </xsl:with-param>  
       </xsl:call-template> 



       </tr>
     </xsl:for-each>

     </table>
     </td> 
</xsl:template>





<!-- ************************************************************** -->
<!--                                                                -->
<!--                                                                -->  
<!-- This is the template rule called                               --> 
<!--     xgeneralconfigsectiondefinition                            --> 
<!-- which displays the config section's general data               -->
<!--                                                                -->
<!--                                                                -->
<!-- ************************************************************** -->


<xsl:template name = "xgeneralconfigsectiondefinition" >  

<xsl:variable name="veditable"><xsl:value-of select="@editable"/></xsl:variable> 
<xsl:variable name="vspellcheckfromstart"><xsl:value-of select="@spellcheckfromstart"/></xsl:variable> 
<xsl:variable name="vautospellcheckonsave"><xsl:value-of select="@autospellcheckonsave"/></xsl:variable> 
<xsl:variable name="vautospellcheckonok"><xsl:value-of select="@autospellcheckonok"/></xsl:variable> 


<xsl:variable name="vcommenteditable">
  <xsl:value-of select="@commenteditable"/> 
</xsl:variable>
<xsl:variable name="vescapedots">
  <xsl:value-of select="@escapedots"/> 
</xsl:variable>
<xsl:variable name="veditfont">
  <xsl:value-of select="@editfont"/> 
</xsl:variable>
<xsl:variable name="vcontrolfont">
  <xsl:value-of select="@controlfont"/> 
</xsl:variable>
<xsl:variable name="vcontrolsize">
  <xsl:value-of select="@controlsize"/> 
</xsl:variable>
<xsl:variable name="vmakeeditable">
  <xsl:value-of select="@makeeditable"/> 
</xsl:variable>
<xsl:variable name="vprotecvars">
  <xsl:value-of select="@protecvars"/> 
</xsl:variable>





<table border='1' width='400'>

<colgroup>
  <col width="30%"></col>
  <col width="70%"></col>
</colgroup>

<tr>
<td colspan='2'><strong>General Editor settings</strong></td>
</tr>


<xsl:call-template name="xinputrow">
   <xsl:with-param name="alabel">Editable</xsl:with-param>
   <xsl:with-param name="afinam">editable</xsl:with-param> 
   <xsl:with-param name="afival"><xsl:value-of select="@editable"/></xsl:with-param> 
   <xsl:with-param name="aitype">cb</xsl:with-param> 
</xsl:call-template>

<xsl:call-template name="xinputrow">
   <xsl:with-param name="alabel">Spellcheck from start</xsl:with-param>
   <xsl:with-param name="afinam">spellcheckfromstart</xsl:with-param> 
   <xsl:with-param name="afival"><xsl:value-of select="@spellcheckfromstart"/></xsl:with-param> 
   <xsl:with-param name="aitype">cb</xsl:with-param> 
</xsl:call-template>

<xsl:call-template name="xinputrow">
   <xsl:with-param name="alabel">Autospellcheck on Okay</xsl:with-param>
   <xsl:with-param name="afinam">autospellcheckonok</xsl:with-param> 
   <xsl:with-param name="afival"><xsl:value-of select="@autospellcheckonok"/></xsl:with-param> 
   <xsl:with-param name="aitype">cb</xsl:with-param> 
</xsl:call-template>

<xsl:call-template name="xinputrow">
   <xsl:with-param name="alabel">Autospellcheck on Save</xsl:with-param>
   <xsl:with-param name="afinam">autospellcheckonsave</xsl:with-param> 
   <xsl:with-param name="afival"><xsl:value-of select="@autospellcheckonsave"/></xsl:with-param> 
   <xsl:with-param name="aitype">cb</xsl:with-param> 
</xsl:call-template>

<xsl:call-template name="xinputrow">
   <xsl:with-param name="alabel">Comment Editable</xsl:with-param>
   <xsl:with-param name="afinam">autospellcheckonok</xsl:with-param> 
   <xsl:with-param name="afival"><xsl:value-of select="$vcommenteditable"/></xsl:with-param>
   <xsl:with-param name="aitype">cb</xsl:with-param>  
</xsl:call-template>


<xsl:call-template name="xinputrow">
   <xsl:with-param name="alabel">Escape dots</xsl:with-param>
   <xsl:with-param name="afinam">escapedots</xsl:with-param> 
   <xsl:with-param name="afival"><xsl:value-of select="$vescapedots"/></xsl:with-param> 
   <xsl:with-param name="aitype">cb</xsl:with-param> 
</xsl:call-template>

<xsl:call-template name="xinputrow">
   <xsl:with-param name="alabel">editfont</xsl:with-param>
   <xsl:with-param name="afinam">editfont</xsl:with-param> 
   <xsl:with-param name="afival"><xsl:value-of select="@editfont"/></xsl:with-param> 
   <xsl:with-param name="aitype">cb></xsl:with-param> 
</xsl:call-template>



<xsl:if test="@controlfont">
<tr>
<td>Control font</td>
<td>
<xsl:value-of select="@controlfont"/> 
</td>
</tr>
</xsl:if>

<xsl:if test="@controlsize">
<tr>
<td>Control fontsize</td>
<td>
<xsl:value-of select="@controlsize"/> 
</td>
</tr>
</xsl:if>

<xsl:if test="@makeeditable">
<tr>
<td>Make editable</td>
<td>
<xsl:value-of select="@makeeditable"/> 
</td>
</tr>
</xsl:if>

<xsl:if test="@protecvars">
<tr>
<td>Protect Variables</td>
<td>
<xsl:value-of select="@protecvars"/> 
</td>
</tr>
</xsl:if>


			
<tr>
<td colspan='2'><strong>User Groups</strong></td>
</tr>
<td colspan='2'>

<xsl:call-template name = "xusertagdefinition"/>  

</td>

			
<tr>
<td colspan='2'><strong>Table definition</strong></td>
</tr>


<xsl:call-template name="xinputrow">
   <xsl:with-param name="alabel">Border size</xsl:with-param>
   <xsl:with-param name="afinam">tabbordersize</xsl:with-param> 
   <xsl:with-param name="afival"><xsl:value-of select="./TABLEDEFINITION/@border"/></xsl:with-param> 
   <xsl:with-param name="aitype">tx</xsl:with-param> 
</xsl:call-template>



<xsl:call-template name="xinputrow">
   <xsl:with-param name="alabel">Border color</xsl:with-param>
   <xsl:with-param name="afinam">tabbordercolor</xsl:with-param> 
   <xsl:with-param name="afival"><xsl:value-of select="./TABLEDEFINITION/@borderColor"/></xsl:with-param> 
   <xsl:with-param name="aitype">tx</xsl:with-param> 
</xsl:call-template>


<xsl:call-template name="xinputrow">
   <xsl:with-param name="alabel">Cell width</xsl:with-param>
   <xsl:with-param name="afinam">tabcellwidth</xsl:with-param> 
   <xsl:with-param name="afival"><xsl:value-of select="./TABLEDEFINITION/@width"/></xsl:with-param> 
   <xsl:with-param name="aitype">tx</xsl:with-param> 
</xsl:call-template>

<xsl:call-template name="xinputrow">
   <xsl:with-param name="alabel">Cell spacing</xsl:with-param>
   <xsl:with-param name="afinam">tabcellspacing</xsl:with-param> 
   <xsl:with-param name="afival"><xsl:value-of select="./TABLEDEFINITION/@cellSpacing"/></xsl:with-param> 
   <xsl:with-param name="aitype">tx</xsl:with-param> 
</xsl:call-template>

<xsl:call-template name="xinputrow">
   <xsl:with-param name="alabel">Cell padding</xsl:with-param>
   <xsl:with-param name="afinam">tabcellpadding</xsl:with-param> 
   <xsl:with-param name="afival"><xsl:value-of select="./TABLEDEFINITION/@cellPadding"/></xsl:with-param> 
   <xsl:with-param name="aitype">tx</xsl:with-param> 
</xsl:call-template>


<xsl:call-template name="xinputrow">
   <xsl:with-param name="alabel">Caption</xsl:with-param>
   <xsl:with-param name="afinam">tabcaption</xsl:with-param> 
   <xsl:with-param name="afival"><xsl:value-of select="./TABLEDEFINITION/@caption"/></xsl:with-param> 
   <xsl:with-param name="aitype">tx</xsl:with-param> 
</xsl:call-template>




<xsl:call-template name="xinputrow">
   <xsl:with-param name="alabel">Extended Dialog</xsl:with-param>
   <xsl:with-param name="afinam">tabextendeddialog</xsl:with-param> 
   <xsl:with-param name="afival"><xsl:value-of select="./TABLEDEFINITION/@extendeddialog"/></xsl:with-param> 
   <xsl:with-param name="aitype">cb</xsl:with-param> 
</xsl:call-template>


<tr>
<td>Table Row properties</td>
<td>

<xsl:call-template name = "xtabledefinition"/>  

</td>
</tr>

<tr>
<td colspan='2'><strong>Font usage definition</strong></td>
</tr>

<xsl:call-template name="xinputrow">
   <xsl:with-param name="alabel">Font dialog</xsl:with-param>
   <xsl:with-param name="afinam">fntfontdialog</xsl:with-param> 
   <xsl:with-param name="afival"><xsl:value-of select="./FONTDEFINITION/@fontdialog"/></xsl:with-param> 
   <xsl:with-param name="aitype">cb</xsl:with-param> 
</xsl:call-template>

<xsl:call-template name="xinputrow">
   <xsl:with-param name="alabel">Font face selection</xsl:with-param>
   <xsl:with-param name="afinam">fntfontfaceselection</xsl:with-param> 
   <xsl:with-param name="afival"><xsl:value-of select="./FONTDEFINITION/@faceselect"/></xsl:with-param> 
   <xsl:with-param name="aitype">cb</xsl:with-param> 
</xsl:call-template>

<xsl:call-template name="xinputrow">
   <xsl:with-param name="alabel">Font size selection</xsl:with-param>
   <xsl:with-param name="afinam">fntfontsizeselection</xsl:with-param> 
   <xsl:with-param name="afival"><xsl:value-of select="./FONTDEFINITION/@sizeselect"/></xsl:with-param> 
   <xsl:with-param name="aitype">cb</xsl:with-param> 
</xsl:call-template>



<tr>
<td colspan='2'><strong>Buttons</strong></td>
</tr>

<xsl:call-template name="xinputrow">
   <xsl:with-param name="alabel">Bold</xsl:with-param>
   <xsl:with-param name="afinam">butbold</xsl:with-param> 
   <xsl:with-param name="afival"><xsl:value-of select="./BUTTONS/@bold"/></xsl:with-param> 
   <xsl:with-param name="aitype">cb</xsl:with-param> 
</xsl:call-template>

<xsl:call-template name="xinputrow">
   <xsl:with-param name="alabel">Underscore</xsl:with-param>
   <xsl:with-param name="afinam">butunderscore</xsl:with-param> 
   <xsl:with-param name="afival"><xsl:value-of select="./BUTTONS/@underscore"/></xsl:with-param> 
   <xsl:with-param name="aitype">cb</xsl:with-param> 
</xsl:call-template>


<xsl:call-template name="xinputrow">
   <xsl:with-param name="alabel">Italics</xsl:with-param>
   <xsl:with-param name="afinam">butitalic</xsl:with-param> 
   <xsl:with-param name="afival"><xsl:value-of select="./BUTTONS/@italic"/></xsl:with-param> 
   <xsl:with-param name="aitype">cb</xsl:with-param> 
</xsl:call-template>



</table>

</xsl:template>



<!-- ************************************************************** -->
<!--                                                                -->
<!--                                                                -->  
<!-- This is the template rule called                               --> 
<!--     xtabledefinition                                           --> 
<!-- which displays the config section's table definition data      -->
<!--                                                                -->
<!--                                                                -->
<!-- ************************************************************** -->


<xsl:template name = "xtabledefinition" >  

     
<table border='1' width='400'>

<colgroup>
  <col width="30%"></col>
  <col width="30%"></col>
  <col width="30%"></col>
  
</colgroup>
<tr>
<td>Row</td>
<td>Width</td>
<td>Align</td>
</tr>

   <xsl:call-template name = "xinputhidden">  
     <xsl:with-param name="afinam">tabrownumbers</xsl:with-param>
     <xsl:with-param name="afival"><xsl:value-of select="count(//DocXSLConversion/XSL/Dcf2Html/CONFIGSECTION/TABLEDEFINITION/TABLE/TBODY/TR/*)"/></xsl:with-param>
   </xsl:call-template>

<xsl:for-each select="//DocXSLConversion/XSL/Dcf2Html/CONFIGSECTION/TABLEDEFINITION/TABLE/TBODY/TR/TD">

  
  <xsl:variable name="xposition">
      <xsl:value-of select = "position()"/> 
   </xsl:variable>
  <tr>

  <td><xsl:value-of select="$xposition"/></td>
  <td>
   <xsl:call-template name = "xinputtext">  
     <xsl:with-param name="afinam"><xsl:value-of select="concat('tabwidth',$xposition)"/></xsl:with-param>
     <xsl:with-param name="afival"><xsl:value-of select="@Width"/></xsl:with-param>
   </xsl:call-template>    
  </td>  
  <td>
    <xsl:call-template name = "xinputtext">  
     <xsl:with-param name="afinam"><xsl:value-of select="concat('tabalignrow',$xposition)"/></xsl:with-param>
     <xsl:with-param name="afival"><xsl:value-of select="@Align"/></xsl:with-param>
   </xsl:call-template>

  </td>
  
  </tr>


</xsl:for-each>

</table>   


</xsl:template>




<!-- ************************************************************** -->
<!--                                                                -->
<!--                                                                -->  
<!-- This is the template rule called                               --> 
<!--     xusertagdefinition                                         --> 
<!-- which displays the config section's user tag definition data   -->
<!--                                                                -->
<!--                                                                -->
<!-- ************************************************************** -->


<xsl:template name = "xusertagdefinition" >  


     
<table border='1' width='400'>

<colgroup>
  <col width="50%"></col>
  <col width="50%"></col>  
</colgroup>
<tr>
<td>Usergroup</td>
<td><xsl:value-of select="//DocXSLConversion/XSL/Dcf2Html/CONFIGSECTION/USERGROUP/@name"/></td>
</tr>
<tr>
<td>Name</td>
<td>Output tag</td>
</tr>
<xsl:for-each select="//DocXSLConversion/XSL/Dcf2Html/CONFIGSECTION/USERGROUP/USERTAG">

  <tr>
  <td><xsl:value-of select="@name"/>
  </td>
  
  <td> 
     <xsl:value-of select="@outputtag"/>
  </td>
  
  </tr>


</xsl:for-each>

</table>   

</xsl:template>

<!-- ************************************************************** -->
<!--                                                                -->
<!--                                                                -->  
<!-- This is the template rule called                               --> 
<!--     xinputrow                                                  --> 
<!-- which displays the label field pair                            -->
<!--                                                                -->
<!--                                                                -->
<!-- ************************************************************** -->

<xsl:template name = "xinputrow">  

<xsl:param name="alabel"/>
<xsl:param name="afinam"/>
<xsl:param name="afival"/>
<xsl:param name="aitype"/>

<xsl:if test="$afival">
<tr>
<td><xsl:value-of select="$alabel"/></td>
<td>
   <xsl:choose>

      <!-- Checkbox -->
      <xsl:when test="$aitype='cb'">
         <xsl:call-template name="xcheckbox">
            <xsl:with-param name="afinam"><xsl:value-of select="$afinam"/></xsl:with-param>
            <xsl:with-param name="afival"><xsl:value-of select="$afival"/></xsl:with-param>   
         </xsl:call-template>   
      </xsl:when>
      <!-- Input text field -->  
      <xsl:when test="$aitype='tx'">
         <xsl:call-template name="xinputtext">
            <xsl:with-param name="afinam"><xsl:value-of select="$afinam"/></xsl:with-param>
            <xsl:with-param name="afival"><xsl:value-of select="$afival"/></xsl:with-param>   
         </xsl:call-template>   
      </xsl:when>


      <xsl:otherwise>   
         <xsl:value-of select="$afival"/>
      </xsl:otherwise>
   </xsl:choose>  
</td>
</tr>
</xsl:if>

</xsl:template>

<!-- ************************************************************** -->
<!--                                                                -->
<!--                                                                -->  
<!-- This is the template rule called                               --> 
<!--     xcheckbox                                                  --> 
<!-- which displays a checkbox                                      -->
<!--                                                                -->
<!--                                                                -->
<!-- ************************************************************** -->

<xsl:template name = "xcheckbox">  
<xsl:param name="afinam"/>
<xsl:param name="afival"/>


   <xsl:variable name="yes">Y</xsl:variable> 

   <xsl:element name = "input" > 
      <xsl:attribute name = "type" >checkbox</xsl:attribute> 
      <xsl:attribute name = "id" ><xsl:value-of select="$afinam"/></xsl:attribute> 
      <xsl:attribute name = "name"><xsl:value-of select="$afinam"/></xsl:attribute>   
      <xsl:if test="$afival=$yes">
        <xsl:attribute name = "checked">checked</xsl:attribute>
      </xsl:if>      
   </xsl:element> 

</xsl:template>

<!-- ************************************************************** -->
<!--                                                                -->
<!--                                                                -->  
<!-- This is the template rule called                               --> 
<!--     xinputtext                                                 --> 
<!-- which displays a input field                                   -->
<!--                                                                -->
<!--                                                                -->
<!-- ************************************************************** -->

<xsl:template name = "xinputtext">  
<xsl:param name="afinam"/>
<xsl:param name="afival"/>


   <xsl:element name = "input" > 
      <xsl:attribute name = "type" >text</xsl:attribute> 
      <xsl:attribute name = "id" ><xsl:value-of select="$afinam"/></xsl:attribute> 
      <xsl:attribute name = "name"><xsl:value-of select="$afinam"/></xsl:attribute>  
      <xsl:attribute name = "maxlength">8</xsl:attribute> <!-- to be changed -->  
      <xsl:attribute name = "value"><xsl:value-of select="$afival"/></xsl:attribute>   
       
   </xsl:element> 

</xsl:template>

<!-- ************************************************************** -->
<!--                                                                -->
<!--                                                                -->  
<!-- This is the template rule called                               --> 
<!--     xinputhidden                                               --> 
<!-- which displays a hidden input field                            -->
<!--                                                                -->
<!--                                                                -->
<!-- ************************************************************** -->

<xsl:template name = "xinputhidden">  
<xsl:param name="afinam"/>
<xsl:param name="afival"/>


   <xsl:element name = "input" > 
      <xsl:attribute name = "type" >hidden</xsl:attribute> 
      <xsl:attribute name = "id" ><xsl:value-of select="$afinam"/></xsl:attribute> 
      <xsl:attribute name = "name"><xsl:value-of select="$afinam"/></xsl:attribute>  
      <xsl:attribute name = "maxlength">8</xsl:attribute> <!-- to be changed -->  
      <xsl:attribute name = "value"><xsl:value-of select="$afival"/></xsl:attribute>   
       
   </xsl:element> 

</xsl:template>


<!--                          -->




</xsl:stylesheet>    
