<?xml version="1.0" encoding="UTF-8"?>
<!--*******************************************************************************
*
* Licensed Material - Property of IBM
*
* 5655-002
*
* (C) Copyright IBM Corp. 2003
*                                                                           
*   US Government Users Restricted Rights - Use, duplication or
*   disclosure restricted by GSA ASP Schedule Contract with
*   IBM Corp.
*                                                                         
*                                                                           
* MODULE NAME= docd2h.xslt                                                 
*                                                                           
* DESCRIPTIVE NAME= Convert host created DCF Input to HTML.                  
*                                                                           
* Description: This style sheet is applied by the servlet. It creates HTML
* 	from DCF received from the host. It is based on the output created by
*	transformer on the server. Essentially this transformer creates DCF controls
*	all of them have type="dcf" and GML tags all of them have type="gml"
*	
*	The stylesheet works on the types and does default processing. For
*	DCF Controls the default processing is to include the original tag (in a <div></div>).
*	For GML-Tags the default processing is copy it into the output. This can be done because
* 	GML Tags are closely matching HTML Tags.
*
*	Apart from the default processing templates are contained to support special
*	processing for single tags
*                                                                           
* Author: Dieter Gottschall
*                                                                           
* Change Activity:                                                          
*                                                                           
* Code		Release 	Date			Person		Reason                                    
* @01					2002-06-06		GOT		PTR1127 DCF Controls not properly displayed
* @02					2002-06-28		GOT		PTR1170 DIVs and FONTs
* @03					2002-07-22		GOT		PTR1524 Use Verdana and make the controls less prominent
* @04					2002-07-22		GOT		PTR1502 .se with quotes fails
* @04					2002-09-24		GOT		PTR1720 No .cm for .*
* @05					2002-10-01		GOT		Color coding by attribute
* @06					2002-10-01		GOT		PTR2045 BRs in a GML Block don't work
* @07					2002-10-16		GOT		PTR1972 Custom tags
* @08					2002-10-30		GOT		"Editor improvements"
* @09					2002-11-04		GOT		More "Editor improvements"
* @10					2002-11-05		GOT		Juergen needs "disabled"
* @11					2002-11-16		GOT		PTR2071, PTR2080: (Optionally) make comments editable
* @11					2002-11-28		GOT		Elements not marked editable are but shouldn't be
* @12					2002-12-06		GOT		re-order and cleanup
* @12					2002-12-07		GOT		All Allianz Custom Tags added
* @13					2002-12-11		GOT		Uppercase Translation of comments
* @14					2002-12-11		GOT		Special fullline tags
* @15					2002-12-19		GOT		PTR1921 Optionally protect DCF Variables               
* @16		0.1.4		2003-01-08		GOT		PTRxxxx Lists not editable
* @17		0.1.4		2003-01-10		GOT		PTRmany innerdivs optional
* @18		0.1.4		2003-01-14		GOT		..Problems with innerdivs=No
* @19		0.1.4		2003-01-14		GOT		PTR2779 et al.: textblock children with sameline="Y"
* @20		0.1.4		2003-01-15		GOT		PTR2768 Xalan Crash by SYBRIEFM and A052
* @21		0.1.4		2003-01-16		GOT		PTRmany re-introduce userstyles...
* @22		0.1.4		2003-01-16		GOT		PTRxxxx :tab shows values in Text....
* @23		0.1.4		2003-01-16		GOT		PTR2698 :absatz
* @24		0.1.4		2003-01-16		GOT		PTRxxxx :zeile 
* @25		0.1.4		2003-01-17		GOT		PTR2821 I999
* @26		0.1.4		2003-01-18		GOT		:hamt, :hamb, :hagb
* @27		0.1.4		2003-01-18		GOT		:gross	
* @28		0.1.4		2003-01-18		GOT		PTR2655: :dtab and others
* @29		0.1.4		2003-01-18		GOT		PTR2655: .sp 12mm etc. remove sp->br feature			
* @30		0.1.4		2003-01-21		GOT		PTRxxxx: Honor control font
* @31		0.1.4		2003-01-22		GOT		PTR2858: unwanted colors
* @32		0.1.4		2003-01-22		GOT		PTR2853: font-weight:medium
* @33		0.1.4		2003-01-23		GOT		PTR2856: unpaired custom tags
* @34		0.1.4		2003-01-23		GOT		PTRxxxx: reduce user tags processing
* @35		0.1.4		2003-01-25		GOT		PTR2774: Wrapping of comments..
* @36		0.1.4		2003-01-25		GOT		To Allianz
* @37		0.1.4		2003-01-27		GOT		PTR2800: Empty lines for indented text
* @38		0.1.4		2003-01-27		GOT		.ums special
* @39		0.1.4		2003-01-30		GOT		.ums special removed
* @40		0.1.4		2003-01-31		GOT		edit undefined gml
* @41		0.1.4		2003-01-31		GOT		TABLE Style
* @42		0.1.4		2003-02-03		GOT		UNDEF_GML -> SPAN
* @43		0.1.4		2003-02-03		GOT		Do not generate empty DIVs...
* @44		0.1.4		2003-02-04		GOT		PTR2674: Lists are protected...
* @45		0.1.4		2003-02-05		GOT		...ums
* @46		0.1.4		2003-02-05		GOT		PTR2406 .CT
* @47		0.1.4		2003-02-08		GOT		Loop when &amp; at end of line
* @48		0.1.4		2003-02-10		GOT		:absatz, :zeile
* @49		0.1.4		2003-02-10		GOT		Sent to Allianz
* @50		0.1.4		2003-02-11		GOT		PTR2944 :gross needs 12pt.
* @51		0.1.4		2003-02-12		GOT		...append editable text after "last" dcfblock (haanb1)
* @52		0.1.4		2003-02-12		GOT		DIV-Boxes..
* @53		1.0.0		2003-02-18		GOT		Copyright Statement
* @54		1.0.0		2003-02-18		GOT		PTR3044: Editable comments in 10pt
* @55		1.0.0		2003-02-21		GOT		:absatz, :zeile...	
* @56		1.0.0		2003-03-10		GOT		textblocks are editable...
* @57		1.0.0		2003-03-10		GOT		:gross etc...	
* @58		1.0.0		2003-03-16		GOT		AUTOCLOSE
* @59		1.0.0		2003-03-19		GOT		PTR3192: makeeditable for SPs that arent' editable
* @60		1.0.0		2003-03-20		GOT		PTR3109: wahltext
* @61		1.0.0		2003-03-25		GOT		:hinweis back to original
* @62		1.0.0		2003-03-30		GOT		List elements on top-level....
* @63		1.0.0		2003-04-02		GOT		Gray out variables
* @64		1.0.0		2003-04-04		GOT		"Objects" for NORMAL, FETT etc...
* @65		1.0.0		2003-04-12		GOT		Streamline list processing
* @66		1.0.0		2003-04-14		GOT		editable and :fett etc.
* @67		1.0.0		2003-04-15		GOT		meta as part of head
* @68		1.0.0		2003-04-15		GOT		HW like CT
* @69		1.0.0		2003-04-15		GOT		Text after absatz on new line not editable
* @70		1.0.0		2003-04-20		GOT		PTR3074 :IV
* @71		1.0.0		2003-04-22		GOT		PTR3335: br foof removed and no blank inserted
* @72		1.0.0		2003-04-22		GOT		PTR3349: wahltext
* @73		1.0.0		2003-04-22		GOT		PTR3111/1: :mager uses small font size.
* @74		1.0.0		2003-04-22		GOT		PTR2854, PTR3117 Retain line ending information
*- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
* @75		1.0.0		2003-05-20		GOT		Major rework
* @76		1.0.0		2003-08-04		GOT		PTR3688 Make editfont variable                                    
* @77		1.0.0		2003-09-23		GOT		PTR3622 variable combo box
* @78		1.1.6		2003-11-21		GOT		PQ81078/PTR3712 Combo Box
* @79		1.1.6		2004-04-23		GOT		PQ87930 :fsndcf :efsndcf displayed in editor
* @80		1.1.6		2004-05-26		GOT		PQ88965 actiontag (unsafe editor control)
* @81		1.1.6		2004-06-07		GOT		PTR4167 Unify Zeile, Absatz stc.
* @82		1.1.6		2005-01-12		GOT		PQ99305, PTR4285 remove custom stuff from war
* @83		1.1.6		2005-05-18		MMar	Fixed font size replaced with flexible
* @84   1.2.2   2006-04-10    MMar  DPK22286 Encoding changed to UTF-8 
*
*****************************************************************************************-->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <!-- @84 -->
	<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="no" standalone="yes" omit-xml-declaration="no"/>
	<!--******************************************************************************* -->
	<!--* Make sure all the parameters are properly defined and set                   * -->
	<!--* - p-speditable  tells the stylesheet whether the SP is editable             * -->
	<!--*                 default is "true"                                           * -->
	<!--* - p-edifont     tells the stylesheet which font to use for editable text    * -->
	<!--* - p-controlfont tells the stylesheet which font to use for editable text    * -->
	<!--******************************************************************************* -->
	<!-- Tells us whether the SP is editable (run-time parameter) -->
	<xsl:param name="p-speditable" select="'true'"/>
	<!-- Run with trace (run-time parameter) -->
	<xsl:param name="p-trace" select="'No'"/>
	<!-- Font family used for editable text -->
	<xsl:param name="p-f-editfont" select="'Verdana'"/>
	<!-- Editable text font size -->
	<xsl:param name="p-f-editsize" select="'1em'"/> <!-- @83 -->
	<!-- Font family used for controls -->
	<xsl:param name="p-f-controlfont" select="'Courier New'"/>
	<!-- Controls font size -->
	<xsl:param name="p-f-controlsize" select="'1em'"/> <!-- @83 -->
	<!-- Color coding of output -->
	<xsl:param name="p-a-colorcode" select="'N'"/>
	<!-- Ingore the first .br -->
	<xsl:param name="p-dcf-ignore1stbr" select="'N'"/>
	<!-- Use innerdivs -->
	<xsl:param name="p-e-innerdivs" select="'N'"/>
	<!-- Edit undefined GML stuff -->
	<xsl:param name="p-e-editundefgml" select="'Y'"/>
	<!-- Root thing editable -->
	<xsl:param name="p-e-global" select="'N'"/>
	<!-- Are comments editable -->
	<xsl:param name="p-e-comments" select="'Y'"/>
	<!-- Make an editable SP editable by adding an empty paragraph -->
	<xsl:param name="p-e-makeeditable" select="'Y'"/>
	<!-- Gray out variables -->
	<xsl:param name="p-v-gray" select="'Y'"/>
	<!-- Protect variables -->
	<xsl:param name="p-v-protect" select="'N'"/>
	<!-- Retain dcf stuff -->
	<xsl:param name="p-dcf-retain" select="'N'"/>
	<!-- Use ULs for unknown lists -->
	<xsl:param name="p-g-listfallback" select="'UL'"/>
	<!-- User group name for combo box -->
	<xsl:param name="p-usergroup" select="'Sach'"/>
	<!-- Unsafe control -->
	<xsl:param name="p-unsafe" select="'N'"/>
	<!--******************************************************************************* -->
	<!--* Global variables							                                * -->
	<!--******************************************************************************* -->
	<xsl:variable name="g-space" select="' '"/>
	<xsl:variable name="g-upper-alpha" select="'ABCDEFGHIJKLMNOPQRSTUVWXYZ'"/>
	<xsl:variable name="g-lower-alpha" select="'abcdefghijklmnopqrstuvwxyz'"/>
	<!--******************************************************************************* -->
	<!--* Get rid of whitespace between XML/HTML Tags                                 * -->
	<!--******************************************************************************* -->
	<xsl:strip-space elements="*"/>
	<!--******************************************************************************* -->
	<!--* Get rid of FSNDCF and EFSNDCF, added @79A              			* -->
	<!--******************************************************************************* -->
	<xsl:template match="FSNDCF">
		<xsl:apply-templates/>
	</xsl:template>
	<!--******************************************************************************* -->
	<!--* Do the root (document thing)                                                * -->
	<!--* - an HTML document is created, with head and meta                           * -->
	<!--* - then the BODY with the CONFIGSECTION and all the styles                   * -->
	<!--******************************************************************************* -->
	<xsl:template match="DCFDocument">
		<HTML>
			<HEAD>
				<meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
			</HEAD>
			<BODY>
				<!--******************************************************************* -->
				<!-- Do the "front matter", CONFIGSECTION and STYLES                  * -->
				<!--******************************************************************* -->
				<xsl:apply-templates select="CONFIGSECTION" mode="csection"/>
				<xsl:call-template name="doStyles">
					<xsl:with-param name="editfont">
						<xsl:value-of select="$p-f-editfont"/>
					</xsl:with-param>
					<xsl:with-param name="controlfont">
						<xsl:value-of select="$p-f-controlfont"/>
					</xsl:with-param>
					<xsl:with-param name="editsize">
						<xsl:value-of select="$p-f-editsize"/>
					</xsl:with-param>
					<xsl:with-param name="controlsize">
						<xsl:value-of select="$p-f-controlsize"/>
					</xsl:with-param>
					<xsl:with-param name="colorcode">
						<xsl:value-of select="$p-a-colorcode"/>
					</xsl:with-param>
				</xsl:call-template>
				<!--******************************************************************* -->
				<!-- Recurse                                                          * -->
				<!--******************************************************************* -->
				<xsl:apply-templates/>
			</BODY>
		</HTML>
	</xsl:template>
	<!--******************************************************************************* -->
	<!--* Process CONFIGSECTION                                                * -->
	<!--******************************************************************************* -->
	<xsl:template match="CONFIGSECTION"/>
	<xsl:template match="CONFIGSECTION" mode="csection">
		<xsl:element name="CONFIGSECTION">
			<xsl:for-each select="@*">
				<xsl:copy-of select="."/>
			</xsl:for-each>
			<xsl:attribute name="unsafe"><xsl:value-of select="$p-unsafe"/></xsl:attribute>
			<xsl:apply-templates select="*"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="USERTAG">
		<xsl:choose>
			<xsl:when test="name(parent::node()) = 'USERGROUP'">
				<xsl:if test="parent::node()/@name = 'Any' or parent::node()/@name = $p-usergroup">
					<xsl:copy-of select="."/>
				</xsl:if>
			</xsl:when>
			<xsl:otherwise>
				<xsl:copy-of select="."/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template match="CONFIGSECTION/*">
		<xsl:choose>
			<xsl:when test="name(.) != 'USERGROUP'">
				<xsl:copy-of select="."/>
			</xsl:when>
			<xsl:otherwise>
				<xsl:apply-templates/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<!--******************************************************************************* -->
	<!--* Get rid of the AUTOCLOSE				                                                * -->
	<!--******************************************************************************* -->
	<xsl:template match="AUTOCLOSE"/>
	<!--******************************************************************************* -->
	<!--* Recurse over the all nodes in the tree.                                     * -->
	<!--* (1) DCF controls with type="dcf" are converted to their original source.    * -->
	<!--*     Recursion stops.                                                        * -->
	<!--* (2) All the rest including GML tags with type="gml" are copied.             * -->
	<!--* (3) Special templates are provided for GML tags that need to be changed     * -->
	<!--*     and for DCF Control that need to be changed                             * -->
	<!--******************************************************************************* -->
	<xsl:template match="*">
		<!--*********************************************************************** -->
		<!-- Check for the type                                                   * -->
		<!--*********************************************************************** -->
		<xsl:choose>
			<!--******************************************************************* -->
			<!-- In case of a DCF control call the dcf control template           * -->
			<!-- and stop the recursion                                           * -->
			<!--******************************************************************* -->
			<xsl:when test="@type = 'dcf'">
				<xsl:call-template name="dcfcontrol"/>
			</xsl:when>
			<!--******************************************************************* -->
			<!-- Otherwise (mostly GML Tags) copy to the output tree and recurse  * -->
			<!--******************************************************************* -->
			<xsl:when test="@custom = 'Y'">
				<xsl:apply-templates mode="custom-mode" select="."/>
			</xsl:when>
			<!--******************************************************************* -->
			<!-- In case of a passed thru gml tag call the template               * -->
			<!-- which itself recurses                                            * -->
			<!--******************************************************************* -->
			<xsl:when test="@type = 'gml'">
				<xsl:call-template name="gmltag"/>
			</xsl:when>
			<xsl:otherwise>
				<xsl:if test="@isolated">
					<xsl:element name="DIV">
						<xsl:attribute name="remove">Y</xsl:attribute>
						<xsl:text>:</xsl:text>
						<xsl:value-of select="name(.)"/>
					</xsl:element>
				</xsl:if>
				<xsl:copy-of select="."/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<!--******************************************************************************* -->
	<!--* Do the "logic" tags created by the parser                                   * -->
	<!--******************************************************************************* -->
	<!--*                                                                             * -->
	<!--******************************************************************************* -->
	<!--* "textblock"                                                                 * -->
	<!--* We usually create a DIV, but have some specific logic for undefined         * -->
	<!--* GML Tags                                                                    * -->
	<!--******************************************************************************* -->
	<xsl:template match="textblock">
		<xsl:variable name="prevtag">
			<xsl:value-of select="preceding::node()/@type"/>
		</xsl:variable>
		<xsl:variable name="prevname">
			<xsl:value-of select="name(preceding::node())"/>
		</xsl:variable>
		<xsl:variable name="parentname">
			<xsl:value-of select="name(parent::node())"/>
		</xsl:variable>
		<xsl:if test="$p-trace = 'Yes'">
			<xsl:message>Text block hit</xsl:message>
			<xsl:message>
				<xsl:value-of select="."/>
			</xsl:message>
			<xsl:message>Sameline <xsl:value-of select="@sameline"/>
			</xsl:message>
			<xsl:message>prevtag <xsl:value-of select="$prevtag"/>
			</xsl:message>
			<xsl:message>prevname <xsl:value-of select="$prevname"/>
			</xsl:message>
			<xsl:message>prevname <xsl:value-of select="$parentname"/>
			</xsl:message>
		</xsl:if>
		<xsl:choose>
			<!--******************************************************************* -->
			<!-- If it's on the same line and the preceding one not UNDEF_GML     * -->
			<!-- make the necessary DIVs                                          * -->
			<!--******************************************************************* -->
			<xsl:when test="@sameline = 'Y'">
				<xsl:message>Hitting sameline=y for <xsl:value-of select="."/>
				</xsl:message>
				<xsl:choose>
					<xsl:when test="name(preceding-sibling::node()[position() = 1]) = 'textblock'">
						<xsl:call-template name="makeTextDIVs"/>
					</xsl:when>
					<xsl:when test="name(preceding-sibling::node()[position() = 1]) = 'allianz:IV'">
						<xsl:call-template name="makeTextDIVs">
							<xsl:with-param name="join" select="'Y'"/>
						</xsl:call-template>
					</xsl:when>
					<xsl:when test="preceding-sibling::node()[position() = 1]/@type = 'gml'">
						<xsl:message>Removing text: <xsl:value-of select="."/>
						</xsl:message>
					</xsl:when>
					<xsl:when test="../@p = 'N'">
						<xsl:call-template name="makeTextDIVs"/>
					</xsl:when>
					<xsl:otherwise>
						<xsl:message>Removing text.. otherwise: <xsl:value-of select="."/>
						</xsl:message>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:when>
			<xsl:when test="$parentname = 'LI'">
				<xsl:apply-templates/>
			</xsl:when>
			<!--
			<xsl:when test="../@p= 'N'">
			<xsl:apply-templates></xsl:apply-templates>
			</xsl:when>
			-->
			<xsl:when test="ancestor::LI or ancestor::node()/@list">
				<xsl:apply-templates/>
			</xsl:when>
			<xsl:when test="@sameline = 'N'">
				<xsl:message>
					<xsl:value-of select="name(preceding-sibling::node()[position() = 1])"/>
				</xsl:message>
				<xsl:choose>
					<!--
					<xsl:when test="parent::node()/@p = 'N' and name(preceding-sibling::node()[position() = 1]) = ''">
						<xsl:value-of select="."/>
					</xsl:when>
					-->
					<xsl:when test="parent::node()/@type = 'gml'">
						<xsl:call-template name="makeTextDIVs"/>
					</xsl:when>
					<xsl:otherwise>
						<xsl:call-template name="makeTextDIVs"/>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:when>
			<!--******************************************************************* -->
			<!-- Check for name of preseding tags                                 * -->
			<!--******************************************************************* -->
			<xsl:otherwise>
				<xsl:choose>
					<xsl:when test="$prevname = 'textblock'">
						<xsl:if test="preceding::node()/@sameline = 'Y'">
							<xsl:apply-templates/>
						</xsl:if>
					</xsl:when>
					<xsl:otherwise>
						<xsl:if test="$p-trace = 'Yes'">
							<xsl:message>About to call </xsl:message>
						</xsl:if>
						<xsl:call-template name="makeTextDIVs"/>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<!-- texblock with "parent-editability -->
	<xsl:template match="textblock" mode="mode-parent-editability">
		<xsl:choose>
			<!--******************************************************************* -->
			<!-- If it's on the same line and the preceding one not UNDEF_GML     * -->
			<!-- make the necessary DIVs                                          * -->
			<!--******************************************************************* -->
			<xsl:when test="@sameline = 'Y'">
				<xsl:message>Hitting sameline=y for <xsl:value-of select="."/>
				</xsl:message>
				<xsl:choose>
					<xsl:when test="name(preceding-sibling::node()[position() = 1]) = 'textblock'">
						<xsl:call-template name="makeTextDIVs"/>
					</xsl:when>
					<xsl:when test="name(preceding-sibling::node()[position() = 1]) = 'allianz:IV'">
						<xsl:call-template name="makeTextDIVs">
							<xsl:with-param name="join" select="'Y'"/>
						</xsl:call-template>
					</xsl:when>
					<xsl:when test="preceding-sibling::node()[position() = 1]/@type = 'gml'">
						<xsl:message>Removing text: <xsl:value-of select="."/>
						</xsl:message>
					</xsl:when>
					<xsl:when test="../@p = 'N'">
						<xsl:call-template name="makeTextDIVs"/>
					</xsl:when>
					<xsl:otherwise>
						<xsl:message>Removing text.. otherwise: <xsl:value-of select="."/>
						</xsl:message>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:when>
			<!--******************************************************************* -->
			<!-- Check for name of preseding tags                                 * -->
			<!--******************************************************************* -->
			<xsl:otherwise>
				<xsl:apply-templates/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<!--******************************************************************************* -->
	<!--* Protect DCF Variables in textblocks                                         * -->
	<!--******************************************************************************* -->
	<xsl:template match="textblock/text()">
		<xsl:message>In textblock/text() for <xsl:value-of select="."/>
		</xsl:message>
		<xsl:choose>
			<xsl:when test="$p-v-gray = 'Y'">
				<xsl:call-template name="gray-vars">
					<xsl:with-param name="text-line">
						<xsl:value-of select="."/>
					</xsl:with-param>
				</xsl:call-template>
			</xsl:when>
			<xsl:when test="$p-v-protect != 'Y'">
				<xsl:value-of select="."/>
			</xsl:when>
			<xsl:otherwise>
				<xsl:call-template name="protect-vars">
					<xsl:with-param name="text-line">
						<xsl:value-of select="."/>
					</xsl:with-param>
				</xsl:call-template>
			</xsl:otherwise>
		</xsl:choose>
		<!--*************************************************************************** -->
		<!--* This recursive sub-template creates disabled input fields for DCF       * -->
		<!--* symbols                                                                 * -->
		<!--*************************************************************************** -->
	</xsl:template>
	<!--******************************************************************************* -->
	<!--* "dcfblock" simply recurse                                                   * -->
	<!--******************************************************************************* -->
	<xsl:template match="dcfblock">
		<xsl:if test="$p-trace = 'Yes'">
			<xsl:message>DCF Block hit</xsl:message>
			<xsl:message>
				<xsl:value-of select="."/>
			</xsl:message>
		</xsl:if>
		<xsl:apply-templates/>
		<!-- Is it the last one? -->
		<xsl:if test="name(following-sibling::node()) = '' and name(parent::node()) = 'DCFDocument' and $p-e-makeeditable = 'Y' and $p-speditable = 'true'">
			<xsl:call-template name="make-nla-line"/>
		</xsl:if>
	</xsl:template>
	<!-- gml blocks -->
	<!--******************************************************************************* -->
	<!--* "gmlblock" Check for same and new line                                      * -->
	<!--******************************************************************************* -->
	<xsl:template match="gmlblock">
		<xsl:if test="$p-trace = 'Yes'">
			<xsl:message>GML Block hit</xsl:message>
			<xsl:message>
				<xsl:value-of select="."/>
			</xsl:message>
		</xsl:if>
		<xsl:choose>
			<xsl:when test="@atnewline ='Y'">
				<xsl:element name="DIV">
					<xsl:attribute name="class">gmlblock</xsl:attribute>
					<xsl:apply-templates/>
				</xsl:element>
			</xsl:when>
			<xsl:otherwise>
				<xsl:apply-templates/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<!--******************************************************************************* -->
	<!--* Concatenation specifics                                                     * -->
	<!--******************************************************************************* -->
	<xsl:template match="CO-off">
		<pre class="pretext">
			<xsl:apply-templates/>
		</pre>
	</xsl:template>
	<xsl:template match="FO-off">
		<pre class="pretext">
			<xsl:apply-templates/>
		</pre>
	</xsl:template>
	<!--******************************************************************************* -->
	<!--******************************************************************************* -->
	<!--******************************************************************************* -->
	<!--* Includes                                                                    * -->
	<!--******************************************************************************* -->
	<!--******************************************************************************* -->
	<!--******************************************************************************* -->
	<xsl:include href="docd2hgml.xsl"/>
	<xsl:include href="docd2hcallables.xsl"/>
	<xsl:include href="docd2hdcf.xsl"/>
	<xsl:include href="../custom/doccustom1.xsl"/>
</xsl:stylesheet>
