<?xml version="1.0" encoding="UTF-8"?>
<!--*******************************************************************************
*
* Licensed Material - Property of IBM
*
* 5655-002
*
* (C) Copyright IBM Corp. 2003
*                                                                           
*   US Government Users Restricted Rights - Use, duplication or
*   disclosure restricted by GSA ASP Schedule Contract with
*   IBM Corp.
*                                                                         
*                                                                           
* MODULE NAME= docd2hgml.xsl                                               
*                                                                           
* DESCRIPTIVE NAME= Template dealing with (standard) GML Tags                
*                                                                           
* Author: Dieter Gottschall
*                                                                           
* Change Activity:                                                          
*                                                                           
* Code		Release 	Date		Person		Reason                                    
*
* @00=		1.0.0		2003-05-20	GOT		Creation as part of a major rework
* @01=		1.0.0		2003-06-17	GOT		To indicate a change	 
* @02=		1.0.0		2003-07-14	GOT		HP3  
* @03=		1.0.0		2003-07-21	GOT		PTR3458 hp1 too many 
* @04=		1.1.6		2004-06-02	GOT		PQ89610 GEZ/FormOff problems 
* @05=		1.1.6		2004-06-04	GOT		PTR3499 LQ - BLOCKQUOTE 
* @06=		1.1.6		2004-06-08	GOT		PTR3821 Host/GML Tables.
* @07=		1.1.6		2004-07-15	GOT		PTR4259 Definition List Support
* @08=		1.1.6		2004-07-15	GOT		PTR4257 Client API Ship
* @09=		1.1.6		2004-11-30	GOT		PQ97671, PTR4473 Table roundtrip 
* @10=		1.1.6		2004-12-15	GOT		PTR4503 (PQ98310) Roundtrip of empty tables  
* @11=		1.2.2		2006-11-30	GOT		PTR5925 (PK35158) Double text in cells
*****************************************************************************************-->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="no" standalone="yes" omit-xml-declaration="no"/>
	<xsl:key name="all-rdefs" match="RDEF" use="@id"/>
	<xsl:template match="RDEF"/>
	<!--******************************************************************************* -->
	<!--* gml tag specials                                                            * -->
	<!--******************************************************************************* -->
	<!--* Undefined GML Tags                                                          * -->
	<xsl:template match="UNDEF_GML">
		<xsl:if test="$p-trace = 'Yes'">
			<xsl:message>UNDEF_GML hit</xsl:message>
			<xsl:message>
				<xsl:value-of select="."/>
			</xsl:message>
		</xsl:if>
		<xsl:choose>
			<xsl:when test="@newline = 'Q'">
				<DIV class="undefgml">
					<xsl:if test="$p-e-editundefgml = 'Yes' and $p-speditable = 'true'">
						<xsl:attribute name="contenteditable">true</xsl:attribute>
					</xsl:if>
					<xsl:element name="P">
						<xsl:value-of select="."/>
					</xsl:element>
					<xsl:variable name="linemode">
						<xsl:value-of select="following::node()/@sameline"/>
					</xsl:variable>
					<xsl:if test="$linemode = 'Y'">
						<xsl:value-of select="following::node()"/>
					</xsl:if>
				</DIV>
			</xsl:when>
			<xsl:otherwise>
				<SPAN class="undefgml">
					<xsl:value-of select="."/>
				</SPAN>
				<!--
				<xsl:if test="following::node()/@sameline = 'Y'">
					<xsl:value-of select="following::node()"/>
				</xsl:if>
				-->
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template match="le">
		<xsl:choose>
			<xsl:when test="$p-dcf-retain = 'Y'">
				<xsl:copy>
					<xsl:value-of select="$g-space"/>
				</xsl:copy>
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="$g-space"/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template match="BR">
		<xsl:choose>
			<xsl:when test="ancestor::LI or ancestor::node()/@list">
				<xsl:value-of select="$g-space"/>
			</xsl:when>
			<xsl:when test="parent::node()/@sameline = 'N'">
				<xsl:copy-of select="."/>
			</xsl:when>
			<xsl:otherwise/>
		</xsl:choose>
	</xsl:template>
	<xsl:template match="br">
		<xsl:choose>
			<xsl:when test="ancestor::LI or ancestor::node()/@list">
				<xsl:value-of select="$g-space"/>
			</xsl:when>
			<xsl:when test="parent::node()/@sameline = 'N'">
				<xsl:copy-of select="."/>
			</xsl:when>
			<xsl:otherwise/>
		</xsl:choose>
	</xsl:template>
	<!--******************************************************************************* -->
	<!--* :HP1 is converted to <U></U>                                      * -->
	<!--******************************************************************************* -->
	<xsl:template match="HP1">
		<xsl:element name="U">
			<xsl:if test="child::node()[last()]/@tag = name(.)">
				<xsl:attribute name="ac">Y</xsl:attribute>
			</xsl:if>
			<xsl:apply-templates/>
		</xsl:element>
	</xsl:template>
	<!--******************************************************************************* -->
	<!--* :HP2 is converted to <STRONG></STRONG>                                      * -->
	<!--******************************************************************************* -->
	<xsl:template match="HP2">
		<xsl:element name="STRONG">
			<xsl:if test="child::node()[last()]/@tag = name(.)">
				<xsl:attribute name="ac">Y</xsl:attribute>
			</xsl:if>
			<xsl:apply-templates/>
		</xsl:element>
	</xsl:template>
	<!--******************************************************************************* -->
	<!--* :HP3 is converted to <EM></EM>                                      * -->
	<!--******************************************************************************* -->
	<xsl:template match="HP3">
		<xsl:element name="EM">
			<xsl:if test="child::node()[last()]/@tag = name(.)">
				<xsl:attribute name="ac">Y</xsl:attribute>
			</xsl:if>
			<xsl:apply-templates/>
		</xsl:element>
	</xsl:template>
	<!--******************************************************************************* -->
	<!--* Do the paragraph                                                            * -->
	<!--******************************************************************************* -->
	<xsl:template match="LP">
		<xsl:element name="P">
			<xsl:attribute name="origin">LP</xsl:attribute>
			<xsl:apply-templates/>
		</xsl:element>
	</xsl:template>
	<!--******************************************************************************* -->
	<!--* Long Quotation                                                                         * -->
	<!--******************************************************************************* -->
	<xsl:template match="LQ">
		<xsl:element name="BLOCKQUOTE">
			<xsl:attribute name="origin">LQ</xsl:attribute>
			<xsl:apply-templates/>
		</xsl:element>
	</xsl:template>
	<!--******************************************************************************* -->
	<!--* Do the LI				                                                           * -->
	<!--******************************************************************************* -->
	<xsl:template match="LI">
		<xsl:choose>
			<xsl:when test="not (ancestor::node()/@list)">
				<xsl:message>Isolated list element found</xsl:message>
				<xsl:element name="DIV">
					<xsl:attribute name="contenteditable">true</xsl:attribute>
					<xsl:element name="UL">
						<xsl:attribute name="type">gml</xsl:attribute>
						<xsl:attribute name="class">autoul</xsl:attribute>
						<xsl:call-template name="do-Listelement"/>
					</xsl:element>
				</xsl:element>
			</xsl:when>
			<xsl:when test="name(parent::node()) = 'DCFDocument'">
				<xsl:call-template name="do-Listelement"/>
			</xsl:when>
			<xsl:otherwise>
				<xsl:call-template name="do-Listelement"/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<!--******************************************************************************* -->
	<!--* Do SL OL UL                                                            * -->
	<!--******************************************************************************* -->
	<xsl:template match="SL | OL | UL">
		<xsl:call-template name="do-any-list"/>
	</xsl:template>
	<!--******************************************************************************* -->
	<!--* Do SL OL UL                                                            * -->
	<!--******************************************************************************* -->
	<xsl:template match="DL">
		<xsl:call-template name="do-any-list"/>
	</xsl:template>
	<!--******************************************************************************* -->
	<!--* GML Table stuff                                                            * -->
	<!--******************************************************************************* -->
	<xsl:template match="TABLE">
		<xsl:element name="DIV">
			<xsl:attribute name="contenteditable">true</xsl:attribute>
			<xsl:element name="TABLE">
				<xsl:attribute name="width">100%</xsl:attribute>
				<xsl:attribute name="contenteditable">true</xsl:attribute>
				<xsl:attribute name="border">1</xsl:attribute>
				<xsl:attribute name="cols"><xsl:call-template name="count-stars"><xsl:with-param name="p-starstring" select="string(key('all-rdefs', concat(@refid, 1))/@cwidths)"/><xsl:with-param name="p-result" select="0"/></xsl:call-template></xsl:attribute>
				<xsl:apply-templates/>
			</xsl:element>
		</xsl:element>
	</xsl:template>
	<xsl:template match="ROW">
		<xsl:element name="TR">
			<xsl:apply-templates select="C"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="C">
		<xsl:call-template name="do-td-with-attributes"/>
	</xsl:template>
	<xsl:template match="TCAP">
		<xsl:element name="CAPTION">
			<xsl:apply-templates/>
		</xsl:element>
	</xsl:template>
</xsl:stylesheet>
