<?xml version="1.0" encoding="UTF-8"?>
<!--*******************************************************************************
*
* Licensed Material - Property of IBM
*
* 5655-002
*
* (C) Copyright IBM Corp. 2003
*
*   US Government Users Restricted Rights - Use, duplication or
*   disclosure restricted by GSA ASP Schedule Contract with
*   IBM Corp.
*
*
* MODULE NAME= doceditordialog.xsl
*
* DESCRIPTIVE NAME= Create a custom editor dialog from the config section
*						in DocXMLConversion.xml
*
* Description:	This style sheet is applied by JScript code on the client, if extended table dialog is
*				specified in DocXSLConversion.xml
*
* Author: Dieter Gottschall
*
* Change Activity:
*
* Code		Release 	Date		Person		Reason
* @00		1.0.0		2003-07-28	GOT		  Initial create
* @001	1.0.1		2004-06-23	UZeh	  PQ90695 PTR4189 NLS Enablement      
* @002	1.1.6		2004-11-26	GOT		  PQ97671, PTR4311 Combi-tags in table dialog
* @003	1.1.6		2005-05-18	MMar		Added div id="webdialog"
*                                   Added classes and ids to elements to reflect flexible fonts design
* @004  1.2.2   2006-04-10  MMar    DPK22286 Encoding changed to UTF-8 
*
*****************************************************************************************-->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:param name="atnam"/>
	<!-- Name der Tabelle -->
	<xsl:param name="afnam"/>
	<!-- Form der Tabelle -->
	<xsl:param name="anoro"/>
	<!-- Anzahl der Zeilen -->
	<xsl:param name="afiro"/>
	<!-- Erste Zeile -->
	<xsl:param name="anlro"/>
	<!-- Vorletzte Zeile -->
	<xsl:param name="alaro"/>
	<!-- Letzte Zeile -->
	<xsl:param name="aundl"/>
	<!-- unterstichen -->
	<xsl:param name="abold"/>
	<!-- fett -->
	<xsl:param name="acolu"/>
	<!-- Spalte   -->
	<xsl:param name="alalg"/>
	<!-- Linksbündig   -->
	<xsl:param name="aralg"/>
	<!-- Rechtsbündig   -->
	<xsl:param name="abuok"/>
	<!-- OK  -->
	<xsl:param name="abuca"/>
	<!-- Abbrechen -->
	<!-- <xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes"/> @005 -->
	<xsl:output method="html" encoding="UTF-8" doctype-public="-//W3C//DTD HTML 4.0//EN"/>
	<!-- @005 -->
	<xsl:variable name="g-dash" select="'-'"/>
	<xsl:variable name="g-nullstring" select="''"/>
	<xsl:variable name="g-nbsp" select="'&#160;'"/>
	<xsl:variable name="g-yes" select="'Y'"/>
	<xsl:variable name="g-no" select="'N'"/>
	<!--	<xsl:variable name="g-nbsp" select="'.'"/> -->
	<xsl:template match="USERTAG"/>
	<xsl:template match="/">
		<div id="webdialog">
		<FORM name="tableform">
			<TABLE id="Table1">
				<TR>
					<TD class="firstcol">
						<label><xsl:value-of select="$atnam"/></label>
					</TD>
					<TD>
						<INPUT id="t1" type="text" name="txTableName"/>
					</TD>
				</TR>
				<TR>
					<TD colspan="5">
						<label><xsl:value-of select="$g-nbsp"/></label>
					</TD>
				</TR>
				<TR>
					<TD class="firstcol">
						<label><xsl:value-of select="$afnam"/></label>
					</TD>
					<xsl:apply-templates/>
				</TR>
				<TR>
					<TD colspan="5">
						<label><xsl:value-of select="$g-nbsp"/></label>
					</TD>
				</TR>
				<TR>
					<TD class="firstcol">
						<label><xsl:value-of select="$anoro"/></label>
					</TD>
					<TD colspan="2">
						<INPUT id="Text2" type="text" name="num-lines" value="3" onblur="fnXTBlur()"/>
						<xsl:element name="INPUT">
							<xsl:attribute name="type">text</xsl:attribute>
							<xsl:attribute name="name">num-cols</xsl:attribute>
							<xsl:attribute name="style">display:none</xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="count(//TABLEDEFINITION//TD)"/></xsl:attribute>
						</xsl:element>
					</TD>
				</TR>
			</TABLE>
			<TABLE id="Table6" >
				<COLGROUP class="firstcol">
				</COLGROUP>
				<TR>
					<TD>
						<label><xsl:value-of select="$afiro"/></label>
					</TD>
					<TD class="radiocell">
						<INPUT id="Checkbox1" type="checkbox" name="fat-0"/>
					</TD>
					<TD class="hilicol">
						<label><xsl:value-of select="$abold"/></label>
					</TD>
					<TD class="radiocell">
						<INPUT id="Checkbox2" type="checkbox" name="us-0"/>
					</TD>
					<TD class="hilicol">
						<label><xsl:value-of select="$aundl"/></label>
					</TD>
				</TR>
				<TR>
					<TD>
						<label><xsl:value-of select="$anlro"/></label>
					</TD>
					<TD class="radiocell">
						<INPUT id="Checkbox3" type="checkbox" name="fat-1"/>
					</TD>
					<TD class="hilicol">
						<label><xsl:value-of select="$abold"/></label>
					</TD>
					<TD class="radiocell">
						<INPUT id="Checkbox4" type="checkbox" name="us-1"/>
					</TD>
					<TD class="hilicol">
						<label><xsl:value-of select="$aundl"/></label>
					</TD>
				</TR>
				<TR>
					<TD>
						<label><xsl:value-of select="$alaro"/></label>
					</TD>
					<TD class="radiocell">
						<INPUT id="Checkbox5" type="checkbox" name="fat-2"/>
					</TD>
					<TD class="hilicol">
						<label><xsl:value-of select="$abold"/></label>
					</TD>
					<TD class="radiocell">
						<INPUT id="Checkbox6" type="checkbox" name="us-2"/>
					</TD>
					<TD class="hilicol">
						<label><xsl:value-of select="$aundl"/></label>
					</TD>
				</TR>
				<TR>
					<TD colspan="5">
						<label><xsl:value-of select="$g-nbsp"/></label>
					</TD>
				</TR>
			</TABLE>
			<TABLE id="Table3" >
				<TR>
					<TD class="collatts">
						<label><xsl:value-of select="$acolu"/></label>
					</TD>
					<TD class="collatts">
						<label><xsl:value-of select="$alalg"/></label>
					</TD>
					<TD class="collatts">
						<label><xsl:value-of select="$aralg"/></label>
					</TD>
					<TD class="collatts">
						<label><xsl:value-of select="$abold"/></label>
					</TD>
				</TR>
				<TR>
					<TD><label>1</label></TD>
					<TD>
						<INPUT id="Radio1" type="radio" value="LEFT" name="c1-align" checked="checked"/>
					</TD>
					<TD>
						<INPUT id="Radio2" type="radio" value="RIGHT" name="c1-align"/>
					</TD>
					<TD>
						<INPUT id="Checkbox7" type="checkbox" name="c1-bold" value="c1-bold"/>
					</TD>
				</TR>
				<TR>
					<TD><label>2</label></TD>
					<TD>
						<INPUT id="Radio3" type="radio" value="LEFT" name="c2-align" checked="checked"/>
					</TD>
					<TD>
						<INPUT id="Radio4" type="radio" value="RIGHT" name="c2-align"/>
					</TD>
					<TD>
						<INPUT id="Checkbox8" type="checkbox" name="c2-bold" value="c2-bold"/>
					</TD>
				</TR>
				<TR>
					<TD><label>3</label></TD>
					<TD>
						<INPUT id="Radio5" type="radio" value="LEFT" name="c3-align"/>
					</TD>
					<TD>
						<INPUT id="Radio6" type="radio" value="RIGHT" name="c3-align" checked="checked"/>
					</TD>
					<TD>
						<INPUT id="Checkbox9" type="checkbox" name="c3-bold" value="c4-bold"/>
					</TD>
				</TR>
				<TR>
					<TD><label>4</label></TD>
					<TD>
						<INPUT id="Radio7" type="radio" value="LEFT" name="c4-align"/>
					</TD>
					<TD>
						<INPUT id="Radio8" type="radio" value="RIGHT" name="c4-align" checked="checked"/>
					</TD>
					<TD>
						<INPUT id="Checkbox10" type="checkbox" name="c4-bold" value="c4-bold"/>
					</TD>
				</TR>
			</TABLE>
			<TABLE >
				<TR>
					<TD WIDTH="100%">
						<label><xsl:value-of select="$g-nbsp"/></label>
					</TD>
				</TR>
				<TR>
					<TD WIDTH="50%">
						<label><xsl:value-of select="$g-nbsp"/></label>
					</TD>
					<TD WIDTH="25%">
						<button id="Button1" name="Return" onclick="fnXTReturn()">
							<xsl:value-of select="$abuok"/>
						</button>
						<!--
						<xsl:element name="input">
							<xsl:attribute name="type">button</xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$abuok"/></xsl:attribute>
							<xsl:attribute name="name">Return</xsl:attribute>
							<xsl:attribute name="onclick">fnXTReturn()</xsl:attribute>
							<xsl:attribute name="ID">Button1</xsl:attribute>
						</xsl:element>
						-->
					</TD>
					<TD WIDTH="25%">
						<button id="Button2" name="Cancel" onclick="fnXTCancel()">
							<xsl:value-of select="$abuca"/>
						</button>
						<!--
						<xsl:element name="input">
							<xsl:attribute name="type">button</xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$abuca"/></xsl:attribute>
							<xsl:attribute name="name">Cancel</xsl:attribute>
							<xsl:attribute name="onclick">fnXTCancel()</xsl:attribute>
							<xsl:attribute name="ID">Button2</xsl:attribute>
						</xsl:element>
						-->
					</TD>
				</TR>
			</TABLE>
		</FORM>
		</div>
	</xsl:template>
	<xsl:template match="TABLEDEFINITION">
		<xsl:apply-templates/>
	</xsl:template>
	<xsl:template match="TABLE">
		<xsl:apply-templates/>
	</xsl:template>
	<xsl:template match="TBODY">
		<xsl:apply-templates/>
	</xsl:template>
	<!-- Looking for a TR -->
	<xsl:template match="TR">
		<!-- Get the number of TDs below that TR -->
		<xsl:variable name="vtd-count" select="count(./TD)"/>
		<xsl:element name="TD">
			<xsl:attribute name="colspan"><xsl:value-of select="$vtd-count"/></xsl:attribute>
			<xsl:element name="TABLE">
				<xsl:attribute name="class">dyntable</xsl:attribute>
				<xsl:call-template name="recurse-up">
					<!-- **********************************************
			The parameters have the following meaning:
			pn-columns-todo		is the number of columns that need to the processed
			pn-columns-done		is the number of columns done..
			pn-total-constant		is a constant value (which never changes) telling the original
								number of columns to do.
			ps-previous			is a string containing the concatenation of the previous column setup.
								This string is used to create the TR with its TDs.	
			
			************************************************ -->
					<xsl:with-param name="pn-columns-todo" select="$vtd-count"/>
					<xsl:with-param name="pn-columns-done" select="0"/>
					<xsl:with-param name="pn-calllevel" select="''"/>
					<xsl:with-param name="pn-total-constant" select="$vtd-count"/>
					<xsl:with-param name="ps-previous" select="$g-nullstring"/>
				</xsl:call-template>
			</xsl:element>
		</xsl:element>
		<!-- Create a TABLE -->
	</xsl:template>
	<xsl:template name="recurse-up">
		<!-- *************************************************
		check if there's anything left to do (i.e. the columns todo is greater 0 
		
		The recursion here is a bit complicated because each invocation needs to do a
		couple of things:
		
		(1)	Recurse down with all possible additional factorizations of the columns to do.
			For example, if columns to do is 4 we need to process
			1+3, 2+2, 3+1; this means we recurse down with
			1+3: ps-previous='1-', columns to do 3
			2+2: ps-previous='2-', columns to do 2
			3+1; ps-previous='3-', columns to do 1
			
			columns-done is used to implement this recursion.
			
		(2)	Create the particular invocation, i.e. append columns to do to previous
			and create the row.
			
		The programming problem is that we don't have iteration (like for instance a for-loop),
		but need to do anything recursively. 
		****************************************************** -->
		<xsl:param name="pn-columns-todo"/>
		<xsl:param name="pn-columns-done"/>
		<xsl:param name="ps-previous"/>
		<xsl:param name="pn-total-constant"/>
		<xsl:param name="pn-calllevel"/>
		<xsl:variable name="vn-delta" select="$pn-columns-todo - $pn-columns-done"/>
		<xsl:if test="$vn-delta &gt; 0">
			<xsl:variable name="vs-combo" select="concat(concat(string($vn-delta), $g-dash), string($pn-columns-done))"/>
			<xsl:call-template name="recurse-up">
				<xsl:with-param name="pn-columns-todo" select="$pn-columns-todo"/>
				<xsl:with-param name="pn-columns-done" select="$pn-columns-done + 1"/>
				<xsl:with-param name="ps-previous" select="$ps-previous"/>
				<xsl:with-param name="pn-calllevel" select="concat($pn-calllevel, '!')"/>
				<xsl:with-param name="pn-total-constant" select="$pn-total-constant"/>
			</xsl:call-template>
			<xsl:variable name="vn-calllevel">
				<xsl:call-template name="set-calllevel">
					<xsl:with-param name="p-cal3" select="$pn-calllevel"/>
				</xsl:call-template>
			</xsl:variable>
			<xsl:if test="$pn-columns-done &gt; 1">
				<xsl:call-template name="recurse-up">
					<xsl:with-param name="pn-columns-todo" select="$pn-columns-done"/>
					<xsl:with-param name="pn-columns-done" select="0"/>
					<xsl:with-param name="ps-previous" select="concat($ps-previous, concat(string($vn-delta), $g-dash))"/>
					<xsl:with-param name="pn-calllevel" select="$vn-calllevel"/>
					<xsl:with-param name="pn-total-constant" select="$pn-total-constant"/>
				</xsl:call-template>
			</xsl:if>
			<xsl:if test="$pn-columns-done &gt; 0 or $pn-columns-todo = $pn-total-constant">
				<xsl:call-template name="make-tr-from-string">
					<xsl:with-param name="p-string" select="concat($ps-previous, $vs-combo)"/>
					<xsl:with-param name="pn-total-constant" select="$pn-total-constant"/>
				</xsl:call-template>
			</xsl:if>
		</xsl:if>
	</xsl:template>
	<xsl:template name="make-td">
		<xsl:param name="p-number"/>
		<xsl:param name="p-span"/>
		<xsl:if test="$p-number &gt; 0">
			<xsl:element name="TD">
				<xsl:attribute name="colspan"><xsl:value-of select="$p-span"/></xsl:attribute>
			.</xsl:element>
			<xsl:call-template name="make-td">
				<xsl:with-param name="p-number" select="$p-number - 1"/>
				<xsl:with-param name="p-span" select="$p-span"/>
			</xsl:call-template>
		</xsl:if>
	</xsl:template>
	<xsl:template name="make-single-td">
		<xsl:param name="p-span"/>
		<xsl:element name="TD">
			<xsl:attribute name="colspan"><xsl:value-of select="$p-span"/></xsl:attribute>
			<xsl:attribute name="class">dyncell</xsl:attribute>
			<label><xsl:value-of select="$g-nbsp"/></label>
		</xsl:element>
	</xsl:template>
	<xsl:template name="make-tr">
		<xsl:param name="p-number"/>
		<xsl:param name="p-span"/>
		<xsl:if test="$p-number &gt; 0">
			<xsl:element name="TR">
				<xsl:call-template name="make-td">
					<xsl:with-param name="p-number" select="$p-number"/>
					<xsl:with-param name="p-span" select="$p-span"/>
				</xsl:call-template>
			</xsl:element>
		</xsl:if>
	</xsl:template>
	<xsl:template name="make-tr-from-string">
		<xsl:param name="p-string"/>
		<xsl:param name="pn-total-constant"/>
		<xsl:variable name="vs-id" select="concat('tr', $p-string)"/>
		<xsl:element name="TR">
			<xsl:attribute name="id"><xsl:value-of select="$vs-id"/></xsl:attribute>
			<xsl:call-template name="make-radiobutton">
				<xsl:with-param name="ps-notation" select="$p-string"/>
				<xsl:with-param name="ps-checked">
					<xsl:call-template name="check-it">
						<xsl:with-param name="ps-cols" select="$p-string"/>
						<xsl:with-param name="pn-level" select="1"/>
						<xsl:with-param name="pn-total-constant" select="$pn-total-constant"/>
					</xsl:call-template>
				</xsl:with-param>
			</xsl:call-template>
			<xsl:call-template name="make-td-sequence">
				<xsl:with-param name="p-string" select="$p-string"/>
			</xsl:call-template>
		</xsl:element>
	</xsl:template>
	<xsl:template name="make-td-sequence">
		<xsl:param name="p-string"/>
		<xsl:variable name="v-left" select="substring-before(concat($p-string, $g-dash), $g-dash)"/>
		<xsl:variable name="v-right" select="substring-after($p-string, $g-dash)"/>
		<xsl:if test="$v-left != $g-nullstring">
			<xsl:call-template name="make-single-td">
				<xsl:with-param name="p-span" select="$v-left"/>
			</xsl:call-template>
		</xsl:if>
		<xsl:if test="$v-right != $g-nullstring and $v-right != '0'">
			<xsl:call-template name="make-td-sequence">
				<xsl:with-param name="p-string" select="$v-right"/>
			</xsl:call-template>
		</xsl:if>
	</xsl:template>
	<xsl:template name="make-radiobutton">
		<xsl:param name="ps-notation"/>
		<xsl:param name="ps-checked"/>
		<xsl:element name="TD">
			<xsl:attribute name="class">cradiocell</xsl:attribute>
			<xsl:element name="INPUT">
				<xsl:attribute name="type">radio</xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="$ps-notation"/></xsl:attribute>
				<xsl:attribute name="name">col-layout</xsl:attribute>
				<xsl:if test="$ps-checked = 'Y'">
					<xsl:attribute name="checked">checked</xsl:attribute>
				</xsl:if>
			</xsl:element>
		</xsl:element>
	</xsl:template>
	<xsl:template name="check-it">
		<xsl:param name="ps-cols"/>
		<xsl:param name="pn-level"/>
		<xsl:param name="pn-total-constant"/>
		<xsl:variable name="vs-before" select="substring-before($ps-cols, $g-dash)"/>
		<xsl:variable name="vs-after" select="substring-after($ps-cols, $g-dash)"/>
		<xsl:if test="$pn-total-constant = $pn-level">
			<xsl:value-of select="$g-yes"/>
		</xsl:if>
		<xsl:if test="$vs-before = '1'">
			<xsl:call-template name="check-it">
				<xsl:with-param name="ps-cols" select="$vs-after"/>
				<xsl:with-param name="pn-level" select="$pn-level + 1"/>
				<xsl:with-param name="pn-total-constant" select="$pn-total-constant"/>
			</xsl:call-template>
		</xsl:if>
	</xsl:template>
	<xsl:template name="do-tabindex">
		<xsl:param name="ps-cols"/>
		<xsl:param name="pn-level"/>
		<xsl:param name="pn-total-constant"/>
		<xsl:param name="ps-result"/>
		<xsl:variable name="vs-before" select="substring-before(concat($ps-cols, $g-dash), $g-dash)"/>
		<xsl:variable name="vs-after" select="substring-after($ps-cols, $g-dash)"/>
		<xsl:value-of select="$vs-before"/>
		<xsl:if test="$vs-after != ''">
			<xsl:call-template name="do-tabindex">
				<xsl:with-param name="ps-cols" select="$vs-after"/>
				<xsl:with-param name="pn-level" select="$pn-level + 1"/>
				<xsl:with-param name="pn-total-constant" select="$pn-total-constant"/>
				<xsl:with-param name="ps-result">"
				</xsl:with-param>
			</xsl:call-template>
		</xsl:if>
	</xsl:template>
	<xsl:template name="set-calllevel">
		<xsl:param name="p-cal3"/>
		<xsl:value-of select="concat($p-cal3, '.')"/>
	</xsl:template>
	<xsl:template name="trace-invocation2">
		<xsl:param name="pn-columns-todo"/>
		<xsl:param name="pn-columns-done"/>
		<xsl:param name="ps-previous"/>
		<xsl:message>**Start Create Rows Invocation**</xsl:message>
		<xsl:message>pn-columns-todo=<xsl:value-of select="$pn-columns-todo"/>
		</xsl:message>
		<xsl:message>pn-columns-done=<xsl:value-of select="$pn-columns-done"/>
		</xsl:message>
		<xsl:message>ps-previous='<xsl:value-of select="$ps-previous"/>'
		</xsl:message>
		<xsl:message>**End Create Rows Invocation**</xsl:message>
	</xsl:template>
</xsl:stylesheet>
