<?xml version="1.0" encoding="UTF-8"?>
<!-- 
*
**********************************************************************    
*  
*   Licensed Material - Property of IBM                               
*   5655-002                                                          
*                                                                     
*   (C) Copyright IBM Corp. 2003   All Rights Reserved                
*                                                                     
*   US Government Users Restricted Rights - Use, duplication or       
*   disclosure restricted by GSA ASP Schedule Contract with           
*   IBM Corp.    
*
**********************************************************************
*
*
* 	docfdlg.xsl
*
* 	Purpose: Convert the ASF search properties XML datastream to displayable HTML
*
*
* Code  Release    Date       Person  Reason                                   
*                                                                              
* @000  V01R00B00  06/30/2003 THS     Create                             
* @001  V01R00B00  07/08/2003 UZeh    Changes hiddenParameterse
* @002  V01R00B00  2005-04-20 MMar    Hardcoded style replaced and moved to docproduct.css
* @003  V01R01B06  06/09/2005 UZeh    DPK06982 PTR4814 Prefix list
* @004  V01R01B06  07/06/2005 UZeh    DPK06982 PTR4814 gPrefixOpt
*																   Added links to docproduct.css and doccustom.css
*																   Added <div id="webdialog"> for possibility to customize elements in this webdialog
* @005   V01R01B07 08/16/2005 MMar    doccustom.css is now in custom directory
*
-->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output encoding="UTF-8" indent="yes" omit-xml-declaration="yes" cdata-section-elements="name type subject" method="html"/>
<!-- Ouput the surrounding HTML -->
	<xsl:template match="/">
		<html>
			<head>
                                <META http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
				<link rel="StyleSheet" type="text/css" href="./css/docproduct.css"/>
				<link rel="StyleSheet" type="text/css" href="./custom/doccustom.css"/>
                                <script language="javascript" src="./javascript/docmsg.js"></script> <!-- @003a -->				
				<script language="javascript" src="./javascript/docasfsearchproperties.js"></script>
			</head>
			
			<body id="body" lang=" + fdbNlsObj.Lang + " scroll="no" class="def">
				<xsl:attribute name="onload">fnInit();</xsl:attribute>
				<xsl:attribute name="onfocus">fnHighlight();</xsl:attribute>
				<xsl:attribute name="onkeydown">fnKeyEvent();</xsl:attribute>
				<xsl:attribute name="onbeforeunload">fnUnload();</xsl:attribute>
				<!-- @002 -->
				<div id="webdialog">
				<form name="fdbForm" onsubmit="return false;" action="">
					<table cellspacing="0" cellpadding="0">
						<!--
						<tr>
						   <td>XSL</td>
						 </tr>
						-->
<!-- Build the find dialog entries -->
						<xsl:for-each select="//FiEn">
							<xsl:choose>
<!-- handle all entries which should be visible for the user -->
								<xsl:when test="@vis='1'">
									<tr>
										<xsl:attribute name="id">tr-<xsl:value-of select="@id"/></xsl:attribute>
										<xsl:attribute name="name"><xsl:value-of select="@name"/></xsl:attribute>
										<xsl:attribute name="onhelp">fnHelp();</xsl:attribute>
<!-- dialogs first column with the labels-->
										<td>
											<xsl:attribute name="id">td-<xsl:value-of select="@id"/>-1</xsl:attribute>
											<xsl:attribute name="nowrap"/>
<!-- add the label only if a description is available -->
											<xsl:if test="@dscr!=''">
												<label>
													<xsl:attribute name="id">la-<xsl:value-of select="@id"/>-1</xsl:attribute>
													<xsl:attribute name="for">ip-<xsl:value-of select="@id"/>-2</xsl:attribute>
													<xsl:value-of select="@dscr"/>:
												</label>
											</xsl:if>
										</td>
										<xsl:choose>
<!-- special handling for DXBLSTATUS (selection list) -->
											<xsl:when test="@name='DXBLSTATUS'">
												<td class="t3b2">
													<xsl:attribute name="id">td-<xsl:value-of select="@id"/>-2</xsl:attribute>
													<select>
														<xsl:attribute name="id">ip-<xsl:value-of select="@id"/>-2</xsl:attribute>
														<xsl:attribute name="name"><xsl:value-of select="@name"/></xsl:attribute>
														<xsl:attribute name="size"><xsl:value-of select="@maxl"/></xsl:attribute>
														<xsl:attribute name="maxlength"><xsl:value-of select="@maxl"/></xsl:attribute>
														<xsl:attribute name="minl"><xsl:value-of select="@minl"/></xsl:attribute>
														<xsl:attribute name="form"><xsl:value-of select="@form"/></xsl:attribute>
														<option value=" "></option>
														<option value="1">
															<xsl:if test="@Val='1'">
																<xsl:attribute name="selected"/>
															</xsl:if>
															1
														</option>
														<option value="2">
															<xsl:if test="@Val='2'">
																<xsl:attribute name="selected"/>
															</xsl:if>
															2
														</option>
														<option value="3">
															<xsl:if test="@Val='3'">
																<xsl:attribute name="selected"/>
															</xsl:if>
															3
														</option>
													</select>
													<script language="javascript">
														numberOfSelectionLists++;
														if (firstInput == null)
															firstInput = "ip-<xsl:value-of select="@id"/>-2";
														lastInput = "ip-<xsl:value-of select="@id"/>-2";
													</script>
												</td>
											</xsl:when>
<!-- @003a Start special handling for PREFIX-LIST (selection list) -->
                                                             				<xsl:when test="@name='PREFIX-LIST'">
                                                                                                  

												<td class="t3b2">                                                                                                       
													<xsl:attribute name="id">td-<xsl:value-of select="@id"/>-2</xsl:attribute>
													<xsl:call-template name="xprefixselect">
                                                                                                        </xsl:call-template>                                                                                                       
												</td>
											</xsl:when>
<!-- @003a End Special handling for PREFIX-LIST (selection list) -->
<!-- special handling for DXBLRELSTA (selection list) -->
											<xsl:when test="@name='DXBLRELSTA'">
												<td class="t3b2">
													<xsl:attribute name="id">td-<xsl:value-of select="@id"/>-2</xsl:attribute>
													<select>
														<xsl:attribute name="id">ip-<xsl:value-of select="@id"/>-2</xsl:attribute>
														<xsl:attribute name="name"><xsl:value-of select="@name"/></xsl:attribute>
														<xsl:attribute name="size"><xsl:value-of select="@maxl"/></xsl:attribute>
														<xsl:attribute name="maxlength"><xsl:value-of select="@maxl"/></xsl:attribute>
														<xsl:attribute name="minl"><xsl:value-of select="@minl"/></xsl:attribute>
														<xsl:attribute name="form"><xsl:value-of select="@form"/></xsl:attribute>
														<option value=" "></option>
														<option value="0">
															<xsl:if test="@Val='0'">
																<xsl:attribute name="selected"/>
															</xsl:if>
															0
														</option>
														<option value="1">
															<xsl:if test="@Val='1'">
																<xsl:attribute name="selected"/>
															</xsl:if>
															1
														</option>
														<option value="2">
															<xsl:if test="@Val='2'">
																<xsl:attribute name="selected"/>
															</xsl:if>
															2
														</option>
														<option value="8">
															<xsl:if test="@Val='8'">
																<xsl:attribute name="selected"/>
															</xsl:if>
															8
														</option>
														<option value="9">
															<xsl:if test="@Val='9'">
																<xsl:attribute name="selected"/>
															</xsl:if>
															9
														</option>
													</select>
													<script language="javascript">
														numberOfSelectionLists++;
														if (firstInput == null)
															firstInput = "ip-<xsl:value-of select="@id"/>-2";
														lastInput = "ip-<xsl:value-of select="@id"/>-2";
													</script>
												</td>
											</xsl:when>
<!-- special handling for DXBLITMTYP (radio buttons) -->
											<xsl:when test="@name='DXBLITMTYP'">
												<td>
													<xsl:attribute name="id">td-<xsl:value-of select="@id"/>-2</xsl:attribute>
													<xsl:attribute name="nowrap"/>
													<input>
														<xsl:attribute name="id">ip-<xsl:value-of select="@id"/>-2-<xsl:value-of select="@sid"/></xsl:attribute>
														<xsl:attribute name="name"><xsl:value-of select="@name"/></xsl:attribute>
														<xsl:attribute name="type">radio</xsl:attribute>
														<xsl:if test="@sid='0'">
															<xsl:attribute name="value">P</xsl:attribute>
														</xsl:if>
														<xsl:if test="@sid='1'">
															<xsl:attribute name="value">L</xsl:attribute>
														</xsl:if>
														<xsl:if test="@sid='2'">
															<xsl:attribute name="value">0</xsl:attribute>
														</xsl:if>
														<xsl:attribute name="form"><xsl:value-of select="@form"/></xsl:attribute>
														<xsl:attribute name="onkeydown">fnEnter();</xsl:attribute>
														<xsl:attribute name="onclick">fnLabelClick();</xsl:attribute>
														<xsl:attribute name="onfocus">fnFocus();</xsl:attribute>
														<xsl:if test="(@sid='0' and @Val='5') or (@sid='1' and @Val='3') or (@sid='2' and @Val='0')">
															<xsl:attribute name="checked"/>
														</xsl:if>
														<label>
															<xsl:attribute name="id">la-<xsl:value-of select="@id"/>-2-<xsl:value-of select="@sid"/></xsl:attribute>
															<xsl:attribute name="for">ip-<xsl:value-of select="@id"/>-2-<xsl:value-of select="@sid"/></xsl:attribute>
															<xsl:attribute name="onclick">fnLabelClick();</xsl:attribute>
															<xsl:value-of select="@text"/>
														</label>
													</input>
													<script language="javascript">
														numberOfRadioButtons++;
														if (firstInput == null)
															firstInput = "ip-<xsl:value-of select="@id"/>-2-<xsl:value-of select="@sid"/>";
														lastInput = "ip-<xsl:value-of select="@id"/>-2-<xsl:value-of select="@sid"/>";
														if (dxblitmtypId == "")
															dxblitmtypId = "ip-<xsl:value-of select="@id"/>-2-<xsl:value-of select="@sid"/>";
													</script>
												</td>
											</xsl:when>
<!-- special handling for DXBLSORT (radio buttons) -->
											<xsl:when test="@name='DXBLSORT'">
												<td>
													<xsl:attribute name="id">td-<xsl:value-of select="@id"/>-2</xsl:attribute>
													<xsl:attribute name="nowrap"/>
													<input>
														<xsl:attribute name="id">ip-<xsl:value-of select="@id"/>-2-<xsl:value-of select="@sid"/></xsl:attribute>
														<xsl:attribute name="name"><xsl:value-of select="@name"/></xsl:attribute>
														<xsl:attribute name="type">radio</xsl:attribute>
														<xsl:if test="@sid='0'">
															<xsl:attribute name="value">DXBSUBJECT</xsl:attribute>
														</xsl:if>
														<xsl:if test="@sid='1'">
															<xsl:attribute name="value">DXBLSELNAM</xsl:attribute>
														</xsl:if>
														<xsl:attribute name="form"><xsl:value-of select="@form"/></xsl:attribute>
														<xsl:attribute name="onkeydown">fnEnter();</xsl:attribute>
														<xsl:attribute name="onclick">fnLabelClick();</xsl:attribute>
														<xsl:attribute name="onfocus">fnFocus();</xsl:attribute>
														<xsl:if test="(@sid='0' and @Val='DXBSUBJECT') or (@sid='1' and @Val='DXBLSELNAM')">
															<xsl:attribute name="checked"/>
														</xsl:if>
														<label>
															<xsl:attribute name="id">la-<xsl:value-of select="@id"/>-2-<xsl:value-of select="@sid"/></xsl:attribute>
															<xsl:attribute name="for">ip-<xsl:value-of select="@id"/>-2-<xsl:value-of select="@sid"/></xsl:attribute>
															<xsl:attribute name="onclick">fnLabelClick();</xsl:attribute>
															<xsl:value-of select="@text"/>
														</label>
													</input>
													<script language="javascript">
														numberOfRadioButtons++;
														if (firstInput == null)
															firstInput = "ip-<xsl:value-of select="@id"/>-2-<xsl:value-of select="@sid"/>";
														lastInput = "ip-<xsl:value-of select="@id"/>-2-<xsl:value-of select="@sid"/>";
														if (dxblsortId == "")
															dxblsortId = "ip-<xsl:value-of select="@id"/>-2-<xsl:value-of select="@sid"/>";
													</script>
												</td>
											</xsl:when>
<!-- handling of all other entries (text input fields) -->
											<xsl:otherwise>
												<td>
													<xsl:attribute name="id">td-<xsl:value-of select="@id"/>-2</xsl:attribute>
													<xsl:attribute name="nowrap"/>
													<input>
														<xsl:attribute name="id">ip-<xsl:value-of select="@id"/>-2</xsl:attribute>
														<xsl:attribute name="name"><xsl:value-of select="@name"/></xsl:attribute>
														<xsl:attribute name="value"><xsl:value-of select="@Val"/></xsl:attribute>
														<xsl:choose>
															<xsl:when test="@form ='D'">
																<xsl:attribute name="maxlength"><xsl:value-of select="string-length(..//@dafo)"/></xsl:attribute>
																<xsl:attribute name="size"><xsl:value-of select="string-length(..//@dafo)"/></xsl:attribute>
															</xsl:when>
															<xsl:otherwise>
																<xsl:attribute name="maxlength"><xsl:value-of select="@maxl"/></xsl:attribute>
																<xsl:attribute name="size"><xsl:value-of select="@maxl"/></xsl:attribute>
															</xsl:otherwise>
														</xsl:choose>
														<xsl:attribute name="minl"><xsl:value-of select="@minl"/></xsl:attribute>
														<xsl:attribute name="form"><xsl:value-of select="@form"/></xsl:attribute>
														<xsl:attribute name="onkeydown">fnEnter();</xsl:attribute>
													</input>
													<xsl:if test="@form='D'">
														<label> (<xsl:value-of select="..//@dafo"/>)</label>
													</xsl:if>
													<xsl:if test="@name='DXBLSELNAM'">
														<script language="javascript">
															dxblselnamId = "ip-<xsl:value-of select="@id"/>-2";
														</script>
													</xsl:if>
													<script language="javascript">
														numberOfTextInputFields++;
														if (firstInput == null)
															firstInput = "ip-<xsl:value-of select="@id"/>-2";
														lastInput = "ip-<xsl:value-of select="@id"/>-2";
													</script>
												</td>
											</xsl:otherwise>
										</xsl:choose>
									</tr>
								</xsl:when>
<!-- handle all entries which should be invisible for the user - add them to the hiddenSearchParameters list-->
								<xsl:otherwise>
									<xsl:if test="@Val!=''">
                                                                                <!-- @001 Start -->
                                                                                <xsl:choose>
                                                                                   <xsl:when test="@name='DXBLITMTYP'">
											<xsl:choose>                   
                                                                                        <xsl:when test="@sid='0'">
                                                                                            <xsl:choose>
                                                                                                <xsl:when test="@Val='5'">                                                                                                                             
                                                                                               	<script language="javascript">
									  	                  hiddenSearchParameters = hiddenSearchParameters + "DXBLITMTYP='P';";
                                                                                                  vCountHiddenEntries++;
							                			</script>
                                                                                                </xsl:when>
                                                                                                <xsl:when test="@Val='3'">                                                                                                                             
                                                                                               	<script language="javascript">
									  	                  hiddenSearchParameters = hiddenSearchParameters + "DXBLITMTYP='L';";
                                                                                                  vCountHiddenEntries++;
							                			</script>
                                                                                                </xsl:when>
                                                                                                <xsl:when test="@Val='1'">                                                                                                                             
                                                                                               	<script language="javascript">
									  	                  hiddenSearchParameters = hiddenSearchParameters + "DXBLITMTYP='O';";
                                                                                                  vCountHiddenEntries++;
							                			</script>
                                                                                                </xsl:when>
                                                                                            </xsl:choose>  
                                                                                          </xsl:when>
                                                                                        </xsl:choose>                                                                                      
                                                                                        
                                                                                    </xsl:when>    
                                                                                    <xsl:when test="@name='DXBLSORT'">
                                                                                       <xsl:choose> 
                                                                                          <xsl:when test="@sid='0'">
                                                                                          
                                                                                               	<script language="javascript">
									  	                  hiddenSearchParameters = hiddenSearchParameters + "DXBLSORT='<xsl:value-of select="@Val"/>';";
                                                                                                  vCountHiddenEntries++;
							                			</script>
                                                                                          </xsl:when>
                                                                                       </xsl:choose>
                                                                                    </xsl:when>    
                                                                                    <xsl:otherwise>                    
                                                                                                               
									               <script language="javascript">
                                                                                
										        	hiddenSearchParameters = hiddenSearchParameters + "<xsl:value-of select="@name"/>='<xsl:value-of select="@Val"/>';";
										        	vCountHiddenEntries++;
									               </script>
                                                                                    </xsl:otherwise> 
                                                                              </xsl:choose>  
                                                                              <!-- @001 End -->
									</xsl:if>
								</xsl:otherwise>
							</xsl:choose>
						</xsl:for-each>
					</table>
<!-- add the buttons -->
					<table cellspacing="0" cellpadding="0" align="right">
						<tr>
							<td class="l2r3t18">
								<button type="submit" id="bu-1" onclick="fnFind();">
									OK
								</button>
							</td>
							<td class="l2r3t18">
								<button id="bu-2" onclick="fnClose();">
									Cancel
								</button>
							</td>
							<td class="l2r2t18">
								<button id="bu-3" onclick="fnHelp();" name="DialogFind">
									Help
								</button>
							</td>
						</tr>
					</table>
				</form>
				<!-- @002 -->
				</div>
			</body>
		</html>
	</xsl:template>
        <!-- @003a Start-->
        
        <xsl:template name="xprefixselect">
            <script language="javascript">
                var gPrefixOpt   = '<xsl:value-of select="@opt"/>';
                var gPrefixArray = new Array();
                var i = 0; 
                <xsl:for-each select=".//descendant::*">           
                     i = parseInt('<xsl:value-of select="@sid"/>')  - 1;  
                     gPrefixArray[i]='<xsl:value-of select="@prev"/>';               
                 </xsl:for-each> 
 
            </script>  
            <select name="dropdown" id="dropdown" visible="1" onchange="fnPrefixListSelectionChanged()"> 
                                     


                 <xsl:for-each select=".//descendant::*">           
                      <option><xsl:value-of select="@prev"/></option>               
                 </xsl:for-each>
                      
                

            </select>  
        </xsl:template>



        <!-- @003a End -->  
</xsl:stylesheet>