<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:fn="http://www.w3.org/2005/xpath-functions">
	<xsl:key name="form-data" match="Parm" use="@name"/>
	<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes"/>
	<xsl:template match="@*|node()">
		<xsl:choose>
			<xsl:when test="name(.)='input'">
				<xsl:apply-templates/>
			</xsl:when>
			<xsl:when test="name(.)='ExternalData'">
				<xsl:apply-templates/>
			</xsl:when>
			<xsl:otherwise>
				<xsl:copy>
					<xsl:for-each select="@*">
						<xsl:copy-of select="."/>
					</xsl:for-each>
					<xsl:apply-templates/>
				</xsl:copy>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template match="input[@type='text']">
		<xsl:element name="input">
			<xsl:for-each select="@*">
				<xsl:choose>
					<xsl:when test="name(.)='name'">
						<xsl:call-template name="do-value"/>
					</xsl:when>
					<xsl:otherwise>
						<xsl:copy-of select="."/>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:for-each>
		</xsl:element>
	</xsl:template>
	<xsl:template match="ExternalData">
		<xsl:apply-templates select="document('../xml/formdata.xml')"/>
	</xsl:template>
	<xsl:template match="Parm"/>
	<xsl:template name="do-value">
		<xsl:variable name="v-name" select="string(.)"/>
		<xsl:attribute name="name"><xsl:value-of select="$v-name"/></xsl:attribute>
		<xsl:attribute name="value"><xsl:value-of select="key('form-data', $v-name)"/></xsl:attribute>
	</xsl:template>
</xsl:stylesheet>
