<?xml version="1.0" encoding="UTF-8"?>
<!--
*
* Licensed Material - Property of IBM
*
* 5655-002
*
* (C) Copyright IBM Corp. 2003
*                                                                           
*   US Government Users Restricted Rights - Use, duplication or
*   disclosure restricted by GSA ASP Schedule Contract with
*   IBM Corp.
*                                                                           
* MODULE NAME= doch2d.xslt
*
* DESCRIPTIVE NAME= Convert editor created HTML to DCF input.                  
*                                                                           
* Description: This style sheet is applied by the servlet. It creates GML
*              Starter Set and native dcf controls from HTML created by
*              the editor and sent to the server
*                                                                           
* Author: Dieter Gottschall
*                                                                           
* Change Activity:                                                          
*                                                                           
* Code		Release		Date			Person			Reason                                    
* @01					2002-03-23		GOT			PTR0610 Additions at the end get lost
* @02					2002-06-06		GOT			PTR1127 DCF Controls not properly displayed
* @03					2002-06-28		GOT			PTR1170 DIVs and Fonts
* @04					2002-09-19		GOT			PTR1795 Empty lines etc.
* @05					2002-10-29		GOT			User Tags
* @06					2002-11-05		GOT			Get rid of INPUT Tags
* @07					2002-11-06		GOT			PTR2224 DIV on enter
* @08					2002-11-29		GOT			Get rid of &#10, use <L/><L/> instead
* @09					2002-12-11		GOT			Process sameline tags
* @10		0.1.4		2002-12-17		GOT			PTR1580 Escape dots and colons in editable text
* @11		0.1.4		2002-12-19		GOT			PTR1921 Optionally protect DCF Variables               
* @12		0.1.4		2003-01-09		GOT			PTR2387 Too many .br's
* @13		0.1.4		2003-01-09		GOT			PTR2378 periods in PRE
* @14		0.1.4		2003-01-09		GOT			PTR2338 Usertags not propery processed
* @15		0.1.4		2003-01-10		GOT			PTRmany no innerdivs
* @16		0.1.4		2003-01-14		GOT			..usertags
* @17		0.1.4		2003-01-15		GOT			PTR.... .ums
* @18		0.1.4		2003-01-16		GOT			..Backwards conversion of protected DCF Symbols
* @19		0.1.4		2003-01-16		GOT			..Backwards conversion of undefined GML Tags
* @20		0.1.4		2003-01-18		GOT			PTR2773 User tags with sameline = Y...
* @21		0.1.4		2003-01-18		GOT			PTR2773 :linie
* @22		0.1.4		2003-01-20		GOT			PTR2655 BR in an LI..
* @23		0.1.4		2003-01-21		GOT			PTR.... table support
* @24		0.1.4		2003-01-21		GOT			PTR.... incomplete font-tag
* @25		0.1.4		2003-01-25		GOT			PTR2856: unpaired custom tags
* @26		0.1.4		2003-01-25		GOT			To Allianz
* @27		0.1.4		2003-01-27		GOT			PTR2799 Underscore as "hp1....:ehp1.
* @28		0.1.4		2003-01-27		GOT			PTR2790 CAPTION
* @29		0.1.4		2003-01-27		GOT			PTR2787 ...Line in Table
* @29		0.1.4		2003-01-27		GOT			PTR2898 "middle"
* @30		0.1.4		2003-01-30		GOT			PTR2929 ending dots for gml tags optional
* @31		0.1.4		2003-01-30		GOT			Underscore...
* @32		0.1.4		2003-01-30		GOT			PTR2930 :strich.
* @33		0.1.4		2003-01-31		GOT			Editable UNDEF_GML..
* @34		0.1.4		2003-02-03		GOT			Avoid empty DIVs
* @35		0.1.4		2003-02-04		GOT			Unnecessary Line-Tags...
* @36		0.1.4		2003-02-04		GOT			PTR2657: User-Tags that map to lists...
* @37		0.1.4		2003-02-05		GOT			..don't escape dots in "nowrap"-paragraphs
* @39		0.1.4		2003-02-08		GOT			PTRmany: Change line concept
* @40		0.1.4		2003-02-10		GOT			PTR2994: :liste -
* @41		0.1.4		2003-02-10		GOT			XML comments in DCF-Input
* @42		0.1.4		2003-02-10		GOT			Sent to Allianz
* @43		0.1.4		2003-02-11		GOT			PTR3018: lists under .fo off
* @44		0.1.4		2003-02-14		GOT			PTR3037: mail copy
* @45		1.0.0		2002-02-18		GOT			PTR3063: Garbage after table..
* @56		1.0.0		2003-02-18		GOT			PTR2496: HAREGX, :liste and .br's
* @57		1.0.0		2003-02-18		GOT			PTR....: Additional Blanks in Output
* @58		1.0.0		2003-02-21		GOT			:absatz
* @59		1.0.0		2003-03-10		GOT			:absatz, no explanation text...
* @60		1.0.0		2003-03-11		GOT			:gross etc.
* @61		1.0.0		2003-03-16		GOT			Autoclose
* @62		1.0.0		2003-03-17		GOT			Isolated end tags
* @63		1.0.0		2003-03-17		GOT			Empty :normal etc.
* @64		1.0.0		2003-03-20		GOT			Usertag :seite...
* @65		1.0.0		2003-03-20		GOT			PTR3106, :ZusatzAgtr...
* @66		1.0.0		2003-03-26		GOT			Arbitrary gatt sequence.
* @67		1.0.0		2003-04-07		GOT			e.g. LP
* @68		1.0.0		2003-04-07		GOT			Removable SPAN
* @69		1.0.0		2003-04-07		GOT			contenteditable DIV with origin
* @70		1.0.0		2003-04-24		GOT			PTR2854, PTR3117 Retain line ending information
* @71		1.0.0		2003-04-28		GOT			..no dot after ZIFFER.
* @72		1.0.0		2003-05-05		GOT			PTR3111/2 Combo-Box Tags are always paired
* @73		1.0.0		2003-05-12		GOT			PTR3393, additional blanks...
* @74		1.0.0		2003-06-16		GOT			PTR3319, .br in lists.
* @75		1.0.0		2003-06-17		GOT			PTR3398 .br vs .sk (only the first .br is honored by DCF)
* @76		1.0.0		2003-06-18		GOT			PTR3058 <b></b> for BOLD
* @77		1.0.0		2003-06-20		GOT			PTR3562 Processing of rest-attribute
* @78		1.0.0		2003-07-01		GOT			PTR3108 :linie
* @79		1.0.0		2003-07-01		GOT			PTR3401 :zeile
* @80		1.0.0		2003-07-21		GOT			PTR3458 ehp1 to many
* @81=		1.0.0		2003-09-02		GOT			PTR3668 (newlineafter), PTR3666 ABSATZ as a DIV
* @82=		1.0.0		2003-10-07		GOT			Extended table dialog
* @83=		1.0.0		2003-10-08		GOT			PTR3567 customizable lists...
* @84		1.0.0		2003-10-23		GOT			PTR3823/7 Zeile
* @85		1.1.6		2003-11-21		GOT			PQ81078/PTR3719: Ziffer
* @86		1.1.6		2004-06-02		GOT			PQ89610 GEZ problems/cleanup
* @87		1.1.6		2004-06-04		GOT			PTR3499 LQ Support.
* @88		1.1.6		2004-07-15		GOT			PTR4259 Definition List Support
* @89		1.1.6		2004-07-15		GOT			PTR4257 Client API Ship
* @90		1.1.6		2004-11-26		GOT			PQ97671, PTR4470 tables inserted into <le> don't appear
* @91=		1.1.6		2004-11-30		GOT			PQ97671, PTR4473 Table roundtrip
* @92=		1.1.6		2004-12-01		GOT			PQ97671, PTR3811, cit and hp0 
* @93=		1.1.6		2004-12-15		GOT			PTR4503 (PQ98310) Roundtrip of empty tables 
* @94=		1.1.6		2005-10-15		GOT			PQ99305, PTR4285 remove custom stuff from war 
* @95=		1.1.6		2005-03-04		GOT			PK01940, PTR4606, standard tables not properly processed
* @96=		1.1.6		2005-04-05		GOT			PK01940, PTR4586/1 empty cwidths lead to error
* @97=		1.1.6		2005-04-28		GOT			PTR4538 (DPQ99815/06) Optional Fontchange macro
* @98=		1.1.6		2005-05-10		GOT			PTR4770 (DPQ99815) Fix the escape-dots function
* @99=		1.1.6		2005-06-22		GOT			PTR4884 (PK08071) tcap customization
* @100		17/21	2005-10-28		GOT			PTR5206 (DPTR4914) Escapedots for .*
* @101		1.2.1		2005-12-06		GOT			PTR5176 (DPTR5247) escapedots default	
* @102		1.2.1		2006-02-22		GOT			PTR4672 process left-align if parent is right or center
* @103		1.2.1		2006-03-17		GOT			PTR4939 escapedots and periods in table cells
* @104		121/2	2006-05-23		GOT			PK25266 DCF errors caused by isolated dots.
* @105		1.2.2		2006-10-10		GOT			PK32485 (PTR5910) Allow for column-wide tables
*
*
*
-->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="no" standalone="yes" omit-xml-declaration="no"/>
	<!--
*                                                                           
* Get rid of whitespace between XML/HTML Tags 
*		
-->
	<xsl:param name="p-linesep">&#xA;</xsl:param>
	<xsl:param name="p-underscore">hp1</xsl:param>
	<!-- @105A -->
	<xsl:param name="p-width"/>
	<!-- @105A -->
	<xsl:param name="p-bold">hp2</xsl:param>
	<xsl:param name="p-italic">hp3</xsl:param>
	<!-- @101C -->
	<xsl:param name="p-dcf-escapedots" select="'N'"/>
	<xsl:param name="p-compact">Y</xsl:param>
	<!-- @99A -->
	<xsl:param name="p-tcap">Y</xsl:param>
	<!-- @97A -->
	<xsl:param name="p-fontchange-macro">fsnfc</xsl:param>
	<xsl:variable name="g-space" select="' '"/>
	<xsl:variable name="g-nbsp" select="'&#160;'"/>
	<!--
			<xsl:preserve-space elements="PRE"/>

	-->
	<xsl:strip-space elements="*"/>
	<!--
	
*                                                                           
* Get rid of the CONFIGSECTION
*		
-->
	<xsl:template match="CONFIGSECTION"/>
	<!--
*                                                                           
* Get rid of the style stuff
*		
-->
	<xsl:template match="STYLE"/>
	<xsl:template match="text()" mode="strip-white-space" xml:space="preserve">
	**<xsl:value-of select="." disable-output-escaping="yes"/>**
	</xsl:template>
	<xsl:template match="text()" xml:space="default">
		<xsl:variable name="v-pcat">
			<xsl:call-template name="categorize-parent"/>
		</xsl:variable>
		<!--
		<xsl:text>pcat=</xsl:text>
		<xsl:value-of select="$v-pcat"></xsl:value-of>
		-->
		<xsl:choose>
			<!-- Only escape dots if we aren't in a PRE @013C-->
			<xsl:when test="$p-dcf-escapedots = 'Y'">
				<xsl:if test="parent::node()/@class = 'edittext' or parent::node()/@id='usertag'">
					<xsl:call-template name="open-line"/>
				</xsl:if>
				<xsl:choose>
					<xsl:when test="name(parent::node()) != 'PRE' and name(parent::node()/@class) != 'nowrapparag' and name(parent::node()) != 'TD'">
						<xsl:call-template name="dcf-escape">
							<xsl:with-param name="dcf-line" select="string(.)"/>
						</xsl:call-template>
					</xsl:when>
					<xsl:otherwise>
						<xsl:choose>
							<xsl:when test="@class='edittext' or name(parent::node()) = 'PRE'">
								<L/>
								<xsl:value-of select="."/>
								<L/>
							</xsl:when>
							<xsl:otherwise>
								<xsl:if test="string(.) != ' '">
									<xsl:value-of select="."/>
								</xsl:if>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:otherwise>
				</xsl:choose>
				<xsl:if test="parent::node()/@class = 'edittext' or parent::node()/@id='usertag'">
					<xsl:call-template name="close-line"/>
				</xsl:if>
			</xsl:when>
			<xsl:otherwise>
				<xsl:choose>
					<xsl:when test="@class='edittext' or name(parent::node()) = 'PRE'">
						<L/>
						<xsl:value-of select="."/>
						<L/>
					</xsl:when>
					<xsl:otherwise>
						<xsl:variable name="t-cont" select="string(.)"/>
						<xsl:choose>
							<xsl:when test="preceding-sibling::node()/@remove = 'Y' and ../@origin = 'Absatz' and (starts-with($t-cont, $g-space) or starts-with($t-cont, $g-nbsp))">
								<xsl:value-of select="substring($t-cont, 2)"/>
							</xsl:when>
							<xsl:otherwise>
								<xsl:value-of select="."/>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<!--
*                                                                           
* Add a carriage return at the end of the BODY Tag
*		
-->
	<xsl:template match="BODY">
		<xsl:message>Parameters: </xsl:message>
		<xsl:message>p-underscore=<xsl:value-of select="$p-underscore"/>
		</xsl:message>
		<xsl:message>p-bold=<xsl:value-of select="$p-bold"/>
		</xsl:message>
		<xsl:message>p-italic=<xsl:value-of select="$p-italic"/>
		</xsl:message>
		<xsl:apply-templates/>
		<L/>
	</xsl:template>
	<!--	
*                                                                           
* Do the <p/>- Tag pair:
*
* (1) If there's an align attribute, generate a .fo with the proper value
* (2) Output a :p. GML-Tag
*
*
		-->
	<xsl:template match="P" xml:space="default">
		<xsl:variable name="p-node-name" select="name(preceding-sibling::node()[last()])"/>
		<xsl:message>**p-node-name=<xsl:value-of select="$p-node-name"/>
		</xsl:message>
		<xsl:choose>
			<xsl:when test="@nla = 'Y'">
				<xsl:call-template name="do-artificial-paragrafs"/>
			</xsl:when>
			<xsl:when test="@origin != ''">
				<L/>
				<xsl:text>:</xsl:text>
				<xsl:value-of select="@origin"/>
				<xsl:text>.</xsl:text>
				<xsl:apply-templates/>
				<L/>
			</xsl:when>
			<xsl:when test="@type = 'gml'">
				<L/>
				<xsl:text>:P.</xsl:text>
				<xsl:apply-templates/>
			</xsl:when>
			<xsl:otherwise>
				<xsl:choose>
					<xsl:when test="@align = 'left'">
						<xsl:variable name="v-parent-align" select="string(parent::node()/@align)"/>
						<xsl:choose>
							<xsl:when test="$v-parent-align != '' and $v-parent-align != 'left'">
								<L/>
								<xsl:text>.fo left</xsl:text>
								<L/>
								<xsl:if test="$p-node-name != ''">
									<L/>
									<xsl:text>.br</xsl:text>
									<L/>
								</xsl:if>
								<L/>
								<xsl:apply-templates/>
								<L/>
								<L/>
								<xsl:text>.fo </xsl:text>
								<xsl:value-of select="$v-parent-align"/>
								<L/>
							</xsl:when>
							<xsl:otherwise>
								<xsl:if test="$p-node-name != ''">
									<L/>
									<xsl:text>.br</xsl:text>
									<L/>
								</xsl:if>
								<L/>
								<xsl:apply-templates/>
								<L/>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:when>
					<xsl:when test="@align = 'center'">
						<L/>
						<xsl:text>.fo center</xsl:text>
						<L/>
						<xsl:if test="$p-node-name != ''">
							<L/>
							<xsl:text>.br</xsl:text>
							<L/>
						</xsl:if>
						<L/>
						<xsl:apply-templates/>
						<L/>
						<L/>
						<xsl:text>.fo left</xsl:text>
						<L/>
					</xsl:when>
					<xsl:when test="@align = 'right'">
						<L/>
						<xsl:text>.fo right</xsl:text>
						<L/>
						<xsl:if test="$p-node-name != ''">
							<L/>
							<xsl:text>.br</xsl:text>
							<L/>
						</xsl:if>
						<L/>
						<xsl:apply-templates/>
						<L/>
						<L/>
						<xsl:text>.fo left</xsl:text>
						<L/>
					</xsl:when>
					<xsl:when test="@join = 'Y'">
						<xsl:apply-templates/>
						<L/>
					</xsl:when>
					<xsl:when test="@class = 'edicomm'">
						<L/>
						<xsl:apply-templates/>
						<xsl:if test="not(starts-with(string(.), '.*'))">
							<L/>
							<xsl:text>.br</xsl:text>
						</xsl:if>
						<L/>
					</xsl:when>
					<xsl:when test="name(preceding-sibling::node()[position() = 1]) = 'DIV'">
						<L/>
						<xsl:apply-templates/>
						<L/>
					</xsl:when>
					<xsl:otherwise>
						<xsl:if test="$p-node-name != '' and not(ancestor::P/@type) and not(preceding-sibling::node()[position() = 1]/@type = 'gml')">
							<L/>
							<xsl:text>.br</xsl:text>
							<L/>
						</xsl:if>
						<L/>
						<xsl:apply-templates/>
						<L/>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<!--
	* Do the <pre></pre> tag-pair
	-->
	<xsl:template match="PRE">
		<xsl:choose>
			<xsl:when test="@id= 'usertag'">
				<xsl:call-template name="do-usertag">
					<xsl:with-param name="ut-type">PRE</xsl:with-param>
				</xsl:call-template>
			</xsl:when>
			<xsl:otherwise>
				<L/>
				<xsl:text>.fo off</xsl:text>
				<L/>
				<xsl:call-template name="do-pre">
					<xsl:with-param name="pre-cont">
						<xsl:value-of disable-output-escaping="yes" select="./text()"/>
					</xsl:with-param>
				</xsl:call-template>
				<xsl:apply-templates/>
				<L/>
				<xsl:text>.fo left</xsl:text>
				<L/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<!--
	*
	* indent creates BLOCKQUOTE
	*	
	-->
	<xsl:template match="BLOCKQUOTE">
		<xsl:choose>
			<xsl:when test="@origin">
				<L/>
				<xsl:text>:</xsl:text>
				<xsl:value-of select="@origin"/>
				<xsl:text>.</xsl:text>
				<L/>
				<xsl:apply-templates/>
				<L/>
				<xsl:if test="string(.) != ''">
					<xsl:text>:e</xsl:text>
					<xsl:value-of select="@origin"/>
					<xsl:text>.</xsl:text>
					<L/>
				</xsl:if>
			</xsl:when>
			<xsl:otherwise>
				<L/>
				<xsl:text>.in +5</xsl:text>
				<L/>
				<xsl:apply-templates/>
				<L/>
				<xsl:text>.in -5</xsl:text>
				<L/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<!--

	*                                                                           
* Do usertags
*
* User tags result in a SPAN id="usertag" name="tagname", what we do
* is generate a :tagname.......:etagname pair with the contents in between
*
*
		-->
	<xsl:template match="SPAN">
		<xsl:choose>
			<xsl:when test="@remove = 'Y'"/>
			<xsl:when test="@id = 'usertag'">
				<xsl:call-template name="do-usertag">
					<xsl:with-param name="ut-type">SPAN</xsl:with-param>
				</xsl:call-template>
			</xsl:when>
			<xsl:when test="@nla = 'Y'">
				<xsl:variable name="v-contents" select="string(.)"/>
				<xsl:if test="$v-contents != '' and $v-contents != ' ' and $v-contents != '&#160;'">
					<xsl:apply-templates/>
				</xsl:if>
			</xsl:when>
			<xsl:when test="@class = 'undefgml'">
				<xsl:value-of select="."/>
			</xsl:when>
			<xsl:otherwise>
				<xsl:apply-templates/>
				<!-- recurse -->
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<!-- HR -->
	<xsl:template match="HR">
		<xsl:if test="@id = 'usertag' or @id = 'gmltag'">
			<L/>
			<xsl:text>:</xsl:text>
			<xsl:value-of select="@class"/>
			<xsl:text>.</xsl:text>
			<L/>
		</xsl:if>
	</xsl:template>
	<!--
*                                                                           
* Do the <table></table>- Tag pair:
*
* Table is difficult because the GML-Starter-Set Tables require :rdef-Tags
* preceding the table. the :rdefs define the layout of a table row, the association
* uses ids.
*
* The processing of the table tag works as follows:
*
* (1) Create an "empty" :rdef for the table. The id is created from the position() of
*     the table.
* 
* (2) In a loop over the <tr></tr>s generate the :rdefs with the right number of
*     columns; the "genrdefs"-template is called for each row. The id consists of the
*     position() of the table and the position() of the <tr></tr>
*
* (3) Generate the :table-tag with the right refid. 
*
* (4) In a second loop create the ":row - :erow" tag sequence, using the same id
*     scheme; the "genrows"-template is called for each row. "genrows" has 
*     <xsl:apply-templates></xsl:apply-templates> to guarantee the recursion.
*
* (5) Generate the :etable-tag.
*
*
-->
	<xsl:template match="TABLE">
		<!-- Get the position -->
		<xsl:variable name="vs-cols" select="string(@cols)"/>
		<xsl:variable name="vn-percent">
			<xsl:choose>
				<xsl:when test="@cols">
					<xsl:value-of select="100 div number($vs-cols)"/>
				</xsl:when>
				<xsl:otherwise>NaN</xsl:otherwise>
			</xsl:choose>
		</xsl:variable>
		<xsl:variable name="tid">
			<xsl:number value="position()"/>
		</xsl:variable>
		<!--
		<xsl:choose>
			<xsl:when test="$vs-cols != ''">
				<xsl:variable name="vn-cols" select="number($vs-cols)"/>
			</xsl:when>
			<xsl:otherwise>
				<xsl:variable name="vn-cols" select="0"/>
			</xsl:otherwise>
		</xsl:choose>
		-->
		<xsl:if test="not (parent::node()/@class = 'edittext')">
			<xsl:call-template name="close-line"/>
		</xsl:if>
		<!-- Create the :rdef for the table -->
		<L/>
		<xsl:text>:rdef id=rd</xsl:text>
		<xsl:value-of select="$tid"/>
		<xsl:text>.</xsl:text>
		<L/>
		<xsl:variable name="taid">
			<xsl:number value="position()"/>
		</xsl:variable>
		<!-- ***************************************************************** -->
		<!-- First Loop over the rows, this loop creates the individual :rdefs -->
		<!-- ***************************************************************** -->
		<xsl:for-each select=".//TR">
			<xsl:variable name="rowcount">
				<xsl:number value="position()"/>
			</xsl:variable>
			<!-- Call "genrdefs" -->
			<xsl:call-template name="genrdefs">
				<xsl:with-param name="tid">
					<xsl:value-of select="$tid"/>
					<xsl:value-of select="$rowcount"/>
				</xsl:with-param>
				<xsl:with-param name="pn-percent" select="$vn-percent"/>
			</xsl:call-template>
		</xsl:for-each>
		<!-- Check if the customer wants the caption at the top  @99A-->
		<xsl:if test="string(./CAPTION) != '' and $p-tcap = 'top'">
			<L/>
			<xsl:text>.ce </xsl:text>
			<xsl:value-of select="string(./CAPTION)"/>
			<L/>
		</xsl:if>
		<!-- ***************************************************************** -->
		<!-- End first Loop over the rows                                      -->
		<!-- ***************************************************************** -->
		<!-- Create the :table refid GML-Tag                                   -->
		<L/>
		<xsl:text>:table refid=rd</xsl:text>
		<xsl:value-of select="$tid"/>
		<!-- @105A -->
		<xsl:text> </xsl:text>
		<xsl:value-of select="$p-width"/>
		<!-- @105A -->
		<xsl:text>.</xsl:text>
		<L/>
		<!-- ***************************************************************** -->
		<!-- Second Loop over the rows, this loop creates the individual :rows -->
		<!-- ***************************************************************** -->
		<xsl:for-each select=".//TR">
			<xsl:variable name="rowcount">
				<xsl:number value="position()"/>
			</xsl:variable>
			<!-- Call "genrows" -->
			<xsl:call-template name="genrows">
				<xsl:with-param name="tid">
					<xsl:value-of select="$tid"/>
					<xsl:value-of select="$rowcount"/>
				</xsl:with-param>
			</xsl:call-template>
		</xsl:for-each>
		<!-- ***************************************************************** -->
		<!-- End second Loop over the rows                                     -->
		<!-- ***************************************************************** -->
		<!-- Create the :etable GML-Tag                                        -->
		<!-- @99C -->
		<xsl:if test="string(./CAPTION) != '' and $p-tcap = 'Y'">
			<L/>
			<xsl:text>:tcap.</xsl:text>
			<xsl:value-of select="./CAPTION"/>
			<L/>
		</xsl:if>
		<L/>
		<xsl:text>:etable.</xsl:text>
		<L/>
		<xsl:if test="not (parent::node()/@class = 'edittext')">
			<xsl:call-template name="open-line"/>
		</xsl:if>
	</xsl:template>
	<!--
	* Do all the headers
	*
	-->
	<xsl:template match="H1 | H2 | H3 | H4 | H5 | H6">
		<L/>
		<xsl:text>:</xsl:text>
		<xsl:value-of select="name(.)"/>
		<xsl:text>.</xsl:text>
		<xsl:value-of select="."/>
	</xsl:template>
	<!--
*                                                                           
* Do the <tcap></tcap>- Tag pair:
*
*	
	-->
	<xsl:template match="CAPTION">
		<L/>
		<xsl:text>:tcap.</xsl:text>
		<xsl:value-of select="."/>
		<L/>
	</xsl:template>
	<!--
*                                                                           
* Do the <td></td>- Tag pair:
*
* A :row................:erow. sequence is created
*	
	-->
	<xsl:template match="TD">
		<xsl:choose>
			<xsl:when test="name(child::node()) = ''">
				<L/>
				<xsl:text>:c.</xsl:text>
				<xsl:choose>
					<xsl:when test="string(.) = '&#160;'"/>
					<xsl:otherwise>
						<xsl:apply-templates/>
					</xsl:otherwise>
				</xsl:choose>
				<xsl:text>:ec.</xsl:text>
				<L/>
			</xsl:when>
			<xsl:otherwise>
				<L/>
				<xsl:text>:c.</xsl:text>
				<L/>
				<xsl:choose>
					<xsl:when test="string(.) = '&#160;'"/>
					<xsl:otherwise>
						<xsl:apply-templates/>
					</xsl:otherwise>
				</xsl:choose>
				<L/>
				<xsl:text>:ec.</xsl:text>
				<L/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<!--
*                                                                           
* Do the <u></u>- Tag pair:
*
* There is no GML-Tag for underscore, so we use the .us native DCF control.
*	
	-->
	<xsl:template match="U">
		<xsl:if test="parent::node()/@class = 'edittext'">
			<xsl:call-template name="open-line"/>
		</xsl:if>
		<xsl:text>:</xsl:text>
		<xsl:value-of select="$p-underscore"/>
		<xsl:text>.</xsl:text>
		<xsl:apply-templates/>
		<xsl:if test="not (@ac)">
			<xsl:text>:e</xsl:text>
			<xsl:value-of select="$p-underscore"/>
			<xsl:text>.</xsl:text>
		</xsl:if>
		<xsl:if test="parent::node()/@class = 'edittext'">
			<xsl:call-template name="close-line"/>
		</xsl:if>
	</xsl:template>
	<!--
*                                                                           
* Do the <em></em>- Tag pair:
*
* A :hp1....:ehp1. sequence is created.
*	
	-->
	<xsl:template match="EM">
		<xsl:if test="parent::node()/@class = 'edittext'">
			<xsl:call-template name="open-line"/>
		</xsl:if>
		<xsl:text>:</xsl:text>
		<xsl:value-of select="$p-italic"/>
		<xsl:text>.</xsl:text>
		<xsl:apply-templates/>
		<xsl:if test="not (@ac)">
			<xsl:text>:e</xsl:text>
			<xsl:value-of select="$p-italic"/>
			<xsl:text>.</xsl:text>
		</xsl:if>
		<xsl:if test="parent::node()/@class = 'edittext'">
			<xsl:call-template name="close-line"/>
		</xsl:if>
	</xsl:template>
	<xsl:template match="HP0 | CIT">
		<xsl:text>:</xsl:text>
		<xsl:value-of select="name(.)"/>
		<xsl:text>.</xsl:text>
		<xsl:apply-templates/>
		<xsl:text>:e</xsl:text>
		<xsl:value-of select="name(.)"/>
		<xsl:text>.</xsl:text>
	</xsl:template>
	<!--
*                                                                           
* Do the <strong></strong>- Tag pair:
*
* A :hp2....:ehp2. sequence is created.
*	
	-->
	<xsl:template match="STRONG | B">
		<xsl:if test="parent::node()/@class = 'edittext'">
			<xsl:call-template name="open-line"/>
		</xsl:if>
		<xsl:text>:</xsl:text>
		<xsl:value-of select="$p-bold"/>
		<xsl:text>.</xsl:text>
		<xsl:apply-templates/>
		<xsl:if test="not (@ac)">
			<xsl:text>:e</xsl:text>
			<xsl:value-of select="$p-bold"/>
			<xsl:text>.</xsl:text>
		</xsl:if>
		<xsl:if test="parent::node()/@class = 'edittext'">
			<xsl:call-template name="close-line"/>
		</xsl:if>
	</xsl:template>
	<!--
*                                                                           
* Do the <ul></ul>- Tag pair:
*
* A :ul....:eul. sequence is created.
*	
	-->
	<xsl:template match="UL">
		<xsl:choose>
			<xsl:when test="@class = 'autoul'">
				<xsl:apply-templates/>
			</xsl:when>
			<xsl:when test="@oname != ''">
				<xsl:call-template name="cust-list"/>
			</xsl:when>
			<xsl:otherwise>
				<xsl:choose>
					<xsl:when test="@sl">
						<L/>
						<xsl:text>:sl</xsl:text>
						<xsl:call-template name="do-compact"/>
						<xsl:text>.</xsl:text>
						<L/>
					</xsl:when>
					<xsl:otherwise>
						<L/>
						<xsl:text>:ul</xsl:text>
						<xsl:call-template name="do-compact"/>
						<xsl:text>.</xsl:text>
						<L/>
					</xsl:otherwise>
				</xsl:choose>
				<xsl:apply-templates/>
				<xsl:if test="not (@ac)">
					<L/>
					<xsl:choose>
						<xsl:when test="@sl">
							<xsl:text>:esl.</xsl:text>
						</xsl:when>
						<xsl:otherwise>
							<xsl:text>:eul.</xsl:text>
						</xsl:otherwise>
					</xsl:choose>
					<L/>
				</xsl:if>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<!--
	* Do Definition Lists
	-->
	<xsl:template match="DTHD | DDHD">
		<L/>
		<xsl:text>:</xsl:text>
		<xsl:value-of select="name(.)"/>
		<xsl:text>.</xsl:text>
		<xsl:value-of select="."/>
		<L/>
	</xsl:template>
	<xsl:template match="DD | DT">
		<L/>
		<xsl:text>:</xsl:text>
		<xsl:value-of select="name(.)"/>
		<xsl:text>.</xsl:text>
		<xsl:apply-templates/>
		<L/>
	</xsl:template>
	<!--
*                                                                           
* Do the <ol></ol>- Tag pair:
*
* A :ol....:eol. sequence is created.
*	
	-->
	<xsl:template match="OL | DL">
		<xsl:choose>
			<xsl:when test="@oname != ''">
				<xsl:call-template name="cust-list"/>
			</xsl:when>
			<xsl:otherwise>
				<L/>
				<xsl:text>:</xsl:text>
				<xsl:value-of select="name(.)"/>
				<xsl:call-template name="do-compact"/>
				<xsl:call-template name="do-gml-parms"/>
				<xsl:text>.</xsl:text>
				<L/>
				<xsl:apply-templates/>
				<xsl:if test="not (@ac)">
					<L/>
					<xsl:text>:e</xsl:text>
					<xsl:value-of select="name(.)"/>
					<xsl:text>.</xsl:text>
					<L/>
				</xsl:if>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<!-- Do the <LQ></LQ> pair -->
	<xsl:template match="LQ">
		<xsl:variable name="v-contents" select="string(.)">
	</xsl:variable>
		<xsl:choose>
			<xsl:when test="$v-contents = ''">
				<L/>
				<xsl:text>:lq.</xsl:text>
				<L/>
			</xsl:when>
			<xsl:otherwise>
				<L/>
				<xsl:text>:lq.</xsl:text>
				<L/>
				<xsl:apply-templates/>
				<L/>
				<xsl:text>:elq.</xsl:text>
				<L/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<!--
*                                                                           
* Do the <li></li>- Tag pair:
*
* An li. is generated
*	
	-->
	<xsl:template match="LI">
		<xsl:if test="./DIV[position() = 1]/@align">
			<L/>
			<xsl:text>.fo </xsl:text>
			<xsl:value-of select="./DIV[position() = 1]/@align"/>
			<L/>
		</xsl:if>
		<L/>
		<xsl:text>:li.</xsl:text>
		<xsl:apply-templates/>
	</xsl:template>
	<!-- Protected variables result in INPUT tags, simply return the value -->
	<xsl:template match="INPUT">
		<xsl:value-of select="@value"/>
	</xsl:template>
	<!--
*                                                                           
* Isolated end-list tags simply are included
*
-->
	<xsl:template match="EOL">
		<xsl:text>:eol.</xsl:text>
		<L/>
	</xsl:template>
	<xsl:template match="EUL">
		<L/>
		<xsl:text>:eul.</xsl:text>
		<L/>
	</xsl:template>
	<xsl:template match="ESL">
		<L/>
		<xsl:text>:esl.</xsl:text>
		<L/>
	</xsl:template>
	<xsl:template match="ELISTE">
		<L/>
		<xsl:text>:eliste.</xsl:text>
		<L/>
	</xsl:template>
	<xsl:template match="ELQ">
		<L/>
		<xsl:text>:elq.</xsl:text>
		<L/>
	</xsl:template>
	<!--
	Empty Normal etc.
	-->
	<xsl:template match="NORMAL">
		<xsl:text>:normal.</xsl:text>
	</xsl:template>
	<xsl:template match="GROSS">
		<xsl:text>:gross.</xsl:text>
	</xsl:template>
	<xsl:template match="KLEIN">
		<xsl:text>:klein.</xsl:text>
	</xsl:template>
	<xsl:template match="FETT">
		<xsl:text>:fett.</xsl:text>
	</xsl:template>
	<xsl:template match="MAGER">
		<xsl:text>:mager.</xsl:text>
	</xsl:template>
	<xsl:template match="KURSIV">
		<xsl:text>:kursiv.</xsl:text>
	</xsl:template>
	<!--
	*                                                                           
* Do the <div></div> Tag:
*
* If the DIV has an INPUT, take the value
*	
	-->
	<xsl:template match="DIV/@*">
		<xsl:choose>
			<xsl:when test="name() = 'style'">
				<xsl:message>Style found</xsl:message>
			</xsl:when>
		</xsl:choose>
	</xsl:template>
	<!-- ***************************************************************** -->
	<!-- DIVs can have different sources:                                  -->
	<!--                                                                   -->
	<!-- (1) User tags                                                     -->
	<!-- (2) Information that needs to be removed                          -->
	<!-- (3) DCF controls                                                  -->
	<!-- (4) ..and the editor creates them.                                -->
	<!--                                                                   -->
	<!-- Processing works as follows:                                      -->
	<!-- - process the special ones first                                  -->
	<!-- - the rest must be editor created.                                -->
	<!--                                                                   -->
	<!-- ***************************************************************** -->
	<xsl:template match="DIV">
		<xsl:choose>
			<xsl:when test="@id = 'usertag'">
				<xsl:call-template name="do-custom-userdivs"/>
			</xsl:when>
			<xsl:when test="@nla = 'Y'">
				<xsl:variable name="v-contents" select="string(.)"/>
				<xsl:if test="$v-contents != $g-nbsp">
					<xsl:apply-templates/>
				</xsl:if>
			</xsl:when>
			<!-- ********************************************************************* -->
			<!-- If it is a dcf control simply create a line-pair with the contents  * -->
			<!-- ********************************************************************* -->
			<xsl:when test="@class= 'dcfc'">
				<L/>
				<xsl:value-of select="."/>
				<L/>
			</xsl:when>
			<!-- ********************************************************************* -->
			<!-- If it is an editable comment do the same                            * -->
			<!-- ********************************************************************* -->
			<xsl:when test="@class= 'edicomm'">
				<xsl:variable name="edicontents">
					<xsl:value-of select="."/>
				</xsl:variable>
				<xsl:choose>
					<xsl:when test="starts-with($edicontents, '.*')">
						<xsl:apply-templates/>
					</xsl:when>
					<xsl:otherwise>
						<xsl:apply-templates/>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:when>
			<!-- ***************************************************************** -->
			<!-- If it carries the remove attribute get rid of it                  -->
			<!-- ***************************************************************** -->
			<xsl:when test="@remove = 'Y'">
				<xsl:call-template name="reconstruct-usertag">
			</xsl:call-template>
			</xsl:when>
			<!-- ********************************************************************* -->
			<!-- Recurse for edittext DIVs                                           * -->
			<!-- ********************************************************************* -->
			<!-- Outer DIV -->
			<xsl:when test="@class= 'edittext' or @class = 'undefgml' or @contenteditable = 'true' and not(@origin)">
				<xsl:apply-templates/>
			</xsl:when>
			<!-- ********************************************************************* -->
			<!-- Recurse for outer DIVs                                              * -->
			<!-- ********************************************************************* -->
			<xsl:when test="@class= 'outer'">
				<xsl:apply-templates/>
			</xsl:when>
			<!--********************************************************************** -->
			<!-- Inner DIVs may require a DCF .br in an extra line. We need to check * -->
			<!-- if it's the first inner DIV of a DIV class=edittext. Only if this   * -->
			<!-- is not the case we insert the extra .br                             * -->
			<!-- This condition is checked the other way around:                     * -->
			<!--  If the preceding node's class is innerdiv, then it's not the       * -->
			<!--  first one and we insert the br.                                    * -->
			<!-- ***************************************************************@012A* -->
			<xsl:when test="@class= 'innerdiv'">
				<xsl:if test="preceding-sibling::node()/@class = 'innerdiv'">
					<L/>
					<xsl:text>.br</xsl:text>
					<L/>
				</xsl:if>
				<xsl:apply-templates/>
			</xsl:when>
			<xsl:when test="@class = 'nowrapparag'">
				<xsl:apply-templates/>
			</xsl:when>
			<!--********************************************************************** -->
			<!-- The origin attribute tells us that this DIV                         * -->
			<!-- ********************************************************************* -->
			<xsl:when test="@origin">
				<L/>
				<xsl:text>:</xsl:text>
				<xsl:value-of select="@origin"/>
				<xsl:text>.</xsl:text>
				<xsl:apply-templates/>
			</xsl:when>
			<xsl:when test="@id = 'gmltag'">
				<xsl:call-template name="do-idgmltag"/>
			</xsl:when>
			<xsl:when test="@id = 'usertag'">
				<xsl:call-template name="do-usertag">
					<xsl:with-param name="ut-type">DIV</xsl:with-param>
				</xsl:call-template>
			</xsl:when>
			<xsl:otherwise>
				<xsl:call-template name="do-editorgenerated-div"/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template match="div">
	</xsl:template>
	<!--
	
*                                                                           
* Do the <br/> Tag:
*
* An .br native DCF Control is generated is generated
*	
	-->
	<xsl:template match="BR">
		<xsl:choose>
			<xsl:when test="@type = 'foof'">
				<L/>
			</xsl:when>
			<xsl:when test="@id = 'gmltag'">
				<L/>
				<xsl:text>:</xsl:text>
				<xsl:value-of select="@class"/>
				<xsl:text>.</xsl:text>
				<L/>
			</xsl:when>
			<xsl:otherwise>
				<xsl:message>BR Hit: <xsl:value-of select="name(preceding-sibling::node()[position() = 1])"/>
				</xsl:message>
				<xsl:choose>
					<xsl:when test="name(parent::node()) = 'PRE'">
						<xsl:choose>
							<xsl:when test="name(preceding-sibling::node()[position() = 1]) = 'BR'">
								<xsl:text>.sk</xsl:text>
								<L/>
							</xsl:when>
							<xsl:otherwise>
								<L/>
								<xsl:text>.br</xsl:text>
								<L/>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:when>
					<xsl:otherwise>
						<xsl:if test="name(parent::node()) = 'P' or name(parent::node()) = 'LI'">
							<xsl:call-template name="close-line"/>
						</xsl:if>
						<xsl:choose>
							<xsl:when test="name(preceding-sibling::node()[position() = 1]) = 'BR'">
								<xsl:text>.sk</xsl:text>
								<L/>
							</xsl:when>
							<xsl:otherwise>
								<L/>
								<xsl:text>.br</xsl:text>
								<L/>
							</xsl:otherwise>
						</xsl:choose>
						<xsl:if test="name(parent::node()) = 'P' or name(parent::node()) = 'LI'">
							<xsl:call-template name="open-line"/>
						</xsl:if>
						<xsl:apply-templates/>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template match="LE">
		<xsl:variable name="le-contents" select="string(.)"/>
		<xsl:if test="$le-contents != ' '">
			<xsl:apply-templates/>
		</xsl:if>
		<L/>
	</xsl:template>
	<!--

* Do the <font></font> Tag pair:
*
* An :fsnfont............:efsnfont. GML-sequence is generated.
* The :fsnfont/:efsnfont are custom tags shipped with ASF 3.3
*	
	-->
	<xsl:template match="FONT">
		<xsl:text>:</xsl:text>
		<xsl:value-of select="$p-fontchange-macro"/>
		<xsl:call-template name="fontattributes"/>
		<xsl:text>.</xsl:text>
		<xsl:apply-templates/>
		<xsl:text>:e</xsl:text>
		<xsl:value-of select="$p-fontchange-macro"/>
		<xsl:text>.</xsl:text>
	</xsl:template>
	<xsl:template match="*/@isolated">
		<xsl:message>**isolated**</xsl:message>
	</xsl:template>
	<!--
*                                                                           
* Called templates
*
*
-->
	<!--
*
* Categorize parent
*
-->
	<xsl:template name="categorize-parent">
		<xsl:variable name="v-pn">
			<xsl:value-of select="name(parent::node())"/>
		</xsl:variable>
		<xsl:choose>
			<!-- Logical paragraph -->
			<xsl:when test="$v-pn = 'P' or $v-pn = 'LI'">
				<xsl:text>_lpara</xsl:text>
			</xsl:when>
			<!-- any DIV -->
			<xsl:when test="$v-pn = 'DIV'">
				<xsl:text>_div</xsl:text>
			</xsl:when>
			<xsl:when test="$v-pn = 'SPAN' or $v-pn = 'STRONG'">
				<xsl:text>_inline</xsl:text>
			</xsl:when>
			<xsl:otherwise>
				<xsl:text>_other</xsl:text>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<!--
*                                                                           
* process font attributes
*
*
-->
	<xsl:template name="fontattributes">
		<xsl:if test="./@face!=''">
			<xsl:text> pcface='</xsl:text>
			<xsl:value-of select="./@face"/>
			<xsl:text>'</xsl:text>
		</xsl:if>
		<xsl:if test="./@size!=''">
			<xsl:text> pcsize='</xsl:text>
			<xsl:value-of select="./@size"/>
			<xsl:text>'</xsl:text>
		</xsl:if>
	</xsl:template>
	<!--
*                                                                           
* generate the :rdef(s) required to define a GML-starter
* set Table.
*
*
-->
	<xsl:template name="genrdefs">
		<xsl:param name="tid"/>
		<xsl:param name="rowcount"/>
		<xsl:param name="pn-percent"/>
		<xsl:variable name="space" select="' '"/>
		<L/>
		<xsl:text>:rdef id=rd</xsl:text>
		<xsl:value-of select="$tid"/>
		<xsl:value-of select="$rowcount"/>
		<L/>
		<L/>
		<xsl:text> cwidths='</xsl:text>
		<!-- ************************************************************* -->
		<!-- Loop over all contained cells and create a '*'                -->
		<!-- ************************************************************* -->
		<xsl:for-each select="./TD">
			<xsl:message>
				<xsl:value-of select="$pn-percent"/>%</xsl:message>
			<xsl:choose>
				<xsl:when test="$pn-percent != 'NaN'">
					<xsl:variable name="vn-pwidth" select="ceiling(number(substring-before(@width, '%')) div $pn-percent)"/>
					<xsl:choose>
						<xsl:when test="$vn-pwidth = 1">
							<xsl:text>* </xsl:text>
						</xsl:when>
						<xsl:when test="$vn-pwidth &gt; 1">
							<xsl:value-of select="concat(concat($vn-pwidth, '*'), $space)"/>
						</xsl:when>
						<xsl:otherwise/>
					</xsl:choose>
				</xsl:when>
				<xsl:otherwise>
					<xsl:text>* </xsl:text>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:for-each>
		<xsl:text>&apos;</xsl:text>
		<L/>
		<L/>
		<xsl:text> align='</xsl:text>
		<xsl:for-each select="./TD">
			<xsl:variable name="alignment">
				<xsl:value-of select="@align"/>
			</xsl:variable>
			<xsl:choose>
				<xsl:when test="@align = 'middle'">
					<xsl:text>center</xsl:text>
				</xsl:when>
				<xsl:otherwise>
					<xsl:choose>
						<xsl:when test="$alignment != ''">
							<xsl:value-of select="$alignment"/>
						</xsl:when>
						<xsl:otherwise>
							<xsl:text>left</xsl:text>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:otherwise>
			</xsl:choose>
			<xsl:text> </xsl:text>
		</xsl:for-each>
		<xsl:text>'.</xsl:text>
		<L/>
	</xsl:template>
	<!--
*                                                                           
* generate the :rows required to define a GML-starter
* set Table row.
*
*
-->
	<xsl:template name="genrows">
		<xsl:param name="tid"/>
		<xsl:param name="rowcount"/>
		<L/>
		<xsl:text>:row refid=rd</xsl:text>
		<xsl:value-of select="$tid"/>
		<xsl:value-of select="$rowcount"/>
		<xsl:text>.</xsl:text>
		<L/>
		<xsl:apply-templates/>
	</xsl:template>
	<!--
*                                                                           
* Escape .'s and :'s in text lines
*
-->
	<xsl:template name="dcf-escape">
		<xsl:param name="dcf-line">
        </xsl:param>
		<xsl:choose>
			<xsl:when test="(contains($dcf-line, '.') or contains($dcf-line, ':'))">
				<xsl:variable name="before-dot" select="substring-before(concat($dcf-line, '.'), '.')"/>
				<xsl:variable name="before-colon" select="substring-before(concat($dcf-line, ':'), ':')"/>
				<xsl:variable name="before-dot-length" select="string-length($before-dot)"/>
				<xsl:variable name="before-colon-length" select="string-length($before-colon)"/>
				<xsl:variable name="c-next1" select="substring(substring-after($dcf-line, '.'), 1, 1)"/>
				<xsl:variable name="c-next2" select="substring(substring-after($dcf-line, ':'), 1, 1)"/>
				<xsl:choose>
					<xsl:when test="$before-dot-length &lt; $before-colon-length">
						<xsl:value-of select="$before-dot"/>
						<xsl:choose>
							<xsl:when test="$c-next1 != ' ' and $c-next1 != '*' and $c-next1 != ''">
								<xsl:text>&amp;period.</xsl:text>
							</xsl:when>
							<xsl:otherwise>
								<xsl:text>.</xsl:text>
							</xsl:otherwise>
						</xsl:choose>
						<xsl:call-template name="dcf-escape">
							<xsl:with-param name="dcf-line" select="substring-after($dcf-line, '.')"/>
						</xsl:call-template>
					</xsl:when>
					<xsl:when test="$before-colon-length &lt; $before-dot-length">
						<xsl:value-of select="$before-colon"/>
						<xsl:choose>
							<xsl:when test="$c-next2 != ' ' and $c-next2 != ''">
								<xsl:text>&amp;gml.</xsl:text>
							</xsl:when>
							<xsl:otherwise>
								<xsl:text>:</xsl:text>
							</xsl:otherwise>
						</xsl:choose>
						<xsl:call-template name="dcf-escape">
							<xsl:with-param name="dcf-line" select="substring-after($dcf-line, ':')"/>
						</xsl:call-template>
					</xsl:when>
					<xsl:otherwise/>
				</xsl:choose>
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="$dcf-line"/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="do-usertag">
		<xsl:param name="ut-type"/>
		<xsl:variable name="gtagname">
			<xsl:value-of select="@name"/>
		</xsl:variable>
		<xsl:variable name="gclass">
			<xsl:value-of select="@class"/>
		</xsl:variable>
		<xsl:choose>
			<xsl:when test="$ut-type = 'SPAN'">
				<xsl:choose>
					<xsl:when test="$gtagname = 'ZusatzAgtr'">
						<xsl:text>:kopie empf='vt'.</xsl:text>
						<xsl:apply-templates/>
						<xsl:text>:ekopie.</xsl:text>
					</xsl:when>
					<xsl:when test="$gtagname != ''">
						<xsl:text>:</xsl:text>
						<xsl:value-of select="$gtagname"/>
						<xsl:text>.</xsl:text>
						<xsl:apply-templates/>
						<xsl:text>:e</xsl:text>
						<xsl:value-of select="$gtagname"/>
						<xsl:text>.</xsl:text>
					</xsl:when>
					<xsl:otherwise>
						<xsl:text>:</xsl:text>
						<xsl:value-of select="$gclass"/>
						<xsl:text>.</xsl:text>
						<xsl:apply-templates/>
						<xsl:if test="@paired != 'no'">
							<L/>
							<xsl:text>:e</xsl:text>
							<xsl:value-of select="$gtagname"/>
							<xsl:text>.</xsl:text>
							<L/>
						</xsl:if>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:when>
			<xsl:otherwise>
				<xsl:choose>
					<xsl:when test="$gtagname != ''">
						<!-- Generate: newline, :tagname. -->
						<L/>
						<xsl:text>:</xsl:text>
						<xsl:value-of select="$gtagname"/>
						<xsl:text>.</xsl:text>
						<L/>
						<xsl:apply-templates/>
						<!-- recurse -->
						<!-- Generate: newline, :etagname. newline-->
						<L/>
						<xsl:text>:e</xsl:text>
						<xsl:value-of select="$gtagname"/>
						<xsl:text>.</xsl:text>
						<L/>
					</xsl:when>
					<xsl:otherwise>
						<!-- Generate: newline, :tagname. -->
						<L/>
						<xsl:text>:</xsl:text>
						<xsl:value-of select="$gclass"/>
						<xsl:text>.</xsl:text>
						<L/>
						<xsl:apply-templates/>
						<!-- recurse -->
						<!-- Generate: newline, :etagname. newline-->
						<xsl:if test="@paired != 'no'">
							<L/>
							<xsl:text>:e</xsl:text>
							<xsl:value-of select="$gtagname"/>
							<xsl:text>.</xsl:text>
							<L/>
						</xsl:if>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="close-line">
		<xsl:text disable-output-escaping="yes">&lt;L/&gt;</xsl:text>
	</xsl:template>
	<xsl:template name="open-line">
		<xsl:text disable-output-escaping="yes">&lt;L/&gt;</xsl:text>
	</xsl:template>
	<xsl:template name="do-pre">
		<xsl:param name="pre-cont"/>
		<xsl:variable name="pre-str">
			<xsl:value-of disable-output-escaping="yes" select="string($pre-cont)"/>
		</xsl:variable>
		<!--
		<xsl:text>Input=&apos;</xsl:text>
		<xsl:value-of select="$pre-str"/>
		<xsl:text>&apos;</xsl:text>
		-->
		<xsl:variable name="linesep">
			<xsl:text disable-output-escaping="no">&#10;</xsl:text>
		</xsl:variable>
		<xsl:choose>
			<xsl:when test="contains($pre-str, '&#xA;&#xD;')">
				<xsl:variable name="before-sep">
					<xsl:value-of select="substring-before(concat($pre-str, '&#xA;&#xD;'), '&#xA;&#xD;')" disable-output-escaping="yes"/>
				</xsl:variable>
				<xsl:variable name="before-sep-length">
					<xsl:value-of select="string-length($before-sep)"/>
				</xsl:variable>
				<L/>
				<xsl:value-of select="$before-sep" disable-output-escaping="yes"/>
				<L/>
				<xsl:call-template name="do-pre">
					<xsl:with-param name="pre-cont">
						<xsl:value-of select="substring-after($pre-str, '&#xA;&#xD;')"/>
					</xsl:with-param>
				</xsl:call-template>
			</xsl:when>
			<xsl:otherwise>
				<L/>
				<xsl:value-of select="$pre-str"/>
				<L/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="scan-str">
		<xsl:param name="c-count">
			<xsl:number value="0"/>
		</xsl:param>
		<xsl:param name="i-str"/>
		<xsl:if test="$i-str != ''">
			<xsl:variable name="c-1">
				<xsl:value-of select="substring($i-str, 1, 1)" disable-output-escaping="no"/>
			</xsl:variable>
			<xsl:variable name="c-2">
				<xsl:value-of select="substring($i-str, 1, 2)" disable-output-escaping="no"/>
			</xsl:variable>
			<xsl:text>&#xA;</xsl:text>
			<xsl:value-of select="$c-count"/>
			<xsl:text>-char=&apos;</xsl:text>
			<xsl:value-of select="$c-1"/>
			<xsl:text>&apos;</xsl:text>
			<xsl:if test="$c-1 = ' '">
				<xsl:text>***SPACE Found***</xsl:text>
			</xsl:if>
			<xsl:if test="$c-1 = '&#xA;'">
				<xsl:text>***0x0A Found***</xsl:text>
			</xsl:if>
			<xsl:if test="$c-1 = '&#xD;'">
				<xsl:text>***0x0D Found***</xsl:text>
			</xsl:if>
			<xsl:if test="$c-2 = '&#xA;&#xD;'">
				<xsl:text>***Linefeed Found***</xsl:text>
			</xsl:if>
			<xsl:call-template name="scan-str">
				<xsl:with-param name="c-count">
					<xsl:number value="$c-count + 1"/>
				</xsl:with-param>
				<xsl:with-param name="i-str">
					<xsl:value-of select="substring($i-str, 2)" disable-output-escaping="yes"/>
				</xsl:with-param>
			</xsl:call-template>
		</xsl:if>
	</xsl:template>
	<xsl:template name="reconstruct-usertag">
		<xsl:if test="@oname">
			<xsl:variable name="space" select="' '"/>
			<xsl:variable name="tag-name">
				<xsl:value-of select="@oname"/>
			</xsl:variable>
			<L/>
			<xsl:text>:</xsl:text>
			<!-- : -->
			<xsl:value-of select="$tag-name"/>
			<xsl:if test="@gattno">
				<xsl:call-template name="do-gatts">
					<xsl:with-param name="gatt-number">
						<xsl:value-of select="@gattno"/>
					</xsl:with-param>
				</xsl:call-template>
			</xsl:if>
			<!-- Original name -->
			<!--******************************************************* -->
			<!-- Loop over the attributes                             * -->
			<!-- ****************************************************** -->
			<xsl:for-each select="@*">
				<xsl:variable name="attname">
					<xsl:value-of select="name(.)"/>
				</xsl:variable>
				<xsl:choose>
					<!--******************************************************* -->
					<!-- Get rid of style, class, id and rest                 * -->
					<!-- ****************************************************** -->
					<xsl:when test="$attname = 'style'"/>
					<xsl:when test="$attname = 'class'"/>
					<xsl:when test="$attname = 'id'"/>
					<xsl:when test="$attname = 'remove'"/>
					<xsl:when test="$attname = 'paired'"/>
					<xsl:when test="$attname = 'type'"/>
					<xsl:when test="$attname = 'custom'"/>
					<xsl:when test="$attname = 'oname'"/>
					<xsl:when test="$attname = 'p'"/>
					<xsl:when test="$attname = 'rest'"/>
					<xsl:when test="starts-with($attname, 'gatt')"/>
					<xsl:otherwise>
						<!--******************************************************* -->
						<!-- Add the rest, with spaces and quotes                 * -->
						<!-- ****************************************************** -->
						<xsl:variable name="attval">
							<xsl:value-of select="."/>
						</xsl:variable>
						<xsl:value-of select="$space"/>
						<xsl:value-of select="$attname"/>
						<xsl:text>='</xsl:text>
						<xsl:value-of select="$attval">	</xsl:value-of>
						<xsl:text>'</xsl:text>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:for-each>
			<xsl:if test="not (contains($tag-name, 'TAB') or contains($tag-name, 'STRICH') or contains($tag-name, 'ZIFFER')) or @rest != ''">
				<xsl:text>.</xsl:text>
			</xsl:if>
			<!-- . (GML dot) -->
			<!--******************************************************* -->
			<!-- Add the rest in the same line..                      * -->
			<!-- ****************************************************** -->
			<xsl:if test="$tag-name != 'IV'">
				<xsl:value-of select="@rest"/>
				<L/>
			</xsl:if>
			<xsl:if test="@paired = 'yes'">
				<L/>
				<xsl:text>:E</xsl:text>
				<!-- : -->
				<xsl:value-of select="$tag-name"/>
				<xsl:text>.</xsl:text>
				<L/>
			</xsl:if>
		</xsl:if>
	</xsl:template>
	<xsl:template name="rejoin-usertag">
		<xsl:if test="@oname">
			<xsl:variable name="space" select="' '"/>
			<xsl:variable name="tag-name">
				<xsl:value-of select="@oname"/>
			</xsl:variable>
			<L/>
			<xsl:text>:</xsl:text>
			<!-- : -->
			<xsl:value-of select="$tag-name"/>
			<xsl:if test="@gattno">
				<xsl:call-template name="do-gatts">
					<xsl:with-param name="gatt-number">
						<xsl:value-of select="@gattno"/>
					</xsl:with-param>
				</xsl:call-template>
			</xsl:if>
			<!-- Original name -->
			<!--******************************************************* -->
			<!-- Loop over the attributes                             * -->
			<!-- ****************************************************** -->
			<xsl:for-each select="@*">
				<xsl:variable name="attname">
					<xsl:value-of select="name(.)"/>
				</xsl:variable>
				<xsl:choose>
					<!--******************************************************* -->
					<!-- Get rid of style, class, id and rest                 * -->
					<!-- ****************************************************** -->
					<xsl:when test="$attname = 'style'"/>
					<xsl:when test="$attname = 'class'"/>
					<xsl:when test="$attname = 'id'"/>
					<xsl:when test="$attname = 'remove'"/>
					<xsl:when test="$attname = 'paired'"/>
					<xsl:when test="$attname = 'type'"/>
					<xsl:when test="$attname = 'custom'"/>
					<xsl:when test="$attname = 'oname'"/>
					<xsl:when test="$attname = 'p'"/>
					<xsl:when test="$attname = 'rest'"/>
					<xsl:when test="starts-with($attname, 'gatt')"/>
					<xsl:otherwise>
						<!--******************************************************* -->
						<!-- Add the rest, with spaces and quotes                 * -->
						<!-- ****************************************************** -->
						<xsl:variable name="attval">
							<xsl:value-of select="."/>
						</xsl:variable>
						<xsl:value-of select="$space"/>
						<xsl:value-of select="$attname">
										</xsl:value-of>
						<xsl:text>='</xsl:text>
						<xsl:value-of select="$attval">
										</xsl:value-of>
						<xsl:text>'</xsl:text>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:for-each>
			<xsl:text>.</xsl:text>
		</xsl:if>
	</xsl:template>
	<xsl:template name="do-compact">
		<xsl:variable name="space" select="' '"/>
		<xsl:choose>
			<xsl:when test="@type = 'gml'">
				<xsl:if test="@compact">
					<xsl:value-of select="$space"/>
					<xsl:value-of select="@compact"/>
				</xsl:if>
			</xsl:when>
			<xsl:otherwise>
				<xsl:if test="$p-compact = 'Y'">
					<xsl:text> compact</xsl:text>
				</xsl:if>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="do-gatts">
		<xsl:param name="gatt-number"/>
		<xsl:if test="$gatt-number > 0">
			<xsl:variable name="att-name" select="concat('gatt', $gatt-number - 1)"/>
			<xsl:call-template name="do-gatts">
				<xsl:with-param name="gatt-number" select="$gatt-number - 1"/>
			</xsl:call-template>
			<xsl:value-of select="$g-space"/>
			<xsl:call-template name="get-gatt">
				<xsl:with-param name="g-n" select="string($att-name)"/>
			</xsl:call-template>
		</xsl:if>
	</xsl:template>
	<xsl:template name="get-gatt">
		<xsl:param name="g-n"/>
		<xsl:for-each select="@*">
			<xsl:variable name="this-att">
				<xsl:value-of select="name(.)"/>
			</xsl:variable>
			<xsl:if test="$this-att = $g-n">
				<xsl:value-of select="."/>
			</xsl:if>
		</xsl:for-each>
	</xsl:template>
	<xsl:template name="do-idgmltag">
		<xsl:variable name="space" select="' '"/>
		<L/>
		<xsl:text>:</xsl:text>
		<!-- : -->
		<xsl:variable name="tag-name">
			<xsl:value-of select="@class"/>
		</xsl:variable>
		<xsl:value-of select="@class"/>
		<!-- Original name -->
		<!--******************************************************* -->
		<!-- Loop over the attributes                             * -->
		<!-- ****************************************************** -->
		<xsl:for-each select="@*">
			<xsl:variable name="attname">
				<xsl:value-of select="name(.)"/>
			</xsl:variable>
			<xsl:choose>
				<!--******************************************************* -->
				<!-- Get rid of style, class, id and rest                 * -->
				<!-- ****************************************************** -->
				<xsl:when test="$attname = 'style'"/>
				<xsl:when test="$attname = 'class'"/>
				<xsl:when test="$attname = 'id'"/>
				<xsl:when test="$attname = 'remove'"/>
				<xsl:when test="$attname = 'paired'"/>
				<xsl:when test="$attname = 'type'"/>
				<xsl:when test="$attname = 'custom'"/>
				<xsl:when test="$attname = 'rest'"/>
				<xsl:when test="$attname = 'p'"/>
				<xsl:when test="starts-with($attname, 'gatt')"/>
				<xsl:otherwise>
					<!--******************************************************* -->
					<!-- Add the rest, with spaces and quotes                 * -->
					<!-- ****************************************************** -->
					<xsl:variable name="attval">
						<xsl:value-of select="."/>
					</xsl:variable>
					<xsl:value-of select="$space"/>
					<xsl:value-of select="$attname">
							</xsl:value-of>
					<xsl:text>='</xsl:text>
					<xsl:value-of select="$attval">
							</xsl:value-of>
					<xsl:text>'</xsl:text>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:for-each>
		<xsl:if test="@gattno">
			<xsl:call-template name="do-gatts">
				<xsl:with-param name="gatt-number">
					<xsl:value-of select="@gattno"/>
				</xsl:with-param>
			</xsl:call-template>
		</xsl:if>
		<xsl:if test="not (contains($tag-name, 'TAB') or contains($tag-name, 'STRICH')) or @rest != ''">
			<xsl:text>.</xsl:text>
		</xsl:if>
		<!-- . (GML dot) -->
		<!--******************************************************* -->
		<!-- Add the rest in the same line..                      * -->
		<!-- ****************************************************** -->
		<!--
		<xsl:value-of select="@rest"/>
		<L/>
		-->
		<xsl:apply-templates/>
		<xsl:if test="@paired = 'yes'">
			<L/>
			<xsl:text>:E</xsl:text>
			<xsl:value-of select="@class"/>
			<xsl:text>.</xsl:text>
			<L/>
		</xsl:if>
	</xsl:template>
	<xsl:template name="do-editorgenerated-div">
		<xsl:if test="@align and name(parent::node()) != 'LI'">
			<L/>
			<xsl:text>.fo </xsl:text>
			<xsl:value-of select="@align"/>
			<L/>
		</xsl:if>
		<xsl:choose>
			<xsl:when test="../@type = 'gml' or (name(parent::node()) = 'LI' and self::node() = parent::node()/DIV[position() = 1])">
				<L/>
				<xsl:apply-templates/>
				<L/>
			</xsl:when>
			<xsl:otherwise>
				<L/>
				<xsl:text>.br</xsl:text>
				<L/>
				<xsl:apply-templates/>
				<L/>
			</xsl:otherwise>
		</xsl:choose>
		<xsl:if test="@align and @align != 'left'">
			<L/>
			<xsl:text>.fo left</xsl:text>
			<L/>
		</xsl:if>
	</xsl:template>
	<xsl:template name="do-artificial-paragrafs">
		<xsl:variable name="v-contents">
			<xsl:value-of select="."/>
		</xsl:variable>
		<xsl:if test="$v-contents != ''">
			<xsl:apply-templates/>
		</xsl:if>
	</xsl:template>
	<xsl:template name="do-gml-parms">
		<xsl:for-each select="@*">
			<xsl:variable name="s-name" select="name(.)"/>
			<xsl:variable name="s-val" select="string(.)"/>
			<xsl:choose>
				<xsl:when test="starts-with($s-name, 'gatt') and $s-name != 'gattno'">
					<xsl:text> </xsl:text>
					<xsl:value-of select="$s-val"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:call-template name="do-gml-keyword-attribute"/>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:for-each>
	</xsl:template>
	<xsl:template name="do-gml-keyword-attribute">
		<xsl:variable name="s-name" select="name(.)"/>
		<xsl:variable name="s-val" select="string(.)"/>
		<xsl:if test="$s-name != 'type' and $s-name != 'list' and $s-name != 'p' and $s-name != 'compact'">
			<xsl:text> </xsl:text>
			<xsl:value-of select="$s-name"/>
			<xsl:text>=&quot;</xsl:text>
			<xsl:value-of select="$s-val"/>
			<xsl:text>&quot;</xsl:text>
		</xsl:if>
	</xsl:template>
	<xsl:include href="../custom/doccustom2.xsl"/>
</xsl:stylesheet>
