<?xml version="1.0" encoding="UTF-8"?>
<!-- 
*
**********************************************************************    
*  
*   Licensed Material - Property of IBM                               
*   5655-002                                                          
*                                                                     
*   (C) Copyright IBM Corp. 2003   All Rights Reserved                
*                                                                     
*   US Government Users Restricted Rights - Use, duplication or       
*   disclosure restricted by GSA ASP Schedule Contract with           
*   IBM Corp.    
*
**********************************************************************
*
*
* 	doclres.xsl
*
* 	Purpose: Convert the ASF SP list XML datastream to displayable HTML
*
*                                                                              
* Code		Release		Date			  Person	Reason                                                                                                
* @001	V01R01B06	  11/15/2004	UZeh	  APAR PQ97179 PTR4452 Script library docmsg.js added  
* @002=		1.1.6			01/15/2005	GOT	    PQ99305, PTR4285 Remove custom files from war
* @003   V01R01B06	04/13/2005	MMar	  Replaced linked css stylesheet docasfsearchresult.css with new stylesheets
*                                                                         ./css/docproduct.css and ./css/docproduct.css
* @004   V01R01B07  08/16/2005  MMar    doccustom.css is now in custom directory
* @005   1.2.2      2006-04-10  MMar    DPK22286 Encoding changed to UTF-8 
*
-->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output encoding="UTF-8" indent="yes" omit-xml-declaration="yes" cdata-section-elements="name type subject" method="html"/>
	<!-- Ouput the surrounding HTML -->
	<xsl:template match="/">
		<html>
			<head>
				<!-- @005 -->
        <META http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
				<!-- @003 -->
				<!--<link rel="StyleSheet" type="text/css" href="./css/docasfsearchresult.css"/>-->
				<link rel="StyleSheet" type="text/css" href="./css/docproduct.css"/>
				<link rel="StyleSheet" type="text/css" href="./custom/doccustom.css"/>
				<SCRIPT language="javascript" src="./javascript/docnls.js"/>
				<SCRIPT language="javascript" src="./javascript/docmsg.js"/>
				<script language="javascript" src="./custom/doccustomer.js"/>
				<script language="javascript" src="./javascript/docasfsearchresult.js"/>
				<script language="javascript">
					function fnOnloadLocal()
					{ window.focus();}
					function fnKeyEventForError()
			             {switch (event.keyCode)
 					  {    case 13:
     						 case 27:  
                                              window.close();
                                              break; 
                                        default:
                                              fnIgnoreEvent();
                                              break;  } }
				</script>
			</head>
			<body id="body" class="body" onunload="window.dialogArguments.dc4asfFrame.main.fnActivateMainByClick(false); window.dialogArguments.dc4asfFrame.main.g_SearchResultTransData=null; window.dialogArguments.dc4asfFrame.main.g_SearchResultWindow=null; window.dialogArguments.dc4asfFrame.main.unloadfunction= null;" onresize="event.cancelBubble=true;event.returnValue=false;">
				<xsl:attribute name="Lang"><xsl:value-of select="//OLi/@lang"/></xsl:attribute>
				<xsl:choose>
					<xsl:when test="//EnLi[@cnt='0']">
						<xsl:attribute name="onload">fnOnloadLocal();fnSetNLSMessages();</xsl:attribute>
						<xsl:attribute name="onkeydown">fnKeyEventForError();</xsl:attribute>
					</xsl:when>
					<xsl:otherwise>
						<xsl:attribute name="onload">fnOnloadLocal();fnInit();fnSetLTDTitle();</xsl:attribute>
					</xsl:otherwise>
				</xsl:choose>
				<script>   
			g_languageid="<xsl:value-of select="/OLi/@lang"/>".toLowerCase();
		</script>
				<table id="outertable" border="0" cellspacing="0" cellpadding="0">
					<tr>
						<td width="10">&#160;</td>
						<td class="LTDTitle" id="LTDTitle">LTD</td>
						<td width="10">&#160;</td>
					</tr>
					<tr>
						<td width="10">&#160;</td>
						<td>
							<div>
								<div id="SPSelectionTableTitle" class="LTDSelectionTableTitle">
									<table id="SPList" class="SPList" border="0" cellspacing="0" cellpadding="0">
										<!-- table title -->
										<tr class="SPListTitle">
											<td width="6">&#160;</td>
											<td width="161" valign="middle" nowrap="">
												<b id="SearchWindowBuildingBlock"/>
											</td>
											<!--	<td width="315" valign="middle" nowrap="">  -->
											<td valign="middle" nowrap="">
												<b id="SearchWindowSubject"/>
											</td>
										</tr>
									</table>
								</div>
								<!-- process the entrylist -->
								<div id="sb0" class="LTDSelectionTable">
									<table id="SPList" class="SPList" border="0" cellspacing="0" cellpadding="0">
										<xsl:if test="//EnLi[@cnt='0']">
											<tr class="noresult">
												<td>
													<img src="./images/docinfohint.gif"/>
												</td>
												<td id="error"/>
											</tr>
										</xsl:if>
										<xsl:for-each select="//ReEn">
											<tr tabindex="0" class="trborder">
												<xsl:attribute name="id">tr-<xsl:value-of select="position()"/></xsl:attribute>
												<xsl:attribute name="selected"><xsl:value-of select="0"/></xsl:attribute>
												<xsl:attribute name="name"><xsl:value-of disable-output-escaping="yes" select="Name"/></xsl:attribute>
												<xsl:attribute name="type"><xsl:value-of disable-output-escaping="yes" select="Type"/></xsl:attribute>
												<xsl:attribute name="subject"><xsl:value-of disable-output-escaping="yes" select="Subj"/></xsl:attribute>
												<td class="tdbordernone">
													<xsl:attribute name="id">td-1-<xsl:value-of select="position()"/></xsl:attribute>
								&#160;
								</td>
												<td width="160" valign="middle" nowrap="" class="tdbordernone">
													<xsl:attribute name="id">td-2-<xsl:value-of select="position()"/></xsl:attribute>
													<xsl:attribute name="version"><xsl:value-of disable-output-escaping="yes" select="Vers"/></xsl:attribute>
													<xsl:value-of disable-output-escaping="yes" select="Name"/>
												</td>
												<!--		<td width="300" valign="middle"  nowrap="" class="tdbordernone"> -->
												<td valign="middle" nowrap="" class="tdbordernone">
													<xsl:attribute name="id">td-3-<xsl:value-of select="position()"/></xsl:attribute>
													<xsl:value-of disable-output-escaping="yes" select="Subj"/>&#160;
								</td>
											</tr>
											<script>
					g_MaxRowNumber = <xsl:value-of select="position()"/>
											</script>
										</xsl:for-each>
									</table>
								</div>
								<!-- Button bar -->
								<div id="sb1">
									<table>
										<tr>
											<td>
												<button id="bt-1" name="Okup">
													<xsl:attribute name="tabindex">1</xsl:attribute>
									OK &#8593;
								</button>
											</td>
											<td/>
											<td>
												<button id="bt-2" name="Okdown">
									OK &#8595;
								</button>
											</td>
											<td/>
											<td>
												<button id="bt-3" name="view">
								Ansicht
								</button>
											</td>
											<td/>
											<td>
												<button id="bt-4" name="properties">
								Eigenschaften
								</button>
											</td>
											<td/>
											<td>
												<button id="bt-5" name="back">
								Zurueck
								</button>
											</td>
											<td/>
											<td>
												<button id="bt-6" name="cancel">
								  Abbrechen
								</button>
											</td>
											<td/>
											<td>
												<button id="bt-7" name="help">
													<xsl:attribute name="toplevelparent">1</xsl:attribute>						
								Hilfe
								</button>
											</td>
											<td>
                     </td>
										</tr>
									</table>
								</div>
							</div>
						</td>
						<td width="10">&#160;</td>
					</tr>
				</table>
			</body>
		</html>
	</xsl:template>
</xsl:stylesheet>
