<?xml version="1.0" encoding="UTF-8" ?>
<!-- 
**********************************************************************
*
*   Licensed Material - Property of IBM                               
*   5655-002                                                          
*                                                                     
*   (C) Copyright IBM Corp. 2003   All Rights Reserved                
*                                                                     
*   US Government Users Restricted Rights - Use, duplication or       
*   disclosure restricted by GSA ASP Schedule Contract with           
*   IBM Corp.                                                         
*
***********************************************************************
*                                                                               
* IBM Document Connect for ASF                                                 
*                                                                              
* Module Name : docnetworkconfigcommon.xsl                                                  
*                                                                              
* Description : This style sheet is both included by the docnetworkconfig.xsl 
*               and docnetworkconfigprocess.xsl 
*               It contains the common node processing 
*
* Author:       UZeh
*
* Change Activity:                                                             
*                                                                              
* Code  Release    Date       Person  Reason                                   
*                                                                              
* @000  V01R00B00  02/17/2003 UZeh    First Create
* @001  V01R00B00  07/25/2003 UZeh    Use normalize-space to remove leading / trailing blanks
* @002  V01R00B00  10/22/2003 UZeh    Template with name=xapplet to display applet tag 
* @003  V01R00B06  01/26/2004 UZeh    APAR PQ81758 / PTR3916 UserId Node moved to docnetworkconfig.xsl resp. docnetworkconfigprocess.xsl
* @004  V01R01B06  07/05/2004 UZeh    APAR PQ90964 PTR4249  Max length cicsserver = 52 size cicsserver=30 
* @005  V01R01B06  07/19/2004 UZeh    APAR PQ91597 PTR4235  Commented (!) Object tag added 
* @006  V01R01B06  01/17/2005 UZeh    APAR PQ99299 PTR4469     
*                                     Add HostQueueMgr, HostReplyQueue Node ...  
* @007  V01R01B06  01/18/2005 UZeh    ... only if aosarchitecture NOT 390
* @008  V01R01B06  02/23/2005 UZEH    APAR PQ99886 xapplet parametername zformattedtimestamp 
*                  03/03/2005 UZeh    APAR PQ99886 XCode maxlength = 8 , size = 12 
* @009  1.2.1      03/09/2006 UZeh    DPTR5445 Test MQ Queue fields against fnIsAlphaNumericDotPlaceholderWord 
*                                     instead of fnIsAlphaNumericDotWord      
* @010  1.2.1      03/24/2006 UZeh    DPTR5521 Test MQ Queue fields against fnIsAlphaNumericDotUnderscorePlaceholderWord 
* @011  1.2.2      2006-04-10 MMar    DPK22286 Encoding changed to UTF-8 
* @012  1.2.2      2006-05-10 UZeh    DPTR5531 New rule XCodePrefix  
* @013  1.2.3      2006-05-23 UZeh    DPTR5642 Allow xcode to be blank or alphanumeric  
*
-->

<xsl:stylesheet xmlns:xsl = "http://www.w3.org/1999/XSL/Transform" version = "1.0">  

<!-- @006a Start -->

<!--                                                                 -->  
<!--  HostQueueMgr Node (IMS MQ) (CICS MQ)                           -->
<!--                                                                 -->

<xsl:template match = "HostQueueMgr">

   <!-- Use Parameter Name zposition and zlowerconnectiontype -->

   <xsl:param name = "zposition" />
   <xsl:param name = "zlowerconnectiontype" />    

   <xsl:variable name="xid">
      <xsl:value-of select="concat($zlowerconnectiontype,'hostqueuemanager',$zposition)"/>
   </xsl:variable>

   <xsl:if test="$aosarchitecture !='390'"> <!-- @007a -->  
   <tr>
   <td>
      <xsl:element name="label">
         <xsl:attribute name="for">
             <xsl:value-of select="$xid"/>
         </xsl:attribute>
         <xsl:attribute name="id">
            <xsl:value-of select="concat('LAB',$xid)"/>
         </xsl:attribute>
         <xsl:value-of select="$ztxtlabnetworkimsmqhostqueuemanager"/> 
      </xsl:element>    
   </td>
   <td align='left'>
   <xsl:element name = "input" > 
      <xsl:attribute name = "type" >text</xsl:attribute>     
      <xsl:attribute name = "name" >
         <xsl:value-of select="$xid"/>
      </xsl:attribute>   
      <xsl:attribute name = "id" >
         <xsl:value-of select="$xid"/>
      </xsl:attribute> 
      <xsl:attribute name = "size" >30</xsl:attribute> 
      <xsl:attribute name = "value"> 
         <xsl:value-of select = "normalize-space(.)" /> 
      </xsl:attribute>
      <xsl:attribute name = "onBlur">return(fnIsBlank() || fnIsAlphaNumericDotUnderscorePlaceholderWord())</xsl:attribute> <!-- @009 -->
   </xsl:element>  
   </td>
   </tr>
   </xsl:if>     <!-- @007a -->  
</xsl:template>

<!-- @006a End -->



<!--                                                                 -->  
<!--  QueueManager Node (IMS MQ) (CICS MQ)                           -->
<!--                                                                 -->

<xsl:template match = "QueueManager">

   <!-- Use Parameter Name zposition and zlowerconnectiontype -->

   <xsl:param name = "zposition" />
   <xsl:param name = "zlowerconnectiontype" />    
   
   <xsl:variable name="xid">
      <xsl:value-of select="concat($zlowerconnectiontype,'queuemanager',$zposition)"/>
   </xsl:variable>

   <tr>
   <td>
      <xsl:element name="label">
         <xsl:attribute name="for">
             <xsl:value-of select="$xid"/>
         </xsl:attribute>
         <xsl:attribute name="id">
            <xsl:value-of select="concat('LAB',$xid)"/>
         </xsl:attribute>
         <xsl:value-of select="$ztxtlabnetworkimsmqqueuemanager"/> 
      </xsl:element>    
   </td>
   <td align='left'>
   <xsl:element name = "input" > 
      <xsl:attribute name = "type" >text</xsl:attribute>     
      <xsl:attribute name = "name" >
         <xsl:value-of select="$xid"/>
      </xsl:attribute>   
      <xsl:attribute name = "id" >
         <xsl:value-of select="$xid"/>
      </xsl:attribute> 
      <xsl:attribute name = "size" >30</xsl:attribute> 
      <xsl:attribute name = "value"> 
         <xsl:value-of select = "normalize-space(.)" /> 
      </xsl:attribute>
      <xsl:attribute name = "onBlur">return(fnIsAlphaNumericDotUnderscorePlaceholderWord())</xsl:attribute> <!-- @009 -->
   </xsl:element>  
   </td>
   </tr>     
</xsl:template>

<!-- @006a Start -->

<!--                                                                 -->  
<!--  HostReplyQueue Node (IMS MQ)  (CICS MQ)                        -->
<!--                                                                 -->

<xsl:template match = "HostReplyQueue">

   <!-- Use Parameter Name zposition and zlowerconnectiontype -->

   <xsl:param name = "zposition" />
   <xsl:param name = "zlowerconnectiontype" />    
   
   <xsl:if test="$aosarchitecture !='390'"> <!-- @007a -->  
   <xsl:variable name="xid">
      <xsl:value-of select="concat($zlowerconnectiontype,'hostreplyqueue',$zposition)"/>
   </xsl:variable>

   <tr>
   <td>
      <xsl:element name="label">
         <xsl:attribute name="for">
            <xsl:value-of select="$xid"/>
         </xsl:attribute>
         <xsl:attribute name="id">
            <xsl:value-of select="concat('LAB',$xid)"/>
         </xsl:attribute>
         <xsl:value-of select="$ztxtlabnetworkimsmqhostreplyqueue"/>   
      </xsl:element>    
   </td> 
   <td align='left'>
   <xsl:element name = "input" > 
      <xsl:attribute name = "type" >text</xsl:attribute>  
      <xsl:attribute name = "name" >
         <xsl:value-of select="$xid"/>
      </xsl:attribute>  
      <xsl:attribute name = "id">
         <xsl:value-of select="$xid"/>
      </xsl:attribute> 
      <xsl:attribute name = "size" >20</xsl:attribute> 
      <xsl:attribute name = "value"> 
         <xsl:value-of select = "normalize-space(.)" /> 
      </xsl:attribute> 
      <xsl:attribute name = "onBlur">return(fnIsBlank() || fnIsAlphaNumericDotUnderscorePlaceholderWord())</xsl:attribute> <!-- @009 -->
   </xsl:element>   
   </td>
   </tr>  
   </xsl:if> <!-- @007a -->
</xsl:template>

<!-- @006a -->


<!--                                                                 -->  
<!--  ServerInQueue Node (IMS MQ)  (CICS MQ)                         -->
<!--                                                                 -->

<xsl:template match = "ServerInQueue">

   <!-- Use Parameter Name zposition and zlowerconnectiontype -->

   <xsl:param name = "zposition" />
   <xsl:param name = "zlowerconnectiontype" />    

   <xsl:variable name="xid">
      <xsl:value-of select="concat($zlowerconnectiontype,'serverinqueue',$zposition)"/>
   </xsl:variable>

   <tr>
   <td>
      <xsl:element name="label">
         <xsl:attribute name="for">
            <xsl:value-of select="$xid"/>
         </xsl:attribute>
         <xsl:attribute name="id">
            <xsl:value-of select="concat('LAB',$xid)"/>
         </xsl:attribute>
         <xsl:value-of select="$ztxtlabnetworkimsmqserverinqueue"/>   
      </xsl:element>    
   </td> 
   <td align='left'>
   <xsl:element name = "input" > 
      <xsl:attribute name = "type" >text</xsl:attribute>  
      <xsl:attribute name = "name" >
         <xsl:value-of select="$xid"/>
      </xsl:attribute>  
      <xsl:attribute name = "id">
         <xsl:value-of select="$xid"/>
      </xsl:attribute> 
      <xsl:attribute name = "size" >20</xsl:attribute> 
      <xsl:attribute name = "value"> 
         <xsl:value-of select = "normalize-space(.)" /> 
      </xsl:attribute> 
      <xsl:attribute name = "onBlur">return(fnIsAlphaNumericDotUnderscorePlaceholderWord())</xsl:attribute> <!-- @009 -->
   </xsl:element>   
   </td>
   </tr>  
</xsl:template>




<!--                                                                 -->  
<!--  ServerOutQueue Node (IMS MQ) (CICS-MQ)                         -->
<!--                                                                 -->


<xsl:template match = "ServerOutQueue">

   <!-- Use Parameter Name zposition and zlowerconnectiontype -->

   <xsl:param name = "zposition" />
   <xsl:param name = "zlowerconnectiontype" />    
 
   <xsl:variable name="xid">
      <xsl:value-of select="concat($zlowerconnectiontype,'serveroutqueue',$zposition)"/>
   </xsl:variable>
  
   <tr>
   <td>    
      <xsl:element name="label">
         <xsl:attribute name="for">
            <xsl:value-of select="$xid"/>
         </xsl:attribute>
         <xsl:attribute name="id">
            <xsl:value-of select="concat('LAB',$xid)"/>
         </xsl:attribute>
         <xsl:value-of select="$ztxtlabnetworkimsmqserveroutqueue"/> 
      </xsl:element>     
   </td>
   <td align='left'>
   <xsl:element name = "input" > 
      <xsl:attribute name = "type" >text</xsl:attribute>  
      <xsl:attribute name = "name" >
         <xsl:value-of select="$xid"/>
      </xsl:attribute>  
      <xsl:attribute name = "id" >
         <xsl:value-of select="$xid"/>
      </xsl:attribute> 
      <xsl:attribute name = "size" >20</xsl:attribute> 
      <xsl:attribute name = "value"> 
         <xsl:value-of select = "normalize-space(.)" /> 
      </xsl:attribute> 
      <xsl:attribute name = "onBlur">return(fnIsAlphaNumericDotUnderscorePlaceholderWord())</xsl:attribute> <!-- @009 -->
   </xsl:element>
   </td>
   </tr>
</xsl:template> 

<!--                                                                 -->  
<!--  XCodePrefix Node (IMS MQ) (IMS)                                      -->
<!--                                                                 -->

<xsl:template match = "XCodePrefix">
   
   <!-- Use Parameter Name zposition and zlowerconnectiontype -->

   <xsl:param name = "zposition" />
   <xsl:param name = "zlowerconnectiontype" />    

   <xsl:variable name="xid">
      <xsl:value-of select="concat($zlowerconnectiontype,'xcodeprefix',$zposition)"/>
   </xsl:variable>


   <tr>
   <td>
      <xsl:element name="label">
         <xsl:attribute name="for">
             <xsl:value-of select="$xid"/>
         </xsl:attribute>
         <xsl:attribute name="id">
            <xsl:value-of select="concat('LAB',$xid)"/>
         </xsl:attribute>
         <xsl:value-of select="$ztxtlabnetworkimsmqxcodeprefix"/>   
      </xsl:element>   
   </td> 
   <td align='left'>
   <xsl:element name = "input" > 
      <xsl:attribute name = "type" >text</xsl:attribute>     
      <xsl:attribute name = "name" >
         <xsl:value-of select="$xid"/>
      </xsl:attribute>  
      <xsl:attribute name = "id" >
           <xsl:value-of select="$xid"/>
      </xsl:attribute> 
      <xsl:attribute name = "size" >12</xsl:attribute>
       
      <xsl:attribute name = "maxlength" >8</xsl:attribute>
          
      <xsl:attribute name = "value"> 
         <xsl:value-of select = "normalize-space(.)" /> 
      </xsl:attribute> 
      <xsl:attribute name = "onBlur">return( fnIsBlank() || fnIsAlphaNumeric() )</xsl:attribute>
   </xsl:element>
   </td>
   </tr>  
</xsl:template>


<!--                                                                 -->  
<!--  XCode Node (IMS MQ) (IMS)                                      -->
<!--                                                                 -->

<xsl:template match = "XCode">
   
   <!-- Use Parameter Name zposition and zlowerconnectiontype -->

   <xsl:param name = "zposition" />
   <xsl:param name = "zlowerconnectiontype" />    

   <xsl:variable name="xid">
      <xsl:value-of select="concat($zlowerconnectiontype,'xcode',$zposition)"/>
   </xsl:variable>


   <tr>
   <td>
      <xsl:element name="label">
         <xsl:attribute name="for">
             <xsl:value-of select="$xid"/>
         </xsl:attribute>
         <xsl:attribute name="id">
            <xsl:value-of select="concat('LAB',$xid)"/>
         </xsl:attribute>
         <xsl:value-of select="$ztxtlabnetworkimsmqxcode"/>   
      </xsl:element>   
   </td> 
   <td align='left'>
   <xsl:element name = "input" > 
      <xsl:attribute name = "type" >text</xsl:attribute>     
      <xsl:attribute name = "name" >
         <xsl:value-of select="$xid"/>
      </xsl:attribute>  
      <xsl:attribute name = "id" >
           <xsl:value-of select="$xid"/>
      </xsl:attribute> 
      <xsl:attribute name = "size" >12</xsl:attribute>
       
      <xsl:attribute name = "maxlength" >8</xsl:attribute>
          
      <xsl:attribute name = "value"> 
         <xsl:value-of select = "normalize-space(.)" /> 
      </xsl:attribute> 
      <xsl:attribute name = "onBlur">return( fnIsBlank() || fnIsAlphaNumeric() )</xsl:attribute>
   </xsl:element>
   </td>
   </tr>  
</xsl:template>



<!--                                                                 -->  
<!--  MQWaitInt Node (IMS MQ) (CICS-MQ)                              -->
<!--                                                                 -->

<xsl:template match = "MQWaitInt">

  
   <!-- Use Parameter Name zposition and zlowerconnectiontype -->

   <xsl:param name = "zposition" />
   <xsl:param name = "zlowerconnectiontype" />    

   <xsl:variable name="xid">
      <xsl:value-of select="concat($zlowerconnectiontype,'waitint',$zposition)"/>
   </xsl:variable>

   <tr>
   <td>
      <xsl:element name="label">
         <xsl:attribute name="for">
            <xsl:value-of select="$xid"/>
         </xsl:attribute>
         <xsl:attribute name="id">
            <xsl:value-of select="concat('LAB',$xid)"/>
         </xsl:attribute>
         <xsl:value-of select="$ztxtlabnetworkimsmqwaitint"/>    
      </xsl:element>  
   </td> 
   <td align='left'>
   <xsl:element name = "input" > 
      <xsl:attribute name = "type" >text</xsl:attribute>   
      <xsl:attribute name = "name" >
         <xsl:value-of select="$xid"/>
      </xsl:attribute> 
      <xsl:attribute name = "id" >
         <xsl:value-of select="$xid"/>
      </xsl:attribute> 
      <xsl:attribute name = "size" >4</xsl:attribute> 
      <xsl:attribute name = "value"> 
         <xsl:value-of select = "normalize-space(.)" /> 
      </xsl:attribute> 
      <xsl:attribute name = "onBlur">return(fnIsInteger())</xsl:attribute>
   </xsl:element>   
   </td>
   </tr> 
</xsl:template>
       
<!--                                                                 -->  
<!--  IMSName Node (IMS)                                             -->
<!--                                                                 -->

<xsl:template match = "IMSName">

   <!-- Use Parameter Name zposition and zlowerconnectiontype -->

   <xsl:param name = "zposition" />
   <xsl:param name = "zlowerconnectiontype" />   

   <xsl:variable name="xid">
      <xsl:value-of select="concat($zlowerconnectiontype,'name',$zposition)"/>
   </xsl:variable>

   <tr>
   <td> 
      <xsl:element name="label">
         <xsl:attribute name="for">
            <xsl:value-of select="$xid"/>
         </xsl:attribute>
         <xsl:attribute name="id">
            <xsl:value-of select="concat('LAB',$xid)"/>
         </xsl:attribute>
         <xsl:value-of select="$ztxtlabnetworkimsimsname"/>    
      </xsl:element>    
   </td> 
   <td align='left'>
   <xsl:element name = "input" > 
      <xsl:attribute name = "type" >text</xsl:attribute>   
      <xsl:attribute name = "name" >
         <xsl:value-of select="$xid"/>
      </xsl:attribute>  
      <xsl:attribute name = "id" >
          <xsl:value-of select="$xid"/>
      </xsl:attribute> 
      <xsl:attribute name = "size" >30</xsl:attribute> 
      <xsl:attribute name = "value"> 
         <xsl:value-of select = "normalize-space(.)" /> 
      </xsl:attribute>      
      <xsl:attribute name = "onBlur">return(fnIsAlphaNumericDotWord())</xsl:attribute>  
   </xsl:element>
   </td>
   </tr>  
</xsl:template>



<!--                                                                 -->  
<!--  Portnumber Node (IMS)                                          -->
<!--                                                                 -->

<xsl:template match = "PortNumber">

   <!-- Use Parameter Name zposition and zlowerconnectiontype -->

   <xsl:param name = "zposition" />
   <xsl:param name = "zlowerconnectiontype" />   

   <xsl:variable name="xid">
      <xsl:value-of select="concat($zlowerconnectiontype,'portnumber',$zposition)"/>
   </xsl:variable>
     


   <tr>
   <td>   
      <xsl:element name="label">
         <xsl:attribute name="for">
             <xsl:value-of select="$xid"/>
         </xsl:attribute>
         <xsl:attribute name="id">
            <xsl:value-of select="concat('LAB',$xid)"/>
         </xsl:attribute>
         <xsl:value-of select="$ztxtlabnetworkimsportnumber"/> 
      </xsl:element>     
   </td>
   <td align='left'>
   <xsl:element name = "input" > 
      <xsl:attribute name = "type" >text</xsl:attribute>
      <xsl:attribute name = "name" >
         <xsl:value-of select="$xid"/>
      </xsl:attribute>  
      <xsl:attribute name = "id" >
         <xsl:value-of select="$xid"/>
      </xsl:attribute> 
      <xsl:attribute name = "size" >6</xsl:attribute> 
      <xsl:attribute name = "value"> 
         <xsl:value-of select = "normalize-space(.)" /> 
      </xsl:attribute> 
      <xsl:attribute name = "onBlur">return(fnIsNumeric())</xsl:attribute>
   </xsl:element>   
   </td>
   </tr>   
</xsl:template>



<!--                                                                 -->  
<!--  DataStoreName Node  (IMS)                                      -->
<!--                                                                 -->

<xsl:template match = "DataStoreName">
 
  
   <!-- Use Parameter Name zposition and zlowerconnectiontype -->

   <xsl:param name = "zposition" />
   <xsl:param name = "zlowerconnectiontype" />   


   <xsl:variable name="xid">
      <xsl:value-of select="concat($zlowerconnectiontype,'datastorename',$zposition)"/>
   </xsl:variable> 

   <tr>
   <td> 
      <xsl:element name="label">
         <xsl:attribute name="for">
             <xsl:value-of select="$xid"/>
         </xsl:attribute>
         <xsl:attribute name="id">
            <xsl:value-of select="concat('LAB',$xid)"/>
         </xsl:attribute>
         <xsl:value-of select="$ztxtlabnetworkimsdatastorename"/> 
      </xsl:element>  
   </td>   
   <td align='left'>
   <xsl:element name = "input" > 
      <xsl:attribute name = "type" >text</xsl:attribute>
      <xsl:attribute name = "name" >
         <xsl:value-of select="$xid"/>
      </xsl:attribute> 
      <xsl:attribute name = "id" >
         <xsl:value-of select="$xid"/>
      </xsl:attribute> 
      <xsl:attribute name = "size" >30</xsl:attribute> 
      <xsl:attribute name = "value"> 
         <xsl:value-of select = "normalize-space(.)" /> 
      </xsl:attribute> 
      <xsl:attribute name = "onBlur">return(fnIsAlphaNumericWord())</xsl:attribute>  
   </xsl:element>   
   </td>
   </tr>  
</xsl:template>



<!--                                                                 -->  
<!--  URL Node    (CICS)                                             -->
<!--                                                                 -->

<xsl:template match = "URL">
     
   <!-- Use Parameter Name zposition and zlowerconnectiontype -->

   <xsl:param name = "zposition" />
   <xsl:param name = "zlowerconnectiontype" />   


   <xsl:variable name="xid">
      <xsl:value-of select="concat($zlowerconnectiontype,'url',$zposition)"/>
   </xsl:variable> 

   <tr>
   <td>
      <xsl:element name="label">
         <xsl:attribute name="for">
             <xsl:value-of select="$xid"/>
         </xsl:attribute>
         <xsl:attribute name="id">
            <xsl:value-of select="concat('LAB',$xid)"/>
         </xsl:attribute>
         <xsl:value-of select="$ztxtlabnetworkcicsurl"/>
      </xsl:element>   
   </td>
   <td align='left'>
   <xsl:element name = "input" > 
      <xsl:attribute name = "type" >text</xsl:attribute>    
      <xsl:attribute name = "name" >
          <xsl:value-of select="$xid"/>
      </xsl:attribute>  
      <xsl:attribute name = "id" >
          <xsl:value-of select="$xid"/>
      </xsl:attribute> 
      <xsl:attribute name = "size" >30</xsl:attribute> 
      <xsl:attribute name = "value"> 
         <xsl:value-of select = "normalize-space(.)" /> 
      </xsl:attribute> 
      <xsl:attribute name = "onBlur">return(fnIsValidUrl())</xsl:attribute>  
   </xsl:element>  
   </td> 
   </tr>
</xsl:template>



<!--                                                                 -->  
<!--  CICSServer Node (CICS)                                         -->
<!--                                                                 -->

<xsl:template match = "CICSServer">

   <!-- Use Parameter Name zposition and zlowerconnectiontype -->

   <xsl:param name = "zposition" />
   <xsl:param name = "zlowerconnectiontype" />   

   <xsl:variable name="xid">
      <xsl:value-of select="concat($zlowerconnectiontype,'server',$zposition)"/>
   </xsl:variable> 


   <tr>
   <td>
      <xsl:element name="label">
         <xsl:attribute name="for">
             <xsl:value-of select="$xid"/>
         </xsl:attribute>
         <xsl:attribute name="id">
            <xsl:value-of select="concat('LAB',$xid)"/>
         </xsl:attribute>
         <xsl:value-of select="$ztxtlabnetworkcicsserver"/>   
      </xsl:element>      
   </td>     
   <td align='left'>
   <xsl:element name = "input" > 
      <xsl:attribute name = "type" >text</xsl:attribute>     
      <xsl:attribute name = "name" >
         <xsl:value-of select="$xid"/>
      </xsl:attribute>   
      <xsl:attribute name = "id" >
          <xsl:value-of select="$xid"/>
      </xsl:attribute> 
      <xsl:attribute name = "size" >30</xsl:attribute>      <!-- @004a -->
      <xsl:attribute name = "maxlength" >52</xsl:attribute> <!-- @004a --> 
      <xsl:attribute name = "value"> 
         <xsl:value-of select = "normalize-space(.)" /> 
      </xsl:attribute> 
      <xsl:attribute name = "onBlur">return(fnIsAlphaNumericWord())</xsl:attribute>  
   </xsl:element>  
   </td> 
   </tr> 
</xsl:template>


<!--                                                                 -->  
<!--  Program Node (CICS) (CICS-MQ)                                  -->
<!--                                                                 -->

<xsl:template match = "Program">

   <!-- Use Parameter Name zposition and zlowerconnectiontype -->

   <xsl:param name = "zposition" />
   <xsl:param name = "zlowerconnectiontype" />   

   <xsl:variable name="xid">
      <xsl:value-of select="concat($zlowerconnectiontype,'program',$zposition)"/>
   </xsl:variable> 

   <tr>
   <td>
      <xsl:element name="label">
         <xsl:attribute name="for">
             <xsl:value-of select="$xid"/>
         </xsl:attribute>
          <xsl:attribute name="id">
            <xsl:value-of select="concat('LAB',$xid)"/>
         </xsl:attribute>
         <xsl:value-of select="$ztxtlabnetworkcicsprogram"/>
      </xsl:element>    
   </td> 
   <td align='left'>
   <xsl:element name = "input" > 
      <xsl:attribute name = "type" >text</xsl:attribute> 
      <xsl:attribute name = "name" >
         <xsl:value-of select="$xid"/>
      </xsl:attribute> 
      <xsl:attribute name = "id" >
          <xsl:value-of select="$xid"/>
      </xsl:attribute>  
      <xsl:attribute name = "size" >10</xsl:attribute> 
      <xsl:attribute name = "readonly" >readonly</xsl:attribute>  
      <xsl:attribute name = "maxlength" >8</xsl:attribute>
      <xsl:attribute name = "value"> 
         <xsl:value-of select = "normalize-space(.)" /> 
      </xsl:attribute> 
      <xsl:attribute name = "onBlur">return(fnIsAlphaNumericWord())</xsl:attribute>  
   </xsl:element>
   </td>
   </tr>  
</xsl:template>


<!-- ************************************************************** -->
<!--                                                                -->
<!--                                                                -->  
<!-- This is the template rule called                               --> 
<!--     xapplet                                                    --> 
<!-- which displays thze applet tag                                 -->
<!--                                                                -->
<!--                                                                -->
<!-- ************************************************************** -->   

<xsl:template name = "xapplet" >     
    
   <xsl:param name = "zformattedtimestamp" />
   <xsl:variable name="appletorobject">applet</xsl:variable>   <!-- @005 DO NOT CHANGE THIS CURRENTLY UZEH 20040719 -->

   <xsl:if test="$appletorobject='applet'"> 
      <applet code='com.ibm.doc.util.DocASFConfigPasswordApplet.class'
           codebase='.' 
           archive='./java/docclient.jar'
           name='configpasswordapplet' 
           width='0' 
           height='0'>
         <xsl:element name="param">     
           <xsl:attribute name="name">aformattedtimestamp</xsl:attribute>
           <xsl:attribute name="value">
               <xsl:value-of select= "$zformattedtimestamp"/> 
           </xsl:attribute>       
         </xsl:element>           
      </applet>
   </xsl:if>

   <!-- @005 Start Added for convenience -->   
   <!-- 
   <xsl:if test="$appletorobject='object'"> 

      <OBJECT classid='clsid:8AD9C840-044E-11D1-B3E9-00805F499D93'
          width='0' height='0' name='configpasswordapplet'
          codebase="http://java.sun.com/products/plugin/autodl/jinstall-1_4_1-windows-i586.cab#Version=1,4,1,0">
         <xsl:element name="param">
            <xsl:attribute name="name">name</xsl:attribute>
            <xsl:attribute name="value">configpasswordapplet</xsl:attribute>           
         </xsl:element>
         <xsl:element name="param">
            <xsl:attribute name="name">archive</xsl:attribute>
            <xsl:attribute name="value">./java/docclient.jar</xsl:attribute> 
         </xsl:element>
         <xsl:element name="param">
            <xsl:attribute name="name">code</xsl:attribute>
            <xsl:attribute name="value">com.ibm.doc.util.DocASFConfigPasswordApplet.class</xsl:attribute> 
         </xsl:element>
         <xsl:element name="param">
            <xsl:attribute name="name">codebase</xsl:attribute>
            <xsl:attribute name="value">.</xsl:attribute> 
         </xsl:element>
         <xsl:element name="param">
            <xsl:attribute name="name">scriptable</xsl:attribute>
            <xsl:attribute name="value">true</xsl:attribute> 
         </xsl:element>
         <xsl:element name="param">
             <xsl:attribute name="name">mayscript</xsl:attribute>
             <xsl:attribute name="value">true</xsl:attribute> 
         </xsl:element>
         <xsl:element name="param">
             <xsl:attribute name="name">aformattedtimestamp</xsl:attribute>
             <xsl:attribute name="value">
                <xsl:value-of select= "$xformattedtimestamp"/> 
             </xsl:attribute>  
        </xsl:element>

  
     </OBJECT>
  </xsl:if>

   -->
   <!-- @005 End Added for convenience -->   
 
   

 
</xsl:template>



</xsl:stylesheet> 
