<?xml version="1.0" encoding="UTF-8" ?>
<!-- 
**********************************************************************
*
*   Licensed Material - Property of IBM                               
*   5655-002                                                          
*                                                                     
*   (C) Copyright IBM Corp. 2003   All Rights Reserved                
*                                                                     
*   US Government Users Restricted Rights - Use, duplication or       
*   disclosure restricted by GSA ASP Schedule Contract with           
*   IBM Corp.                                                         
*
**********************************************************************
*                                                                 
* IBM Document Connect for ASF                                                 
*                                                                              
* Module Name : docnetworkconfigprocess.xsl                                                  
*                                                                              
* Description : This style sheet is used as the style sheet input 
*               to a XSLT Transformation executed in 
*               DocASFNetworkConfigProcessServlet which transforms the 
*               a u x i l i a r y  XML file DocNetworkConfigurationProcess.xml 
*               into a HTML form.                     
*               which allows to display, enter and update the additional 
*               network configuration (host) connections
*
* Author:       UZeh
*
* Change Activity:                                                             
*                                                                              
* Code  Release    Date       Person  Reason                                   
*                                                                              
* @000  V01R00B00  02/17/2003 UZeh    First Create                           
* @001  Deactive       02/17/2002 UZeh    Future CICSMQ Support     
* @002  V01R00B00  02/25/2003 UZeh    CICSMQ Support  
* @003  V01R00B00  03/04/2003 UZeh    Rename aaddxxxconnections to axxxaddconnections  
* @004  V01R00B00  03/10/2003 UZeh    link to cascading style sheet  docconfig.css
* @005  V01R00B03  05/06/2003 UZeh    Nickname without maxlength, size = 20
* @006  V01R00B00  07/24/2003 UZeh    Use normalize-space to remove leading / trailing blanks 
* @007  V001R00B0  07/31/2003 UZeh    docconfigcommon.js as additional javascript src file 
* @008  V01R01B00  10/22/2003 UZeh    Invoke Template with name=xapplet to display applet tag
* @009  V01R01B06  01/26/2004 UZeh    APAR PQ81758 / PTR3916 Change Password Node to UseriD Node (which also handles password input)
* @010  V01R01B06  03/10/2004 UZeh    APAR PQ84516 External parameter arelreftodocconfig
* @011  V01R01B06  03/12/2004 UZeh    APAR PQ84516 Number functions used , Empty Password rule 
* @012  V01R01B05  04/05/2004 UZeh    PTR4082
*                                     NLS Strings and Messages are made external parameters  
* @013  V01R01B06  07/05/2004 UZeh    APAR PQ90964 PTR4249  Max length hostnickname = 16 
* @014  V01R01B06  12/15/2004 UZeh    PQ98390 PTR4482  
*                                     - Factor out NLS string and message 
*                                       parameters to docconfigglobals.xsl  
*                                     - Add aosarchitecture, adc4asfversion parameters 
*                                     - Use xheadertable rule 
* @015  V01R01B06  02/01/2005 UZeh    PQ99886 PTR4555 Check nickname is Not reserved name
* @016  V01R01B06  02/23/2005 UZeh    PQ99886 xapplet Parameter zformattedtimestamp 
* @017  V01R01B06  04/22/2005 MMar    Linked css style replaced with docproduct.css
* @018  V01R01B06  05/24/2005 UZeh    PK06030 PTR4798 alastservletinittimestamp parameter added
* @019  V01R01B06  06/01/2005 UZeh    PK06587 PTR4839 For userid change onblur func to fnIsRacfUserid() 
* @020  V01R01B07  10/05/2005 MMar    PTR5135 style in  docnetworkconfigprocess.xsl - hardcoded background color in body element
* @021  V01R01B07  10/10/2005 UZeh    Parameter apathsarerelative added
* @022  1.2.2      2006-04-10 MMar    DPK22286 Encoding changed to UTF-8 
* @023  1.2.2      05/31/2006 UZeh    DPTR5666 Factor out common function (fxLabel,fxButton, fxCheckbox)
* @024  1.2.2      06/22/2006 UZeh    DPTR5700 fxCheckbox. New parameters xcbfnOnClick xcbfnOnKeyPress, 
*                                     encoding='utf-8'  in <xsl:output>   
* @025  1.2.3      10/12/2006 UZeh    DPTR5943 Parameter aosname added - Display OS architecure and name 
*
*     
*
-->

<xsl:stylesheet xmlns:xsl = "http://www.w3.org/1999/XSL/Transform" version = "1.0">  

<!--                                                                 -->
<!-- Arguments       provided from DocASFNetworkConfigProcessServlet -->
<!--                                                                 -->


<!--                        -->
<!-- Content Arguments      -->
<!--                        -->

<!-- apathsarerelative     paths are relative Y or N                   -->
<!-- adc4asfversion        Dc4asf Version                              -->
<!-- aosarchitecture       OS Architecture                             -->
<!-- aosname               OS Name                                     -->
<!-- aosarchitecture       OS Architecture                             -->
<!-- aosversion            OS Version                                  -->

<!-- aformattedtimestamp   Formatted timestamp                         -->
<!-- alastservletinittimestamp timestamp of last servlet init          -->

<!-- aimsaddconnections    Number of additional ims     connections    -->
<!-- aimsmqaddconnections  Number of additional imsmq   connections    -->
<!-- acicsaddconnections   Number of additional cics    connections    -->
<!-- acicsmqaddconnections Number of additional cicsmq  connections    -->



<xsl:param name="apathsarerelative"/> <!-- @021a --> 
<xsl:param name="adc4asfversion"/>    <!-- @014a -->
<xsl:param name="aosarchitecture"/>   <!-- @014a -->
<xsl:param name="aosname"/>           <!-- @025a -->
<xsl:param name="aosversion"/>        <!-- @025a -->
<xsl:param name="alangelement"/>      <!-- @012a -->

<xsl:param name="aformattedtimestamp"/>
<xsl:param name="alastservletinittimestamp"/>     <!-- @018a -->

<xsl:param name="aimsaddconnections"/>
<xsl:param name="aimsmqaddconnections"/>
<xsl:param name="acicsaddconnections"/>
<xsl:param name="acicsmqaddconnections"/>




<!-- ************************************************************** -->
<!--     Include Globals Stylesheet                                 --> 
<!-- ************************************************************** -->

<xsl:include href="docbase.xsl"/>
<xsl:include href="docconfigglobals.xsl"/>


<xsl:include href="docnetworkconfigcommon.xsl"/>


<!-- Output method is html -->

<xsl:output method='html' encoding='utf-8' doctype-public='-//W3C//DTD HTML 4.0//EN'/>


<!-- ************************************************************** -->
<!--                                                                -->
<!--                                                                -->  
<!-- Here the rules follow                                          --> 
<!--                                                                -->
<!-- ************************************************************** -->

<!--                                                                -->  
<!--  Root Node                                                     -->
<!--                                                                -->


<xsl:template match = "/" > 

    <xsl:element name = "html" >                        
        <xsl:attribute name = "lang">                     
          <xsl:value-of select= "$alangelement"/>        
        </xsl:attribute>                                  
        <xsl:apply-templates/>                            
     </xsl:element>

</xsl:template>   
 
<!--                                                                 -->  
<!--  DocNetworkConfiguration Node                                   -->
<!--                                                                 -->


<xsl:template match = "DocNetworkConfiguration"> 
   
   <head>
   
   <xsl:element name="meta">
        <xsl:attribute name="name">Copyright</xsl:attribute>
        <xsl:attribute name="content">(C) Copyright IBM Corporation 2003</xsl:attribute>
   </xsl:element>

   <!-- @022 -->
   <META http-equiv="Content-Type" content="text/html; charset=UTF-8"/>

   <!-- Link to cascading style sheet docconfig.css -->
   <!-- @017 -->
   <link rel="stylesheet" type="text/css" href="./css/docproduct.css"/> 

   <title>
   <xsl:value-of select= "$ztxtlabnetworkaddditionalconnectionstitle"/>
   
   </title>
 
   <!-- @008 call template xapplet -->

   <xsl:call-template name = "xapplet">    
      <xsl:with-param name   =  "zformattedtimestamp"
                  select =  "$aformattedtimestamp">
      </xsl:with-param>
   </xsl:call-template>
   <script language="javascript" src="./javascript/docnls.js"/>
   <script language="javascript" src="./javascript/docmsg.js"/>
   <script language='javascript' src='./javascript/docconfigcommon.js'/> 
   <script language='javascript'>
      <xsl:call-template name = "javascriptfunctions"/>    
   </script>
   </head>

   <!-- @020 Hardcoded color removed and class added -->
   <body class="configpage" onload="return fnOnloadConfig('docnetworkconfigprocess.xsl')">
   
   <form name='docnetworkconfigaddconnections' method='post'>   
   
   <!-- @014a Start -->    
   <!-- Display Header Table with image , title , version string ... -->

   <xsl:call-template name="xheadertable">
       <xsl:with-param name="yheadertitle">
          <xsl:value-of select="$ztxtlabnetworkaddditionalconnectionstitle"/>
       </xsl:with-param>       
       <xsl:with-param name="ydc4asfversion">
          <xsl:value-of select="$adc4asfversion"/>
       </xsl:with-param>
       <xsl:with-param name="ycopyright">
          <xsl:value-of select="$zcopyright"/>
       </xsl:with-param>
       <!-- @025a Start --> 
       <xsl:with-param name="yosarchitecture">
          <xsl:value-of select="$aosarchitecture"/>
       </xsl:with-param>
       <xsl:with-param name="yosname">
          <xsl:value-of select="$aosname"/>
       </xsl:with-param>
       <xsl:with-param name="yosversion">
          <xsl:value-of select="$aosversion"/>
       </xsl:with-param>
       <!-- @025a End --> 
   </xsl:call-template>

   <!-- @014a End -->      

   <xsl:if test="$aimsaddconnections = 0">
      <xsl:if test="$aimsmqaddconnections = 0">
         <xsl:if test="$acicsaddconnections = 0">
            <xsl:if test="$acicsmqaddconnections = 0"  >
               <p>DOC0544I  <xsl:value-of select="$zDOC0544I"/></p>
            </xsl:if>
         </xsl:if>
      </xsl:if>
   </xsl:if>  

   
   <table border='1'>
   <colgroup>
        <col width='35%'></col>                      
        <col width='65%'></col>        
   </colgroup>
   

    
   <!--                                                    -->      
   <!--  4 for-each loops follow                           -->
   <!--       A. IMS                                       --> 
   <!--       B. IMSMQ                                     -->
   <!--       C. CICS                                      -->
   <!--       D. CICSMQ @001                               -->  

   <!--                                                    -->
   <!--                                                    -->
   <!-- Loop A. IMS Start                                  -->  
   <!--                                                    -->
   <!--                                                    -->

   <!-- Subtitle and Column Headers                        -->

   <xsl:if test="number($aimsaddconnections) > 0">  

   <xsl:call-template name='columntitle'>
      <xsl:with-param name   =  "xtxtlabnetworkconfigurationsubtitle"
                      select = "$ztxtlabimsconnectionconfiguration">
      </xsl:with-param>
      <xsl:with-param name   =  "xtxtlabnetworkhostnickname"
                      select = "$ztxtlabnetworkhostnickname">
      </xsl:with-param> 
      <xsl:with-param name   =  "xtxtlabnetworkhostconnectiondata"
                      select = "$ztxtlabnetworkhostconnectiondata">
      </xsl:with-param>  
   </xsl:call-template>
   
   <!-- Host Connections for IMS                            -->  

   <xsl:for-each select = "//Host/Connection[@type='IMS']" >

      <!--                                 --> 
      <!-- Add IMS Connection Processing   -->
      <!--                                 --> 
  
      <xsl:call-template name="addconnectionprocessing">
         
         <xsl:with-param name = "wtxtlabnetworkconnectiontype" select="$ztxtlabnetworkconnectiontype" />         
         <xsl:with-param name = "wtxtlabnetworkconversational" select="$ztxtlabnetworkimsconversational" />  
         <xsl:with-param name = "count" select="number($aimsaddconnections)"/>
      </xsl:call-template>
 
   </xsl:for-each>

   </xsl:if>
   
   <!-- Loop A. IMS End                                 -->

   <!--                                                 -->  
   <!--                                                 -->
   <!-- Loop B. IMSMQ Start                             -->
   <!--                                                 -->
   <!--                                                 -->    

   <xsl:if test="number($aimsmqaddconnections) > 0">  

   <xsl:call-template name='columntitle'>
      <xsl:with-param name   =  "xtxtlabnetworkconfigurationsubtitle"
                      select = "$ztxtlabimsmqconnectionconfiguration">
      </xsl:with-param>
      <xsl:with-param name   =  "xtxtlabnetworkhostnickname"
                      select = "$ztxtlabnetworkhostnickname">
      </xsl:with-param> 
      <xsl:with-param name   =  "xtxtlabnetworkhostconnectiondata"
                      select = "$ztxtlabnetworkhostconnectiondata">
      </xsl:with-param>  
   </xsl:call-template>
   
   <!-- Host Connections for IMSMQ                           -->  

   <xsl:for-each select = "//Host/Connection[@type='IMSMQ']" >

      <!--                                   --> 
      <!-- Add IMSMQ Connection Processing   -->
      <!--                                   --> 
  
      <xsl:call-template name="addconnectionprocessing">
         
         <xsl:with-param name = "wtxtlabnetworkconnectiontype" select="$ztxtlabnetworkconnectiontype" />  
         <xsl:with-param name = "wtxtlabnetworkconversational" select="$ztxtlabnetworkimsmqconversational" />         
         <xsl:with-param name = "count" select="number($aimsmqaddconnections)"/>
      </xsl:call-template>
 
   </xsl:for-each>  

   </xsl:if>

   <!-- Loop B. IMSMQ End                               -->  

   <!--                                                 -->
   <!--                                                 -->
   <!-- Loop C. CICS  Start                             -->
   <!--                                                 -->
   <!--                                                 -->  

   <xsl:if test="number($acicsaddconnections) > 0">  
   
   <xsl:call-template name='columntitle'>
      <xsl:with-param name   =  "xtxtlabnetworkconfigurationsubtitle"
                      select = "$ztxtlabcicsconnectionconfiguration">
      </xsl:with-param>
      <xsl:with-param name   =  "xtxtlabnetworkhostnickname"
                      select = "$ztxtlabnetworkhostnickname">
      </xsl:with-param> 
      <xsl:with-param name   =  "xtxtlabnetworkhostconnectiondata"
                      select = "$ztxtlabnetworkhostconnectiondata">
      </xsl:with-param>  
   </xsl:call-template>
   
   <!-- Host Connections for CICS                           -->  

   <xsl:for-each select = "//Host/Connection[@type='CICS']" >

      <!--                                   --> 
      <!-- Add CICS Connection Processing    -->
      <!--                                   --> 
  
      <xsl:call-template name="addconnectionprocessing">
         <xsl:with-param name = "wtxtlabnetworkconnectiontype" select="$ztxtlabnetworkconnectiontype" />   
         <xsl:with-param name = "wtxtlabnetworkconversational" select="$ztxtlabnetworkimsmqconversational" />         
         <xsl:with-param name = "count" select="number($acicsaddconnections)"/>
      </xsl:call-template>
 
   </xsl:for-each>  

   </xsl:if>

   <!-- Loop C. CICS End                                -->  

   <!-- @001 Start                                      -->

  
   <!--                                                 -->
   <!--                                                 -->
   <!-- Loop D. CICSMQ  Start                           -->
   <!--                                                 -->
   <!--                                                 -->
  
<!-- @001 Start -->
   
   <xsl:if test="number($acicsmqaddconnections) > 0">  


   <xsl:call-template name='columntitle'>
      <xsl:with-param name   =  "xtxtlabnetworkconfigurationsubtitle"
                      select = "$ztxtlabcicsmqconnectionconfiguration">
      </xsl:with-param>
      <xsl:with-param name   =  "xtxtlabnetworkhostnickname"
                      select = "$ztxtlabnetworkhostnickname">
      </xsl:with-param> 
      <xsl:with-param name   =  "xtxtlabnetworkhostconnectiondata"
                      select = "$ztxtlabnetworkhostconnectiondata">
      </xsl:with-param>  
   </xsl:call-template>

<!--    @001 End -->
   
   <!-- Host Connections for CICSMQ                          -->  

<!-- @001 Start -->

   <xsl:for-each select = "//Host/Connection[@type='CICSMQ']" >

<!-- @001 End -->

      <!--                                   --> 
      <!-- Add CICSMQ Connection Processing  -->
      <!--                                   --> 

<!-- @001 Start --> 

      <xsl:call-template name="addconnectionprocessing">
         <xsl:with-param name = "wtxtlabnetworkconnectiontype" select="$ztxtlabnetworkconnectiontype" />   
         <xsl:with-param name = "wtxtlabnetworkconversational" select="$ztxtlabnetworkimsmqconversational" />         
         <xsl:with-param name = "count" select="number($acicsmqaddconnections)"/>
      </xsl:call-template>
 
   </xsl:for-each>  
 
   
   </xsl:if>  


<!--    @001 End -->

   <!-- Loop D. CICSMQ End                              --> 

   <!-- @001 End                                        -->

   </table> 

   <!--                                                 -->   
   <!-- The following  fields are hidden                -->
   <!--                                                 --> 
   
   <!-- NUMBER OF ADDITIONAL  IMS HOST CONNECTIONS                  -->    
   
   <xsl:element name = "input" > 
         <xsl:attribute name = "type" >hidden</xsl:attribute> 
         <xsl:attribute name = "name" >imsaddconnections</xsl:attribute> 
         <xsl:attribute name = "id" >imsaddco</xsl:attribute> 
         <xsl:attribute name = "size" >10</xsl:attribute> 
         <xsl:attribute name = "value"> 
            <xsl:value-of select="$aimsaddconnections"/>
         </xsl:attribute> 
         <xsl:attribute name = "readonly" >readonly</xsl:attribute>  
   </xsl:element>   
   
   <!-- NUMBER OF ADDITIONAL IMSMQ HOST CONNECTIONS                 -->   
   
   <xsl:element name = "input" > 
         <xsl:attribute name = "type" >hidden</xsl:attribute> 
         <xsl:attribute name = "name" >imsmqaddconnections</xsl:attribute> 
         <xsl:attribute name = "id" >imsmqaddco</xsl:attribute> 
         <xsl:attribute name = "size" >10</xsl:attribute> 
         <xsl:attribute name = "value"> 
            <xsl:value-of select="$aimsmqaddconnections"/>
         </xsl:attribute> 
         <xsl:attribute name = "readonly" >readonly</xsl:attribute>    
   </xsl:element>   
   
   <!-- NUMBER OF ADDTIONAL CICS HOST CONNECTIONS                 -->
   
   <xsl:element name = "input" > 
         <xsl:attribute name = "type" >hidden</xsl:attribute> 
         <xsl:attribute name = "name" >cicsaddconnections</xsl:attribute>   
         <xsl:attribute name = "id" >cicsaddco</xsl:attribute>      
         <xsl:attribute name = "size" >10</xsl:attribute> 
         <xsl:attribute name = "value"> 
            <xsl:value-of select="$acicsaddconnections"/>
         </xsl:attribute>
         <xsl:attribute name = "readonly" >readonly</xsl:attribute>    
   </xsl:element>   

   


   <!-- NUMBER OF ADDITIONAL CICSMQ HOST CONNECTIONS                 -->

    <!-- @001 deactive -->
  
   <xsl:element name = "input" > 
         <xsl:attribute name = "type" >hidden</xsl:attribute> 
         <xsl:attribute name = "name" >cicsmqaddconnections</xsl:attribute>   
         <xsl:attribute name = "id" >cicsmqaddco</xsl:attribute>      
         <xsl:attribute name = "size" >10</xsl:attribute> 
         <xsl:attribute name = "value"> 
            <xsl:value-of select="$acicsmqaddconnections"/>
         </xsl:attribute>
         <xsl:attribute name = "readonly" >readonly</xsl:attribute>    
   </xsl:element>   

      

   <!--                                                       -->
   <!-- Display button table                                  -->
   <!--                                                       -->   


 
   <xsl:call-template name = "xbuttontable"> 
      
        <xsl:with-param name = "acaller">docnetworkconfigprocess.xsl</xsl:with-param> 
        
   </xsl:call-template> 
   

   </form>
   </body>
  
</xsl:template>   


<!--                                                                 -->  
<!--  Password Node  ( Empty rule )                                  -->
<!--                                                                 -->


<xsl:template match = "Password"/>

<!--                                                                 -->  
<!--  UserId  Node                                                   -->
<!--                                                                 -->

<!-- Note: This node handles also the password input                 -->


<xsl:template match = "UserId">

  
   <!-- Use Parameter Name zposition and zlowerconnectiontype -->

   <xsl:param name = "zposition" />
   <xsl:param name = "zlowerconnectiontype" />    
 
   <xsl:variable name="xid">
       <xsl:value-of select="concat($zlowerconnectiontype,'userid',$zposition)"/>
   </xsl:variable>
   <xsl:variable name="xnewpwid">
      <xsl:value-of select="concat($zlowerconnectiontype,'newpassword',$zposition)"/>
   </xsl:variable>
   <xsl:variable name="xcfnewpwid">
      <xsl:value-of select="concat($zlowerconnectiontype,'confirmnewpassword',$zposition)"/>
   </xsl:variable>

   <!-- Entry field for UserId -->
   <tr>   
   <td>   
     <xsl:call-template name="fxLabel"> 
          <xsl:with-param name="xlblid"><xsl:value-of select="concat('LAB',$xid)"/></xsl:with-param>      
          <xsl:with-param name="xlblfo"><xsl:value-of select="$xid"/></xsl:with-param>         
          <xsl:with-param name="xlblva"><xsl:value-of select="$ztxtlabnetworkhostuserid"/></xsl:with-param>
      </xsl:call-template>      
   </td> 
   <td align='left'>
      <xsl:call-template name="fxInput">
          <xsl:with-param name="xipfid"><xsl:value-of select="$xid"/></xsl:with-param>
          <xsl:with-param name="xipfnm"><xsl:value-of select="$xid"/></xsl:with-param>
          <xsl:with-param name="xipfro">N</xsl:with-param>
          <xsl:with-param name="xipfsz">10</xsl:with-param>
          <xsl:with-param name="xipfmx">7</xsl:with-param>
          <xsl:with-param name="xipfva"><xsl:value-of select = "normalize-space(.)"/></xsl:with-param>
          <xsl:with-param name="xipfnOnBlur">return(fnIsRacfUserid())</xsl:with-param> 
      </xsl:call-template>  
   </td>  
   </tr>  

   <!-- Entry field for new password -->
   <tr>
   <td>   
      <xsl:call-template name="fxLabel">
          <xsl:with-param name="xlblid"><xsl:value-of select="concat('LAB',$xnewpwid)"/></xsl:with-param>    
          <xsl:with-param name="xlblfo"><xsl:value-of select="$xnewpwid"/></xsl:with-param>          
          <xsl:with-param name="xlblva"><xsl:value-of select="$ztxtlabnetworkhostpasswordnew"/></xsl:with-param>
      </xsl:call-template>       
   </td> 
   <td align='left'>
    
     <xsl:call-template name = "fxPassword"> 

  
       <xsl:with-param name = "xipfid"><xsl:value-of select="$xnewpwid"/></xsl:with-param>
       <xsl:with-param name = "xipfnm"><xsl:value-of select="$xnewpwid"/></xsl:with-param>  
       <xsl:with-param name = "xipfro">N</xsl:with-param>              
       <xsl:with-param name = "xipfsz">10</xsl:with-param>
       <xsl:with-param name = "xipfmx">8</xsl:with-param> 
       <xsl:with-param name = "xipfva"></xsl:with-param>
       <xsl:with-param name = "xipfnOnBlur">return(fnIsPassword())</xsl:with-param>

    </xsl:call-template>     
   
       
   
   </td>  
   </tr>

   <!-- Entry field for new password confirmed -->     
   <tr>
   <td>   
      <xsl:call-template name="fxLabel">
          <xsl:with-param name="xlblid"><xsl:value-of select="concat('LAB',$xcfnewpwid)"/></xsl:with-param>
          <xsl:with-param name="xlblfo"><xsl:value-of select="$xcfnewpwid"/></xsl:with-param>          
          <xsl:with-param name="xlblva"><xsl:value-of select="$ztxtlabnetworkhostpasswordconfirmnew"/></xsl:with-param>
      </xsl:call-template>   
   </td> 
   <td align='left'> 
   <xsl:call-template name = "fxPassword"> 

  
       <xsl:with-param name = "xipfid"><xsl:value-of select="$xcfnewpwid"/></xsl:with-param>
       <xsl:with-param name = "xipfnm"><xsl:value-of select="$xcfnewpwid"/></xsl:with-param>  
       <xsl:with-param name = "xipfro">N</xsl:with-param>              
       <xsl:with-param name = "xipfsz">10</xsl:with-param>
       <xsl:with-param name = "xipfmx">8</xsl:with-param> 
       <xsl:with-param name = "xipfva"></xsl:with-param>
       <xsl:with-param name = "xipfnOnBlur">return(fnIsPassword())</xsl:with-param>

    </xsl:call-template>     
    
 
   </td>  
 

   </tr>  
</xsl:template>




<!-- ************************************************************** -->
<!--                                                                -->
<!--                                                                -->  
<!-- This is the template rule called                               --> 
<!--     addconnectionprocessing                                    --> 
<!-- which does the connection processing                           -->
<!-- for a connection type                                          -->
<!--                                                                -->
<!--                                                                -->
<!-- ************************************************************** -->

<xsl:template name="addconnectionprocessing">

   <xsl:param name = "wtxtlabnetworkconnectiontype"/>
   <xsl:param name = "wtxtlabnetworkconversational"/>
   <xsl:param name="count"/>

   <xsl:if test="$count != 0">
   
      <xsl:variable name="xnickname">
         <xsl:value-of select = "../@nickname"/> 
      </xsl:variable>
   
      <xsl:variable name="xposition">
         <xsl:value-of select = "position()"/> 
      </xsl:variable>

      <xsl:variable name="xconnectiontype">
         <xsl:value-of select = "@type"/> 
      </xsl:variable>






      <xsl:variable name="xlowerconnectiontype">            
         <xsl:call-template name = "lowercase-string">    
            <xsl:with-param name = "xstring" select="$xconnectiontype"></xsl:with-param>     
         </xsl:call-template>
      </xsl:variable>
   
      <tr>
   
 
      <td align='center'>
         <xsl:call-template name="fxInput">
            <xsl:with-param name="xipfid">hostnickname</xsl:with-param>
            <xsl:with-param name="xipfnm"><xsl:value-of select="concat($xlowerconnectiontype,'hostnickname',$count)"/></xsl:with-param>
            <xsl:with-param name="xipfro">N</xsl:with-param>
            <xsl:with-param name="xipfsz">20</xsl:with-param>
            <xsl:with-param name="xipfmx">16</xsl:with-param>
            <xsl:with-param name="xipfva"><xsl:value-of select="$xnickname"/></xsl:with-param>
            <xsl:with-param name="xipfnOnBlur">return(fnIsAlphaNumericWord() &amp;&amp; fnIsNicknameNotReservedName())</xsl:with-param> 
         </xsl:call-template>   

          
      </td> 
  
   
      <td>  
      <table border='1'>
         <colgroup>
            <col width="60%"></col>
            <col width="40%"></col>        
         </colgroup>        
         <tr>      
         <td>
         <xsl:value-of select="$wtxtlabnetworkconnectiontype"/>       
         </td>
         <td align='left'>   
         <xsl:value-of select = "$xconnectiontype"/>       
         </td>   
         </tr>
             
         

         <xsl:if test="$xconnectiontype='IMS'"> 
            <xsl:variable name="xconversationaltype">
               <xsl:value-of select = "@conversational"/> 
            </xsl:variable>
         
            <tr>             
            <td>
            <xsl:value-of select="$wtxtlabnetworkconversational"/>     
            </td>  
            <td align='left'>    
           
            <xsl:call-template name = "fxCheckbox">
               <xsl:with-param name = "xcbfid"><xsl:value-of select="concat($xlowerconnectiontype,'conversational',$xposition)"/></xsl:with-param>    
               <xsl:with-param name = "xcbfnm"><xsl:value-of select="concat($xlowerconnectiontype,'conversational',$xposition)"/></xsl:with-param>      
               <xsl:with-param name = "xcbfcc"><xsl:value-of select="$xconversationaltype"/></xsl:with-param>    
               <xsl:with-param name = "xcbfdc">N</xsl:with-param> 
               <xsl:with-param name = "xcbfnOnKeyPress"></xsl:with-param>
               <xsl:with-param name = "xcbfnOnClick"></xsl:with-param>
            </xsl:call-template>
            
            </td>         
            </tr>
         </xsl:if>

         <xsl:if test="$xconnectiontype='IMSMQ'"> 
            <xsl:variable name="xconversationaltype">
               <xsl:value-of select = "@conversational"/> 
            </xsl:variable>
         
            <tr>
            <td>
            <xsl:value-of select="$wtxtlabnetworkconversational"/>     
            </td>  
            <td align='left'>    
               <xsl:call-template name = "fxCheckbox">
                  <xsl:with-param name = "xcbfid"><xsl:value-of select="concat($xlowerconnectiontype,'conversational',$xposition)"/></xsl:with-param>    
                  <xsl:with-param name = "xcbfnm"><xsl:value-of select="concat($xlowerconnectiontype,'conversational',$xposition)"/></xsl:with-param>      
                  <xsl:with-param name = "xcbfcc"><xsl:value-of select="$xconversationaltype"/></xsl:with-param>    
                  <xsl:with-param name = "xcbfdc">N</xsl:with-param> 
                  <xsl:with-param name = "xcbfnOnKeyPress"></xsl:with-param>
                  <xsl:with-param name = "xcbfnOnClick"></xsl:with-param>
               </xsl:call-template> 
            </td>         
            </tr>
         </xsl:if>

             
        

         <!--                                                               -->
         <!--  Apply templates and pass zposition and zlowerconnectiontype  -->
         <!--                                                               -->
  
         <xsl:apply-templates>
            <xsl:with-param name = "zposition">
               <xsl:value-of select="$count"/>
            </xsl:with-param>
            <xsl:with-param name = "zlowerconnectiontype">
               <xsl:value-of select="$xlowerconnectiontype"/>
            </xsl:with-param>
         </xsl:apply-templates>   
      </table>
      </td>

      </tr>

      <xsl:call-template name="addconnectionprocessing">

         <xsl:with-param name = "wtxtlabnetworkconnectiontype" select="$wtxtlabnetworkconnectiontype" />
         <xsl:with-param name = "count" select="$count - 1"/>

      </xsl:call-template>


   </xsl:if>

     
</xsl:template>




<!-- ************************************************************** -->
<!--                                                                -->
<!--                                                                -->  
<!-- This is the template rule called                               --> 
<!--     lowercase-string                                           --> 
<!-- which does the translation to lowercase                        -->
<!--                                                                -->
<!--                                                                -->
<!-- ************************************************************** -->

<xsl:template name = "lowercase-string" >     
    
   <xsl:param name = "xstring"/>         
   <xsl:value-of select="translate($xstring,'ABCDEFGHIJKLMNOPQRSTUVWXYZ','abcdefghijklmnopqrstuvwxyz')"/>
        
</xsl:template> 




<!-- ************************************************************** -->
<!--                                                                -->
<!--                                                                -->  
<!-- This is the template rule called                               --> 
<!--     uppercase-string                                           --> 
<!-- which does the translation to uppercase                        -->
<!--                                                                -->
<!--                                                                -->
<!-- ************************************************************** -->

<xsl:template name = "uppercase-string" >     
    
   <xsl:param name = "xstring"/>         
   <xsl:value-of select="translate($xstring,'abcdefghijklmnopqrstuvwxyz','ABCDEFGHIJKLMNOPQRSTUVWXYZ')"/>
        
</xsl:template> 


<!-- ************************************************************** -->
<!--                                                                -->
<!--                                                                -->  
<!-- This is the template rule called                               --> 
<!--     columntitle                                                --> 
<!-- which provides the column titles for the connection columns    -->
<!--                                                                -->
<!--                                                                -->
<!-- ************************************************************** -->

<xsl:template name = "columntitle" > 
  
   <xsl:param name = "xtxtlabnetworkconfigurationsubtitle"/>
   <xsl:param name = "xtxtlabnetworkhostnickname"/>
   <xsl:param name = "xtxtlabnetworkhostconnectiondata"/>  
   
   <tr>
   <th colspan='2'>
      <xsl:value-of select="$xtxtlabnetworkconfigurationsubtitle"/>  
   </th>   
   </tr>
   <tr> 
   <td align='center'>

   <xsl:call-template name="fxLabel">    
          <xsl:with-param name="xlblid">LABhostnickname</xsl:with-param>
          <xsl:with-param name="xlblfo"/>
          <xsl:with-param name="xlblva"><xsl:value-of select="$xtxtlabnetworkhostnickname"/></xsl:with-param>
   </xsl:call-template>    

   
   </td>   
   <td align='center'><xsl:value-of select="$xtxtlabnetworkhostconnectiondata"/></td> 
   </tr>   
        
</xsl:template> 




<!-- ************************************************************** -->



</xsl:stylesheet> 
