<?xml version="1.0" encoding="UTF-8"?>
<!--
*
**********************************************************************    
*  
*   Licensed Material - Property of IBM                               
*   5655-002                                                          
*                                                                     
*   (C) Copyright IBM Corp. 2003   All Rights Reserved                
*                                                                     
*   US Government Users Restricted Rights - Use, duplication or       
*   disclosure restricted by GSA ASP Schedule Contract with           
*   IBM Corp.    
*
**********************************************************************
*
*
* 	docprop.xsl
*
* 	Purpose: Convert the ASF properties XML datastream to displayable HTML
*
* Change Activity:
*
* Code  Release   Date       Person  Reason
*
* @001  V00R01B00 03/23/2002 anjan   Initial Release
* @01=            05/28/2002 GOT     PTR1071 Properties Encoding
* @02             05/12/2005 MMar    PTR4785 Properties Fonts too big
* @03   V00R01B07 10/11/2005 MMar    PTR5162
* @04   1.2.2			2006-03-09 MMar    PTR5413 Replace applet with javascript
* @05   1.2.2     2006-04-10 MMar    DPK22286 Encoding changed to UTF-8 
* 
-->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <!-- @05a -->
  <!--	<xsl:output encoding="ISO-8859-1" indent="yes" omit-xml-declaration="yes" cdata-section-elements="name type subject" method="text/html"/> -->
	<xsl:output encoding="UTF-8" indent="yes" omit-xml-declaration="yes" cdata-section-elements="name type subject"/>
	<!-- Ouput the surrounding HTML -->
	<xsl:template match="/">
		<html>
			<head>
        <!-- @05b -->
        <META http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
			  <script language="JScript" src="./javascript/docqpreview.js"/>
				<script language="JScript" src="./javascript/docproperties.js"/>
				<!-- @05c -->
				<script language="JScript" src="./javascript/docjsgbl.js"/>
				<!-- @04 Added link to javascript code, originally from applet-->
				<script language="JScript" src="./javascript/dochttp.js"/>
				<!-- @2 -->
				<link rel="stylesheet" type="text/css" href="./css/docproduct.css"/>
				<!--
				<style type="text/css">
					body				{font-family:"Arial"; font-size:10pt; background:#C0C0C0;}
					div.1				{background:white;border-color= Gray; border-style=double;  border-width=thin;}
					div.2				{background:#C0C0C0; }
					button.OK			{font-family:"Arial"; font-size:10pt; padding-left:10px;padding-right:10px;}
					button.Help		{font-family:"Arial"; font-size:10pt; padding-left:10px;padding-right:10px;}
					table				{font-family:"Arial"; font-size:10pt}
					td.fontBoldBlack	{font-weight:bold; color:black; cursor:default;}
					td.fontItalicBlack	{font-style:italic; color:black; cursor:default;}
					td.fontBlack		{color:black; cursor:default;}
					td.fontBoldBlue		{font-weight:bold; color:blue; cursor:hand;}
					td.fontItalicBlue		{font-style:italic; color:blue; cursor:hand;}
					td.fontBlue		{color:blue; cursor:hand;}
					td.line			{border-color= black; border-bottom-style=solid;  border-bottom-width:1px;}
				</style>
				-->
				<!-- @2 -->
				<title>
					<xsl:value-of select="//Hdli"/>
				</title>
			</head>
			<body class="properties" id="body" onkeydown="fnKeyEvent();">
			<xsl:attribute name="Lang"><xsl:value-of select="//OLi/@lang"/></xsl:attribute>
			<xsl:attribute name="onload"><xsl:text>fnOrganizePropertiesWindow(
			</xsl:text><xsl:value-of select=".//ProI /@mxnl"/><xsl:text>,
			</xsl:text><xsl:value-of select=".//ProI /@mxvl"/><xsl:text>,
			</xsl:text><xsl:value-of select=".//ProI /@lnct"/><xsl:text>,
			g_GroupCount+1);
			</xsl:text>fnOnloadLocal();</xsl:attribute>
				<xsl:attribute name="onContextMenu"><xsl:text>return false;</xsl:text></xsl:attribute>
				<xsl:attribute name="onselectstart"><xsl:text>fnIgnoreEvent()</xsl:text></xsl:attribute>
				<xsl:attribute name="onhelp"><xsl:text>fnIgnoreEvent()</xsl:text></xsl:attribute>
				<xsl:attribute name="onkeydown"><xsl:text>fnIgnoreEvent()</xsl:text></xsl:attribute>
				<xsl:attribute name="onunload">fnOnUnloadLocal();<xsl:text></xsl:text></xsl:attribute>
				<form name="PropertiesForm" class="propertiesForm">
					<div class="properties1">
						<!--<table>-->
							<xsl:for-each select="//Grp">
								<table class="properties">
									<tr>
										<td width="0.5em"/>
										<td>
										<xsl:choose>										
										<xsl:when test="position()!= last()">
										<xsl:attribute name="class">line</xsl:attribute>									
										<script>
											g_GroupCount = <xsl:value-of select="position()"/>
										</script>
	                                             </xsl:when>
										</xsl:choose>
											<table border="0">
												<xsl:apply-templates/>
											</table>
											<tr>&#160;</tr>
										</td>
										<td width="0.5em"/>
									</tr>
								</table>
							</xsl:for-each>
						<!--</table>-->
					</div>
					<div class="properties2">
						<!--
						<table class="properties" align="center">
							<tr>
								<td>
									<button class="OK"  onclick="window.close();" id="pb-1">OK</button>
								</td>
								<td></td>
								<td>
									<button class="Help" onclick="fnHandleClickEvent('default');" id="pb-2">Help</button>
								</td>
							</tr>
						</table>
						-->
						<button class="OK"  onclick="window.close();" id="pb-1">OK</button>&#160;
						<button class="Help" onclick="fnHandleClickEvent('default');" id="pb-2">Help</button>
					</div>
				</form>
			</body>
		</html>
	</xsl:template>
	<xsl:template match="Row ">
		<xsl:apply-templates/>
	</xsl:template>
	<xsl:template match="Titl">
		<tr>
			<td class="fontItalicBlack">
			      <xsl:attribute name="onclick">
                                   <xsl:text>fnHandleClickEvent('</xsl:text>
			          <xsl:value-of select="@href"/>
			          <xsl:text>');</xsl:text>
			      </xsl:attribute>
			      <xsl:if test="@href!=''">
			          <xsl:attribute name="name">title</xsl:attribute>
			      </xsl:if>
			      &#160;<xsl:value-of select="."/>
			</td>
		</tr>
	</xsl:template>
	<xsl:template match="Com">
		<tr>
			<td class="fontBlack">
			      <xsl:attribute name="onclick">
			          <xsl:text>fnHandleClickEvent('</xsl:text>
			          <xsl:value-of select="@href"/>
			          <xsl:text>');</xsl:text>
			      </xsl:attribute>
			      <xsl:if test="@href!=''">
			          <xsl:attribute name="name">comment</xsl:attribute>
			      </xsl:if>
			      &#160;<xsl:value-of select="."/>
			</td>
		</tr>
	</xsl:template>
	<xsl:template match="Name">
		<tr>
			<td>
				<table id="el-1">
					<tr>
						<td class="fontBoldBlack">
							<xsl:attribute name="valign">top</xsl:attribute>					
							<xsl:attribute name="id">lt-<xsl:value-of select="../../@id"/>-<xsl:value-of select="../@id"/></xsl:attribute>
							<xsl:attribute name="onclick">
								<xsl:text>fnHandleClickEvent('</xsl:text>
								<xsl:value-of select="@href"/>
								<xsl:if test="@type!= ''">type<xsl:value-of select="@type"/></xsl:if>
			                         		<xsl:text>');</xsl:text>
							</xsl:attribute>
							<xsl:if test="@href!=''">
			          				<xsl:attribute name="name">entry</xsl:attribute>
			      				</xsl:if>
							<xsl:value-of select="."/>
							<xsl:if test="@href= '4084'">
								<BulletList name="bulletlist" id="bulletlist">
									<xsl:attribute name="name">lt-<xsl:value-of select="../../@id"/>-<xsl:value-of select="../@id"/></xsl:attribute>
								</BulletList>
							</xsl:if>	
							<xsl:if test="@href= '4078'">
								<BulletList name="bulletlist" id="bulletlist">
									<xsl:attribute name="name">lt-<xsl:value-of select="../../@id"/>-<xsl:value-of select="../@id"/></xsl:attribute>
								</BulletList>
							</xsl:if>								
						</td>
						<td id="ft-0" width="30px"/>
						<td class="fontBlack">
							<xsl:attribute name="valign">top</xsl:attribute>
							<xsl:attribute name="id">rt-<xsl:value-of select="../../@id"/>-<xsl:value-of select="../@id"/></xsl:attribute>
							<xsl:attribute name="onclick">
								<xsl:text>fnHandleClickEvent('</xsl:text>
								<xsl:value-of select="../Val/@href"/>
								<xsl:text>');</xsl:text>
							</xsl:attribute>
							<xsl:if test="../Val/@href!=''">
			          				<xsl:attribute name="name">value</xsl:attribute>
			      				</xsl:if>
							<xsl:value-of select="../Val"/>
						</td>
					</tr>
				</table>
			</td>
		</tr>
	</xsl:template>
	<xsl:template match="Val"/>
</xsl:stylesheet>
