<?xml version="1.0" encoding="UTF-8"?>
<!-- 
*
**********************************************************************    
*  
*   Licensed Material - Property of IBM                               
*   5655-002                                                          
*                                                                     
*   (C) Copyright IBM Corp. 2003   All Rights Reserved                
*                                                                     
*   US Government Users Restricted Rights - Use, duplication or       
*   disclosure restricted by GSA ASP Schedule Contract with           
*   IBM Corp.    
*
**********************************************************************
*
*
* 	docsres.xsl
*
* 	Purpose: Convert the ASF SP list XML datastream to displayable HTML
*
* Change Activity:                                                             
*                                                                              
* Code	Release		Date				Person	Reason                                   
*                                                                              
* @001	V01R01B06	11/15/2004	UZeh	APAR PQ97179 PTR4452 
*																    g_countitemsfound, g_maxitemstodisplay added  
*																    Script libraries added  
* @02	   1.1.6     01/11/2005	GOT		PQ99305, PTR4285 remove custom files from war
* @003   V01R01B06 04/13/2005	MMar	Replaced linked css stylesheet docasfsearchresult.css with new stylesheets
*                                                                       ./css/docproduct.css and ./css/docproduct.css
* @004   V01R01B07 08/16/2005 MMar  doccustom.css is now in custom directory
* @008   1.2.2     04/10/2006 MMar  DPK22286 Encoding changed to UTF-8 
*
*
-->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <!-- @008 -->
	<xsl:output encoding="UTF-8" indent="yes" omit-xml-declaration="yes" cdata-section-elements="name type subject" method="html"/>
	<!-- Ouput the surrounding HTML -->
	<xsl:template match="/">
		<html>
			<head>
				<!-- @003 -->
				<!--<link rel="StyleSheet" type="text/css" href="./css/docasfsearchresult.css"/>-->
				<link rel="StyleSheet" type="text/css" href="./css/docproduct.css"/>
				<link rel="StyleSheet" type="text/css" href="./custom/doccustom.css"/>
				<SCRIPT language="javascript" src="./javascript/docnls.js"/>
				<script language="javascript" src="./javascript/docmsg.js"/>
				<!-- @001a  -->
				<script language="javascript" src="./custom/doccustomer.js"/>
				<script language="javascript" src="./javascript/docasfsearchresult.js"/>
				<script>document.title=window.dialogArguments.dc4asfFrame.main.g_srdbNlsObj.Title;</script>
				<script language="javascript">
					function fnOnloadLocal()
					{window.focus();}
					function fnKeyEventForError()
					{ switch (event.keyCode)
 					  {case 13:  
 					    case 27:  
                                              window.close();
                                              break; 
                                        default:
                                              fnIgnoreEvent();
                                              break;}	}
				</script>
<!--
				<style type="text/css">
                         tr.noresult   {color:red; padding-left:15px;padding-top:70px;} 
                   </style>
-->
			</head>
			<body id="body" class="searchresultpage" onunload="window.dialogArguments.dc4asfFrame.main.fnActivateMainByClick(); window.dialogArguments.dc4asfFrame.main.g_SearchResultTransData=null; window.dialogArguments.dc4asfFrame.main.g_SearchResultWindow=null; window.dialogArguments.dc4asfFrame.main.unloadfunction= null;" onresize="event.cancelBubble=true;event.returnValue=false;">
				<xsl:attribute name="Lang"><xsl:value-of select="//OLi/@lang"/></xsl:attribute>
				<xsl:choose>
					<xsl:when test="//EnLi[@cnt='0']">
						<xsl:attribute name="onload">fnOnloadLocal();fnSetNLSMessages();</xsl:attribute>
						<xsl:attribute name="onkeydown">fnKeyEventForError();</xsl:attribute>
					</xsl:when>
					<xsl:otherwise>
						<xsl:attribute name="onload">fnOnloadLocal();fnInit();fnSetHelpRootDirectory();</xsl:attribute>
					</xsl:otherwise>
				</xsl:choose>
				<script language="javascript">   
			g_languageid="<xsl:value-of select="/OLi/@lang"/>".toLowerCase();
                        g_maxitemstodisplay="<xsl:value-of select="//EnLi/@fmx"/>";                                 
                        g_countitemsfound="<xsl:value-of select="//EnLi/@cnt"/>"; 
                </script>
				<div id="SPSelectionTableTitle" class="SPSelectionTableTitle">
					<table id="SPListTitle" class="SPList" border="0" cellspacing="0" cellpadding="0">
						<!-- table title -->
						<tr class="SPListTitle">
							<td width="6">&#160;</td>
							<td width="161" valign="middle" nowrap="">
								<b id="SearchWindowBuildingBlock"/>
							</td>
							<!--	<td width="315" valign="middle" nowrap="">  -->
							<td valign="middle" nowrap="">
								<b id="SearchWindowSubject"/>
							</td>
						</tr>
					</table>
				</div>
				<!-- process the entrylist -->
				<div id="sb0" class="SPSelectionTable">
					<table id="SPList" class="SPList" border="0" cellspacing="0" cellpadding="0">
						<xsl:if test="//EnLi[@cnt='0']">
							<tr class="noresult">
								<td>
									<img src="./images/docinfohint.gif"/>
								</td>
								<td id="error"/>
							</tr>
						</xsl:if>
						<xsl:for-each select="//ReEn">
							<tr tabindex="0" class="trborder">
								<xsl:attribute name="id">tr-<xsl:value-of select="position()"/></xsl:attribute>
								<xsl:attribute name="selected"><xsl:value-of select="0"/></xsl:attribute>
								<xsl:attribute name="name"><xsl:value-of disable-output-escaping="yes" select="Name"/></xsl:attribute>
								<xsl:attribute name="type"><xsl:value-of disable-output-escaping="yes" select="Type"/></xsl:attribute>
								<xsl:attribute name="subject"><xsl:value-of disable-output-escaping="yes" select="Subj"/></xsl:attribute>
								<td class="tdbordernone">
									<xsl:attribute name="id">td-1-<xsl:value-of select="position()"/></xsl:attribute>
								&#160;
								</td>
								<td width="160" valign="middle" nowrap="" class="tdbordernone">
									<xsl:attribute name="id">td-2-<xsl:value-of select="position()"/></xsl:attribute>
									<xsl:attribute name="version"><xsl:value-of disable-output-escaping="yes" select="Vers"/></xsl:attribute>
									<xsl:value-of disable-output-escaping="yes" select="Name"/>
								</td>
								<!--		<td width="300" valign="middle"  nowrap="" class="tdbordernone"> -->
								<td valign="middle" nowrap="" class="tdbordernone">
									<xsl:attribute name="id">td-3-<xsl:value-of select="position()"/></xsl:attribute>
									<xsl:value-of disable-output-escaping="yes" select="Subj"/>&#160;
								</td>
							</tr>
							<script>
					g_MaxRowNumber = <xsl:value-of select="position()"/>
							</script>
						</xsl:for-each>
					</table>
				</div>
				<!-- Button bar -->
				<div id="sb1" class="ButtonBar" align="left">
					<table align="left">
						<tr class="SPListTitle">
							<td colspan="11" id="SearchResultInfoMessage"/>
						</tr>
						<tr>
							<td>
								<button id="bt-1" type="submit" name="Okup">
									<xsl:choose>
										<xsl:when test="//EnLi[@cnt='0']">
											<xsl:attribute name="disabled">true</xsl:attribute>
										</xsl:when>
										<xsl:otherwise>
											<xsl:attribute name="tabindex">1</xsl:attribute>
										</xsl:otherwise>
									</xsl:choose>	
							OK &#8593;
							</button>
							</td>
							<td/>
							<td>
								<button id="bt-2" name="Okdown">
									<xsl:choose>
										<xsl:when test="//EnLi[@cnt='0']">
											<xsl:attribute name="disabled">true</xsl:attribute>
										</xsl:when>
									</xsl:choose>									
									OK &#8595;
								</button>
							</td>
							<td/>
							<td>
								<button id="bt-3" name="view">
									<xsl:choose>
										<xsl:when test="//EnLi[@cnt='0']">
											<xsl:attribute name="disabled">true</xsl:attribute>
										</xsl:when>
									</xsl:choose>																	
								Ansicht
								</button>
							</td>
							<td/>
							<td>
								<button id="bt-4" name="properties">
									<xsl:choose>
										<xsl:when test="//EnLi[@cnt='0']">
											<xsl:attribute name="disabled">true</xsl:attribute>
										</xsl:when>
									</xsl:choose>																	
								Eigenschaften
								</button>
							</td>
							<td/>
							<td>
								<button id="bt-5" name="cancel">
									<xsl:choose>
										<xsl:when test="//EnLi[@cnt='0']">
											<xsl:attribute name="onclick">window.close();</xsl:attribute>
										</xsl:when>
									</xsl:choose>																			
								  Abbrechen
								</button>
							</td>
							<td/>
							<td>
								<button id="bt-6" name="help">
									<xsl:choose>
										<xsl:when test="//EnLi[@cnt='0']">
											<xsl:attribute name="disabled">true</xsl:attribute>
										</xsl:when>
									</xsl:choose>
								Hilfe
								</button>
							</td>
						</tr>
					</table>
				</div>
			</body>
		</html>
	</xsl:template>
</xsl:stylesheet>
