<?xml version="1.0" encoding="ISO-8859-1" ?>
<!-- 
*
**********************************************************************    
*  
*   Licensed Material - Property of IBM                               
*   5655-002                                                          
*                                                                     
*   (C) Copyright IBM Corp. 2003   All Rights Reserved                
*                                                                     
*   US Government Users Restricted Rights - Use, duplication or       
*   disclosure restricted by GSA ASP Schedule Contract with           
*   IBM Corp.    
*
**********************************************************************                                                     
*                                                                           
* IBM Document Connect for ASF                                                 
*                                                                              
* Module Name : doctrcloglist.xsl                                                  
*                                                                              
* Description : This style sheet is used as the style sheet input 
*               to a XSLT Transformation ewhich transforms the 
*               the List of Trace and log files (in xml ) to a  html                     
*               which allows to download log and trace files 
*               
*
* Author:       UZeh
*
* Change Activity:                                                             
*                                                                              
* Code  Release    Date       Person  Reason                                   
*                                                                              
* @000  V01R02B01  02/07/2006 UZeh    PK17220 First Create                             
*-->

                     

<xsl:stylesheet xmlns:xsl = "http://www.w3.org/1999/XSL/Transform" version = "1.0">  

<!-- Arguments         provided from Docxxxxx          Servlet       -->

<!-- Content Arguments                                               -->
<!--                                                                 -->
<!-- anlspathelement     Paths are Relative ( Y or N )               -->
<!-- adc4asfversion      DC for ASF Version                          -->
<!-- alangelement        2 digit language identifier                 -->
<!-- atrcdirectory       Trace directory                             -->
<!-- alangelement        Log   directory                             -->
<!-- zcopyright          Copy right                                  -->   


<xsl:param name="apathsarerelative"/> 
<xsl:param name="adc4asfversion"/> 
<xsl:param name="alangelement"/>  
<xsl:param name="atrcdirectory"/>
<xsl:param name="alogdirectory"/> 
<xsl:param name="zcopyright"/> 


<xsl:param name="ztxtlabdownloadtitle"/>
<xsl:param name="ztxtlabdownloadlisttrcdirectory"/>
<xsl:param name="ztxtlabdownloadlistlogdirectory"/>
<xsl:param name="ztxtlabdownloadlisttrcfiles"/>
<xsl:param name="ztxtlabdownloadlistlogfiles"/>
<xsl:param name="zDOC0561E"/>
<xsl:param name="ztxtbutdownload"/>
<xsl:param name="ztxtbutreset"/>
<xsl:param name="ztxtbuthelp"/>
   

   


<!-- Output method is html -->

<xsl:output method='html' doctype-public='-//W3C//DTD HTML 4.0//EN'/>


<!-- ************************************************************** -->
<!--                                                                -->
<!--                                                                -->  
<!--        Here the Node Rules follow                              --> 
<!--                                                                -->
<!--                                                                -->
<!-- ************************************************************** -->

<!-- Root Node                                                      --> 
 


<xsl:template match = "/">                              
     <xsl:element name = "html" >                        
        <xsl:attribute name = "lang">                     
          <xsl:value-of select= "$alangelement"/>        
        </xsl:attribute>                                  
        <xsl:apply-templates/>                            
     </xsl:element>                                                        
</xsl:template>                                         
 

<!--                                                                 -->  
<!--  Files Node                                          -->
<!--                                                                 -->

<xsl:template match = "Files"> 
   
  
   <head>   

   <!-- For debugging 

   <xsl:message>$ztxtbutreset =  <xsl:value-of select="$ztxtbutreset"/>
   </xsl:message>

   --> 
   
   <xsl:element name="meta">
        <xsl:attribute name="name">Copyright</xsl:attribute>
        <xsl:attribute name="content">(C) Copyright IBM Corporation 2003</xsl:attribute>
   </xsl:element>   
              

  <!-- Link to cascading style sheet docconfig.css -->
  
  <link rel="stylesheet" type="text/css" href="./css/docproduct.css"/> 
  <link rel="stylesheet" type="text/css" href="./custom/doccustom.css"/> 
 
   <title>Download
    <xsl:value-of select= "$ztxtlabdownloadtitle"/>  
   </title>
  
   <script language='javascript' src='./javascript/docconfigcommon.js'/> 
   <script language='javascript'>
     <xsl:call-template name = "javascriptfunctions">
     </xsl:call-template> 
   </script>
    
 
   </head>

   <body class="configpage"> <!-- *** -->
   <div id="configpage">

   <form name='doctrcloglist' method='post'>   <!-- *** -->
   
    
   <!-- Display Header Table with image , title , version string ... -->
   

   <xsl:call-template name="xheader">
       <xsl:with-param name="yheadertitle">
          <xsl:value-of select="$ztxtlabdownloadtitle"/>
       </xsl:with-param>       
       <xsl:with-param name="ydc4asfversion">
          <xsl:value-of select="$adc4asfversion"/>
       </xsl:with-param>
       <xsl:with-param name="ycopyright">
          <xsl:value-of select="$zcopyright"/>
       </xsl:with-param>
   </xsl:call-template>
       

 
   <table border='1'>
   <colgroup>
        <col width="30%"></col>
        <col width="30%"></col> 
        <col width="40%"></col>        
   </colgroup>

   <!--                                                       -->
   <!-- Apply templates                                       -->
   <!--                                                       -->         

   <xsl:apply-templates select="Trc" >     
   </xsl:apply-templates>   
   <xsl:apply-templates select="Log">
   </xsl:apply-templates>   

  
         
   </table>

  

    
   <!--                                                       -->
   <!-- Display buttons of the form in table                  -->
   <!--                                                       -->   

   <p></p>
   <table border='0'>
   <colgroup>
        <col width="25%"></col>
        <col width="25%"></col>
        <col width="25%"></col>
        <col width="25%"></col> 
   </colgroup>
   <tr>
   <td align='left'>  
   <xsl:element name = "input" > 
      <xsl:attribute name = "type" >submit</xsl:attribute> 
      <xsl:attribute name = "name" >action</xsl:attribute> 
            <xsl:attribute name = "size" >30</xsl:attribute>  
      <xsl:attribute name = "onclick" >return( fnButtonDownload())</xsl:attribute>     <!-- *** -->
      <xsl:attribute name = "onkeypress" >return( fnButtonDownload())</xsl:attribute>  <!-- *** -->
      <xsl:attribute name = "value"> 
          <xsl:value-of select= "$ztxtbutdownload"/> 
      </xsl:attribute> 
   </xsl:element>
   </td>
   <td align='left'>   
   <xsl:element name = "input" > 
      <xsl:attribute name = "type" >reset</xsl:attribute> 
      <xsl:attribute name = "name" >cancel</xsl:attribute>  
      <xsl:attribute name = "size" >30</xsl:attribute>      
      <xsl:attribute name = "value"> 
         <xsl:value-of select= "$ztxtbutreset"/>          
      </xsl:attribute> 
   </xsl:element>
   </td>

  

   <td align='left'>   
   <xsl:element name = "input" > 
      <xsl:attribute name = "type" >button</xsl:attribute> 
      <xsl:attribute name = "name" >help</xsl:attribute> 
      <xsl:attribute name = "size" >30</xsl:attribute>    
      <xsl:attribute name = "onclick" >return( fnButtonHelp())</xsl:attribute>    <!-- *** --> 
      <xsl:attribute name = "onkeypress" >return( fnButtonHelp())</xsl:attribute> <!-- *** -->   
      <xsl:attribute name = "value"> 
         <xsl:value-of select= "$ztxtbuthelp"/> 
      </xsl:attribute> 
   </xsl:element>
   </td>


   

   </tr>
   </table>

   <!-- NUMBER OF TRACE FILES -->
  
   <xsl:element name = "input" > 
         <xsl:attribute name = "type" >hidden</xsl:attribute> 
         <xsl:attribute name = "name" >trcfilenumber</xsl:attribute> 
         <xsl:attribute name = "id" >trcfilno</xsl:attribute> 
         <xsl:attribute name = "size" >10</xsl:attribute> 
         <xsl:attribute name = "value"> 
            <xsl:value-of select="count(//Trcfile)"/>
         </xsl:attribute> 
         <xsl:attribute name = "readonly" >readonly</xsl:attribute>  
   </xsl:element>   
   
   <!-- NUMBER OF LOG FILES               -->   
   
   <xsl:element name = "input" > 
         <xsl:attribute name = "type" >hidden</xsl:attribute> 
         <xsl:attribute name = "name" >logfilenumber</xsl:attribute> 
         <xsl:attribute name = "id" >logfilno</xsl:attribute> 
         <xsl:attribute name = "size" >10</xsl:attribute> 
         <xsl:attribute name = "value"> 
            <xsl:value-of select="count(//Logfile)"/>
         </xsl:attribute> 
         <xsl:attribute name = "readonly" >readonly</xsl:attribute>    
   </xsl:element>   

   </form>
  
   </div>
   </body>
   
</xsl:template>   



<!--                                   -->  
<!--  Trc Node                         -->
<!--                                   -->

<xsl:template match = "Trc">
   
   <th colspan='3'><xsl:value-of select="$ztxtlabdownloadlisttrcfiles"/></th>   
   <xsl:call-template name="xdisplaytrclogdir">
       <xsl:with-param name="xtrclogmode">trc</xsl:with-param>  
       <xsl:with-param name="xsize">150</xsl:with-param>
       <xsl:with-param name="xtrclogdir"><xsl:value-of select="$atrcdirectory"/></xsl:with-param>
       <xsl:with-param name="xtrclogdirlabel"><xsl:value-of select="$ztxtlabdownloadlisttrcdirectory"/></xsl:with-param>
   </xsl:call-template>
   
   <xsl:for-each select="Trcfile">

        <xsl:call-template name="xtrclogitem">
           <xsl:with-param name="xtrclogmode">trc</xsl:with-param>
           <xsl:with-param name="xposition"><xsl:value-of select = "position()"/></xsl:with-param> 
           <xsl:with-param name="xfilename"><xsl:value-of select="."/></xsl:with-param> 
           <xsl:with-param name="xsize">70</xsl:with-param>        
        </xsl:call-template>    
     
   </xsl:for-each>   

      
</xsl:template>

<!--             -->  
<!--  Log Node   -->
<!--             -->

<xsl:template match = "Log">
   
   <th colspan='3'><xsl:value-of select="$ztxtlabdownloadlistlogfiles"/></th>  
   <xsl:call-template name="xdisplaytrclogdir">
       <xsl:with-param name="xtrclogmode">log</xsl:with-param>  
       <xsl:with-param name="xsize">150</xsl:with-param>
   
       <xsl:with-param name="xtrclogdir"><xsl:value-of select="$alogdirectory"/></xsl:with-param>
       <xsl:with-param name="xtrclogdirlabel"><xsl:value-of select="$ztxtlabdownloadlistlogdirectory"/></xsl:with-param>
   </xsl:call-template>
   
   <xsl:for-each select="Logfile">

        <xsl:call-template name="xtrclogitem">               
           <xsl:with-param name="xtrclogmode">log</xsl:with-param> 
           <xsl:with-param name="xposition"><xsl:value-of select = "position()"/></xsl:with-param> 
           <xsl:with-param name="xfilename"><xsl:value-of select="."/></xsl:with-param>
           <xsl:with-param name="xsize">50</xsl:with-param>         
        </xsl:call-template>          

   </xsl:for-each>
      
</xsl:template>

<!-- javascript functions --> 


<xsl:template name="javascriptfunctions">

   

        function  fnButtonDownload()
        {
             return true;
        }
        function  fnButtonHelp()
        {
             return true;
        }


  
  
</xsl:template>


<!-- xdisplaytrclogdir -->


<xsl:template name = "xdisplaytrclogdir">
   
   <xsl:param name="xtrclogmode"></xsl:param>  
   <xsl:param name="xsize"></xsl:param> 
   <xsl:param name="xtrclogdir"></xsl:param> 
   <xsl:param name="xtrclogdirlabel"></xsl:param> 
   <tr>
      <td><xsl:value-of select="$xtrclogdirlabel"/></td>
      <td>
        <xsl:element name = "input" >
    
          <xsl:attribute name = "type">text</xsl:attribute> 
          <xsl:attribute name = "readonly">readonly</xsl:attribute>
          <xsl:attribute name = "id" >
             <xsl:value-of select="concat('td',$xtrclogmode)"/>
          </xsl:attribute> 
          <xsl:attribute name = "name" >
             <xsl:value-of select="concat('td',$xtrclogmode)"/>
         </xsl:attribute> 
         <xsl:attribute name = "size" >
             <xsl:value-of select="$xsize"/>
         </xsl:attribute> 
         <xsl:attribute name = "value">
                  <xsl:value-of select="$xtrclogdir"></xsl:value-of>
         </xsl:attribute>
      </xsl:element> 
      </td>        
   </tr>          


</xsl:template>
<!-- xtrclogitem -->


<xsl:template name = "xtrclogitem">
   
   <xsl:param name="xtrclogmode"></xsl:param>  
   <xsl:param name="xposition"></xsl:param>
   <xsl:param name="xfilename"></xsl:param>   
   <xsl:param name="xsize"></xsl:param>   
    
   <tr>
      
      <td align='left'> 
      <xsl:element name = "input" > 
         <xsl:attribute name = "type">checkbox</xsl:attribute> 
         <xsl:attribute name = "id" >
             <xsl:value-of select="concat('cb',$xtrclogmode,$xposition)"/>
         </xsl:attribute> 
         <xsl:attribute name = "name">
             <xsl:value-of select="concat('cb',$xtrclogmode,$xposition)"/>
         </xsl:attribute>              
      </xsl:element> 
      </td>
      <td>    
      <xsl:element name = "input" >
    
         <xsl:attribute name = "type">text</xsl:attribute> 
         <xsl:attribute name = "readonly">readonly</xsl:attribute>
         <xsl:attribute name = "id" >
             <xsl:value-of select="concat('tx',$xtrclogmode,$xposition)"/>
         </xsl:attribute> 
         <xsl:attribute name = "name" >
             <xsl:value-of select="concat('tx',$xtrclogmode,$xposition)"/>
         </xsl:attribute> 
         <xsl:attribute name = "size" >
             <xsl:value-of select="$xsize"/>
         </xsl:attribute> 
         <xsl:attribute name = "value">
                  <xsl:value-of select="$xfilename"></xsl:value-of>
         </xsl:attribute>
      </xsl:element> 
      </td>   
      <td>
      </td>  
   </tr>          
   
</xsl:template>
<!-- ************************************************************** -->
<!--                                                                -->
<!--                                                                -->  
<!-- This is the template rule called                               --> 
<!--     xheader                                                    --> 
<!-- which displays the header table of the form                    -->
<!--                                                                -->
<!--                                                                -->
<!-- ************************************************************** -->


<xsl:template name = "xheader">  
   
  <xsl:param name="yheadertitle"/>
  <xsl:param name="ydc4asfversion"/>
  <xsl:param name="ycopyright"/>

  <table class="header">
   <tr>
   <td>
      <img src='./images/docgsmal.gif' border='0' class='logo' alt='docgsmal.gif'></img> 
   </td>
   <td>
     <div class="productname"><xsl:value-of select= "$yheadertitle"/><br/></div>
     <div class="version">V  <xsl:value-of select= "$ydc4asfversion"/><br/></div>
     <div class="licensetext"><xsl:value-of select= "$ycopyright"/><br/></div>
   </td>
   </tr>   
   </table>   
</xsl:template> 
<!-- ************************************************************** -->
</xsl:stylesheet> 