<?xml version="1.0" encoding="UTF-8"?>
<!--*******************************************************************************
*
* Licensed Material - Property of IBM
*
* 5655-002
*
* (C) Copyright IBM Corp. 2006
*                                                                           
*   US Government Users Restricted Rights - Use, duplication or
*   disclosure restricted by GSA ASP Schedule Contract with
*   IBM Corp.
*                                                                         
*                                                                           
* MODULE NAME= docx2focallables.xsl                                                 
*                                                                           
* DESCRIPTIVE NAME= Convert the result of the DCF to DCFDocument conversion to xsl:fo input.                  
*                                                                           *                                                                           
* Author: Dieter Gottschall
*                                                                           
* Change Activity:                                                          
*                                                                           
*	Code		Release 	Date				Person		Reason                                    
*	@00			121/122	2006-10-20	GOT			PTR5934 Initial Release	
*****************************************************************************************-->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="no" standalone="yes" omit-xml-declaration="no"/>
	<xsl:template name="get-value">
		<xsl:param name="p-curr-seq"/>
		<xsl:param name="p-look-seq"/>
		<xsl:param name="p-sname"/>
		<xsl:variable name="s-key" select="concat(concat($p-look-seq, '-'), $p-sname)"/>
		<xsl:variable name="s-Val" select="string(key('all-parms', $s-key))"/>
		<xsl:choose>
			<xsl:when test="$s-Val != ''">
				<xsl:value-of select="$s-Val"/>
			</xsl:when>
			<xsl:otherwise>
				<xsl:variable name="n-next-seq" select="$p-look-seq - 1"/>
				<xsl:if test="not ($n-next-seq &lt; 0)">
					<xsl:call-template name="get-value">
						<xsl:with-param name="p-curr-seq" select="$p-curr-seq"/>
						<xsl:with-param name="p-look-seq" select="$n-next-seq"/>
						<xsl:with-param name="p-sname" select="$p-sname"/>
					</xsl:call-template>
				</xsl:if>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
</xsl:stylesheet>
