@rem =========================================================================
@rem
@rem This program invokes the Document Connect conversion toolkit for the 
@rem specified file.
@rem
@rem Usage: xtoolkit source
@rem
@rem Summary of changes 
@rem
@rem DATE     WHO DESCRIPTION      
@rem 20050720 RV  adapt the classpath for xalan/xerces
@rem 20060220 UZ  DPTR5451 Add commented line java -cp ... xercesImpl.jar ...
@rem                       Check that necessary jar files are in place
@rem ==========================================================================

@echo off
@setlocal

if "%1" == "/?" goto callinfo
if "%1" == "-?" goto callinfo
if "%1" == "?"  goto callinfo
if NOT "%1" == "" goto start

@rem @01 Start
if not exist ./bin/docserver.jar       goto error 
if not exist ./bin/xalan.jar           goto error 
if not exist ./bin/xercesImpl.jar  goto error
if not exist ./bin/xml-apis.jar    goto error
if not exist ./bin/serializer.jar  goto error
@rem @01 End

rem -------------
rem display usage
rem -------------
:callinfo
echo.
echo Invoke the Document Connect for ASF conversion toolkit for the specified file.
echo.
echo xtoolkit source
echo.
echo   source     Specifies the file.
echo.
echo Example :  xtoolkit ./testdata/empty/test.txt
goto end
@rem @01 Start
:error
@echo Document Connect for ASF conversion toolkit  
@echo.
@echo Error: One or more of the following jar files are missing in ./bin directory
@echo.
@echo docserver.jar   
@echo xalan.jar   
@echo xercesImpl.jar  
@echo xml-apis.jar  
@echo serializer.jar 
goto end
@rem @01 End
rem -----
rem start
rem -----
:start

@rem java -cp ./bin/docserver.jar com.ibm.doc.asf.DocASFD2X %1 .\config\docconfiguration.xml .\www

@rem @01 Start
java -cp ./bin/docserver.jar;./bin/xercesImpl.jar;./bin/xalan.jar;./bin/xml-apis.jar;./bin/serializer.jar com.ibm.doc.asf.DocASFD2X %1 .\config\docconfiguration.xml .\www
@rem @01 End



:end
@endlocal


